<?php

require_once('framework/Installer.php');
require_once('plugins/banking/model/BankInstaller.php');
require_once('plugins/banking/model/CancellistInstaller.php');
require_once('plugins/banking/model/SecretInstaller.php');

/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Thomas Sterren - January 2006
 * @package org.brim-project.plugins.banking
 * @subpackage install
 * @filesource
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
class BankingInstaller extends Installer
{
	var $bankInstaller;
	var $cancellistInstaller;
	var $secretInstaller;

	function BankingInstaller($engine, $db)
	{
		$this->bankInstaller = new BankInstaller($engine, $db);
		$this->cancellistInstaller = new CancellistInstaller($engine, $db);
		$this->secretInstaller = new SecretInstaller($engine, $db);
	}

	function install ()
	{
		$this->bankInstaller->install ();
		$this->cancellistInstaller->install ();
		$this->secretInstaller->install ();
	}

	function findTable()
	{
		if ($this->bankInstaller->findTable())
		{
			if ($this->cancellistInstaller->findTable())
			{
				return $this->secretInstaller->findTable();
			}
		}
		return false;
	}

	function isTableUpToDate()
	{
		if ($this->bankInstaller->isTableUpToDate())
		{
			if ($this->cancellistInstaller->isTableUpToDate())
			{
				return $this->secretInstaller->isTableUpToDate();
			}
		}
		return false;
	}

	function createStandardIndex()
	{
		$this->bankInstaller->createStandardIndex();
		$this->cancellistInstaller->createStandardIndex();
		$this->secretInstaller->createStandardIndex();
	}
}
?>