<?php
/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Thomas Sterren - October 2004
 * @package org.brim-project.plugins.banking
 * @subpackage i18n
 * @filesource
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
**/

if (!isset($dictionary))
{
	$dictionary = array();
}

$dictionary['charset']					= 'iso-8859-1';
$dictionary['item_title']				= 'E-Banking';
$dictionary['name']			 			= 'Bank';
$dictionary['url']						= 'URL';
$dictionary['login']					= 'Anmelden';
$dictionary['contact_person']			= 'Kontaktperson';
$dictionary['contact_phone']			= 'Kontakt Telefon';
$dictionary['cancellists']				= 'TAN-Listen';
$dictionary['addCancellist']			= 'TAN-Liste hinzuf&#252gen';
$dictionary['addSecret']				= 'TAN hinzuf&#252gen';
$dictionary['numberMissing']			= 'Keine Nummer angegeben!';
$dictionary['secretMissing']			= 'Keine TAN angegeben!';
$dictionary['cancellistNameMissing'] 	= 'Kein Name f&#252r die TAN-Liste angegeben!';
$dictionary['bankMissing']		 		= 'Name der Bank fehlt!';
$dictionary['bankIdMissing']		 	= 'BLZ fehlt!';
$dictionary['loginMissing']				= 'Login fehlt!';
$dictionary['cancellistIdMissing']		= 'TAN-Listen ID ist nicht definiert!';
$dictionary['cancellistName']			= 'TAN-Listenname';
$dictionary['number']					= 'Nummer';
$dictionary['secret']					= 'TAN';
$dictionary['when_used']				= 'Datum verwendet';
$dictionary['state']					= 'Status';
$dictionary['secret_used']				= 'TANs verwendet';
$dictionary['set_secret_used']			= 'als verwendet kennzeichnen';
$dictionary['totalSecrets']				= 'TANs total';
$dictionary['secretsNotUsed']			= 'Noch verwendbare TANs';

$dictionary['modifyBankingPreferences'] 	= '&#196ndern der E-Banking-Einstellungen';
$dictionary['openURLinNewWindow'] 		= '&#214ffne URL in neuem Fenster';

$dictionary['help_cautions']		 = '
	<table width="100%" border="0" cellpadding="5" cellspacing="0">
		<tr bgcolor="lightsalmon">
			<td>
				<h3><font color="darkred">Warnung</font></h3>
				<ul>
				<li>
					Legen Sie das Passwort und die TAN Liste stehts an
					getrennten Orten ab. Das Passwort sollte nur Ihnen
					bekannt sein und nirgends in schriftlicher Form
					existieren.
				</li>
				<li>
					Damit dieses Plugin sicher benutzt werden kann,
					m&#252ssen Sie Brim &#252ber eine sichere
					Internetverbindung benutzten (https, SSL). Ansonsten
					werden die von Ihnen eingegebenen und abgerufenen
					Daten unverschl&#252sselt &#252bermittelt und
					k&#246nnen so von Drittpersonen auspioniert werden!
				</li>
				<li>
					Ihre Daten werden in der Datenbank unverschl&#252sselt
					abgespeichert. Dementsprechend kann Ihr
					Datenbank-Administrator diese Daten einsehen.
				</li>
				</ul>
			</td>
		</tr>
	</table>
';
$dictionary['item_help'] 			 = '
	<h2>Einf&#252hrung</h2>
	<p>
		Wenn Sie Ihre Bankgesch&#228fte &#252ber das Internet
		t&#228tigen wollen, stellt Ihnen die Bank ein E-Banking Konto
		zur Verf&#252gung. Dieses Konto erm&#246glicht es Ihnen ein
		oder mehrere Konten bei dieser Bank zu verwalten. Das heisst, Sie
		k&#246nnen z.B. den aktuellen Kontostand abrufen, die letzten
		Transaktionen einsehen und Zahlungen t&#228tigen.
	</p>
	<p>
		Im Normallfall bekommen Sie von der Bank eine Identifikationsnummer
		und ein Passwort, mit welchem Sie Zugriff auf Ihre Konten bekommen.
		Dies ist jedoch ein unzureichender Schutz. Deshalb geben die Banken
		noch zus&#228tzlich eine TAN Liste, um die Sicherheit zu erh&#246hen.
	</p>
	<p>
		Jedes mal wenn Sie sich einloggen, m&#252ssen Sie zus&#228tzlich
		zum Passwort noch den n&#228chsten g&#252ltige TAN
		eingeben. Diese TAN kann nur einmal eingegeben werden und
		verf&#228llt direkt nach einer g&#252ltigen Authentifizierung.
		Beim n&#228chsten Login wird der n&#228chste g&#252ltige
		TAN verlangt.
	</p>
	<p>
		Diese TANs erm&#246glichen es Ihnen auch eine gewisse
		Kontrolle &#252ber das E-Banking Konto zu erhalten. Wenn beim
		n&#228chsten Login der &#252bern&#228chste TAN verlangt
		wird, haben Sie entweder das letzte Mal vergessen den eingegeben
		TAN zu streichen oder jemand k&#246;nnte Ihre
		Identifikationsnummer, Password und TAN Liste gestohlen haben und
		sich an Ihren Bankkonten bedient haben.
	</p>
	'
	. $dictionary['help_cautions'] .
	'

	<h2>E-Banking Informationen</h2>
	<h3>Aktion: Hinzuf&#252gen</h3>
	<p>
		Mit dieser Aktion k&#246nnen Sie die Grundinformationen zu Ihrem
		E-Banking Konto abspeichern. Dazu geh&#246ren zum Beispiel der
		Name der Bank, der Internet-Link (URL) zu der Startseite und die
		Login-Informationen (Benutzernamen oder Identifikationsnummer).
	</p>

	<h2>TAN Listen</h2>
	<h3>Aktion: TAN Listen hinzuf&#252gen</h3>
		<p>
			Nachdem Sie die Grundinformation hinzugef&#252gt haben,
			k&#246nnen Sie auf den Namen der Bank klicken und
			anschliessend mit der Aktion <em>zur TAN-Liste
			hinzuf&#252gen</em> TAN-Liste hinzuf&#252gen.
		</p>
	<h2>TANs eintragen</h2>
	<h3>Aktion: TAN hinzuf&#252gen</h3>
		<p>
			Nachdem Sie eine TAN hinzugef&#252gt haben,
			k&#246nnen Sie auf den Namen der TAN Liste klicken
			und anschliessend mit der Aktion <em>TAN
			hinzuf&#252gen</em> TANs zu dieser Streichliste
			hinzuf&#252gen.
		</p>
	<h3>Schaltfl&#228che: TANs als verwendet markieren</h3>
		<p>
			Haben Sie einmal eine bestimmte TAN verwendet, kann sie
			nicht mehr benutzt und sollte gestrichen werden. Klicken
			Sie daf&#252r auf die Schaltf&#228che <em>Als verwendet
			markieren</em>. Diese Aktion kann nicht mehr
			r&#252ckg&#228ngig gemacht werden.
		</p>
		<br />
';
$dictionary['item_quick_help']='Klicken Sie auf \'Hinzuf&#252gen\' um Informationen <br />zu einer Bank hinzuzuf&#252gen.
<br /><br />Anschliessend klicken Sie <br />auf den Namen der Bank und <br />\'TAN-Liste hinzuf&#252gen\' um eine <br />TAN-Liste hinzuzuf&#252gen.
<br /><br /> Gehen sie entsprechen vor um TANs <br />zu einer TAN-Liste hinzuzuf&#252gen.';
?>
