<?php
/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Thomas Sterren
 * @package org.brim-project.plugins.banking
 * @subpackage i18n
 * @filesource
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */

if (!isset($dictionary))
{
	$dictionary = array();
}

$dictionary['charset']				 = 'iso-8859-1';
$dictionary['item_title']			 = 'E-Banking';
$dictionary['name']					 = 'Bank';
$dictionary['url']					 = 'URL';
$dictionary['login']				 = 'Login';
$dictionary['contact_person']		 = 'Person of Contact';
$dictionary['contact_phone']		 = 'Phone Number';
$dictionary['cancellists']			 = 'Cancellists';
$dictionary['addCancellist']		 = 'Add cancellist';
$dictionary['addSecret']			 = 'Add secret';
$dictionary['numberMissing']		 = 'No number specified!';
$dictionary['secretMissing']		 = 'No secret specified!';
$dictionary['cancellistNameMissing'] = 'No cancellist name specified!';
$dictionary['bankMissing']		 	 = 'Bank not specified!';
$dictionary['bankIdMissing']		 = 'BankId not specified!';
$dictionary['loginMissing']			 = 'Login not specified!';
$dictionary['cancellistIdMissing']	 = 'CancellistId not specified!';
$dictionary['cancellistName']		 = 'Cancellist name';
$dictionary['number']				 = 'Number';
$dictionary['secret']				 = 'Secret';
$dictionary['when_used']			 = 'Date Used';
$dictionary['state']				 = 'State';
$dictionary['secret_used']			 = 'Used';
$dictionary['set_secret_used']		 = 'Set used';
$dictionary['totalSecrets']			 = 'Total Secrets';
$dictionary['secretsNotUsed']		 = 'Secrets not used';
$dictionary['searchExpression']		 = 'Search Expression';

$dictionary['modifyBankingPreferences']		= 'Modify e-banking preferences';
$dictionary['openURLinNewWindow'] 			= 'Open URL in a new window';

$dictionary['help_cautions']		 = '
	<table width="100%" border="0" cellpadding="5" cellspacing="0">
		<tr bgcolor="lightsalmon">
			<td>
				<h3><font color="darkred">Cautions</font></h3>
				<ul>
				<li>
					Put the password and the cancellist always in
					different places.
					The password should only be known by you and never be
					kept in written form.
				</li>
				<li>
					To use this plugin in a secure manner you have to use
					the brim application over a secure internet
					connection (https, SSL).
					Otherwise, the data you send and receive will not be
					encrypted you could be observed by third people!
				</li>
				<li>
					The information is stored in a database in a none
					crypted way. Accordingly, the information could be
					seen by your database administrator.
				</li>
				</ul>
			</td>
		</tr>
	</table>
';
$dictionary['item_help'] 			 = '
	<h2>Introduction</h2>
	<p>
		When you would like to do your business of a bank over the
		internet, the bank provides you with an e-banking account.
		With this e-banking account it is possible to manage one or
		more bank accounts. This means, you can see the account balance,
		the last transactions and do your paying.
	</p>
	<p>
		Usually, you get an identification number and a password from the bank,
		with which you get access to your bank accounts. For many banks, this
		is not a sufficient protection. Therefore, the bank often provides you
		in addition a cancellist with secrets to increase the security.
	</p>
	<p>
		Every time you want to log in, you have to put, in addition to your
		password, the next valid secret (usually a sequence of numbers and
		characters) from the cancellist. A secret can only be used once and
		is decayed directly after a correct authentication. The next time you
		log in, the bank will request the next valid secret.
	</p>
	<p>
		The secrets allows you the have a certain control over your
		e-banking account too. When you log in the next time and the bank
		is requesting the second next secret, then you have either forgot
		the last time to cut (mark as decayed) the secret or somebody got
		your identification number, your password and your cutlist and
		gained access to your bank accounts.
	</p>
	'
	. $dictionary['help_cautions'] .
	'

	<h2>E-Banking Information</h2>
	<h3>Action: Add</h3>
	<p>
		With this action you can add some basic information about
		your e-banking account. For example the name of the bank,
		a link (URL) to the login page and the login information
		(username or identification number).
	</p>
	<h3>Action: Search</h3>
	<p>
		This action allows to user to search for any expressions in E-Banking 
		information. Cutlists information and Secrets are excluded from search.
	</p>

	<h2>Cutlists</h2>
	<h3>Action: Add cancellist</h3>
		<p>
			After adding the basic information you can click
			on the name of the bank and add afterwards a cancellist
			with the Action <em>Add cancellist</em>.
		</p>
	<h2>Secrets</h2>
	<h3>Action: Add secret</h3>
		<p>
			After adding the cutlist you can click
			on the name of the cutlist and add the secrets that
			are part of this cutlist by clicking the action
			<em>Add secret</em>.
		</p>
	<h3>Button: Set used</h3>
		<p>
			After using a secret it is no more valid and should
			be marked as used (decayed).
			Click the button <em>Set used</em> to mark a secret as used.
			This action can not be undone.
		</p>
		<br />
';
$dictionary['item_quick_help']='Click on \'Add\' to add basic information about a bank.
<br /><br />Then click on the name of the bank and <br />\'Add cancellist\' to add a list with secrets.
<br /><br /> Proceed similar to add secrets to the cancellist.';
?>
