<?php
/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta
 * @package org.brim-project.plugins.banking
 * @subpackage i18n
 * @filesource
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */

if (!isset($dictionary))
{
	$dictionary = array();
}

$dictionary['charset']				 = 'iso-8859-1';
$dictionary['item_title']			 = 'E-Banking';
$dictionary['name']					 = 'Bank';
$dictionary['url']					 = 'URL';
$dictionary['login']				 = 'Login';
$dictionary['contact_person']		 = 'Contactpersoon';
$dictionary['contact_phone']		 = 'Telefoon nummer';
$dictionary['cancellists']			 = 'Annulatielijst';
$dictionary['addCancellist']		 = 'Voeg een annulatielijst toe';
$dictionary['addSecret']			 = 'Voeg een secret toe';
$dictionary['numberMissing']		 = 'Nummer is verplicht!';
$dictionary['secretMissing']		 = 'Secret is verplicht!';
$dictionary['cancellistNameMissing'] = 'Annulatielijst is verplicht!';
$dictionary['bankMissing']		 	 = 'Bank is verplicht!';
$dictionary['loginMissing']			 = 'Login is verplicht!';
$dictionary['bankIdMissing']		 = 'BankId is verplicht!';
$dictionary['cancellistIdMissing']	 = 'AnnulatielijstId is verplicht!';
$dictionary['cancellistName']		 = 'Naam van de annulatielijst';
$dictionary['number']				 = 'Nummer';
$dictionary['secret']				 = 'Secret';
$dictionary['when_used']			 = 'Gebruik datum Used';
$dictionary['state']				 = 'Status';
$dictionary['secret_used']			 = 'Gebruikt';
$dictionary['set_secret_used']		 = 'Set gebruikt';
$dictionary['totalSecrets']			 = 'Aantal Secrets';
$dictionary['secretsNotUsed']		 = 'Secrets niet gebruikt';
$dictionary['searchExpression']		 = 'Search Expression';

$dictionary['modifyBankingPreferences']		= 'Wijzig e-banking voorkeuren';
$dictionary['openURLinNewWindow'] 			= 'Open URL in een nieuw venster';

$dictionary['help_cautions']		 = '
	<table width="100%" border="0" cellpadding="5" cellspacing="0">
		<tr bgcolor="lightsalmon">
			<td>
				<h3><font color="darkred">Cautions</font></h3>
				<ul>
					<li>
						Houdt paswoorden en annulatielijsten altijd
						in verschillende plaatsen bij.
						Het paswoord moet alleen aan jou bekent zijn
						en moet nooit in geschreven vorm worden
						bijgehouden!
					</li>
					<li>
						Om deze plugin te gebruiken (in een veilige
						manier!), moet de applicatie over een veilige
						internet connectie (https/ssl) gebruikt worden.
					</li>
					<li>
						De informatie dat in de gegevensbank wordt
						opgeslagen is daarin leesbaar. Deze informatie
						is niet geencrypteerd en kan dus gelezen worden
						door de gegevensbeheerder!
					</li>
				</ul>
			</td>
		</tr>
	</table>
';
$dictionary['item_help'] 			 = '
	<h2>Introductie</h2>
	<p>
		Wanneer je banking over het internet wilt gebruiken kan
		het zijn dat de bank je een e-banking account geeft.
		Met deze account is het mogelijk om een of meerdere accounts
		te gebruiken. Dit houdt in dat je de balansen kan zien,
		transacties kan uitvoeren en betalingen kan doen.
	</p>
	<p>
		Normaal gezien krijg je van de bank een identificatie nummer
		en een paswoord waarmee je van je bankaccounts gebruik kan
		maken.
		Voor vele banken is deze bescherming echter niet genoeg.
		Vaak gebeurt het dan dat de bank een aan annulatielijst met
		secrets geeft om de veiligheid te verhogen.
	</p>
	<p>
		Elke keer dat je in wilt loggen moet je, als toevoeging op
		je paswoord, een geldige secret (meestal een aantal nummers
		en karakters) van je annulatielijst ingeven.
		Een dergelijke secret kan slechts 1x gebruikt worden, de
		volgende keer dat je inlogt zal de bank om et volgende secret
		vragen.
	</p>
	<p>
		De secrets staan je ook toe om een zekere controle over
		je e-banking account te hebben. Als je een volgende keer
		inlogt en de bank vraagt om de tweede beschikbare secret,
		dan betekent dat dat je of simpelweg vergeten bent de vorige
		secret als gebruikt te markeren, of het kan betekenen dat
	   	iemand anders je gevens heeft en hier gebruik van maakt.
	</p>
	'
	. $dictionary['help_cautions'] .
	'

	<h2>E-Banking Informatie</h2>
	<h3>Actie: Toevoegen</h3>
	<p>
		Met deze actie kan je informatie over je e-banking accout
		toevoegen, zoals bijvoorbeeld de naam van de bank,
		de URL, login informatie etc.
	</p>

	<h2>Cutlists</h2>
	<h3>Actie: Voeg annulatielijst toe</h3>
		<p>
			Na het toevoegen van de algemene informatie
			kan je op de naam van de bank klikken en een
			annulatielijst toevoegen.
		</p>
	<h2>Secrets</h2>
	<h3>Actie: Voeg secret toe</h3>
		<p>
			Na het toevoegen van de lijst kan je op de naam
			van deze lijst klikken en de secrets dat bij deze
			lijst horen toevoegen.
		</p>
	<h3>Knop: Set gebruikt</h3>
		<p>
			Nadat een secret gebruikt is, is deze niet meer geldig
			en moet deze als gebruikt gemarkeerd worden.
			Deze actie kan niet ongedaan worden.
		</p>
		<br />
';
$dictionary['item_quick_help']='Click on \'Add\' to add basic information about a bank.
<br /><br />Then click on the name of the bank and <br />\'Add cancellist\' to add a list with secrets.
<br /><br /> Proceed similar to add secrets to the cancellist.';
?>
