<?php

require_once('framework/model/Item.php');

/**
 * A Banking item
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Thomas Sterren - December 2004
 * @package org.brim-project.plugins.banking
 * @subpackage model
 * @filesource
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
class Banking extends Item
{
	var $type = 'Banking';
	var $itemName = 'Banking';
	var $guid;
	var $login;
	var $url;
	var $contact_person;
	var $contact_phone;

	/**
	 * Full blown constructor with all parameters
	 */
	function Banking($theItemId,
					 $theOwner,
					 $theParentId,
					 $parent,
					 $theName,
					 $theDescription,
					 $theVisibility,
					 $theCategory,
					 $deleted,
					 $theCreation,
					 $theModified,
					 $theGUID,
					 $theLogin,
					 $theURL,
					 $theContactPerson,
					 $theContactPhone)
	{
		parent::Item($theItemId,
					 $theOwner,
					 $theParentId,
					 $parent,
					 $theName,
					 $theDescription,
					 $theVisibility,
					 $theCategory,
					 $deleted,
					 $theCreation,
					 $theModified);

		$this->type = "Banking";
		$this->itemName = 'Banking';

		$this->guid = $theGUID;
		$this->login = $theLogin;
		$this->url = $theURL;
		$this->contact_person = $theContactPerson;
		$this->contact_phone = $theContactPhone;
	}

	/**
	 * Checks whether the constructed item is a valid item (has all the
	 * required fields)
	 *
	 * @return boolean <code>true</code> if the item is valid, <code>false</code> otherwise
	 */
	function isValid()
	{
		if (isset($this->name) && trim($this->name) != "" &&
			isset($this->login) && trim($this->login) != "")
		{
			return true;
		}
		return false;
	}

	/**
	 * Returns whether this item is a parent. This item is
	 * never a parent.
	 *
	 * @return boolean <code>true</code> if this item is a parent,
	 * <code>false</code> otherwise
	 */
	function isParent()
	{
		return 0;
	}
}
?>