<?php
require_once ('framework/model/PreferenceServices.php');

/**
 * The Banking preferences.
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Thomas Sterren - October 2004
 * @package org.brim-project.plugins.banking
 * @subpackage model
 * @filesource
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
class BankingPreferences extends PreferenceServices
{
	var $OVERLIB = 'bankingOverlib';
	var $OPENURLINNEWWINDOW = 'bankingOpenURLinNewWindow';
	var $DISCLAIMER = 'bankingDisclaimer';

	function BankingPreferences()
	{
		parent::PreferenceServices();
	}

	function getAllPreferences($loginName)
	{
		$result = array();

		$result [$this->OVERLIB] =
			$this->getOverlib($loginName);
		$result[$this->OPENURLINNEWWINDOW] =
			$this->getOpenURLinNewWindow($loginName);

		return $result;
	}

	function getOverlib($loginName = null)
	{
		if (!isset($loginName))
		{
			$loginName = $this->getUserName();
		}

		$result = $this->getPreferenceValue($loginName, $this->OVERLIB);

		// Set default if not set
		if (!isset($result))
		{
			$result = '1';
		}
		return $result;

	}

	function getOpenURLinNewWindow($loginName = null)
	{
		if (!isset($loginName))
		{
			$loginName = $this->getUserName();
		}

		$result = $this->getPreferenceValue($loginName, $this->OPENURLINNEWWINDOW);

		// Set default if not set
		if (!isset($result))
		{
			$result = '1';
		}
		return $result;
	}
}
?>