<?php
require_once ('framework/model/Item.php');

/**
 * A Cancellist item
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Thomas Sterren - December 2004
 * @package org.brim-project.plugins.banking
 * @subpackage model
 * @filesource
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
class Cancellist extends Item
{
	var $type = 'Cancellist';
	var $itemName = 'Cancellist';
	var $bankId;
	var $guid;

	// Used to show how many secrets are
	// in the cancellist and how many are not used
	var $secretCount = 0;
	var $secretNotUsedCount = 0;

	function Cancellist($theItemId,
						$theOwner,
						$theParentId,
						$parent,
						$theName,
						$theDescription,
						$theVisibility,
						$theCategory,
					 	$deleted,
						$theCreation,
						$theModified,
						$theBankId,
						$theGUID)
	{
		parent::Item($theItemId,
					 $theOwner,
					 $theParentId,
					 $parent,
					 $theName,
					 $theDescription,
					 $theVisibility,
					 $theCategory,
					 $deleted,
					 $theCreation,
					 $theModified);

		$this->type = "Cancellist";
		$this->itemName = 'Cancellist';

		$this->bankId = $theBankId;
		$this->guid = $theGUID;
	}

	/**
	 * Checks whether the constructed item is a valid item (has all the
	 * required fields)
	 *
	 * @return boolean <code>true</code> if the item is valid, <code>false</code> otherwise
	 */
	function isValid()
	{
		if (isset($this->name) &&
			trim($this->name) != "")
		{
			return true;
		}
		return false;
	}

	/**
	 * Returns whether this item is a parent. This item is
	 * never a parent.
	 *
	 * @return boolean <code>true</code> if this item is a parent,
	 * <code>false</code> otherwise
	 */
	function isParent()
	{
		return 0;
	}
}
?>