<?php
require_once ('framework/model/Item.php');

/**
 * A Secret item
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Thomas Sterren - December 2004
 * @package org.brim-project.plugins.banking
 * @subpackage model
 * @filesource
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
class Secret extends Item
{
	var $type = 'Secret';
	var $itemName = 'Secret';
	var $cancellistId;
	var $guid;
	var $number;
	var $secret;
	var $when_used;

	function Secret($theItemId,
					$theOwner,
					$theParentId,
					$parent,
					$theName,
					$theDescription,
					$theVisibility,
					$theCategory,
					$deleted,
					$theCreation,
					$theModified,
					$theCancellistId,
					$theGUID,
					$theNumber,
					$theSecret,
					$theDateUsed)
	{
		parent::Item($theItemId,
					 $theOwner,
					 $theParentId,
					 $parent,
					 $theName,
					 $theDescription,
					 $theVisibility,
					 $theCategory,
					 $deleted,
					 $theCreation,
					 $theModified);

		$this->type = "Secret";
		$this->itemName = 'Secret';

		$this->cancellistId = $theCancellistId;
		$this->guid = $theGUID;
		$this->number = $theNumber;
		$this->secret = $theSecret;
		$this->when_used = $theDateUsed;
	}

	/**
	 * Checks whether the constructed item is a valid item (has all the
	 * required fields)
	 *
	 * @return boolean <code>true</code> if the item is valid, <code>false</code> otherwise
	 */
	function isValid()
	{
		if (isset($this->number) && trim($this->number) != "" &&
			isset($this->secret) && trim($this->secret) != "")
		{
			return true;
		}
		return false;
	}

	/**
	 * Returns whether this item is a parent. This item is
	 * never a parent.
	 *
	 * @return boolean <code>true</code> if this item is a parent,
	 * <code>false</code> otherwise
	 */
	function isParent()
	{
		return 0;
	}
}
?>