<?php
/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Thomas Sterren - October 2004
 * @package org.brim-project.plugins.banking
 * @subpackage view
 * @filesource
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */

include 'framework/view/globalFunctions.php';
include 'plugins/banking/view/globalFunctions.php';

$configuration['callback'] = 				'BankingController.php?bankId=' . $_GET['bankId'];
$configuration['showCancellistAction'] = 	'showCancellists';

function params ($action, $fieldValue)
{
	$result = '';
	if ($action == 'show')
	{
		$result .= 'editable="false" ';
	}
	if ($action == 'show' || $action == 'modify')
	{
		if (isset ($fieldValue) && $fieldValue != '')
		{
			$result .= 'value='.$fieldValue.' ';
		}
	}
	return $result;
}

	/*
	 * Show the ancestor path. Contributed by Michael.
	 * Extended by Thomas Sterren
	 */
	echo ancestorsToHtmlInBankings($parameters['ancestors'],
								   $configuration,
								   true);
?>
<h2>
	<?php echo $pageTitle; ?>
</h2>

<form method="POST" action="<?php echo $configuration['callback']; ?>">
<table border="0" cellspacing="0" cellpadding="2">

<?php
	if(!empty($parameters['errors']))
	{
		echo standardTableRowErrorMessages
			($dictionary, $parameters['errors'], $icons);
	}

	// sterry temp:
	// little work arround to display the right text
	$dictionaryName = $dictionary['name'];
	$dictionary['name'] = $dictionary['cancellistName'];

	echo standardTableRowInputExt('name',		// Name for the cancellist
								  $dictionary,
								  $viewAction,
								  $renderObjects);

	// Adjust the dictionary to the right state
	$dictionary['name'] = $dictionaryName;

	echo '<tr><td colspan="2">&nbsp;</td></tr>';

	echo standardTableRowTextarea('description',
								  $dictionary,
								  $viewAction,
								  $renderObjects);
?>

</table>
<?php
	if ($viewAction == 'modify')
	{
		echo modifyButtonAndTextExt($dictionary,
									$renderObjects,
									'modifyCancellistPost',
									'bankId');
	}
	else if ($viewAction == 'add')
	{
		echo addButtonAndTextExt($dictionary,
								 $_GET['bankId'],
								 'addCancellistPost',
								 'bankId');
	}
?>
</form>
<?php
	if ($viewAction == 'modify')
	{
		echo '<form method="POST" action="' . $configuration['callback'] . '" ';
		echo 'onsubmit="return confirmDelete()">';
		echo deleteButtonAndTextExt($dictionary,
									$renderObjects,
									'deleteCancellistPost',
									'bankId');
		echo '</form>';
	}
    echo '<form method="POST" action="'.$configuration['callback'].'">';
    echo cancelButtonAndTextExt ($dictionary,  $_GET['bankId'], 'cancelCancellist', 'bankId');
    echo '</form>';
?>