<?php
/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Thomas Sterren - October 2004
 * @package org.brim-project.plugins.banking
 * @subpackage view
 * @filesource
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */

include 'framework/view/globalFunctions.php';
include 'plugins/banking/view/globalFunctions.php';

$configuration['callback'] = 				'BankingController.php?cancellistId=' . $_GET['cancellistId'];
$configuration['showCancellistAction'] = 	'showCancellists';
$configuration['showSecretsAction'] = 		'showSecrets';

function params ($action, $fieldValue)
{
	$result = '';
	if ($action == 'show')
	{
		$result .= 'editable="false" ';
	}
	if ($action == 'show' || $action == 'modify')
	{
		if (isset ($fieldValue) && $fieldValue != '')
		{
			$result .= 'value='.$fieldValue.' ';
		}
	}
	return $result;
}
	/*
	 * Show the ancestor path. Contributed by Michael.
	 * Extended by Thomas Sterren
	 */
	echo ancestorsToHtmlInCultists($parameters['ancestors'],
								   $configuration,
								   true);
?>
<h2>
	<?php echo $pageTitle; ?>
</h2>

<form method="POST" action="<?php echo $configuration['callback'] ?>">
<table border="0" cellspacing="0" cellpadding="2">

<?php
	if(!empty($parameters['errors']))
	{
		echo standardTableRowErrorMessages
			($dictionary, $parameters['errors'], $icons);
	}
	echo standardTableRowInputExt('number',
								  $dictionary,
								  $viewAction,
								  $renderObjects);
	echo standardTableRowInputExt('secret',
								  $dictionary,
								  $viewAction,
								  $renderObjects);

	if ($viewAction == 'show' &&
		isset($renderObjects->when_used))
	{
		echo standardTableRowInputExt('when_used',
									  $dictionary,
									  $viewAction,
									  $renderObjects);
	}
?>

</table>
<?php
	if ($viewAction == 'modify')
	{
		echo modifyButtonAndTextExt($dictionary,
									$renderObjects,
									'modifySecretPost',
									'cancellistId');
	}
	else if ($viewAction == 'add')
	{
		echo addButtonAndTextExt($dictionary,
								 $_GET['cancellistId'],
								 'addSecretPost',
								 'cancellistId');
	}
?>
</form>
<?php
	if ($viewAction == 'modify')
	{
		echo '<form method="POST" action="' . $configuration['callback'] . '" ';
		echo 'onsubmit="return confirmDelete()">';
		echo deleteButtonAndTextExt($dictionary,
									$renderObjects,
									'deleteSecretPost',
									'cancellistId');
		echo '</form>';
	}
    echo '<form method="POST" action="'.$configuration['callback'].'">';
    echo cancelButtonAndTextExt ($dictionary,  $_GET['cancellistId'], 'cancelSecret', 'cancellistId');
    echo '</form>';
?>