<?php
/**
 * The template file to show the basic information about a e-banking account,
 * instantiates a proper tree-delegate and tree renderer
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Thomas Sterren - October 2004
 * @package org.brim-project.plugins.banking
 * @subpackage view
 * @filesource
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */

	include ('templates/'.$_SESSION['brimTemplate'].'/icons.inc');

	$configuration = array();

	/*
	 * Build up a proper configuration for the tree display.
	 */
	$configuration['icons']=$icons;
	$configuration['dictionary']=$dictionary;
	$configuration['callback']='BankingController.php';

	$configuration['openURLinNewWindow'] = $parameters['openURLinNewWindow'];
	if ($parameters['openURLinNewWindow'])
	{
		echo '<script language="JavaScript" ';
		echo 'src="plugins/banking/view/javascript/banking.js">';
		echo '</script>';
	}

	/*
	 * Check for conditional overlib
	 */
	if (isset ($_SESSION['bankingOverlib']))
	{
		$configuration ['overlib'] =$_SESSION['bankingOverlib'];
	}
	else
	{
		$configuration ['overlib'] = true;
	}

	/*
	 * Line based view
	 */
	include_once('framework/view/LineBasedTree.php');
	include_once('plugins/banking/view/BankingLineBasedTreeDelegate.php');

	$delegate = new BankingLineBasedTreeDelegate($configuration);
	$tree 	  = new LineBasedTree($delegate, $configuration);

	/*
	 * Now actually show the layout
	 */
	echo ($tree->toHtml($parent, $renderObjects));
?>