<?php
/**
 * The template file to show bookmarks, instantiates a proper
 * tree-delegate and tree renderer
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta
 * @package org.brim-project.plugins.bookmarks
 * @subpackage view
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */

//
// Show the ancestor path. Contributed by Michael
//
if(isset($parameters['ancestors']) && $parentId != 0)
{
	echo ('<!-- Ancestors -->');
	echo ('<table><tr>');
	//
	// The root link
	//
	echo ('<td><a href="?plugin=bookmarks&parentId=0" class="ancestor">'.$dictionary['root'].'</a></td>');
	//
	// all ancestors other than root
	//
	foreach($parameters['ancestors'] as $ancestor)
	{
		echo ('<td>&nbsp;/&nbsp;');
		echo ('<a href="?plugin=bookmarks&parentId='.$ancestor->itemId.'" class="ancestor">');
		echo ($ancestor->name);
		echo ('</a>');
		echo ('</td>');
	}
	echo ('</tr></table>');
}
include ('templates/'.$_SESSION['brimTemplate'].'/icons.inc');
$configuration = array ();
//
// Build up a proper configuration for the tree display.
//
$configuration['icons']=$icons;
$configuration['dictionary']=$dictionary;
$configuration['callback']='index.php?plugin=bookmarks';
//
// Check for conditional overlib
//
if (isset ($_SESSION['bookmarkOverlib']))
{
	$configuration ['overlib'] =$_SESSION['bookmarkOverlib'];
}
else
{
	$configuration ['overlib'] = true;
}
//
// Check where the link should be opened (same window or new window)
//
if (isset ($_SESSION['bookmarkNewWindowTarget']))
{
	$configuration ['bookmarkNewWindowTarget'] =
		$_SESSION['bookmarkNewWindowTarget'];
}
if (false)
{
	include_once "framework/view/DojoTree.php";
	include_once "plugins/bookmarks/view/DojoExplorerTreeDelegate.php";
	$delegate = new DojoExplorerTreeDelegate ($configuration);
	$tree = new DojoTree ($delegate, $configuration);
	//
	// Hmm... aparently this line is needed at startup
	//
	//$tree -> setExpanded ('*');
}
//$_SESSION['bookmarkTree']='Javascript';
//
// Are we displaying a yahoo like tree?
//
else if (isset ($_SESSION['bookmarkTree']) &&
	$_SESSION['bookmarkTree'] == 'Yahoo')
{
	include_once "framework/view/YahooTree.php";
	include_once "plugins/bookmarks/view/BookmarkYahooTreeDelegate.php";
	//
	// Build up a proper configuration for the tree display,
	// this makes only sense for/ the yahoo-like tree
	//
	if (isset ($_SESSION['bookmarkYahooTreeColumnCount']))
	{
		$configuration ['numberOfColumns'] =
			$_SESSION['bookmarkYahooTreeColumnCount'];
	}
	else
	{
		$configuration ['numberOfColumns'] = 2;
	}
	$delegate = new BookmarkYahooTreeDelegate ($configuration);
	$tree = new YahooTree ($delegate, $configuration);
}
//
// Javascript based tree?
//
else if (isset ($_SESSION['bookmarkTree']) &&
	$_SESSION['bookmarkTree'] == 'Javascript')
{
		//die (print_r ($renderObjects));
	include_once "framework/view/JavascriptTree.php";
	include_once "plugins/bookmarks/view/JavascriptExplorerTreeDelegate.php";
	$delegate = new JavascriptExplorerTreeDelegate ($configuration);
	$tree = new JavascriptTree ($delegate, $configuration);
	//
	// Hmm... aparently this line is needed at startup
	//
	$tree -> setExpanded ('*');
}
//
//  If not, render using default
//
else
{
	include_once "framework/view/Tree.php";
	include_once "plugins/bookmarks/view/BookmarkExplorerTreeDelegate.php";
	$delegate = new BookmarkExplorerTreeDelegate ($configuration);
	$tree = new Tree ($delegate, $configuration);
	//
	// Do we show expanded items? (This is not a useful option
	// in the yahoo tree)
	//
	if (isset ($_SESSION['bookmarkExpand']))
	{
		$tree -> setExpanded ($_SESSION['bookmarkExpand']);
	}
}
//
// Now actually show the layout
//
echo ($tree -> toHtml ($parent, $renderObjects));
?>