<?php

require_once ('framework/util/StringUtils.php');
require_once ('framework/model/Item.php');

/**
 * A checkbook item
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta - April 2006
 * @package org.brim-project.plugins.checkbook
 * @subpackage model
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
class Checkbook extends Item
{

	var $amount;
	/*var $isExpense;*/
	var $participator;
	var $paymentDate;
	var $medium;
	var $paymentType;
	var $reference;
	var $transferId;

	/**
 	 * Full blown constructor
	 *
	 * @param integer theItemId the itemId
	 * @param string theOwner the owner
	 * @param integer theParentId the identifier of the parent
	 * @param boolean parent is this a parent yes or no?
	 * @param string theName the name of this item
	 * @param string theDescription the decription
	 * @param string theVisibility private or public
	 * @param string theCategory the category
	 * @param boolean deleted is this item marked as deleted?
	 * @param string theCreation when was this item created?
	 * @param string theModified when was this item last modified?
	 */
	function Checkbook ($theItemId, $theOwner, $theParentId, $parent,
		$theName, $theDescription,
		$theVisibility, $theCategory, $deleted, 
		$theCreation, $theModified, $theTransferId,
		$theAmount, $theParticipator, $thePaymentDate,
		$theMedium, $theType, $theReference
	)
	{
		parent :: Item ($theItemId, $theOwner, $theParentId, $parent,
				$theName, $theDescription, $theVisibility,
				$theCategory, $deleted, $theCreation, $theModified);
		$this->transferId = $theTransferId;	
		$this->amount = $theAmount;
		/*$this->isExpense = $expense;*/
		$this->participator = $theParticipator;
		$this->paymentDate = $thePaymentDate;
		$this->medium = $theMedium;
		$this->paymentType = $theType;
		$this->reference = $theReference;
		$this->type="Checkbook";
	}

	function isValid ()
	{
		//return parent::isValid ();
		return true;
	}
}
?>
