<?php

require_once 'framework/util/StringUtils.php';
include 'framework/view/globalFunctions.php';

/**
 * The template file that draws the layout to add income/expenses
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta - April 2006
 * @package org.brim-project.plugins.checkbook
 * @subpackage view
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */

$stringUtils = new StringUtils ();
$transferId = 0;
if (isset ($renderObjects->transferId))
{
		$transferId = $renderObjects->transferId;
}

?>
<script language="JavaScript">
<!--
	function toggleSign ()
	{
			//var minus = aNumber.indexOf ('-');
			var result = 0;
			var amount = 0;
			var aNumber = document.forms[0].amount.value;
			var expenseChecked =
				document.forms[0].isExpense.item(1).checked;
			if (expenseChecked)
			{
				// Expense - negative amount
				if (aNumber.indexOf ('+') >= 0)
				{
					amount = aNumber.split ('+');
					result = '-'+amount[1];
				}
				else
				{
					if (aNumber.indexOf ('-') >= 0)
					{
						// If we have manually set the amount to
						// negative (-) and click on expense afterwards
						// do not toggle sign in that case
						result = aNumber;
					}
					else
					{
						result = '-'+aNumber;
					}
				}
			}
			else
			{
				// Income - positive amount
				if (aNumber.indexOf ('-') >= 0)
				{
					amount = aNumber.split ('-');
					result = '+'+amount[1];
				}
				else
				{
					if (aNumber.indexOf ('+') >= 0)
					{
						// If we have manually set the amount to
						// positive (+) and click on income afterwards
						// do not toggle sign in that case
						result = aNumber;
					}
					else
					{
						result = '+'+aNumber;
					}
				}
			}
			document.forms[0].amount.value = result;
	}
        var itemFormParameters = Array ('itemParameters');
        /**
         * Function call when either item or folder is selected.
         * Based on the selection, a number of form items will be displayed
         * or hidden
         * @see array itemFormParameters
         */
        function itemSelected (isFolder)
        {
            var display = isFolder?'':'none';
            for (i=0; i<itemFormParameters.length; i++)
            {
                document.getElementById (itemFormParameters[i]).style.display=display;
            }
            return false;
        }

// -->
</script>

<h2>
	<?php echo $pageTitle ?>
</h2>

<?php
	//
	// Show the ancestor path. Contributed by Michael
	///
	/*
	if(isset($parameters['ancestors']))
	{
		echo ('<!-- Ancestors -->');
		echo ('<table><tr>');

		// The root link
		echo ('<td><a href="index.php?plugin=checkbook&parentId=0" class="ancestor">'.$dictionary['root'].'</a></td>');

		if (is_array ($parameters['ancestors']))
		{
			// all ancestors other than root
			foreach($parameters['ancestors'] as $ancestor)
			{
				echo ('<td>&nbsp;/&nbsp;');
				echo ('<a href="index.php?plugin=checkbook&parentId='.$ancestor->itemId.'" class="ancestor">');
				echo ($ancestor->name);
				echo ('</a>');
				echo ('</td>');
			}
		}
		echo ('</tr></table>');
	}
	*/
	if (isset ($parameters ['ancestors']))
	{
		echo ancestorPath ($parameters ['ancestors'], 'checkbook', $dictionary);
	}
?>
<form method="POST" action="index.php">
<input type="hidden" name="plugin" value="checkbook" />
<table>
<?php
	if ($transferId > 0)
	{
		// Notify if we are modifying a transfer item
		$parameters['errors'][] = 'modifyTransfer';
	}
	if(!empty($parameters['errors']))
	{
		echo standardTableRowErrorMessages
			($dictionary, $parameters['errors'], $icons);
	}

	echo standardTableRowInput ('name',
		$dictionary, $viewAction, $renderObjects);
	if ($viewAction == 'add')
    {
?>
    <tr>
        <td class="inputParamName">&nbsp;</td>
        <td class="inputParamValue">
            <?php echo $dictionary['folder']; ?>:&nbsp;<input
                type="radio" class="radio" name="isParent" value="1"
                onClick="javascript:itemSelected(false); "
                />
            <br />
            <?php echo $dictionary['checkbook'] ?>:&nbsp;<input
                type="radio" class="radio" name="isParent" value="0"
                onClick="javascript:itemSelected(true); "
                checked="checked"  />
        </td>
    </tr>
<?php
    }

?>
</table>
<div id="itemParameters">
<table>
<?php
	if (!isset ($renderObjects) || !$renderObjects->isParent())
    {
	echo standardTableRowPublicPrivateRadios
		($dictionary, $viewAction, $renderObjects);
	echo standardTableRowInput  ('amount',
		$dictionary, $viewAction, $renderObjects);

	echo '<tr><td>'.$dictionary['type'].'</td>';
	//
	// Second field contains the names and values
	//
	echo '<td>';
        echo $dictionary['income'].':&nbsp;';
	echo '<input type="radio" class="radio" ';
	echo 'name="isExpense" value="0" ';
	echo 'onClick="javascript:toggleSign()" ';
	if (isset ($item->amount) && $item->amount > 0)
	{
		echo 'checked="checked" ';
	}
	echo '/>';
	echo '<br />';
	echo $dictionary['expense'].':&nbsp;';
	echo '<input type="radio" class="radio" ';
	echo 'name="isExpense" value="1" ';
	echo 'onClick="javascript:toggleSign()" ';
	if (isset ($item->amount) && $item->amount <= 0)
	{
		echo 'checked="checked" ';
	}
	echo '/>';
	echo '</td>';
	echo '</tr>';


	echo '<tr>';
	echo '<td>';
	echo $dictionary['date'].':';
	echo '</td>';
	echo '<td>';
	if ($viewAction == 'modify')
	{
		$theDate = $renderObjects->paymentDate;
	}
	else
	{
		$theDate = date ('Y-m-d');
	}
	if ($viewAction == 'add' || $viewAction == 'modify')
	{
		echo '<select name="paymentDateMonth">';
		echo monthOptionBox ($dictionary,
		$dateUtils->getMonthFromDate ($theDate));
		echo '</select>';
		echo '<select name="paymentDateDay">';
		echo dayOptionBox ($dictionary,
			$dateUtils->getDayInMonthFromDate ($theDate));
		echo '</select>';
		echo '<select name="paymentDateYear">';
		echo yearOptionBox ($dateUtils->getYearFromDate ($theDate), 10, 10);
		echo '</select>';
	}
	else
	{
		echo (date ('Y-m-d H:i', strtotime ($theDate)));
	}
	echo '</td>';
	echo '</tr>';
	echo rowInput ('participator', $dictionary,
		(isset ($renderObjects) && isset ($renderObjects->participator))?
			$renderObjects->participator:null, $viewAction);
	echo rowInput ('paymentType', $dictionary,
		(isset ($renderObjects) && isset ($renderObjects->paymentType))?
			$renderObjects->paymentType:null, $viewAction);
	echo rowInput ('reference', $dictionary,
		(isset ($renderObjects) && isset ($renderObjects->reference))?
			$renderObjects->reference:null, $viewAction);
	echo rowTextArea ('description', $dictionary,
		(isset ($renderObjects) && isset ($renderObjects->description))?
			$renderObjects->description:null, $viewAction);
	}
?>
</table>
</div>

<?php
	echo '<input type="hidden" value="'.$transferId.'" ';
	echo 'name="transferId" />';
	if ($viewAction == 'modify')
	{
		echo modifyButtonAndText ($dictionary, $renderObjects);
	}
	else if ($viewAction == 'add')
	{
		//echo addButtonAndText ($dictionary, $parentId);
?>
                <input type="hidden"
                name="action"
                id="action"
                        value="addItemPost"
                />
                <input type="submit"
                        class="button"
                        name="submit"
                        value="<?php echo $dictionary['add'] ?>"
                />
                <input type="submit"
                        id="addAndAddAnother"
                        name="addAndAddAnother"
                        class="button"
                        onclick="javascript:document.getElementById('action').value='addAndAddAnother';document.forms[0].submit()"
                        value="<?php echo $dictionary['addAndAddAnother'] ?>"
                />
<?php
	}
?>
</form>

<?php
	if ($viewAction == 'modify')
	{
		echo '<form method="POST" action="index.php"> ';
		echo '<input type="hidden" name="plugin" value="checkbook" />';
		echo moveButtonAndText ($dictionary, $renderObjects);
		echo '</form>';

		echo '<form method="POST" action="index.php" ';
		if ($renderObjects->transferId > 0)
		{
			echo 'onsubmit="return confirm (\'';
			echo $dictionary['confirmDeleteTransfer'];
			echo '\'); "  ';
		}
		else
		{
			echo 'onsubmit="return confirmDelete()" ';
		}
		echo '/>';
		echo '<input type="hidden" name="plugin" value="checkbook" />';
		echo deleteButtonAndText ( $dictionary, $renderObjects);
		echo '</form>';
	}
	echo cancelButton ($dictionary, 'checkbook', $parentId);
	if ($viewAction == 'add' || $viewAction == 'modify')
	{
		echo spellButtonAndText ($dictionary);
	}
    if ($viewAction == 'add' || 'viewAction' == 'modify')
    {
        echo focusOnField ('name');
    }
?>
