<?php
/**
 * The template file to show checkbook entries
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta - April 2006
 * @package org.brim-project.plugins.checkbook
 * @subpackage view
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
?>
<?php
	/*
	 * Show the ancestor path. Contributed by Michael
	 */
	if(isset($parameters['ancestors']) && $parentId != 0)
	{
		echo ('<!-- Ancestors -->');
		echo ('<table><tr>');

		// The root link
		echo ('<td><a href="?plugin=checkbook&parentId=0" class="ancestor">'.$dictionary['root'].'</a></td>');

		// all ancestors other than root
		foreach($parameters['ancestors'] as $ancestor)
		{
			echo ('<td>&nbsp;/&nbsp;');
			echo ('<a href="?plugin=checkbook&parentId='.$ancestor->itemId.'" class="ancestor">');
			echo ($ancestor->name);
			echo ('</a>');
			echo ('</td>');
		}
		echo ('</tr></table>');
	}

	include ('templates/'.$_SESSION['brimTemplate'].'/icons.inc');
	$configuration = array ();
	/*
	 * Build up a proper configuration for the tree display.
	 */
	$configuration['icons']=$icons;
	$configuration['dictionary']=$dictionary;
	$configuration['callback']='index.php?plugin=checkbook';

	/*
	 * Check for conditional overlib
	 */
	if (isset ($_SESSION['checkbookOverlib']))
	{
		$configuration ['overlib'] =$_SESSION['checkbookOverlib'];
	}
	else
	{
		$configuration ['overlib'] = true;
	}

	/*
	 * Create the Tree
	 */
	include_once "framework/view/LineBasedTree.php";
	include_once "plugins/checkbook/view/CheckbookLineBasedTreeDelegate.php";
	$delegate = new CheckbookLineBasedTreeDelegate ($configuration);
	$tree = new LineBasedTree ($delegate, $configuration);

	/*
	 * Now actually show the layout
	 */
	echo ($tree -> toHtml ($parent, $renderObjects));

	/*
	$balance = 0;
	if (isset ($renderObjects))
	{
		foreach ($renderObjects as $item)
		{
			$balance = $balance + $item->amount;
		}
	}
	echo '<h3>'.$dictionary['balance'].': '.$balance.'</h3>';
	//echo '<h3>'.$dictionary['totalBalance'].': '.$totalAmount.'</h3>';
	*/
?>