<?php

require_once 'framework/util/StringUtils.php';
include 'framework/view/globalFunctions.php';

/**
 * The template file that draws the layout to add income/expenses
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta - April 2006
 * @package org.brim-project.plugins.checkbook
 * @subpackage view
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */

$stringUtils = new StringUtils ();

function transferButtonAndText ($dictionary, $item)
{
	$result = '';
	$result .= '<input type="hidden"
    			name="parentId"
	    		value="'.$_GET['parentId'].'" />';
	$result .= '<input type="hidden"
    			name="action"
	    		value="transfer" />';
	$result .= '<input type="submit"
			class="button"
			name="submit"
			value="'.$dictionary['transfer'].'" />';
	return $result;
}

?>
<h2>
	<?php echo $pageTitle ?>
</h2>

<form method="POST" action="index.php">
<input type="hidden" name="plugin" value="checkbook" />
<table>
<?php
	echo standardTableRowInput ('name',
		$dictionary, $viewAction, $renderObjects);
	echo standardTableRowPublicPrivateRadios
		($dictionary, $viewAction, $renderObjects);
	echo standardTableRowInput  ('amount',
		$dictionary, $viewAction, $renderObjects);

	echo '<tr>';
	echo '<td>';
	echo $dictionary['date'].':';
	echo '</td>';
	echo '<td>';

	$theDate = date ('Y-m-d');
	echo '<select name="paymentDateMonth">';
	echo monthOptionBox ($dictionary,
	$dateUtils->getMonthFromDate ($theDate));
	echo '</select>';
	echo '<select name="paymentDateDay">';
	echo dayOptionBox ($dictionary,
		$dateUtils->getDayInMonthFromDate ($theDate));
	echo '</select>';
	echo '<select name="paymentDateYear">';
	echo yearOptionBox ($dateUtils->getYearFromDate ($theDate), 10, 10);
	echo '</select>';
	echo '</td>';
	echo '</tr>';
	echo standardTableRowInput  ('participator',
		$dictionary, $viewAction, $renderObjects);
	echo standardTableRowInput  ('paymentType',
		$dictionary, $viewAction, $renderObjects);
	echo standardTableRowInput  ('reference',
		$dictionary, $viewAction, $renderObjects);
	echo standardTableRowTextarea ('description',
		$dictionary, $viewAction, $renderObjects);

?>
</table>
<?php echo transferButtonAndText ($dictionary, $renderObjects);?>
</form>

<?php
	echo '<form method="POST" action="CheckbookController.php">';
	echo '<input type="hidden"  name="plugin" value="checkbook" />';
	echo cancelButtonAndText ($dictionary, $parentId);
	echo '</form>';

	echo spellButtonAndText ($dictionary);
?>