<?php
/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Mortiz Julen - March 2006
 * @package org.brim-project.plugins.collections
 * @subpackage view
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
if (!isset ($dictionary))
{
	$dictionary=array();
}
$dictionary['charset']='iso-8859-1';

$dictionary['album']                 = 'Album';
$dictionary['artist']                = 'Artist';
$dictionary['basicEntry']            = 'basic entry';
$dictionary['created']     			 = 'Created';
$dictionary['createPlaylist']		 = 'Create Playlist';
$dictionary['entry']    			 = 'Collections Entry';
$dictionary['entryName']             = 'Collection';
$dictionary['fulltext']              = 'Full Text';
$dictionary['genre']                 = 'Genre';
$dictionary['isoEntry']              = 'iso details';
$dictionary['item_title']			 = 'Collections';
$dictionary['localPath']			 = 'only local path from the webserver supported in this version';
$dictionary['modifyCollectionsPreferences']='Modify Collections preferences';
$dictionary['mp3Entry']              = 'mp3 details';
$dictionary['name']					 = 'Name';
$dictionary['path']     			 = 'Path';
$dictionary['pathNotFound']			 = 'Path is not valid or does not exist';
$dictionary['pathPreference']		 = 'please set preferences "WEB server temporary Path" and
											"WEB server temporary directory Alias" !!!';
$dictionary['play']              	 = 'Play';
$dictionary['playtime']              = 'Playtime';
$dictionary['publisher']			 = 'Publisher';
$dictionary['readTree']              = 'collect tree';
$dictionary['size']     			 = 'Size';
$dictionary['song']     			 = 'Song';
$dictionary['system']			 	 = 'System';
$dictionary['thumbnailTree']		 = 'Thumbnail structure';
$dictionary['track']                 = 'Track';
$dictionary['truncate_size']         = 'text display length';
$dictionary['uncompressed_size']	 = 'uncompressed Size';
$dictionary['volume']				 = 'Volume';
$dictionary['volume_set']			 = 'Volume Set';
$dictionary['when_created']			 = 'creation Date';
$dictionary['when_modified']		 = 'modification Date';
$dictionary['when_used']			 = 'Date Used';
$dictionary['zipEntry']              = 'zip details';
$dictionary['zipfiles_count']		 = 'no of files';

$dictionary['item_quick_help']='
<p>
    Click on the Folder/Item icon in front <br />
    of the line to move/delete/edit an entry. <br />
    <br />
    To move an entry to another folder or Root, <br />
    click on Edit => Move => click on the <br />
    folder you want to move the link to. <br />
    <br />
    <small>Automatic generated entries cannot <br />
    be modified!</small>
</p>';
$dictionary['item_help']='
	<p>
		The collections plugin allows you to manage your
		hand added and automatic generated collections
		(or other tree sturctures) online.>br>
		The plugin allows you to show the file from an entry
		with a vaild path in your browser.
	</p>
    <p>
    	Click on the Folder/Item icon in front of
    	the line to move/delete/edit a link.
    </p>
    <p>
    	To move a link to another folder or Root,
    	click on Edit => Move => click on the folder
    	you want to move the link to.
    </p>
    <p>
		The following parameters of a collections can be set:
	</p>
	<ul>
		<li><em>Name</em>:
			The name of the collection entry or the folder.
		</li>
		<li><em>Folder/Entry</em>:
			Indicator whether the item to add is a folder or a collection entry.
		   	Note that once this option is set, it cannot be changed anymore.
		</li>
		<li><em>Public/private</em>:
			Indicator whether this item is public or for your eyes only.
			<br />
			Note that if you want a specific item to be public,
			its parents need to be public as well!!!
			(The root of the structure is public by default)
		</li>
		<li><em>Description</em>:
			The description for this folder or collection entry
		</li>
	</ul>
	<p>
		The submenus that are available for the collections plugin
		are Actions, View, Preferences and Help.
	</p>
	<h3>Actions</h3>
	<ul>
		<li><em>Add</em>:
			This action presents the user with an input form
			in which the collections parameters can be entered.<br />
            When you fill in a valid path, the specified directory will be scanned
            and the tree structure with additional information (for mp3, zip, iso) will be stored
            in the database automatically.
            Otherwise you can enter the genre and artist for a basic manual entry.<br />
            Attention: for this version the entered path must be a local address of the webserver.
            Hopefully next version will be better :-)
		</li>
		<li><em>Search</em>:
			This action allows to user to search for folders or collection entries.
            It is a full text search on all text fields.
		</li>
        <li>
            <em>Multiple select</em>: This action allows the user to select multiple collection entries
            at the same time (folders are NOT selectable using this option) and either delete them
            all at once or move them all to a specific folder.
        </li>
	</ul>
	<h3>View</h3>
	<ul>
		<li><em>Expand</em>:
			This action tells the system to open all
			folders and show all items available. This is only
			applicable for the Tree structure view.
		</li>
		<li><em>Collapse</em>:
			This action tell the system to show only the items (either
			folders or items) of the current selected folder.
		</li>
		<li><em>Directory structure</em>:
			This action tells the system to switch to the directory
			structure overview. This view shows the collection entries in a way
			that is similar to the way Yahoo! shows its directory
			structure.
			<br />
			The number of columns can for this view can be set in the
			collection specific preferences.
		</li>
		<li><em>Tree structure</em>:
			This action tells the system to switch to an overview
			that is similar to the way Explorer and many other
			file managers show the layout of a filesystem.
		</li>
        <li><em>Line based</em>:
			This tells the system to show a layout which contains details
            of the collection entries per line.
		</li>
		<li><em>See shared</em>:
			Display all public collection entries of all users mixed with your
			collection entries (regardless whether they are public or private).
		</li>
		<li><em>See owned</em>:
			Show only your collection entries (as opposed to "see shared")
		</li>
	</ul>
	<h3>Preferences</h3>
	<ul>
		<li><em>Modify</em>:
			Modifies your collection specific preferences. You can modify
			the column count for collection entries when the are displayed in the
			directory overview structure, you can modify whether you
			wish javascript popups when you hover over the links
			and you can modify what the default view for CDCollection should
			be (either directory or tree based).<br />
			The option text display length allow you to adjust the text
			length to your display.<br />
			You can choose the file is displayed: new browser window or same window.
		</li>
	</ul>
';
?>
