<?php
/**
 * This file is part of the Brim project.
 * The brim project is located at the following
 * location: {@link http://www.brim-project.org http://www.brim-project.org}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Thibaut Cousin
 * @package org.brim-project.plugins.collections
 * @subpackage i18n
 *
 * @copyright Brim - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
if (!isset ($dictionary))
{
	$dictionary = array ();
}
$dictionary['album']='Album';
$dictionary['artist']='Artiste';
$dictionary['basicEntry']='Entr&#233;e de base';
$dictionary['charset']='iso-8859-1';
$dictionary['createPlaylist']='Cr&#233;er une liste de lecture';
$dictionary['created']='Cr&#233;&#233;e';
$dictionary['entry']='Entr&#233;e de collection';
$dictionary['entryName']='Collection';
$dictionary['fulltext']='Texte';
$dictionary['genre']='Genre';
$dictionary['isoEntry']='D&#233;tails ISO';
$dictionary['item_help']='    <p>Le module externe "Collections" vous permet de g&#233;rer des collections, saisies manuellement ou automatiquement (ou toute autre structure arborescente) en ligne.
    <br />
    Vous pouvez aussi affichier des fichiers dans votre navigateur, &#224; partir de leur emplacement.
        </p>
    <p>Cliquez sur l\'ic&#244;ne de dossier ou d\'&#233;l&#233;ment se trouvant en d&#233;but de ligne pour d&#233;placer, supprimer ou modifier un &#233;l&#233;ment.
    </p>
    <p>Pour d&#233;placer un signet, cliquez sur "Modifier", puis "D&#233;placer", puis cliquez sur le dossier o&#249; vous voulez placer l\'&#233;l&#233;ment.
    </p>
    <p>Vous pouvez jouer sur les param&#232;tres suivants&nbsp;:
        </p>
        <ul>
                <li><em>Nom</em>&nbsp;: le nom de l\'entr&#233;e de collection ou du dossier.
                </li>
                <li><em>Dossier ou entr&#233;e</em>&nbsp;: indique si l\'&#233;l&#233;ment &#224; cr&#233;er est un dossier ou une entr&#233;e de collection. Ce choix, pour un &#233;l&#233;ment donn&#233;, est irr&#233;vocable.
                </li>
                <li><em>Public ou priv&#233;</em>&nbsp;: indique si l\'&#233;l&#233;ment est public ou non.
                <br />
                Si vous voulez qu\'un &#233;l&#233;ment soit public, il faut que son &#233;l&#233;ment parent soit public aussi ! La racine de l\'arborescence est publique par d&#233;faut.
                </li>
                <li><em>Description</em>&nbsp;: une &#233;ventuelle description de l\'entr&#233;e ou du dossier.
                </li>
        </ul>
        <p>Les sous-menus disponibles pour le module externe Collections sont "Action", "Vue", "Tri", "Pr&#233;f&#233;rences" et "Aide".
        </p>
        <h3>Actions</h3>
        <ul>
                <li><em>Ajouter</em>&nbsp;: cette action donne acc&#232;s &#224; un formulaire o&#249; vous pouvez saisir les informations n&#233;cessaires &#224; la cr&#233;ation d\'une nouvelle collection.
                <br />
                Si vous saisissez un chemin valable, le dossier indiqu&#233; sera anays&#233; et sa structure m&#233;moris&#233;e dans la base de donn&#233;es (avec des informations suppl&#233;mentaires pour les fichiers comme les mp3, les archives Zip, les images ISO, etc). Sinon, vous pouvez saisir manuellement le genre et l\'artiste.
                <br />
                Attention&nbsp;: dans cette version de Brim, le chemin saisi doit &#234;tre local pour le serveur web. Nous nous efforcerons de lever cette contrainte dans une prochaine version. :-)
                </li>
                <li><em>Chercher</em>&nbsp;: cette permet d\'effectuer des recherches dans tous les textes de tous les dossiers et de toutes les entr&#233;es des collections.
                </li>
        <li><em>S&#233;lection multiple</em>&nbsp;: cette action permet de s&#233;lectionner plusieurs entr&#233;es de collection (mais pas des dossiers) en m&#234;me temps, soit pour les supprimer toutes ensemble, soit pour les d&#233;placer toutess ensemble dans un m&#234;me dossier.
        </li>
        </ul>
        <h3>Vue</h3>
        <ul>
                <li><em>D&#233;velopper</em>&nbsp;: cette action entra&#238;ne le d&#233;ploiement complet de l\'arborescence. Elle n\'est applicable que pour la vue en arborescence.
                </li>
                <li><em>R&#233;duire</em>&nbsp;: suivant cette action, le syst&#232;me ne montre plus que les &#233;l&#233;ments (dossiers et entr&#233;es de collection) contenus dans le dossier courant.
                </li>
                <li><em>Vue en dossiers</em>&nbsp;: cette action entra&#238;ne l\'affichage des entr&#233;es avec une vue en dossiers. Cette vue est inspir&#233;e de la mani&#232;re utilis&#233;e par Yahoo! pour montrer une structure.
                <br />
                Le nombre de colonnes pour cette vue peut &#234;tre d&#233;fini dans les pr&#233;f&#233;rences du module externe Collections.
                </li>
                <li><em>Vue en arborescence</em>&nbsp;: cette action entra&#238;ne l\'affichage des entr&#233;es de collection avec une vue en arborescence, sur le mod&#232;le de nombreux navigateurs et gestionnaires de fichiers.
                </li>
        <li><em>Vue en lignes</em>&nbsp;: cette action entra&#238;ne l\'affichage des entr&#233;es en ligne, incluant des d&#233;tails sur chaque entr&#233;e.
                </li>
                <li><em>Afficher toutes les entr&#233;es publiques</em>&nbsp;: affiche toutes les entr&#233;es publiques de tous les utilisateurs en plus de vos propres entrées.
                </li>
                <li><em>Afficher vos entr&#233;es</em>&nbsp;: n\'affiche que vos entr&#233;es de collection, par opposition avec l\'action "Afficher toutes les entr&#233;es publiques".
                </li>
        </ul>
        <h3>Pr&#233;f&#233;rences</h3>
        <ul>
                <li><em>Modifier</em>&nbsp;: permet d\'acc&#233;der aux pr&#233;f&#233;rences du module externe Collections. Vous pouvez y modifier le nombre de colonnes pour la vue en dossiers, l\'utilisation de popups Javascript au survol des entr&#233;es de collection, et y d&#233;finir la vue par d&#233;faut (en dossiers ou en arborescence).
                <br />
                Le param&#232;tre "Longueur maximale affich&#233;e" contr&#244;le la longueur maximale de texte affichable &#224; l\'&#233;cran.
                <br />
                Vous pouvez aussi choisir o&#249; s\'ouvrent les fichiers&nbsp;: dans une nouvelle fen&#234;tre de votre navigateur ou dans la fen&#234;tre courante.
                </li>
        </ul>';
$dictionary['item_quick_help']='<p>Cliquez sur l\'ic&#244;ne de dossier ou d\'&#233;l&#233;ment<br />
se trouvant en d&#233;but de ligne pour d&#233;placer,<br />
supprimer ou modifier un &#233;l&#233;ment.<br />
<br />
Pour d&#233;placer un signet, cliquez sur<br />
"Modifier", puis "D&#233;placer", puis cliquez<br />
sur le dossier o&#249; vous voulez placer<br /> l\'&#233;l&#233;ment.
<br />
<small>Les entr&#233;es g&#233;n&#233;r&#233;es automatiquement<br />
ne peuvent pas &#234;tre modifi&#233;es&nbsp;!</small>
</p>';
$dictionary['item_title']='Collections';
$dictionary['localPath']='Le chemin saisi doit &#234;tre local pour le serveur web';
$dictionary['modifyCollectionsPreferences']='Modifier les pr&#233;f&#233;rences du module Collections';
$dictionary['mp3Entry']='D&#233;tails mp3';
$dictionary['name']='Nom';
$dictionary['path']='Chemin';
$dictionary['pathNotFound']='Le chemin n\'est pas valable ou n\'existe pas';
$dictionary['pathPreference']='Veuillez d&#233;finir les param&#232;tres "Chemin temporaire du serveur web" et "Alias du dossier temporaire du serveur web"';
$dictionary['play']='Jouer';
$dictionary['playtime']='Temps de lecture';
$dictionary['publisher']='&#201;diteur';
$dictionary['readTree']='Arborescence de collection';
$dictionary['size']='Taille';
$dictionary['song']='Morceau';
$dictionary['system']='Syst&#232;me';
$dictionary['thumbnailTree']='Structure en vignettes';
$dictionary['track']='Piste';
$dictionary['truncate_size']='Longueur maximale affich&#233;e';
$dictionary['uncompressed_size']='Taille non compact&#233;e';
$dictionary['volume']='Volume';
$dictionary['when_created']='Date de cr&#233;ation';
$dictionary['when_modified']='Date de modification';
$dictionary['when_used']='Date d\'utilisation';
$dictionary['zipEntry']='D&#233;tails Zip';
$dictionary['zipfiles_count']='Nombre de fichiers';

?>
