<?php
require_once ('framework/model/Item.php');
require_once ('plugins/collections/util/getid3/getid3/getid3.lib.php');

/**
 * A collection detail item
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Moritz Julen - April 2006
 * @package org.brim-project.plugins.collections
 * @subpackage model
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
class CollectionDetailItem extends Item
{
        var $field1;
        var $field2;
        var $field3;
        var $field4;
        var $field5;
        var $field6;

        /**
         * Full blown constructor with all parameters
         */
        function CollectionDetailItem($theItemId,
                                         $theOwner,
                                         $theParentId,
                                         $parent,
                                         $theName,
                                         $theDescription,
                                         $theVisibility,
                                         $theCategory,
                                         $deleted,
                                         $theCreation,
                                         $theModified,
                                         $theField1,
                                         $theField2,
                                         $theField3,
                                         $theField4,
                                         $theField5,
                                         $theField6)
        {
                parent::Item($theItemId,
                                         $theOwner,
                                         $theParentId,
                                         $parent,
                                         $theName,
                                         $theDescription,
                                         $theVisibility,
                                         $theCategory,
                                         $deleted,
                                         $theCreation,
                                         $theModified);

                $this->field1 = $theField1;
                $this->field2 = $theField2;
                $this->field3 = $theField3;
                $this->field4 = $theField4;
                $this->field5 = $theField5;
                $this->field6 = $theField6;
                $this->type = "CollectionDetaiItem";
        }

        function getPlayTime()
        {
            // use library class
            $util = new getid3_lib;
            return $util->PlaytimeString($this->field5);
        }

        // convert size from bytes into text xkB, xMB
	    function ConvSizeText($size)
	    {
	        $extension = array('B', 'kB', 'MB', 'GB', 'TB');
	        $i = 0;
	        while (1000 <= $size && $i < count($extension))
	        {
	            $size /= 1024;
	            $i++;
	        }
	        $size = round($size, 2);
	        return $size.$extension[$i];
	    }
}
?>