<?php

require_once 'framework/Installer.php';

/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Moritz Julen - April 2006
 * @package org.brim-project.plugins.collections
 * @subpackage model
 * @filesource
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
class CollectionDetailItemInstaller extends Installer
{
	function CollectionDetailItemInstaller($engine, $db)
	{
		$this->tableName = 'brim_collections_detail';
		parent::Installer($engine, $db);
	}

	function install()
	{
		if (!$this->findTable ())
		{
			$dbFile = 'plugins/collections/sql/create.';
			$dbFile .= $this->engine;
			$dbFile .= '.brim_collections_detail.sql';
			$this->createTable($dbFile);
			$this->createStandardIndex();
		}
		else
		{
			if (!$this->isTableUpToDate ())
			{
				die ('Table '.$this->tableName.' found but does not appear to be up-to-date and no upgrade procedure is found!');
			}
		}
	}


	function isTableUpToDate()
	{
		if (!$this->findTable ())
		{
			return false;
		}
		$columnNames =
			$this->db->MetaColumnNames($this->tableName, true);

		$this->tableUpToDate =
			(count($columnNames) == 17 &&
			$columnNames[ 0] == 'item_id' &&
			$columnNames[ 1] == 'owner' &&
			$columnNames[ 2] == 'parent_id' &&
			$columnNames[ 3] == 'is_parent' &&
			$columnNames[ 4] == 'name' &&
			$columnNames[ 5] == 'description' &&
			$columnNames[ 6] == 'visibility' &&
			$columnNames[ 7] == 'category' &&
			$columnNames[ 8] == 'is_deleted' &&
			$columnNames[ 9] == 'when_created' &&
			$columnNames[10] == 'when_modified' &&

			$columnNames[11] == 'field1' &&
			$columnNames[12] == 'field2' &&
			$columnNames[13] == 'field3' &&
			$columnNames[14] == 'field4' &&
			$columnNames[15] == 'field5' &&
			$columnNames[16] == 'field6'
             	);

		return $this->tableUpToDate;
	}

}
?>