<?php
require_once ('framework/model/Item.php');
require_once ('plugins/collections/model/CollectionDetailItem.php');

/**
 * A collection item
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Moritz Julen - March 2006
 * @package org.brim-project.plugins.collections
 * @subpackage model
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
class CollectionItem extends Item
{
        var $size;
        var $path;
        var $isEntry;
        var $entryId;
        var $entryType;
        var $entryName;
        var $detailData;

        /**
         * Full blown constructor with all parameters
         */
        function CollectionItem($theItemId,
                                         $theOwner,
                                         $theParentId,
                                         $parent,
                                         $theName,
                                         $theDescription,
                                         $theVisibility,
                                         $theCategory,
                                         $deleted,
                                         $theCreation,
                                         $theModified,
                                         $theIsEntry,
                                         $theEntryId,
                                         $theEntryType,
                                         $theSize,
                                         $thePath)
        {
                parent::Item($theItemId,
                                         $theOwner,
                                         $theParentId,
                                         $parent,
                                         $theName,
                                         $theDescription,
                                         $theVisibility,
                                         $theCategory,
                                         $deleted,
                                         $theCreation,
                                         $theModified);

                $this->size = $theSize;
                $this->path = $thePath;
                $this->isEntry = $theIsEntry;
                $this->entryId = $theEntryId;
                $this->entryType = $theEntryType;
                $this->entryName = "";
                $this->detailData = NULL;
                $this->type = "CollectionItem";
        }


    // convert size from bytes into text xkB, xMB
    function ConvSizeText()
    {
        $size = $this->size;
        $extension = array('B', 'kB', 'MB', 'GB', 'TB');
        $i = 0;
        while (1000 <= $size && $i < count($extension))
        {
            $size /= 1024;
            $i++;
        }
        $size = round($size, 2);
        return $size.$extension[$i];
    }

    function SetEntryName($name)
    {
        $this->entryName = $name;
    }

    function AddDetail($items)
    {
        if (NULL != $items)
        {
            if (is_array($items))
            {
                $this->detailData = $items[0];
            }
            else
            {
                $this->detailData = $items;
            }
        }
    }
}
?>