<?php
require_once('framework/ItemController.php');
require_once('plugins/collections/model/CollectionsDetailServices.php');
require_once('plugins/collections/model/CollectionsDetailFactory.php');

/**
 * The Collections Detail Controller
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Moritz Julen - March 2006
 * @package org.brim-project.plugins.collections
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
class CollectionsDetailController extends ItemController
{

        /**
         * Constructor.
         * Makes sure that the appropriate operations are instantiated.
         * @param string renderEngineName the render engine that is used
         * (either Smarty or phpSavant)
         */
        function CollectionsDetailController()
        {
                parent::ItemController();

                $this->operations = new CollectionsDetailServices();
                $this->itemFactory = new CollectionsDetailFactory();


                $this->pluginName = 'collections';
                $this->title = 'Brim - Collections';
                $this->itemName = 'CollectionDetailItem';
        }


        /**
    	 * Search for items
    	 *
    	 * @protected
    	 * @modifed Michael Haussmann
    	 */
    	function searchItemAction ()
    	{
            $field[0] = $_POST['field1'];
            $field[1] = $_POST['field2'];
            if($this->navigationMode == 'public')
    	   {
    	    	$items = $this->operations->searchPublicItems
       					($this->getUserName (), $field, $_POST['value']);
    	   }
    	   else
    	   {
    			$items = $this->operations->searchItems
       					($this->getUserName (), $field, $_POST['value']);
    	   }

           // search entry names in the database
           $entriesName = $this->operations->getEntriesName();
           for ($i=0; $i<count($items); $i++)
           {
               // set the entry name for each item
               $items[$i]->entryName = $entriesName[$items[$i]->entryId];
           }
           // mark list view for search result
           $_SESSION['collectionsSearch']= true;
           $this->renderObjects = $items;
    	   $this->renderer = 'show'.$this->getItemName ().'s';
    	}
}
?>