<?php

require_once('framework/model/ItemFactory.php');


/**
 * CollectionsDetailFactory
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Moritz Julen - April 2006
 * @package org.brim-project.plugins.collections
 * @subpackage model
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
class CollectionsDetailFactory extends ItemFactory
{
        /**
         * Default constructor
         */
        function CollectionsDetailFactory()
        {
                parent::ItemFactory();
        }


        /**
         * Returns the type of this specific item
         * @return string the type of this specific item:
         */
        function getType()
        {
                return "CollectionsDetail";
        }

        /**
                 * Factory method. Return an HTTP request into an item by
                 * fecthing the appropriate parameters from the POST request
                 *
                 * @return object the item constructed from the POST request
                 * @uses the POST request
                 */
                function requestToItem ($baseitem=NULL)
                {
                         $item = new CollectionDetailItem
                        (
                                        isset($baseitem->itemId) ? $baseitem->itemId : 0,
                                        $_SESSION['brimUsername'],
                                        $this->getFromPost ('parentId', 0),
                                        0,
                                        $this->getFromPost ('detailname', ""),
                                        $this->getFromPost ('detaildescription', ""),
                                        isset($parent->visibility) ? $parent->visibility : 'private',
                                        isset($parent->category) ? $parent->category :  '',
                                        0,
                                        isset($parent->when_created) ? $parent->when_created : date('Y-m-d'),
                                        isset($parent->when_modified) ? $parent->when_modified : NULL,

                                        $this->getFromPost ('field1', ""),
                                        $this->getFromPost ('field2', ""),
                                        $this->getFromPost ('field3', ""),
                                        $this->getFromPost ('field4', ""),
                                        $this->getFromPost ('field5', ""),
                                        $this->getFromPost ('field6', "")
                        );
                        return $item;
                }


                function resultsetToItems ($result)
                {
                        $items = array ();
                        while (!$result->EOF)
                        {
                                $item = new CollectionDetailItem
                                (
                                        $result->fields['item_id'],
                                        trim ($result->fields['owner']),
                                        $result->fields['parent_id'],
                                        $result->fields['is_parent'],
                                        trim ($result->fields['name']),
                                        trim ($result->fields['description']),
                                        trim ($result->fields['visibility']),
                                        trim ($result->fields['category']),
                                        $result->fields['is_deleted'],
                                        isset($result->fields['when_created'])
                                              ? (date((isset($_SESSION['brimDateFormat']) ? $_SESSION['brimDateFormat'] : 'Y-m-d') , strtotime($result->fields['when_created'])))
                                              : NULL,
                                        isset($result->fields['when_modified'])
                                              ? (date((isset($_SESSION['brimDateFormat']) ? $_SESSION['brimDateFormat'] : 'Y-m-d') , strtotime($result->fields['when_modified'])))
                                              : NULL,

                                        trim ($result->fields['field1']),
                                        trim ($result->fields['field2']),
                                        trim ($result->fields['field3']),
                                        trim ($result->fields['field4']),
                                        trim ($result->fields['field5']),
                                        trim ($result->fields['field6'])
                                );
                                $items [] = $item;
                                $result->MoveNext();
                        }
                        return $items;
                }
}
?>