<?php

require_once('framework/model/ItemFactory.php');


/**
 * CollectionsFactory
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Moritz Julen - March 2006
 * @package org.brim-project.plugins.collections
 * @subpackage model
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
class CollectionsFactory extends ItemFactory
{
        /**
         * Default constructor
         */
        function CollectionsFactory()
        {
                parent::ItemFactory();
        }


        /**
         * Returns the type of this specific item
         * @return string the type of this specific item:
         */
        function getType()
        {
                return "Collections";
        }

        /**
                 * Factory method. Return an HTTP request into an item by
                 * fecthing the appropriate parameters from the POST request
                 *
                 * @return object the item constructed from the POST request
                 * @uses the POST request
                 */
                function requestToItem ()
                {
            $item = new CollectionItem
                        (
                                        $this->getFromPost ('itemId', 0),
                                        $_SESSION['brimUsername'],
                                        $this->getFromPost ('parentId', 0),
                                        $this->getFromPost ('isParent', 0),
                                        $this->getFromPost ('name', null),
                                        $this->getFromPost ('description', null),
                                        $this->getFromPost ('visibility', 'private'),
                                        $this->getFromPost ('category', null),
                                        0,
                                        $this->getFromPost ('when_created', null),
                                        $this->getFromPost ('when_modified', null),

                    $this->getFromPost ('isEntry', 0),
                    $this->getFromPost ('EntryId', 0),
                    $this->getFromPost ('EntryType', 0),
                    0,
                    $this->getFromPost ('path', NULL)
                        );
                        return $item;
                }



                function resultsetToItems ($result)
                {
                        $items = array ();
                        while (!$result->EOF)
                        {
                                $item = new CollectionItem
                                (
                                        $result->fields['item_id'],
                                        trim ($result->fields['owner']),
                                        $result->fields['parent_id'],
                                        isset($result->fields['is_parent']) ? $result->fields['is_parent'] : 0,
                                        trim ($result->fields['name']),
                                        trim ($result->fields['description']),
                                        trim ($result->fields['visibility']),
                                        isset($result->fields['category']) ? trim ($result->fields['category']) : '',
                                        isset($result->fields['is_deleted']) ? $result->fields['is_deleted'] : 0,
                                        isset($result->fields['when_created'])
                                              ? (date((isset($_SESSION['brimDateFormat']) ? $_SESSION['brimDateFormat'] : 'Y-m-d') , strtotime($result->fields['when_created'])))
                                              : NULL,
                                        isset($result->fields['when_modified'])
                                              ? (date((isset($_SESSION['brimDateFormat']) ? $_SESSION['brimDateFormat'] : 'Y-m-d') , strtotime($result->fields['when_modified'])))
                                              : NULL,
                                        isset($result->fields['is_entry']) ? $result->fields['is_entry'] : 0,
                                        isset($result->fields['entry_id']) ? $result->fields['entry_id']: 0,
                    isset($result->fields['entry_type']) ? trim ($result->fields['entry_type']) : '',
                    isset($result->fields['size']) ? $result->fields['size'] : 0,
                    isset($result->fields['path']) ? trim ($result->fields['path']) : ''
                                );
                                $items [] = $item;
                                $result->MoveNext();
                        }
                        return $items;
                }
}
?>