<?php
/**
 * Collections queries
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Moritz Julen - March 2006
 * @package org.brim-project.plugins.collections
 * @subpackage sql
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */


$tableName="brim_collections";

include ("framework/sql/itemQueries.php");

/*
 * Collections specific
 */
$queries['addItem']=
		"INSERT INTO ".$tableName." VALUES (".
		"''," .	    // itemId
		"'%s'," .	// owner
		"%d," .	    // parentId
		"%d," .  	// isParent
		"'%s'," .	// name
		"'%s'," .	// description
		"'%s'," .	// visibility
		"'%s'," .	// category
        "%d," .     // deleted
		"'%s'," .	// when_created
		"'%s'," .	// when_modified
        "%d," .     // is_entry
        "%d," .     // entry_id
        "'%s'," .   // entry_type
        "%d," .	    // size
        "'%s')";	// path

$queries['modifyItem']=
		"UPDATE ".$tableName." SET ".
		"when_modified='%s', ".
		"name='%s', ".
		"visibility='%s', ".
		"description='%s', ".
		"parent_id=%d ".
		"WHERE item_id=%d";

$queries['searchItems']=
		"SELECT * from ".$tableName .
		" WHERE %s LIKE '%%%s%%' AND owner='%s' ".
		"ORDER BY is_parent DESC, name ASC ".
		"LIMIT 1000";

$queries['searchPublicItems']=
		"SELECT * from ".$tableName .
		" WHERE (%s LIKE '%%%s%%' or %s LIKE '%%%s%%') AND (owner='%s' OR visibility='public') ".
		"ORDER BY is_parent DESC, name ASC";

$queries['searchEntriesName']=
        "SELECT item_id, name from ".$tableName .
        " WHERE (is_entry=1 AND is_parent=1)";

$queries['getItemChildrenThatAreParent']=
		"SELECT * from ". $tableName .
		" WHERE parent_id=%d AND owner='%s' AND is_parent=1 AND is_entry=0 ".
		"ORDER BY is_parent DESC, name ASC";
?>