<?php

include ('framework/view/globalFunctions.php');
if (file_exists('plugins/collections/templates/'.$_SESSION['brimTemplate'].'/icons.inc'))
{
	include ('plugins/collections/templates/'.$_SESSION['brimTemplate'].'/icons.inc');
}
else
{
    include ('plugins/collections/templates/default/icons.inc');
}

/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Mortiz Julen - March 2006
 * @package org.brim-project.plugins.collections
 * @subpackage view
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */


$stringUtils = new StringUtils ();
$defaultObjects = NULL;
if ($viewAction == 'modify' or $viewAction == 'show')
{
    $defaultObjects = $renderObjects;
}
if (isset($defaultObjects))
{
	switch ($defaultObjects->entryType)
	{
	    case "basic":
			echo $icons['entry_basic'];
			break;
	    case "iso":
			echo $icons['entry_iso'];
			break;
		case "mp3":
			echo $icons['entry_mp3'];
			break;
		default:
			echo $icons['entry_file'];
	}
}
else
{
    echo $icons['entry_file'];
}
?>
<table class="collections_modify">
<tr><td>
<form method="POST" action="CollectionsController.php">
	<table border='0'>
    <?php
        echo '<tr><td colspan="2"><h2>'.$pageTitle.'</h2></td></tr>';
        if(!empty($parameters['errors']))
		{
			echo standardTableRowErrorMessages
				($dictionary, $parameters['errors'], $icons);
		}
		echo standardTableRowInput ('name',
			$dictionary, $viewAction, $defaultObjects);
        if (!isset($_SESSION['Playlist']))
        {
            echo standardTableRowFolderItemRadios
				($dictionary, $viewAction, 'entry');
		}
	    echo standardTableRowPublicPrivateRadios
			($dictionary, $viewAction, $defaultObjects);
	    switch ($viewAction)
	    {
	        case 'add':
                if (isset($_SESSION['Playlist']))
                {
                    echo '<tr><td><input type="hidden" class="text" name="EntryType"';
                    echo 'value="m3u" /></td></tr>';
                    unset($_SESSION['Playlist']);
				}
                else
                {
		            echo '<tr><td class="collections_subtitle" colspan="2">'.$dictionary['readTree'].'</td></tr>';
		            echo '<tr><td colspan="2">'.$dictionary['localPath'].'</td></tr>';
		            echo standardTableRowInput ('path',$dictionary, $viewAction, '');
					echo '</td></tr>';
		            echo '<tr><td><input type="hidden" class="text" name="EntryType" value="basic"></td></tr>';
		            echo '<tr><td class="collections_subtitle" colspan="2">'.$dictionary['basicEntry'].'</td></tr>';
		            echo '<tr><td class="inputParamName">'.$dictionary['genre'].':</td><td><input type="text" class="text" name="detailname"></td></tr>';
		            echo '<tr><td class="inputParamName">'.$dictionary['artist'].':</td><td><input type="text" class="text" name="detaildescription"></td></tr>';
				}
			    // empty line
			    echo '<tr><td class="collections_emptyline" colspan="2">&nbsp;</td></tr>';
				echo standardTableRowTextarea ('description',
					$dictionary, $viewAction, $defaultObjects);
	            break;
	        case 'show':
	            $defaultObjects->size = $defaultObjects->ConvSizeText();
                if (NULL != $defaultObjects->entryName)
                {
		            echo standardTableRowInput ('entryName',
				        $dictionary, $viewAction, $defaultObjects);
				}
                if (!$defaultObjects->isEntry || (0 != $defaultObjects->size))
                {
		            echo standardTableRowInput ('size',
				        $dictionary, $viewAction, $defaultObjects);
				}
	            if (NULL != $defaultObjects->detailData)
	            {
	                switch ($defaultObjects->entryType)
	                {
	                    case "mp3":
                            echo '<tr><td class="collections_subtitle" colspan="2">'.$dictionary['mp3Entry'].'</td></tr>';
	                        echo "<tr>";
	            			echo "<td>".$dictionary['title'].":</td>";
	            			echo "<td><b>".$defaultObjects->detailData->name."</b></td>";
	            			echo "</tr>";
	                        echo "<tr>";
	            			echo "<td>".$dictionary['album'].":</td>";
	            			echo "<td><b>".$defaultObjects->detailData->description."</b></td>";
	            			echo "</tr>";
	                        echo "<tr>";
	            			echo "<td>".$dictionary['artist'].":</td>";
	            			echo "<td>".$defaultObjects->detailData->field1."</td>";
	            			echo "</tr>";
	                        echo "<tr>";
	            			echo "<td>".$dictionary['genre'].":</td>";
	            			echo "<td>".$defaultObjects->detailData->field2."</td>";
	            			echo "</tr>";
	                        echo "<tr>";
	            			echo "<td>".$dictionary['track'].":</td>";
	            			echo "<td>".$defaultObjects->detailData->field4."</td>";
	            			echo "</tr>";
	                        echo "<tr>";
	            			echo "<td>".$dictionary['playtime'].":</td>";
	            			echo "<td>".$defaultObjects->detailData->getPlayTime()."</td>";
	            			echo "</tr>";
	                        break;
                        case "iso":
                            echo '<tr><td class="collections_subtitle" colspan="2">'.$dictionary['isoEntry'].'</td></tr>';
	                        echo "<tr>";
	            			echo "<td>".$dictionary['volume'].":</td>";
	            			echo "<td><b>".$defaultObjects->detailData->name."</b></td>";
	            			echo "</tr>";
	                        echo "<tr>";
	            			echo "<td>".$dictionary['volume_set'].":</td>";
	            			echo "<td><b>".$defaultObjects->detailData->description."</b></td>";
	            			echo "</tr>";
	                        echo "<tr>";
	            			echo "<td>".$dictionary['when_created'].":</td>";
	            			echo "<td>".$defaultObjects->detailData->when_created."</td>";
	            			echo "</tr>";
	                        echo "<tr>";
	            			echo "<td>".$dictionary['when_modified'].":</td>";
	            			echo "<td>".$defaultObjects->detailData->when_modified."</td>";
	            			echo "</tr>";
	                        echo "<tr>";
	            			echo "<td>".$dictionary['publisher'].":</td>";
	            			echo "<td>".$defaultObjects->detailData->field1."</td>";
	            			echo "</tr>";
	                        echo "<tr>";
	            			echo "<td>".$dictionary['system'].":</td>";
	            			echo "<td>".$defaultObjects->detailData->field2."</td>";
	            			echo "</tr>";
	                    	break;
	                	case "zip":
                            echo '<tr><td class="collections_subtitle" colspan="2">'.$dictionary['zipEntry'].'</td></tr>';
	                        echo "<tr>";
	            			echo "<td><b>".$dictionary['uncompressed_size'].":</b></td>";
	            			echo "<td>".$defaultObjects->detailData->ConvSizeText($defaultObjects->detailData->name)."</td>";
	            			echo "</tr>";
	                        echo "<tr>";
	            			echo "<td><b>".$dictionary['zipfiles_count'].":</b></td>";
	            			echo "<td>".$defaultObjects->detailData->description."</td>";
	            			echo "</tr>";
            				break;
	                    case "basic":
	                        echo '<tr><td class="collections_subtitle" colspan="2">'.$dictionary['basicEntry'].'</td></tr>';
	            			echo "<tr><td>".$dictionary['genre'].":</td>";
	            			echo '<td><b>'.$defaultObjects->detailData->name.'</b></td>';
	            			echo "</tr>";
	                        echo "<tr>";
	            			echo "<td>".$dictionary['artist'].":</td>";
	            			echo "<td><b>".$defaultObjects->detailData->description."</b></td>";
	            			echo "</tr>";
	                        break;
	                    default:
	                    	break;
	                }
	            }
                if (NULL != $defaultObjects->description)
                {
				    // empty line
				    echo '<tr><td class="collections_emptyline" colspan="2">&nbsp;</td></tr>';
					echo standardTableRowTextarea ('description',
						$dictionary, $viewAction, $defaultObjects);
				}
	            break;
	        case 'modify':
	            if (NULL != $defaultObjects->detailData)
	            {
	                echo '<tr><td><input type="hidden" class="text" name="EntryType" value="'.$defaultObjects->entryType.'" /></td></tr>';
	                switch ($defaultObjects->entryType)
	                {
	                    case "basic":
	                    default:
	                        echo '<tr><td class="collections_subtitle" colspan="2">'.$dictionary['basicEntry'].'</td></tr>';
	                        echo '<tr><td class="inputParamName">'.$dictionary['genre'].':</td>';
	                        echo '<td><input type="text" class="text" name="detailname" value="'.$defaultObjects->detailData->name.'" /></td>';
	                        echo '</tr>';
	                        echo '<tr>';
	                        echo '<td class="inputParamName">'.$dictionary['artist'].':</td>';
	                        echo '<td><input type="text" class="text" name="detaildescription" value="'.$defaultObjects->detailData->description.'" /></td>';
	                        echo '</tr>';
	                        break;
	                }
	            }
                if (NULL != $defaultObjects->description)
                {
				    // empty line
				    echo '<tr><td class="collections_emptyline" colspan="2">&nbsp;</td></tr>';
					echo standardTableRowTextarea ('description',
						$dictionary, $viewAction, $defaultObjects);
				}
	            break;
	    }


	?>
	</table>
	<?php
		if ($viewAction == 'modify')
		{
			echo modifyButtonAndText ($dictionary, $renderObjects);
		}
		else if ($viewAction == 'add')
		{
			echo addButtonAndText ($dictionary, $parentId);
		}
	?>
</form>
<?php
	if ($viewAction == 'modify')
	{
		echo '<form method="POST" action="CollectionsController.php"> ';
		echo moveButtonAndText ($dictionary, $renderObjects);
		echo '</form>';

		echo '<form method="POST" action="CollectionsController.php" ';
		echo 'onsubmit="return confirmDelete()">';
		echo deleteButtonAndText ( $dictionary, $renderObjects);
		echo '</form>';
	}
    echo '<form method="POST" action="CollectionsController.php">';
    echo cancelButtonAndText ($dictionary, $parentId);
    echo '</form>';

    if ($viewAction == 'add' || $viewAction == 'modify')
	{
		echo spellButtonAndText ($dictionary);
	}
?>
</td></tr>
</table>