<?php

require_once ('framework/view/MultipleSelectExplorerTreeDelegate.php');
require_once ('framework/view/Tree.php');
require_once ('framework/view/globalFunctions.php');


/**
 * The template file that draws the layout to select multiple items.
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta - March 2006
 * @package org.brim-project.plugins.collections
 * @subpackage view
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */

//
// Add a 'select all' action
//
echo writeSelectJavascript ($dictionary);
	/*
	 * Show the ancestor path. Contributed by Michael
	 */
	if(isset($parameters['ancestors']) && $parentId != 0)
	{
		echo ('<!-- Ancestors -->');
		echo ('<table><tr>');

		// The root link
		echo ('<td><a href="?parentId=0" class="ancestor">'.$dictionary['root'].'</a></td>');

		// all ancestors other than root
		foreach($parameters['ancestors'] as $ancestor)
		{
			echo ('<td>&nbsp;/&nbsp;');
			echo ('<a href="?parentId='.$ancestor->itemId.'" class="ancestor">');
			echo ($ancestor->name);
			echo ('</a>');
			echo ('</td>');
		}
		echo ('</tr></table>');
	}
	include ('templates/'.$_SESSION['brimTemplate'].'/icons.inc');
	if (file_exists('plugins/collections/templates/'.$_SESSION['brimTemplate'].'/icons.inc'))
	{
		include ('plugins/collections/templates/'.$_SESSION['brimTemplate'].'/icons.inc');
	}
	else
	{
	    include ('plugins/collections/templates/default/icons.inc');
	}
	include_once "plugins/collections/view/PlaylistMultipleSelectExplorerTreeDelegate.php";

	$configuration = array ();
	$configuration['dictionary']=$dictionary;
	$configuration['icons']=$icons;
	$configuration['callback']='CollectionsController.php';
	$delegate = new PlaylistMultipleSelectExplorerTreeDelegate ($configuration);
	$tree = new Tree ($delegate, $configuration);
	//
	// we would like to show all items
	//
	$tree -> setExpanded ('*');
?>
<form method="POST" action="CollectionsController.php">
<p>
<?php
	echo ($tree -> toHtml ($parent, $renderObjects));
?>
</p>
<input type="hidden" name="action" value="multipleAddPlaylistPost" />
<input type="hidden" name="parentId" value="<?php echo $parentId ?>" />
<p>
<input type="submit" value="<?php echo $dictionary['add'] ?>"
		name="move" />
</p>
</form>
<?php
	echo '<form method="POST" action="CollectionsController.php">';
	echo cancelButtonAndText ($dictionary, $parentId, 'cancelPlaylist');
	echo '</form>';
?>