<?php

require_once ('framework/view/TreeDelegate.php');

class CollectionsTreeDelegate extends TreeDelegate
{
    // generate the html information for the popup info window
    function overlibPopup ($item)
	{
		if ($this->configuration['overlib'])
		{
			$popUp  = '<table cellspacing=2>';
            if ($item->entryName != "")
            {
                $popUp .= "<tr>";
    			$popUp .= "<td><b>".$this->configuration['dictionary']['entryName'].":</b></td>";
    			$popUp .= "<td>".$item->entryName."</td>";
    			$popUp .= "</tr>";
            }
            if ($item->when_created != null)
			{
				$popUp .= "<tr>";
				$popUp .= "<td><b>".$this->configuration['dictionary']['created'].":</b></td>";
				$popUp .= "<td>".$item->when_created."</td>";
				$popUp .= "</tr>";
			}
			if ($item->when_modified != null)
			{
				$popUp .= "<tr>";
				$popUp .= "<td><b>".$this->configuration['dictionary']['last_modified'].":</b></td>";
				$popUp .= "<td>".$item->when_modified."</td>";
				$popUp .= "</tr>";
			}

            if (! $item->isParent)
            {
                $popUp .= "<tr>";
    			$popUp .= "<td><b>".$this->configuration['dictionary']['size'].":</b></td>";
    			$popUp .= "<td>".$item->ConvSizeText()."</td>";
    			$popUp .= "</tr>";
            }

            if ($item->description != null)
			{
				$popUp .= "<tr>";
				$popUp .= "<td><b>".$this->configuration['dictionary']['description'].":</b></td>";
				$popUp .= "<td>".$item->description."</td>";
				$popUp .= "</tr>";
			}

            if (NULL != $item->detailData)
            {
                switch ($item->entryType)
                {
                    case "iso":
                    	$popUp .= "<tr><td>&nbsp;</td></tr>";
                        $popUp .= "<tr>";
            			$popUp .= "<td><b>".$this->configuration['dictionary']['volume'].":</b></td>";
            			$popUp .= "<td>".$item->detailData->name."</td>";
            			$popUp .= "</tr>";
                        $popUp .= "<tr>";
            			$popUp .= "<td><b>".$this->configuration['dictionary']['volume_set'].":</b></td>";
            			$popUp .= "<td>".$item->detailData->description."</td>";
            			$popUp .= "</tr>";
                        $popUp .= "<tr>";
            			$popUp .= "<td><b>".$this->configuration['dictionary']['when_created'].":</b></td>";
            			$popUp .= "<td>".$item->detailData->when_created."</td>";
            			$popUp .= "</tr>";
                        $popUp .= "<tr>";
            			$popUp .= "<td><b>".$this->configuration['dictionary']['when_modified'].":</b></td>";
            			$popUp .= "<td>".$item->detailData->when_modified."</td>";
            			$popUp .= "</tr>";
                        $popUp .= "<tr>";
            			$popUp .= "<td><b>".$this->configuration['dictionary']['publisher'].":</b></td>";
            			$popUp .= "<td>".$item->detailData->field1."</td>";
            			$popUp .= "</tr>";
                        $popUp .= "<tr>";
            			$popUp .= "<td><b>".$this->configuration['dictionary']['system'].":</b></td>";
            			$popUp .= "<td>".$item->detailData->field2."</td>";
            			$popUp .= "</tr>";
                    	break;
                	case "zip":
                        $popUp .= "<tr><td>&nbsp;</td></tr>";
                        $popUp .= "<tr>";
            			$popUp .= "<td><b>".$this->configuration['dictionary']['uncompressed_size'].":</b></td>";
            			$popUp .= "<td>".$item->detailData->ConvSizeText($item->detailData->name)."</td>";
            			$popUp .= "</tr>";
                        $popUp .= "<tr>";
            			$popUp .= "<td><b>".$this->configuration['dictionary']['zipfiles_count'].":</b></td>";
            			$popUp .= "<td>".$item->detailData->description."</td>";
            			$popUp .= "</tr>";
                    	break;
                    case "mp3":
                        $popUp .= "<tr><td>&nbsp;</td></tr>";
                        $popUp .= "<tr>";
            			$popUp .= "<td><b>".$this->configuration['dictionary']['title'].":</b></td>";
            			$popUp .= "<td>".$item->detailData->name."</td>";
            			$popUp .= "</tr>";
                        $popUp .= "<tr>";
            			$popUp .= "<td><b>".$this->configuration['dictionary']['album'].":</b></td>";
            			$popUp .= "<td>".$item->detailData->description."</td>";
            			$popUp .= "</tr>";
                        $popUp .= "<tr>";
            			$popUp .= "<td><b>".$this->configuration['dictionary']['artist'].":</b></td>";
            			$popUp .= "<td>".$item->detailData->field1."</td>";
            			$popUp .= "</tr>";
                        $popUp .= "<tr>";
            			$popUp .= "<td><b>".$this->configuration['dictionary']['genre'].":</b></td>";
            			$popUp .= "<td>".$item->detailData->field2."</td>";
            			$popUp .= "</tr>";
                        $popUp .= "<tr>";
            			$popUp .= "<td><b>".$this->configuration['dictionary']['track'].":</b></td>";
            			$popUp .= "<td>".$item->detailData->field4."</td>";
            			$popUp .= "</tr>";
                        $popUp .= "<tr>";
            			$popUp .= "<td><b>".$this->configuration['dictionary']['playtime'].":</b></td>";
            			$popUp .= "<td>".$item->detailData->getPlayTime()."</td>";
            			$popUp .= "</tr>";
                        break;
                    case "basic":
                        $popUp .= "<tr>";
            			$popUp .= "<td><b>".$this->configuration['dictionary']['genre'].":</b></td>";
            			$popUp .= "<td>".$item->detailData->name."</td>";
            			$popUp .= "</tr>";
                        $popUp .= "<tr>";
            			$popUp .= "<td><b>".$this->configuration['dictionary']['artist'].":</b></td>";
            			$popUp .= "<td>".$item->detailData->description."</td>";
            			$popUp .= "</tr>";
                        break;
                    default:
                    	break;
                }
            }
		}
		return $popUp;
	}
}
?>