<?php
/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Mortiz Julen - March 2006
 * @package org.brim-project.plugins.collections
 * @subpackage view
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
?>
<!--
	Set some custom colors for the popups
-->
<script language="JavaScript">
	var ol_textcolor="#000000";
	var ol_capcolor="#000000";
	var ol_bgcolor="#ffee00";
	var ol_fgcolor="#ffff00";
</script>

<?php
		/*
		 * Show the ancestor path. Contributed by Michael
		 */
        if(isset($parameters['ancestors']) && $parentId != 0)
		{
			echo ('<!-- Ancestors -->');
			echo ('<table><tr>');

			// The root link
			echo ('<td><a href="?parentId=0" class="ancestor">'.$dictionary['root'].'</a></td>');

			// all ancestors other than root
			foreach($parameters['ancestors'] as $ancestor)
			{
				echo ('<td>&nbsp;/&nbsp;');
				echo ('<a href="?parentId='.$ancestor->itemId.'" class="ancestor">');
				echo ($ancestor->name);
				echo ('</a>');
				echo ('</td>');
			}
			echo ('</tr></table>');
		}
        /*
        if( !isset($_SESSION['collectionsSearch']) &&
            ((NULL == $parent) || (isset($parent) && (0 == $parent->isEntry) && (0 == $parent->entryId))))
        {
            // can only add an entry or folder, when the parent folder is not an entry
            $renderActions[0]['contents'][]= array (
	            'href' => 'CollectionsController.php?action=add&parentId='.$parentId,
                'name' => 'add');
            $renderActions[0]['contents'][]=
			    array ('href'=>'CollectionsController.php?action=multipleSelectPre&parentId='.$parent,
			    'name'=>'multipleSelect');
        }
        */


		include ('templates/'.$_SESSION['brimTemplate'].'/icons.inc');
        if (file_exists('plugins/collections/templates/'.$_SESSION['brimTemplate'].'/icons.inc'))
		{
			include ('plugins/collections/templates/'.$_SESSION['brimTemplate'].'/icons.inc');
		}
		else
		{
		    include ('plugins/collections/templates/default/icons.inc');
		}

        $configuration = array ();
		/*
		 * Build up a proper configuration for the tree display.
		 */
		$configuration['icons']=$icons;
		$configuration['dictionary']=$dictionary;
		$configuration['callback']='CollectionsController.php';

        /*
		 * Check for conditional overlib
		 */
		if (isset ($_SESSION['collectionsOverlib']))
		{
			$configuration ['overlib'] =$_SESSION['collectionsOverlib'];
		}
		else
		{
			$configuration ['overlib'] = true;
		}

        if (isset($_SESSION['collectionsShowDetails']))
		{
			unset($_SESSION['collectionsShowDetails']);
			$configuration ['showDetails'] = true;
		}
		else
		{
            $configuration ['showDetails'] = false;
		}

        /*
		 * Check for search result -> temporary line base view
		 */
        if (isset($_SESSION['collectionsSearch']))
        {
            $configuration['search'] = true;
            unset($_SESSION['collectionsSearch']);
        }
        else
        {
            $configuration['search'] = false;
        }

        //  set target of the collections execute link
        if (isset($_SESSION['collectionsNewWindowTarget']))
		{
            $configuration['collectionsNewWindowTarget'] = $_SESSION['collectionsNewWindowTarget'];
		}

		/*
		 * Explorer like tree
		 */
		if (isset ($_SESSION['collectionsTree']) && $_SESSION['collectionsTree'] == 'Explorer' && $configuration['search']==false)
		{
			include_once "framework/view/Tree.php";
			include_once "plugins/collections/view/CollectionsExplorerTreeDelegate.php";
			$delegate = new CollectionsExplorerTreeDelegate ($configuration);
			$tree = new Tree ($delegate, $configuration);
			/*
			 * Do we show expanded items? (This is not a useful option in the yahoo tree)
			 */
			if (isset ($_SESSION['collectionsExpand']))
			{
				$tree->setExpanded ($_SESSION['collectionsExpand']);
			}
		}
		/*
		 * Yahoo like tree
		 */
		else if (isset ($_SESSION['collectionsTree']) && $_SESSION['collectionsTree'] == 'Yahoo' && $configuration['search']==false)
		{
            /*
			 * Build up a proper configuration for the tree display, this makes only sense for
			 * the yahoo-like tree
			 */
			if (isset ($_SESSION['collectionsYahooTreeColumnCount']))
			{
				$configuration ['numberOfColumns'] =$_SESSION['collectionsYahooTreeColumnCount'];
			}
			else
			{
				$configuration ['numberOfColumns'] = 2;
			}
			include_once "framework/view/YahooTree.php";
			include_once "plugins/collections/view/CollectionsYahooTreeDelegate.php";
			$delegate = new CollectionsYahooTreeDelegate ($configuration);
			$tree = new YahooTree ($delegate, $configuration);
		}
        /*
		 * Yahoo like tree with thumbnails
		 */
		else if (isset ($_SESSION['collectionsTree']) && $_SESSION['collectionsTree'] == 'Thumbnail' && $configuration['search']==false)
		{
            /*
			 * Build up a proper configuration for the tree display, this makes only sense for
			 * the yahoo-like tree
			 */
			if (isset ($_SESSION['collectionsThumbnailTreeColumnCount']))
			{
				$configuration ['numberOfColumns'] =$_SESSION['collectionsThumbnailTreeColumnCount'];
			}
			else
			{
				$configuration ['numberOfColumns'] = 2;
			}
			include_once "framework/view/YahooTree.php";
			include_once "plugins/collections/view/CollectionsThumbnailTreeDelegate.php";
			$delegate = new CollectionsThumbnailTreeDelegate ($configuration);
			$tree = new YahooTree ($delegate, $configuration);
		}
        /*
    	 * Line based view
    	 */
    	else
    	{
    			include_once "framework/view/LineBasedTree.php";
    			include_once "plugins/collections/view/CollectionsLineBasedTreeDelegate.php";
    			$delegate = new CollectionsLineBasedTreeDelegate ($configuration);
    			$tree = new LineBasedTree ($delegate, $configuration);
    	}

		/*
		 * Now actually show the layout
		 */
		echo ($tree -> toHtml ($parent, $renderObjects));
?>