<?php
/**
 * The template file to show contacts, instantiates a proper
 * tree-delegate and tree renderer
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta
 * @package org.brim-project.plugins.contacts
 * @subpackage view
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
	/*
	 * Show the ancestor path. Contributed by Michael
	 */
	if(isset($parameters['ancestors']) && $parentId != 0)
	{
		echo ('<!-- Ancestors -->');
		echo ('<table><tr>');

		// The root link
		echo ('<td><a href="index.php?plugin=contacts&parentId=0" class="ancestor">'.$dictionary['root'].'</a></td>');

		// all ancestors other than root
		foreach($parameters['ancestors'] as $ancestor)
		{
			echo ('<td>&nbsp;/&nbsp;');
			echo ('<a href="index.php?plugin=contacts&parentId='.$ancestor->itemId.'" class="ancestor">');
			echo ($ancestor->name);
			echo ('</a>');
			echo ('</td>');
		}
		echo ('</tr></table>');
	}

	include ('templates/'.$_SESSION['brimTemplate'].'/icons.inc');
	$configuration = array ();
	/*
	 * Build up a proper configuration for the tree display.
	 */
	$configuration['icons']=$icons;
	$configuration['dictionary']=$dictionary;
	$configuration['callback']='index.php?plugin=contacts';

	/*
	 * Check for conditional overlib
	 */
	if (isset ($_SESSION['contactOverlib']))
	{
		$configuration ['overlib'] =$_SESSION['contactOverlib'];
	}
	else
	{
		$configuration ['overlib'] = true;
	}
	/*
	 * Explorer like tree
	 */
	if (isset ($_SESSION['contactTree']) && $_SESSION['contactTree'] == 'Explorer')
	{
			include_once "framework/view/Tree.php";
			include_once "plugins/contacts/view/ContactExplorerTreeDelegate.php";
			$delegate = new ContactExplorerTreeDelegate	($configuration);
			$tree = new Tree ($delegate, $configuration);
			/*
			 * Do we show expanded items? (This is not a useful option in the yahoo tree)
			 */
			if (isset ($_SESSION['contactExpand']))
			{
				$tree -> setExpanded ($_SESSION['contactExpand']);
			}
	}
	/*
	 * Yahoo like tree
	 */
	else if (isset ($_SESSION['contactTree']) && $_SESSION['contactTree'] == 'Yahoo')
	{
		/*
		 * Build up a proper configuration for the tree display, this makes only sense for
		 * the yahoo-like tree
		 */
		if (isset ($_SESSION['contactYahooTreeColumnCount']))
		{
			$configuration ['numberOfColumns'] =$_SESSION['contactYahooTreeColumnCount'];
		}
		else
		{
			$configuration ['numberOfColumns'] = 2;
		}

		include_once "framework/view/YahooTree.php";
		include_once "plugins/contacts/view/ContactYahooTreeDelegate.php";
		$delegate = new ContactYahooTreeDelegate ($configuration);
		$tree = new YahooTree ($delegate, $configuration);
	}
	/*
	 * Line based view
	 */
	else
	{
			include_once "framework/view/LineBasedTree.php";
			include_once "plugins/contacts/view/ContactLineBasedTreeDelegate.php";
			$delegate = new ContactLineBasedTreeDelegate	($configuration);
			$tree = new LineBasedTree ($delegate, $configuration);
	}
	/*
	 * Now actually show the layout
	 */
	echo ($tree -> toHtml ($parent, $renderObjects));
?>