<?php

require_once 'framework/Installer.php';
require_once('plugins/depot/model/DepotItemInstaller.php');
require_once('plugins/depot/model/DepotDataItemInstaller.php');
require_once('plugins/depot/model/TransactionItemInstaller.php');

/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Moritz Julen - Mai 2006
 * @package org.brim-project.plugins.depot
 * @subpackage install
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
class DepotInstaller extends Installer
{
	var $depotInstaller;
	var $depotdataInstaller;
	var $transactionInstaller;

	function DepotInstaller($engine, $db)
	{
		$this->depotInstaller = new DepotItemInstaller($engine, $db);
		$this->depotdataInstaller = new DepotDataItemInstaller($engine, $db);
		$this->transactionInstaller = new TransactionItemInstaller($engine, $db);
	}

	function install ()
	{
        if ($this->checkUtils())
        {
            // only install when all utils are installed
			$this->depotInstaller->install();
			$this->depotdataInstaller->install();
			$this->transactionInstaller->install();
		}
		else
		{
         	echo 'please install the GD library first
         			(available at <a href="http://www.boutell.com/gd/">
         			http://www.boutell.com/gd/</a>)<br />
         			activate extension=php_gd*.dll in your php.ini';
		}
	}

	function findTable()
	{
		if ($this->depotInstaller->findTable())
		{
			if ($this->depotdataInstaller->findTable())
			{
				return $this->transactionInstaller->findTable();
			}
		}
		return false;
	}

	function isTableUpToDate()
	{
    	if ($this->checkUtils())
    	{
			if ($this->depotInstaller->isTableUpToDate())
			{
				if ($this->depotdataInstaller->isTableUpToDate())
				{
	             	$this->transactionInstaller->isTableUpToDate();
				}
			}
		}
		return false;
	}

	function createStandardIndex()
	{
		$this->depotInstaller->createStandardIndex();
		$this->depotdataInstaller->createStandardIndex();
		$this->transactionInstaller->createStandardIndex();
	}

	function checkUtils()
	{
     	return function_exists('imagecreate') && function_exists('imagedestroy');
	}
}

?>
