<?php
/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Moritz Julen - April 2006
 * @package org.brim-project.plugins.depot
 * @subpackage lang
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
if (!isset ($dictionary))
{
	$dictionary=array();
}
$dictionary['Amount']                = 'Amount';
$dictionary['buy']                   = 'Buy';
$dictionary['charset']				 = 'iso-8859-1';
$dictionary['Currency']		 		 = 'Currency';
$dictionary['CurrencyChange']		 = 'Attention! Your transaction currency will be invalid';
$dictionary['depotItem']             = 'Stock Item';
$dictionary['Exchange']              = 'Exchange';
$dictionary['item_title']			 = 'DepotTracker';
$dictionary['lastQuotation']         = 'Last';
$dictionary['lastQuoationDate']      = 'Last Date';
$dictionary['meanPrice']			 = 'mean Price';
$dictionary['modifyDepotPreferences']= 'Modify Depot preferences';
$dictionary['Performance']           = 'Performance';
$dictionary['Price']         	 	 = 'Price';
$dictionary['purchaseDate']          = 'Date';
$dictionary['purchaseInformation']   = 'Purchase Information';
$dictionary['purchaseNumber']        = 'Number';
$dictionary['purchasePrice']         = 'Price';
$dictionary['sell']                  = 'Sell';
$dictionary['soldDate']              = 'Date';
$dictionary['soldPrice']         	 = 'Price';
$dictionary['Symbol']                = 'Symbol';
$dictionary['track']			     = 'Track Stocks';
$dictionary['trackHistorical']		 = 'Track Last Year';
$dictionary['trackHistoricalAll']	 = 'Track All';
$dictionary['trackDate']			 = 'Track Date';
$dictionary['TrackInformation']		 = 'Track Data';
$dictionary['Tracking']              = 'Tracking with Yahoo';
$dictionary['transactions']          = 'Transactions';
$dictionary['Transaction']           = 'Transaction';
$dictionary['Valor']                 = 'Valor';
$dictionary['Volume']           	 = 'Volume';
$dictionary['yahooFinance']			 = 'Yahoo Finance';

$dictionary['item_quick_help']='
<p>
    Click on Actions "Currency" to manage the currencies.<br />
    They are used for the conversion to your prefered currency.<br />
    <br />
    Click on the item Name to view the track data.<br />
    <br />
    Click on the transaction icon to buy/sell shares.<br />
</p>';
$dictionary['item_quick_help_currency']='
<p>
    Click on Actions "Currency" to manage the currencies.<br />
    They are used for the conversion to your prefered currency.<br />
    <br />
</p>';
$dictionary['item_quick_help_depotData']='
<p>
    Click actions "Track Stocks" to obtain data <br />
    from yahoo finance. Or actions "Add" for a manual entry.
</p>';
$dictionary['item_quick_help_transaction']='
<p>
    Click on actions "buy" to add some shares to your portofolio<br />
    <br />
    Click the transaction icon to sell the shares.<br />
</p>';

$dictionary['item_help']='
	<p>
		The depot tracker is something like a portfolio
		manager and can track data from yahoo finance.
		The plugins tracks the items every day when you
		change to the depot tracker plugin.
	</p>
    <p>
    	Click on the edit icon in front of
    	the line to move/delete/edit the data.
    	Click on the transaction icon in front of
    	the line to buy or sell shares.
    	Click on the item name to see the track data.
    </p>
    <p>
    	To move an item to another folder or Root,
    	click on Edit => Move => click on the folder
    	you want to move the link to.
    </p>
    <p>
    	Click Actions => Track Stocks to get the latest
    	data from yahoo for the displayed items which
    	has tracking enabled.
    </p>
    <p>
    	Click Actions => Currency to manage the currencies.
    	They can also be tracked from yahoo finance (ex. Symbol:
		USDEUR=x). The currencies are used to convert your
		amounts to your prefered currency (to set in the
		preferences after adding some currencies)
    </p>
    <p>
		The following parameters of a depot can be set:
	</p>
	<ul>
		<li><em>Name</em>:
			The name of the depot entry or the folder.
		</li>
		<li><em>Folder/Entry</em>:
			Indicator whether the item to add is a folder or a depot entry.
		   	Note that once this option is set, it cannot be changed anymore.
		</li>
		<li><em>Public/private</em>:
			Indicator whether this item is public or for your eyes only.
			<br />
			Note that if you want a specific item to be public,
			its parents need to be public as well!!!
			(The root of the structure is public by default)
		</li>
        <li><em>Symbol</em>:
			The symbol name of the share.
		</li>
		<li><em>Valor</em>:
			The valor number of the share. This is not used for
			yahoo finance
		</li>
        <li><em>Exchange</em>:
			The exchange place for the share
		</li>
        <li><em>Tracking with Yahoo</em>:
			Enable this option to get the latest data
			from yahoo finance when tracking function
			is executed
		</li>
	</ul>
';

$dictionary['item_help_currency']='
	<p>
        Here you can list currencies. They can also be
        tracked from yahoo finance (ex. Symbol:
		USDEUR=x). The plugins tracks the items
		every day when you change to the depot
		tracker plugin.<br />
		The currencies are used to convert your
		amounts to your prefered currency (to set in the
		preferences after adding some currencies).
	</p>
    <p>
    	Click Actions => Depot Tracker to change back
    	to your portofolio manager.
    </p>
    <p>
    	Click Actions => Add in the root to define
    	your base currency (displayed as folder).
    	The name of the folders	are diplayed in
    	the preferences to define your base
    	currency. The amounts in the depot are
    	converted to this currency.<br />
    	A currency with the folder name is defined
    	automaticaly with conversion factor (price) = 1.
    </p>
    <p>
    	Click Actions => Add in a currency folder
    	to define a conversion currency. Ex. to convert
    	from Euro to USD you define first a base currency
    	(folder) USD. The conversion currency USD with
    	price = 1 is defined automatically. Now you
    	add a conversion currency with name EUR and
    	Symbol EURUSD=x and enable tracking by yahoo.
    </p>
    <p>
    	Click on the edit icon in front of
    	the line to move/edit the currency.
    	Click on the currency name to see the track data.
    </p>
    <p>
    	Click Actions => Track Stocks to get the latest
    	data from yahoo for the displayed items which
    	has tracking enabled.
    </p>
    <p>
		The following parameters of a currency can be set:
	</p>
    <ul>
		<li><em>Name</em>:
			The name of the currency.
		</li>
		<li><em>Public/private</em>:
			Indicator whether this item is public or for your eyes only.
			<br />
			Note that if you want a specific item to be public,
			its parents need to be public as well!!!
			(The root of the structure is public by default)
		</li>
        <li><em>Symbol</em>:
			The symbol name of the currency.
		</li>
        <li><em>Tracking with Yahoo</em>:
			Enable this option to get the latest data
			from yahoo finance when tracking function
			is executed
		</li>
	</ul>
';

$dictionary['item_help_depotData']='
	<p>
		Here the track data of the share is shown.
	</p>
    <p>
    	Click on the Folder/Edit icon in front of
    	the line to delete/edit a depot entry.
    	The icons in front of the line marks you the
    	highest / lowest price of the year.
    </p>
    <p>
    	Click Actions => Track Stocks to get the latest
    	price from yahoo finance. You can obtain historical
    	data by clicking Actions => Track last Year or
    	Actions => Track All
    </p>
    <p>
    	Click Actions => Currency to manage the currencies.
    	They can also be tracked from yahoo finance (ex. Symbol:
		USDEUR=x). The currencies are used to convert your
		amounts to your prefered currency (to set in the
		preferences after adding some currencies)
    </p>
    <p>
		The following parameters of a depot can be set:
	</p>
	<ul>
		<li><em>Track Date</em>:
			The date of the price / volume information
		</li>
		<li><em>Price</em>:
			The price of the share on this day
		</li>
		<li><em>Volume</em>:
			The volume of the share on this day
		</li>
	</ul>
';

$dictionary['item_help_transaction']='
	<p>
		This section is used to buy or sell shares. The
		shares are added first to your portofolio and then
		you can buy some.<br />
		At the bottom of the list the number of owned shares
		and the mean buy price are displayed.
	</p>
    <p>
    	Click on the Folder/Edit icon in front of
    	the line to delete/edit a transaction.
    	Click on the transaction icon in front of
    	the line to sell the shares.
    </p>
    <p>
		The following parameters of a depot can be set:
	</p>
	<ul>
		<li><em>Date</em>:
			The date of the buy/sell transaction
		</li>
		<li><em>Price</em>:
			The price of the share on this day
		</li>
		<li><em>Number</em>:
			The count of shares to buy
		</li>
        <li><em>Currency</em>:
			The currency of the price
		</li>
	</ul>
';
?>
