<?php

require_once('framework/model/ItemFactory.php');
require_once('plugins/depot/model/DepotDataItem.php');

/**
 * Depot Data Factory
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Moritz Julen - April 2006
 * @package org.brim-project.plugins.depot
 * @subpackage model
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
class DepotDataFactory extends ItemFactory
{
        /**
         * Default constructor
         */
        function DepotDataFactory()
        {
                parent::ItemFactory();
        }


        /**
         * Returns the type of this specific item
         * @return string the type of this specific item:
         * <code>Depot</code>
         */
        function getType()
        {
                return "DepotData";
        }


    /**
         * Factory method. Return an HTTP request into an item by
         * fecthing the appropriate parameters from the POST request
         *
         * @return object the item constructed from the POST request
         * @uses the POST request
         */

        function requestToItem ()
        {
        $trackdate = $_POST['trackDate_Year'].'-'.$_POST['trackDate_Month'].'-'.$_POST['trackDate_Day'];

                $item = new DepotDataItem
                (
                                $this->getFromPost ('itemId', 0),
                                $_SESSION['brimUsername'],
                                $this->getFromPost ('parentId', 0),
                                $this->getFromPost ('isParent', 0),
                                $this->getFromPost ('name', null),
                                $this->getFromPost ('description', null),
                                $this->getFromPost ('visibility', 'private'),
                                $this->getFromPost ('category', null),
                                $this->getFromPost ('isDeleted', 0),
                                $this->getFromPost ('when_created', null),
                                $this->getFromPost ('when_modified', null),

                                $trackdate,
                $this->getFromPost ('Price', 0),
                $this->getFromPost ('Volume', 0),
                $this->getFromPost ('isYearHigh', 0),
                $this->getFromPost ('isYearLow', 0)
                );

                return $item;
        }



        function resultsetToItems ($result)
        {
        $items = array ();
                while (!$result->EOF)
                {
            $item = new DepotDataItem
                        (
                                $result->fields['item_id'],
                                trim ($result->fields['owner']),
                                $result->fields['parent_id'],
                                $result->fields['is_parent'],
                                trim ($result->fields['name']),
                                trim ($result->fields['description']),
                                trim ($result->fields['visibility']),
                                trim ($result->fields['category']),
                                $result->fields['is_deleted'],
                                $result->fields['when_created'],
                                $result->fields['when_modified'],

                                $result->fields['track_date'],
                                $result->fields['price'],
                $result->fields['volume'],
                $result->fields['is_yearhigh'],
                $result->fields['is_yearlow']
                        );
            $items [] = $item;
                        $result->MoveNext();

                }
                return $items;

        }


        function requestToItemErrors ()
        {
                $errors = array ();

                return $errors;
        }
}
?>