<?php

require_once('framework/model/ItemFactory.php');
require_once('plugins/depot/model/TransactionItem.php');


/**
 * Transaction Factory
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Moritz Julen - April 2006
 * @package org.brim-project.plugins.depot
 * @subpackage model
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
class TransactionFactory extends ItemFactory
{
        /**
         * Default constructor
         */
        function TransactionFactory()
        {
                parent::ItemFactory();
        }


        /**
         * Returns the type of this specific item
         * @return string the type of this specific item:
         * <code>Depot</code>
         */
        function getType()
        {
                return "Transaction";
        }


    /**
         * Factory method. Return an HTTP request into an item by
         * fecthing the appropriate parameters from the POST request
         *
         * @return object the item constructed from the POST request
         * @uses the POST request
         */

        function requestToItem ()
        {
        $solddate = NULL;

                $purchasedate = $_POST['purchaseDate_Year'].'-'.$_POST['purchaseDate_Month'].'-'.$_POST['purchaseDate_Day'];
        if (isset($_POST['soldDate_Year']) &&
                isset($_POST['soldDate_Month']) &&
                isset($_POST['soldDate_Day']))
        {
                 $solddate = $_POST['soldDate_Year'].'-'.$_POST['soldDate_Month'].'-'.$_POST['soldDate_Day'];
                }

                $item = new TransactionItem
                (
                                $this->getFromPost ('itemId', 0),
                                $_SESSION['brimUsername'],
                                $this->getFromPost ('parentId', 0),
                                0,
                                $this->getFromPost ('name', null),
                                $this->getFromPost ('description', null),
                                $this->getFromPost ('visibility', 'private'),
                                $this->getFromPost ('category', null),
                                $this->getFromPost ('isDeleted', 0),
                                $this->getFromPost ('when_created', null),
                                $this->getFromPost ('when_modified', null),

                                $purchasedate,
                $this->getFromPost ('purchasePrice', null),
                $this->getFromPost ('purchaseCurrency', null),
                $this->getFromPost ('purchaseNumber', null),
                $solddate,
                $this->getFromPost ('soldPrice', null)
                );
                return $item;
        }



        function resultsetToItems ($result)
        {
        $items = array ();
                while (!$result->EOF)
                {
            $item = new TransactionItem
                        (
                                $result->fields['item_id'],
                                trim ($result->fields['owner']),
                                $result->fields['parent_id'],
                                $result->fields['is_parent'],
                                trim ($result->fields['name']),
                                trim ($result->fields['description']),
                                trim ($result->fields['visibility']),
                                trim ($result->fields['category']),
                                $result->fields['is_deleted'],
                                $result->fields['when_created'],
                                $result->fields['when_modified'],

                $result->fields['purchase_date'],
                $result->fields['purchase_price'],
                $result->fields['purchase_currency'],
                $result->fields['purchase_number'],
                date((isset($_SESSION['brimDateFormat']) ? $_SESSION['brimDateFormat'] : 'Y-m-d'), (isset($result->fields['sold_date'])) ? strtotime($result->fields['sold_date']) : NULL),
                $result->fields['sold_price']
                        );
                        $items [] = $item;
                        $result->MoveNext();

                }
                return $items;

        }

    function requestToItemErrors ()
        {
                return NULL;
        }
}
?>