<?php
require_once ('framework/model/Item.php');

/**
 * A transaction item
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Moritz Julen - April 2006
 * @package org.brim-project.plugins.depot
 * @subpackage model
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
class TransactionItem extends Item
{
    var $purchaseDate;
    var $purchasePrice;
    var $purchaseCurrency;
    var $purchaseNumber;
    var $soldDate;
    var $soldPrice;


    /**
	 * Full blown constructor with all parameters
	 */
	function TransactionItem($theItemId, $theOwner, $theParentId,
		$parent, $theName, $theDescription,
		$theVisibility, $theCategory, $deleted,
        $theCreation, $theModified,

        $thePurchaseDate, $thePurchasePrice, $thePurchaseCurrency, $thePurchaseNumber,
        $theSoldDate, $theSoldPrice)

	{

		parent :: Item ($theItemId, $theOwner, $theParentId, $parent,
				$theName, $theDescription, $theVisibility,
				$theCategory, $deleted, $theCreation, $theModified);

		$this->type = "TransactionItem";
        $this->purchaseDate = $thePurchaseDate;
        $this->purchasePrice = $thePurchasePrice;
        $this->purchaseCurrency = $thePurchaseCurrency;
        $this->purchaseNumber = $thePurchaseNumber;
        $this->soldDate = $theSoldDate;
        $this->soldPrice = $theSoldPrice;
	}
}
?>