<?php
/**
 * Depot queries
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Moritz Julen - April 2006
 * @package org.brim-project.plugins.depot
 * @subpackage sql
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */

$tableName="brim_depot";

include ("framework/sql/itemQueries.php");

$queries['addItem']=
		"INSERT INTO ".$tableName." VALUES (".
		"'%s'," .	// owner
		"%d," .		// parentId
		"%d," .		// isParent
		"'%s'," .	// name
		"'%s'," .	// description
		"'%s'," .	// visibility
		"'%s',".	// category
		"'%s'," .	// when_created

        "'%s'," .	// symbol
		"'%s'," .	// valor
		"'%s'," .	// exchange
		"'%d'," .	// tracking
		"'%d')";	// is_currency


$queries['modifyItem']=
		"UPDATE ".$tableName." SET ".
        "when_modified='%s', ".
		"name='%s', ".
		"visibility='%s', ".
		"description='%s', ".
		"parent_id=%d, ".
		"is_deleted=%d, ".

        "symbol='%s', ".
        "valor=%d, ".
        "exchange='%s', ".
        "tracking=%d ".

		"WHERE item_id=%d";

$queries['getItems']=
		"SELECT * from " . $tableName . " WHERE owner='%s' AND is_currency=1 ".
		"ORDER BY is_parent DESC, name ASC";
$queries['getPublicItems']=
		"SELECT * from " . $tableName . " WHERE (owner='%s' OR visibility='public')  AND is_currency=1 ".
		"ORDER BY is_parent DESC, name ASC";
$queries['getItemChildren']=
		"SELECT * from ". $tableName .
		" WHERE parent_id=%d AND owner='%s'  AND is_currency=1 ".
		"ORDER BY is_parent DESC, name ASC";
$queries['getPublicItemChildren']=
		"SELECT * from ". $tableName .
		" WHERE parent_id=%d AND (owner='%s' OR visibility='public') AND is_currency=1  ".
		"ORDER BY is_parent DESC, name ASC";

$queries['getSortedItems']=
		"SELECT * FROM " . $tableName . " WHERE owner='%s' and parent_id=%d AND is_currency=1 ".
		"ORDER BY %s %s";
$queries['getAllSortedItems']=
		"SELECT * FROM " . $tableName . " WHERE owner='%s' and parent_id=%d AND is_currency=1 ".
		"ORDER BY %s %s";
$queries['getPublicSortedItems']=
		"SELECT * FROM " . $tableName . " WHERE parent_id=%d and (owner='%s' OR visibility='public') AND is_currency=1 ".
		"ORDER BY %s %s";
$queries['getAllPublicSortedItems']=
		"SELECT * FROM " . $tableName . " WHERE (owner='%s' OR visibility='public') AND parent_id=%d AND is_currency=1 ".
		"ORDER BY %s %s";
?>