<?php
/**
 * Depot transaction queries
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Moritz Julen - April 2006
 * @package org.brim-project.plugins.depot
 * @subpackage sql
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */

$tableName="brim_depot_transaction";

include ("framework/sql/itemQueries.php");

$queries['getItem']=
		"SELECT * from " . $tableName . " WHERE item_id=%d";
$queries['getPublicItem']=
		"SELECT * from " . $tableName . " WHERE item_id=%d AND (owner='%s' OR visibility='public')";

$queries['getItemChildren']=
		"SELECT * from ". $tableName .
		" WHERE parent_id=%d AND owner='%s'".
		"ORDER BY purchase_date DESC, purchase_price DESC";

$queries['getPublicItemChildren']=
		"SELECT * from ". $tableName .
		" WHERE parent_id=%d AND (owner='%s' OR visibility='public') ".
		"ORDER BY purchase_date DESC, purchase_price DESC";


$queries['addItem']=
		"INSERT INTO ".$tableName.
		" (owner, parent_id, description, visibility, category, when_created, ".
		" purchase_date, purchase_price, purchase_currency, purchase_number) ".
		" VALUES (".
		"'%s'," .	// owner
		"%d," .		// parentId
		"'%s'," .	// description
		"'%s'," .	// visibility
		"'%s',".	// category
		"'%s'," .	// when_created

        "'%s'," .	// purchase_date
		"%f," .	// purchase_price
		"%d," .	// purchase_currency
        "%d)" .   // purchase_number


$queries['modifyItem']=
		"UPDATE ".$tableName." SET ".
        "when_modified='%s', ".
        "is_deleted=%d, ".
		"purchase_date='%s', ".
		"purchase_price=%f, ".
		"purchase_currency=%d, ".
		"purchase_number=%d, ".
		"sold_date='%s', ".
		"sold_price=%f ".
		"WHERE item_id=%d";
?>