<?php

require_once 'framework/util/StringUtils.php';
include 'framework/view/globalFunctions.php';

/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Moritz Julen - April 2006
 * @package org.brim-project.plugins.depot
 * @subpackage view
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */

?>

<h2>
        <?php echo $pageTitle ?>
</h2>

<form method="POST" action="DepotController.php">
<table>
<?php
	if(!empty($parameters['errors']))
	{
		echo standardTableRowErrorMessages
			($dictionary, $parameters['errors'], $icons);
	}

	switch ($viewAction)
	{
		case 'add':
		case 'modify':
			$date = date('Y-m-d');
			if (isset($renderObjects))
			{
				$date = $renderObjects->purchaseDate;
			}
			echo TableRowDateOptionBox($date,
				$viewAction,
				$dictionary,
				"purchaseDate",
				(isset($_SESSION['brimDateFormat']) ? $_SESSION['brimDateFormat'] : 'Y-m-d'),
				$dictionary['purchaseDate']);
			echo standardTableRowInput ('purchasePrice',
				$dictionary, $viewAction, $renderObjects);
			$currency = NULL;
			if (isset($renderObjects))
			{
				$currency = $renderObjects->purchaseCurrency;
			}
			if (is_array ($_SESSION['depotConversionCurrencyNames']))
			{
				echo TableRowOptionBox(array_values($_SESSION['depotConversionCurrencyNames']),
					array_keys($_SESSION['depotConversionCurrencyNames']),
					$currency,
					array_values($_SESSION['depotConversionCurrencyNames']),
					$viewAction,
					'purchaseCurrency',
					$dictionary['Currency']);
			}
			echo standardTableRowInput ('purchaseNumber',
				$dictionary, $viewAction, $renderObjects);
			break;
		case 'sell':
			echo TableRowDateOptionBox(NULL,
				'add',
				$dictionary,
				"soldDate",
				(isset($_SESSION['brimDateFormat']) ? $_SESSION['brimDateFormat'] : 'Y-m-d'),
				$dictionary['soldDate']);
			echo standardTableRowInput ('soldPrice',
				$dictionary, 'add', $renderObjects);
				break;
	}

// empty line
echo '<tr><td>&nbsp;</td></tr>';
echo standardTableRowTextarea ('description',
	$dictionary, $viewAction, $renderObjects);

?>
</table>
<?php
	if ($viewAction == 'modify')
	{
		echo modifyButtonAndText ($dictionary, $renderObjects, 'modifyTransactionPost');
	}
	else if ($viewAction == 'add')
	{
		echo ButtonAndText($dictionary['buy'],
			0,
			$parentId,
			'addTransactionPost');
	}
	else if ($viewAction == 'sell')
	{
		echo ButtonAndText($dictionary['sell'],
			$renderObjects->itemId,
			$renderObjects->parentId,
			'modifyTransactionPost');
	}
?>
</form>

<?php
	if ($viewAction == 'modify')
	{
		echo '<form method="POST" action="DepotController.php" ';
		echo 'onsubmit="return confirmDelete()">';
		echo deleteButtonAndText ( $dictionary, $renderObjects, 'deleteTransactionPost');
		echo '</form>';
	}
	echo '<form method="POST" action="DepotController.php?action=showTransactions">';
	echo cancelButtonAndText ($dictionary, $parentId, 'cancelTransactions');
	echo '</form>';
	if ($viewAction == 'add' || $viewAction == 'modify')
	{
		echo spellButtonAndText ($dictionary);
	}
?>