<?php

require_once ('framework/model/Item.php');

/**
 * A mailaccount
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta - May 2006
 * @package org.brim-project.plugins.gmail
 * @subpackage model
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
class Account extends Item
{
	/**
	 * The username to login into the mailserver (if applicable)
	 * @private
	 * @variable string the username
	 */
	var $username;

	/**
	 * The password to login into the mailserver (if applicable)
	 * @private
	 * @variable string the password
	 */
	var $password;

	/**
	 * The from email
	 * @private
	 * @variable string the from email address
	 */
	var $fromEmail;

	/**
	 * The from-name
	 * @private
	 * @variable string the name
	 */
	var $fromName;

	/**
	 * The reply to name
	 * @private
	 * @variable string the reply to address
	 */
	var $defaultReplyTo;

	var $sendMail;

	var $readMail;

	var $smtpAuthenticationRequired;

	var $smtpKeepAlive;

	var $signature;
	/**
	 * Constructor
	 */
	function Account ($theUsername, $thePassword,
		$theFromEmail, $theFromName, $theReplyTo,
		$theReadMail, $theSendMail)
	{
		parent :: Item ();

		$this->username = $theUsername;
		$this->password = $thePassword;
		$this->fromEmail = $theFromEmail;
		$this->fromName = $theFromName;
		$this->defaultReplyTo = $theReplyTo;

		$this->readMail = $theReadMail;
		$this->sendMail = $theSendMail;
	}

	/**
	 * Returns a human readable representation of this object
	 * @return string a human readable representation of this object
	 */
	function toString ()
	{
		$result  = "[Account]";
		$result .= " isParent: " . $this->isParent;
		$result .= " parentId: " . $this->parentId;
		$result .= " Name: " . $this->name;
		return $result;
	}
}
?>