<?php

require_once ('framework/model/Item.php');

/**
 * A message
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta - May 2006
 * @package org.brim-project.plugins.gmail
 * @subpackage model
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
class Message extends Item
{
	/**
	 * Message id - retrieved messages have an ID (TBD Check this)
	 * @variable integer messageId
	 */
	var $messageId;

	/**
	 * The senders name
	 * @private
	 * @variable string sender
	 */
	var $sender;

	/**
	 * The from address
	 * @private
	 * @variable string from
	 */
	var $from;

	/**
	 * The To: list
	 * @private
	 * @variable array
	 */
	var $to;

	/**
	 * The Cc: list
	 * @private
	 * @variable array
	 */
	var $cc;

	/**
	 * The Bcc: list
	 * @private
	 * @variable array
	 */
	var $bcc;

	/**
	 * The reply-to address
	 * @private
	 * @varaible string reply-to the reply-to address
	 */
	var $replyTo;

	/**
	 * The date (timestamp) of this message
	 * @private
	 * @variable date date
	 */
	var $date;

	/**
	 * TBD X-mail of zoiets
	 */
	var $xMailer = "[Brim - mail (http://www.brim-project.org)]";

	/**
	 * The subject
	 * @private
	 * @variable string subject the Subject
	 */
	var $subject;

	/**
	 * The email body (the text)
	 * @private
	 * @variable string body
	 */
	var $body;

	/**
	 * Attachments
	 * @private
	 * @variable array attachments
	 */
	var $attachments;

	/**
	 * Status....?
	 * @private
	 * @variable string status
	 */
	var $status;

	/**
	 * Flag... or is this part of the status?
	 * @private
	 * @variable string flag
	 */
	var $flags;

	/**
	 * This mails priority
	 *
	 * @var string
	 */
	var $priority;

	/**
	 * Read indication
	 *
	 * @var boolean
	 */
	var $isRead;

	/**
	 * Constructor
	 */
	function Message ($theFrom, $theTo, $theCC, $theBcc,
		$theReplyTo, $theDate, $theSubject, $theBody,
		$theAttachments)
	{
		parent :: Item (0, null, 0, 0, 'name', 'desc', 'private', 'cat', 0, null, null);

		$this->from = $theFrom;
		$this->to = $theTo;
		$this->cc = $theCC;
		$this->bcc = $theBcc;
		$this->replyTo = $theReplyTo;
		$this->date = $theDate;
		$this->subject = $theSubject;
		$this->body = $theBody;
		$this->attachments = $theAttachments;
		$this->isRead = false;
		$this->flags = array();
	}

	/**
	 * Returns a human readable representation of this object, no mail body,
	 * used for debugging purposes only
	 *
	 * @return string a human readable representation of this object
	 */
	function toString ()
	{
		$result  = "[MailMessage]";
		$result .= " isParent: " . $this->isParent;
		$result .= " parentId: " . $this->parentId;
		$result .= " Name: " . $this->name;
		return $result;
	}
}
?>