<?php
/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta
 * @package org.brim-project.plugins.gmail
 * @subpackage view
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
include 'plugins/gmail/view/header.inc.php';
include ('templates/'.$_SESSION['brimTemplate'].'/icons.inc');
$configuration = array ();

// Build up a proper configuration for the tree display.
$configuration['icons']=$icons;
$configuration['dictionary']=$dictionary;
$configuration['callback']='index.php?plugin=gmail';

// Check for optional overlib
if (isset ($_SESSION['gmailOverlib']))
{
	$configuration ['overlib'] =$_SESSION['gmailOverlib'];
}
else
{
	$configuration ['overlib'] = true;
}
$configuration['currentFolder']=$currentFolder;

include_once "framework/view/LineBasedTree.php";
include_once "plugins/gmail/view/GMailLineBasedTreeDelegate.php";

$delegate = new GMailLineBasedTreeDelegate ($configuration);
$tree = new LineBasedTree ($delegate, $configuration);
// Now actually show the layout
?>
	<table>
		<tr>
			<td>
				<form method="POST" action="index.php">
				<input type="hidden" name="plugin" value="gmail" />
				<input type="hidden" name="action" value="compose" />
				<input type="submit"
					value="<?php echo $dictionary['compose'] ?>" />
				</form>
			</td>
			<td>
				<input type="button" onclick="javascript:selectAll ()"
					name="selectAll"
					value="<?php echo $dictionary['selectAll'] ?>" />
			</td>
			<td>
				<input type="button" onclick="javascript:deselectAll ()"
					name="deselectAll"
					value="<?php echo $dictionary['deselectAll'] ?>" />
			</td>
			<td>
				<form action="index.php" method="POST" name="gmail">
				<input type="hidden" name="plugin" value="gmail" />
				<?php echo $dictionary['withSelected']; ?>:&nbsp;
				<select name="action">';
				<?php
					$options =
						array (
							'star'=>$dictionary['star'],
							'unstar'=>$dictionary['unstar'],
							'markRead'=>$dictionary['markRead'],
							'markUnread'=>$dictionary['markUnread']
						);
					if ($currentFolder == 'Trash')
					{
						$options ['undelete'] = $dictionary['undelete'];
						// doesn't work (yet?)
						$options['deleteForever']=$dictionary['deleteForever'];
					}
					else
					{
						$options ['delete']=$dictionary['delete'];
					}
					echo $this->plugin('options', $options, null);
				?>
				</select>
				<input type="submit" value="<?php echo $dictionary['go'] ?>" />
			</td>
		</tr>
	</table>
<?php
	echo ($tree -> toHtml (0, $mail));
?>
<pre>
<?php //var_dump ($mail); ?>
</form>