<?php
/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta
 * @package org.brim-project.plugins.news
 * @subpackage i18n
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2005 Barry Nauta
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
/*@german full translation Brim 1.0.3 / Nov2005 by Mario Glagow */

if (!isset ($dictionary))
{
	$dictionary=array();
}

$dictionary['item_quick_help']='
Nutzen Sie das Ordner/Element Icon am Anfang
der Linie um den Link zu bewegen/l&#246;schen oder
zu editieren.
<br />
Ein News-Link ist eine spezielle URL
(rssFeed/syndicate feed) und eine Seite
die Inhalte per RSS bereith&#228;lt zeigt die
typischerweise mit solch einem Icon an:
<img src="plugins/news/view/pics/xml.gif">
<br /><br />
Um einen Link in einen anderen Ordner oder
in das Wurzelverzeichnis zu verschieben,
<br />klicken Sie auf Bearbeiten  => Verschieben => klicken Sie auf den
Zielordner wo der Link erscheinen soll';
$dictionary['item_title']='News';
$dictionary['locatorMissing'] = "Link zu den News (RSS) muss definiert werden";
$dictionary['modifyNewsPreferences']='Bearbeiten der Einstellungen f&#252;r das News Element';
$dictionary['item_help']='
<p>
	Das News Plugin erlaubt Ihnen ihre
	RSS Feeds/News Feeds/Syndicates online
	zu managen. Folgende Einstellungen k&#246;nnen
	gemacht werden.
</p>
<ul>
	<li><em>Name</em>:
		Der Name des Feeds. Zum Beispiel
		\'heise\'
	</li>
	<li><em>Ordner/News</em>:
		Indikator der das Element als Ordner
		oder als Link kennzeichnet.
		<br />
		Hinweis: Einmal gesetzt ist diese
		Option im nachhinein nicht mehr
		&#228;nderbar.
	</li>
	<li><em>&#214;ffentlich/Privat</em>:
		Indikator der das Element &#246;ffentlich oder
		nur zur eigenen Verwendung kennzeichnet.
		<br />
		Hinweis: Wenn Sie ein spezielles Element/Link
		&#246;ffentlich machen wollen m&#252;ssen vorhandene
		dar&#252;ber liegende Ordner ebenfalls &#246;ffentlich sein.
		Das Wurzelverzeichnis ist standardm&#228;&#223;ig &#18422;ffentlich.
	</li>
	<li><em>URL</em>:
		Die URL von dem RSS Feed. Die URL muss mit
		dem Protokollkennzeichen (http:// oder ftp://) beginnen
		um korekt von Brim erkannt zu werden. Beispiel:
 		<code>http://www.heise.de/newsticker/heise.rdf</code>
	</li>
	<li><em>Beschreibung</em>:
		Beschreibung f&#252;r den Feed, wenn gew&#252;nscht
	</li>
</ul>
<p>
	F&#252;r das news Plugin sind folgende
	Untermen&#252;s verf&#252;gbar: Aktionen, Ansicht, Sortieren,
	Einstellungen und Hilfe.
</p>
<h3>Aktionen</h3>
<ul>
	<li><em>Hinzuf&#252;gen</em>:
		Diese Aktion f&#252;hrt den Nutzer in eine
		Eingabemaske in der er News Feeds anlegen
		und die dazugeh&#246;rigen Parameter einstellen kann.
		Hinweis: die URL des Feeds MUSS mit dem Protokoll-
		kennzeichen (http:// oder ftp://)beginnen.
	</li>
	<li><em>Mehrfachauswahl</em>:
		Diese Aktion erlaubt dem Nutzer mehrere
		Links gelichzeitig auszuw&#228;hlen um diese
		zu l&#246;schen oder diese in ein speziellen
		Ordner zu verschieben. (Ordner sind NICHT
		ausw&#228;hlbar bei dieser Option)
	</li>
	<li><em>Import</em>:
		Diese Aktion erlaubt dem Nutzer RSS Feeds,
		in der Form von Lesezeichen zu importieren.
		Zur Zeit werden der Opera Brwoser sowie Browser der
		Netscape/Mozilla/Firefox Familie unterst&#252;tzt.
		Wenn Sie ihre Lesezeichen vom IE (Internet
		Explorer aus importieren m&#246;chten m&#252;ssen Sie
		zuerst diese aus dem IE heraus exportieren.
		Der Export hat dann das Netscape Format und
		kann dann in Brim importiert werden.
		<br />
		Das Importieren erlaubt dem Nutzer auch
		den &#214;ffentlich/Privat Indikator zu setzen.
		Beim Import werden dann alle Lesezeichen mit
		dem Indikator versehen.
		<br />
		Das Importieren in einen speziellen Ordner
		ist auch m&#246;glich. Sie m&#252;ssen zuerst in diesen
		speziellen Ordner wechslen und dann die
		Import Aktion anklicken.
	</li>
	<li><em>Export</em>:
		Diese Aktion erlaubt dem Nutzer seine RSS Feeds
		als Lesezeichen im Opera oder Netscape Format
		(sind kompatibel mit Mozilla/Firefox) zu exportieren.
		Wenn Sie ihre RSS Feeds f&#252;r den IE (Internet Explorer)
		exportieren m&#246;chten, m&#252;ssen Sie diese zuerst im
		Netscape Format aus Brim heraus exportieren um
		sie anschlei&#223;end in den IE importieren zu k&#2038;nnen.
	</li>
	<li><em>Suche</em>:
		Diese Aktion erlaubt dem Nutzer nach Links zu
		News anhand des Namens, der Beschreibung oder
		der URL zu suchen.
	</li>
</ul>
<h3>Ansicht</h3>
<ul>
	<li><em>Aufklappen</em>:
		Diese Aktion veranla&#223;t das System alle
		Ordner zu &#246;ffnen und alle Elemente anzuzeigen.
		Diese Funktion ist nur f&#252;r Baumstrukturierte
		Ansichten verf&#252;gbar.
	</li>
	<li><em>Zuklappen</em>:
		Diese Aktion veranla&#223;t das System nur die
		eigenen Elemente (Ordner/News)des aktuellen
		gew&#228;hlten Ordners anzuzeigen.
	</li>
	<li><em>Verzeichnisstruktur</em>:
		Diese Aktion veranla&#223;t das System in die
		Verzeichnisstruktur &#220;bersicht zu wechseln.
		Diese Ansicht zeigt die Feeds in der Yahoo
		&#252;blichen Art und Weise als Verzeichnisstruktur
		an.
		<br />
		Die Anzahl der dargestellten Spalten kann der
		Nutzer in den Einstellungen festlegen.
	</li>
	<li><em>Baumstruktur</em>:
		Diese Aktion veranla&#223;t das System in eine
		&#220;bersicht zu wechseln die &#1828;hnlich einem
		Explorer ist und von vielen anderen Datei-
		managerprogrammen bekannt ist. Die Feeds
		werden in der Art eines Dateisystems angezeigt.
	</li>
	<li><em>Freigaben anzeigen</em>:
		Zeigt alle &#246;ffentlichen News Elemente aller
		Nutzer zusammen mit den eigenen News an un-
		abh&#228;nig ob diese nun &#246;ffentlich oder privat sind.
	</li>
	<li><em>Eigene anzeigen</em>:
		Zeigt nur die eigenen News Feeds an.
		(gegens&#228;tzlich zu "Freigaben anzeigen")
	</li>
</ul>
<h3>Sortieren</h3>
<ul>
	<li><em>Als letztes besucht</em>:
		Zeigt die News Elemente in der Reihenfolge
		wie sie zuletzt besucht wurden:
	</li>
	<li><em>Am meisten besucht</em>:
		Zeigt die News Elemente in der Reihenfolge
		wie sie am meisten besucht wurden.
	</li>
	<li><em>Zuletzt erstellt</em>:
		Zeigt die News Elemente in der Reihenfolge
		wie sie zuletzt angelegt wurden.
	</li>
	<li><em>Zuletzt bearbeitet</em>:
		Zeigt die News Elemente in der Reihenfolge
		wie sie zuletzt bearbeitet wurden.
	</li>
</ul>
<h3>Einstellungen</h3>
<ul>
	<li><em>Bearbeiten</em>:
		Bearbeiten Sie ihre News spezifischen
		Einstellungen. Sie k&#246;nnen die Spaltenanzahl
		einstellen wenn sie in einer Verzeichnis
		&#220;bersichtsstruktur angezeigt werden. Weiterhin
		k&#246;nnen Sie einstellen ob Sie Javascript Popups
		angezeigt bekommen wollen wenn Sie &#252;ber die Links
		fahren und Sie k&#246;nnen die Standardansicht f&#252;r
		die news Feeds einstellen (Verzeichnis- oder
		Baumansichten)und Sie k&#246;nnen bestimmen ob beim
		anklicken eines Links die News in einem neuen
		Browserfenster angezeigt werden oder im gegenw&#228;rtigen.
	</li>
</ul>
';
?>
