<?php
/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta
 * @package org.brim-project.plugins.news
 * @subpackage i18n
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
if (!isset ($dictionary))
{
	$dictionary=array();
}

$dictionary['item_quick_help']='
Use the Folder/Item icon in front of the
line to move/delete/edit a link.
<br />
A news-link is a special URL
(rssFeed/syndicate feed) and a site
typically indicates that it has
news feeds by showing this icon:
<img src="plugins/news/view/pics/xml.gif">
<br /><br />
To move a link to another folder or Root,
<br />click on Edit  => Move => click on the
folder you want to move the link to.';
$dictionary['item_title']='News';
$dictionary['locatorMissing'] = "Link locator has to be defined";
$dictionary['modifyNewsPreferences']='Modify preferences for News items';
$dictionary['item_help']='
<p>
	The News plugin allows you to manage your
	RSS Feeds/News Feeds/Syndicates online
	The following parameters of a feed can be set:
</p>
<ul>
	<li><em>Name</em>:
		The name of the feed. For instance:
		\'Slashdot\'
	</li>
	<li><em>Folder/News</em>:
		Indicator whether the item to add is a
		folder or a link.
		<br />
	   	Note that once this option is set,
		it cannot be changed anymore.
	</li>
	<li><em>Public/private</em>:
		Indicator whether this item is public or
		for your eyes only.
		<br />
		Note that if you want a specific item to
		be public, its parents need to be public
		as well!!! (The root of the structure is
		public by default)
	</li>
	<li><em>URL</em>:
		The URL of this feed. This URL must start
		with a protocol indicator
		(i.e. http:// or ftp:// ) to be properly
		handled by Brim. For instance:
		<code>http://slashdot.org/slashdot.rdf</code>
	</li>
	<li><em>Description</em>:
		The description for this feed (if any)
	</li>
</ul>
<p>
	The submenus that are available for the news
	plugin are Actions, View, Sort, Preferences
	and Help.
</p>
<h3>Actions</h3>
<ul>
	<li><em>Add</em>:
		This action presents the user with a
		input form in which the feeds\' parameters
		can be entered.  Note that URL must start
		with a valid protocol indicator
		(i.e. http:// or ftp://)
	</li>
	<li><em>Multiple select</em>:
		This action allows the user
		to select multiple links at the same time
		(folders are NOT selectable using this
		option) and either delete them all at once
		or move them all to a specific folder.
	</li>
	<li><em>Import</em>:
		This action allows the user to import
		feeds that are in the form of bookmarks.
		Currently the Opera browser and the
		Netscape/Mozilla/Firefox family are supported.
		If you would like to import your bookmarks
		from Internet Explorer, you need to export
		them first. This will give you a Netscape
		bookmark file which can be imported
		into Brim.
		<br />
		Importing also allows the user to specify
		the visibility flag: private or public.
		All bookmarks will be imported with the
		specific flag.
		<br />
		Importing from within a specific folder
		is possible, just enter the specific
		directory and click the import action.
	</li>
	<li><em>Export</em>:
		This action allows the user to export feeds
		as bookmarks to either Opera format or the
		Netscape format (which is compatible with
		Mozilla/Firefox). If you would like to have
		your feeds exported to Internet Explorer,
		you need to export the feeds to the Netscape
		format and import them in Internet Explorer
		afterwards.
	</li>
	<li><em>Search</em>:
		This action allows to user to search for
		feeds based on name, URL or description.
	</li>
</ul>
<h3>View</h3>
<ul>
	<li><em>Expand</em>:
		This action tells the system to open all
		folders and show all items available. This
		is only applicable for the Tree structure
		view.
	</li>
	<li><em>Collapse</em>:
		This action tell the system to show only
		the items (either folders or feeds) of
		the current selected folder.
	</li>
	<li><em>Directory structure</em>:
		This action tells the system to switch to
		the directory structure overview. This view
		shows the feeds in a way that is similar to
		the way Yahoo! shows its directory structure.
		<br />
		The number of columns can for this view can
		be set in the news specific preferences.
	</li>
	<li><em>Tree structure</em>:
		This action tells the system to switch to
		an overview that is similar to the way
		Explorer and many other file managers show
		the layout of a filesystem.
	</li>
	<li><em>See shared</em>:
		Display all public news items of all users
		mixed with your news items (regardless
		whether they are public or private).
	</li>
	<li><em>See owned</em>:
		Show only your news items (as opposed to
		"see shared")
	</li>
</ul>
<h3>Sort</h3>
<ul>
	<li><em>Last visited</em>:
		Shows the news items based on which items
		have been the last visited.
	</li>
	<li><em>Most visited</em>:
		Shows the news items based on which items
		have been the most visited.
	</li>
	<li><em>Last created</em>:
		Shows the news items based on which items
		have been the last created.
	</li>
	<li><em>Last modified</em>:
		Shows the news items based on which items
		have been the last modified.
	</li>
</ul>
<h3>Preferences</h3>
<ul>
	<li><em>Modify</em>:
		Modifies your news specific preferences.
		You can modify the column count for
		news-feeds when the are displayed in the
		directory overview structure, you can
		modify whether you wish javascript popups
		when you hover over the links, you can
		modify what the default view for feeds
		should be (either directory or tree based)
		and you can tell whether clicking a link
		should open this link in the current or in
		a new window.
	</li>
</ul>
';
?>
