<?php
/**
 * This file is part of the Brim project.
 * The brim project is located at the following
 * location: {@link http://www.brim-project.org http://www.brim-project.org}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Thibaut Cousin
 * @package org.brim-project.plugins.news
 * @subpackage i18n
 *
 * @copyright Brim - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
if (!isset ($dictionary))
{
	$dictionary = array ();
}
$dictionary['item_help']='<p>Le module externe "Nouvelles" vous permet de g&#233;rer des flux de nouvelles (appel&#233;s aussi flux de syndication ou flux RSS) en ligne. Un flux est d&#233;fini par les param&#232;tres suivants&nbsp;:
</p>
<ul>
        <li><em>Nom</em>&nbsp;: le nom du flux. Par exemple, "Slashdot".
        </li>
        <li><em>Dossier ou flux</em>&nbsp;: indique si l\'&#233;l&#233;ment &#224; cr&#233;er est un dossier ou un flux de nouvelles.
        <br />
        Ce choix, pour un &#233;l&#233;ment donn&#233;, est irr&#233;vocable.
        </li>
        <li><em>Public ou priv&#233;</em>&nbsp;: indique si l\'&#233;l&#233;ment est public ou non.
        <br />
        Si vous voulez qu\'un &#233;l&#233;ment soit public, il faut que son &#233;l&#233;ment parent soit public aussi ! La racine de l\'arborescence est publique par d&#233;faut.
        </li>
        <li><em>URL</em>&nbsp;: le lien vers le flux de nouvelles. Rappelez-vous que l\'URL d\'un flux doit commencer par un indicateur de protocole (http:// ou ftp://) pour que Brim puisse la g&#233;rer correctement. Par exemple, <code>http://slashdot.org/slashdot.rdf</code>.
        </li>
        <li><em>Description</em>&nbsp;: une &#233;ventuelle description du flux.
        </li>
</ul>
<p>Les sous-menus disponibles pour le module externe Nouvelles sont "Action", "Vue", "Tri", "Pr&#233;f&#233;rences" et "Aide".
</p>
<h3>Actions</h3>
<ul>
        <li><em>Ajouter</em>&nbsp;: cette action donne acc&#232;s &#224; un formulaire o&#249; vous pouvez saisir les informations n&#233;cessaires &#224; la cr&#233;ation d\'un nouveau flux. Rappelez-vous que l\'URL d\'un signet doit commencer par un indicateur de protocole (http:// ou ftp://) pour que Brim puisse la g&#233;rer correctement.
        </li>
        <li><em>S&#233;lection multiple</em>&nbsp;: cette action permet de s&#233;lectionner plusieurs flux (mais pas des dossiers) en m&#234;me temps, soit pour les supprimer tous ensemble, soit pour les d&#233;placer tous ensemble dans un m&#234;me dossier.
        </li>
        <li><em>Importer</em>&nbsp;: cette action permet d\'importer des flux sous forme de signets. Actuellement, vous pouvez importer des signets d\'Opera ou d\'un navigateur de la famille Netscape/Mozilla/Firefox. Si vous voulez importer des signets d\'Internet Explorer, vous devez les exporter d\'abord. Vous obtiendrez alors un fichier de signets Netscape que vous pourrez importer dans Brim.
        <br />
        Lors de l\'importation, vous pouvez d&#233;cider si les signets import&#233;s seront publics ou priv&#233;s.
        <br />
        Importer depuis un dossier particulier est possible. Il suffit de se placer dans le dossier en question puis de choisir l\'action "Importer".
        </li>
        <li><em>Exporter</em>&nbsp;: cette action permet d\'exporter des flux en tant que signets au format Opera ou Netscape (compatible avec Mozilla et Firefox). Si vous voulez exporter au format Internet Explorer, vous devez d\'abord exporter au format Netscape puis importer le r&#233;sultat dans Internet Explorer.
        </li>
        <li><em>Chercher</em>&nbsp;: cette action permet d\'effectuer des recherches dans les noms, URL et descriptions des flux.
        </li>
</ul>
<h3>Vue</h3>
<ul>
        <li><em>D&#233;velopper</em>&nbsp;: cette action entra&#238;ne le d&#233;ploiement complet de l\'arborescence des flux de nouvelles. Elle n\'est applicable que pour la vue en arborescence.
        </li>
        <li><em>R&#233;duire</em>&nbsp;: suivant cette action, le syst&#232;me ne montre plus que les &#233;l&#233;ments (dossiers et flux de nouvelles) contenus dans le dossier courant.
        </li>
        <li><em>Vue en dossiers</em>&nbsp;: cette action entra&#238;ne l\'affichage des flux avec une vue en dossiers. Cette vue est inspir&#233;e de la mani&#232;re utilis&#233;e par Yahoo! pour montrer une structure.
        <br />
        Le nombre de colonnes pour cette vue peut &#234;tre d&#233;fini dans les pr&#233;f&#233;rences du module externe Nouvelles.
        </li>
        <li><em>Vue en arborescence</em>&nbsp;: cette action entra&#238;ne l\'affichage des flux avec une vue en arborescence, sur le mod&#232;le de nombreux navigateurs et gestionnaires de fichiers.
        </li>
        <li><em>Afficher tous les articles publics</em>&nbsp;: affiche tous les articles publics de tous les utilisateurs en plus de vos propres articles.
        </li>
        <li><em>Afficher vos articles</em>&nbsp;:  n\'affiche que vos articles, par opposition avec l\'action "Afficher tous les flux publics".
        </li>
</ul>
<h3>Tri</h3>
<ul>
        <li><em>Derniers visit&#233;s</em>&nbsp;: affiche les articles tri&#233;s selon leur date de derni&#232;re visite.
        </li>
        <li><em>Les plus visit&#233;s</em>&nbsp;: affiche les articles tri&#233;s selon leur fr&#233;quence de visite.
        </li>
        <li><em>Derniers cr&#233;&#233;s</em>&nbsp;: affiche les articles tri&#233;s selon leur date de cr&#233;ation.
        </li>
        <li><em>Derniers modifi&#233;s</em>&nbsp;: affiche les articles tri&#233;s selon leur date de derni&#232;re modification.
        </li>
</ul>
<h3>Pr&#233;f&#233;rences</h3>
<ul>
        <li><em>Modifier</em>&nbsp;: permet d\'acc&#233;der aux pr&#233;f&#233;rences du module externe Nouvelles. Vous pouvez y modifier le nombre de colonnes pour la vue en dossiers, l\'utilisation de popups Javascript au survol des signets, la vue par d&#233;faut, d&#233;finir la vue par d&#233;faut (en dossiers ou en arborescence), et choisir l\'ouverture des articles dans une autre fen&#234;tre ou non.
        </li>
</ul>';
$dictionary['item_quick_help']='Cliquez sur l\'ic&#244;ne de dossier ou d\'&#233;l&#233;ment se trouvant en d&#233;but de ligne pour d&#233;placer, supprimer ou modifier un flux.
<br />
Un flux de nouvelles est un lien sp&#233;cial (de type rssFeed/syndicate) et un site web indique en g&#233;n&#233;ral qu\'il propose un flux de nouvelles par cette ic&#244;ne&nbsp;:
<img src="plugins/news/view/pics/xml.gif">
<br /><br />
Pour d&#233;placer un flux, cliquez sur "Modifier", puis "D&#233;placer", puis cliquez sur le dossier o&#249; vous voulez placer le flux.';
$dictionary['item_title']='Nouvelles';
$dictionary['locatorMissing']='Vous devez indiquer un emplacement';
$dictionary['modifyNewsPreferences']='Modifier les pr&#233;f&#233;rences du module Nouvelles';

?>
