<?php
/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta
 * @package org.brim-project.plugins.news
 * @subpackage i18n
 * @tradotto in italiano da Luigi Garella
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
if (!isset ($dictionary))
{
	$dictionary=array();
}

$dictionary['item_quick_help']='
Usate l\'icona Cartella/Elemento all\'inizio di ogni riga per spostare/cancellare/modificare un link
<br />
Un "link news" &egrave; un URL speciale (Feed rss/syndicate feed) ed &egrave; spesso individuabile in un sito quando ad esempio &egrave; identificato da un\'icona di questo tipo:
<img src="plugins/news/view/pics/xml.gif">
<br /><br />
Per spostare un link ad un\'altra cartella o a Root,
<br />cliccate su Modifica => Sposta => cliccate sulla cartella di destinazione, quella cio&egrave; in cui volete spostare l\'elemento.';
$dictionary['item_title']='Feed';
$dictionary['locatorMissing'] = "Il link della fonte deve essere definito";
$dictionary['modifyNewsPreferences']='Modifica le preferenze degli elementi di Notizie';
$dictionary['item_help']='
<p>
Il plugin Notizie vi permette di gestire online i vostri feed rss / newsfeed ed altri contenuti condivisi.
Potete agire sui seguenti parametri:
</p>
<ul>
	<li><em>Nome</em>:
Il nome del vostro Feed, ad esempio:

		\'Slashdot\'
	</li>
	<li><em>Cartella/Feed</em>:
		
		Indica se l\'elemento da aggiungere &egrave; una cartella od un singolo link al feed.
		<br />
		Una volta stabilito, questo parametro non pu&ograve; essere variato.
	</li>
	<li><em>Pubblico/Privato</em>:
		Per indicare se l\'elemento &egrave; di pubblica accessibilit&agrave; o privato
		<br />
		Se si desidera che un elemento sia pubblico &egrave; necessario che lo sia anche la cartella che lo contiene.
		(Root &egrave; pubblico per default)
	</li>
	<li><em>URL</em>:
	
	L\'Url del feed. Deve inziare con un indicatore di protocollo (es.: http:// o ftp://) 
		per essere gestito correttamente da Brim. Ad es.:
		<code>http://slashdot.org/slashdot.rdf</code>
	</li>
	<li><em>Descrizione</em>:
		La descrizione del feed.
	</li>
</ul>
<p>
	I seguenti sottomen&ugrave; sono disponibili per il plugin Feed:
	Azioni, Visualizzazione, Organizza, Preferenze e Aiuto
</p>
<h3>Azioni</h3>
<ul>
	<li><em>Aggiungi</em>:
		Attraveros questo comando richiamate il form attraverso cui inserire i parametri del Feed. Badate di indicare un indicatore di protocollo valido
		(e.: http:// o ftp://)
	</li>
	<li><em>Selezione multipla</em>:
		Questa azione permette all\'utente di selezionare pi&ugrave; link (ma NON cartelle) contemporaneamente al fine di cancellarli o spostarli in altra cartella.
	</li>
	<li><em>Importa</em>:
	Questa azione vi permette di importare feed in forma di preferiti, attualmente &egrave; possibile acquisire file nei formati del browser Opera e in quello della famiglia 
	Netscape/Mozilla/Firefox.
	Se volete importare da Internet Explorer &egrave; necessario che prima li esportiate in modo tale da avere la lista in un formato compatibile con Netscape, gestibile da Brim.
		<br />
	Durante la fase di importazione &egrave; data la possibilit&agrave; di attribuire il parametro di visibilit&agrave;: pubblico o privato. Tutti i feed verranno importati secondo quanto stabilito
		<br />
		E\' possibile importare direttamente in una specifica cartella, sar&agrave; sufficiente indicarne il corretto percorso (path) e quindi dare il comando "Importa"
	</li>
	<li><em>Esporta</em>:
	Questa azione vi permette di esportare la lista dei vostri feed in un formato compatibile con quello gestito dal
	browser Opera o con quello comune per la famiglia Netscape/Mozilla/Firefox.
	Se volete esportare una lista da gestire con Internet Explorer dovete scegliere il formato Netscape e quindi importare il file in IE.
	</li>
	<li><em>Cerca</em>:
		Questa azione vi consente di effettuare una ricerca per nome, URL o descrizione.
	</li>
</ul>
<h3>Visualizzazione</h3>
<ul>
	<li><em>Espandi</em>:
		Questo comando fa s&igrave; che il sistema apra tutte le cartelle e ne mostri gli elementi interni. E\' attivabile solo nella vista ad albero.
	</li>
	<li><em>Contrai</em>:
		Questa comando far&agrave; s&igrave; che il sistema mostri solo gli elementi (feed o cartelle) contenuti nella cartella selezionata.
	</li>
	<li><em>Struttura a Directory</em>:
	Tramite questa azione passerete alla visualizzazione a directory che &egrave; simile al modo in cui Yahoo! mostra le sue directory.
		<br />
		Potete stabilire il numero di colonne in cui suddividere il contenuto nelle preferenze del plugin.
	</li>
	<li><em>Struttura ad Albero</em>:
	Questa azione vi far&agrave; passare alla visualizzazione ad albero che &egrave; simile a come vengono mostrati i file
	in "Esplora Risorse" di Windows e in molto altri sistemi di gestione dei file e del sistema operativo che usate.
	</li>
	<li><em>Mostra Condivisioni</em>:
		Vi permetter&agrave; di visualizzare gli elementi condivisi da tutti gli utenti assieme a tutti i vostri feed, pubblici e privati.
	</li>
	<li><em>Mostra i miei Feed</em>:
	Al contrario di "Mostra Condivisioni" mostrer&agrave; solo i vostri feed
	</li>
</ul>
<h3>Organizza</h3>
<ul>
	<li><em>Visitati di recente</em>:
 		Mostra i feed e le news in base all\'ultima visita
	</li>
	<li><em>pi&ugrave; Visitati</em>:
		Mostra i feed e le news che pi&ugrave; avete letto
	</li>
	<li><em>Ultimi aggiunti</em>:
		Mostra i feed e le news che avete aggiunto, a partire dalla pi&ugrave; recente.
	</li>
	<li><em>Ultimi modificati</em>:
		Visualizza per primi i feed e le news che avete modificato pi&ugrave; recentemente.
	</li>
</ul>
<h3>Preferenze</h3>
<ul>
	<li><em>Modifica</em>:
		Vi consente di modificare le preferenze del plugin Feed. Potete stabilire il numero di colonne usate per la visualizzazione,
		attivare o disattivare  pop-up javascript che compaiono quando passate il puntatore del mouse su un link, potete stabilire la 
		visualizzazione predefinita per i vostri feed (a directory o ad albero) oltre a scegliere se volete che i link si aprano in una nuova finestra (o tab) o meno.
	</li>
</ul>
';
?>
