<?php

require_once ('plugins/news/model/News.php');
require_once ('plugins/news/model/NewsFactory.php');
require_once ('framework/model/Services.php');

/**
 * News operations (RSS/RDF). The BusinessLogic operations that can be
 * performed on News
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta - February 2003
 * @package org.brim-project.plugins.news
 * @subpackage model
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
class NewsServices extends Services
{

	/**
	 * Default constructor
	 */
	function NewsServices ()
	{
		parent :: Services ();
		$this->itemFactory = new NewsFactory ();

		$queries = array ();
		include ('plugins/news/sql/newsQueries.php');
		$this->queries = $queries;
	}

	/**
	 * Adds a news item for a user
	 *
	 * @param integer userId the identifier for the user
	 * @param object item the news item to be added
	 * @return dont know anymore TBD FIXME BARRY
	 */
	function addItem ($userId, $item)
	{
		$now = date ("Y-m-d H:i:s");
		$query = sprintf ($this->queries['addItem'],
			$userId,
			addslashes ($item->parentId),
			addslashes ($item->isParent),
			addslashes ($item->name),
			addslashes ($item->description),
			addslashes ($item->visibility),
			addslashes ($item->category),
			addslashes ($now),
			addslashes ($item->locator));

		$this->db->Execute ($query) or die ('AddNews: not able to add
			bookmark ' . $query . " " . $this->db->ErrorMsg());

		// todo move to base Service class?
		$query = $this->queries['lastItemInsertId'];
		$result=$this->db->Execute($query)
			or die ("addNews: " .
				$this->db->ErrorMsg () . " " . $query);
		return $result->fields[0];
	}


	/**
	 * Modifies an item
	 *
	 * @param integer userId the identifier of the user who modifies
	 * a bookmark
	 * @param object item the modified item
	 */
	function modifyItem ($userId, $item)
	{
		$now = date ("Y-m-d H:i:s");

		$query = sprintf ($this->queries['modifyItem'],
			$now,
			addslashes ($item->name),
			addslashes ($item->parentId),
			addslashes ($item->visibility),
			addslashes (trim($item->description)),
			$item->isDeleted,
			addslashes ($item->locator),
			$item->itemId);

		$result = $this->db->Execute ($query) or die
			("ModifyItem Error: " .
				$this->db->ErrorMsg () . " " . $query);
	}
}
?>