<?php

include 'framework/view/globalFunctions.php';

/**
 * The template file that draws the layout to add a news item.
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta
 * @package org.brim-project.plugins.news
 * @subpackage view
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */

/*
$editable = (($viewAction=='show')?false:true);

function rowInput ($parameter, $dictionary, $defaultValue, $editable)
{
	$result = '
	<tr>
		<td class="inputParamName">
			<label id="'.$parameter.'Label">'.$dictionary[$parameter].':</label>
		</td>
		<td class="inputParamValue">
			<input type="text" class="text" id="'.$parameter.'" name="'.$parameter.'" ';
            if (!$editable)
            {
                $result .= 'readonly="true" ';
            }
			if (isset ($defaultValue) && $defaultValue != null)
			{
				$result .= 'value="'.$defaultValue.'" ';
			}
			$result .= ' />
		</td>
	</tr>';
	return $result;
}

function rowTextArea ($parameter, $dictionary, $defaultValue, $editable)
{
	$result = '
	<tr>
		<td class="inputParamName">
			<label id="'.$parameter.'Label">'.$dictionary[$parameter].':</label>
		</td>
		<td class="inputParamValue">
			<textarea class="text" id="'.$parameter.'" name="'.$parameter.'" ';
            if (!$editable)
            {
                $result .= 'readonly="true" ';
            }
			$result .= '>';
			if (isset ($defaultValue) && $defaultValue != null)
			{
				$result .= $defaultValue;
			}
			$result .= '</textarea>
		</td>
	</tr>';
	return $result;
}
*/
?>
<script language="javascript">
<!--
        var itemFormParameters = Array ('itemParameters');
        /**
         * Function call when either item or folder is selected.
         * Based on the selection, a number of form items will be displayed
         * or hidden
         * @see array itemFormParameters
         */
        function itemSelected (isFolder)
        {
            var display = isFolder?'':'none';
            for (i=0; i<itemFormParameters.length; i++)
            {
                document.getElementById (itemFormParameters[i]).style.display=display;
            }
            return false;
        }

// -->
</script>
<h2>
	<?php echo $pageTitle ?>
</h2>
<?php
	//
	// Show the ancestor path. Contributed by Michael
	//
	if(isset($parameters['ancestors']))
	{
		echo ('<!-- Ancestors -->');
		echo ('<table><tr>');
		//
		// The root link
		//
		echo '<td><a href="index.php?plugin=news&parentId=0" class="ancestor">';
		echo $dictionary['root'].'</a></td>';

		if (is_array ($parameters['ancestors']))
		{
			//
			// all ancestors other than root
			//
			foreach($parameters['ancestors'] as $ancestor)
			{
				echo '<td>&nbsp;/&nbsp;';
				echo '<a href="index.php?plugin=news&parentId=';
				echo $ancestor->itemId.'" class="ancestor">';
				echo $ancestor->name;
				echo '</a>';
				echo '</td>';
			}
		}
		echo ('</tr></table>');
	}
?>

<form method="POST" action="index.php">
<input type="hidden" name="plugin" value="news" />
<table>
<?php
    if(!empty($parameters['errors']))
	{
		echo standardTableRowErrorMessages
			($dictionary, $parameters['errors'], $icons);
	}

	echo standardTableRowInput ('name',
		$dictionary, $viewAction, $renderObjects);
    if ($viewAction == 'add')
    {
?>
    <tr>
        <td class="inputParamName">&nbsp;</td>
        <td class="inputParamValue">
            <?php echo $dictionary['folder']; ?>:&nbsp;<input
                type="radio" class="radio" name="isParent" value="1"
                	onClick="javascript:itemSelected(false); "
                />
            <br />
            <?php echo $dictionary['news'] ?>:&nbsp;<input
                type="radio" class="radio" name="isParent" value="0"
                	onClick="javascript:itemSelected(true); "
                checked="checked"  />
        </td>
    </tr>
<?php
    }
	echo standardTableRowPublicPrivateRadios
		($dictionary, $viewAction, $renderObjects);
?>
</table>
<div id="itemParameters">
<table>
<?php
	if (!isset ($renderObjects) || !$renderObjects->isParent())
	{
 		if ($viewAction == 'add' || $viewAction == 'modify')
		{
			echo rowInput ('locator', $dictionary,
				(isset ($renderObjects) && isset ($renderObjects->locator))?
					$renderObjects->locator: 'http://', $viewAction);
			echo rowTextarea ('description', $dictionary,
				(isset ($renderObjects) && isset ($renderObjects->description))?
					$renderObjects->description:null, $viewAction);
		}
	}
?>
</table>
</div>

<?php
	if ($viewAction == 'modify')

	{
		echo modifyButtonAndText ($dictionary, $renderObjects);
	}
	else if ($viewAction == 'add')
	{
		//echo addButtonAndText ($dictionary, $parentId);
?>
                <input type="hidden"
                name="action"
                id="action"
                        value="addItemPost"
                />
                <input type="submit"
                        class="button"
                        name="submit"
                        value="<?php echo $dictionary['add'] ?>"
                />
                <input type="submit"
                        id="addAndAddAnother"
                        name="addAndAddAnother"
                        class="button"
                        onclick="javascript:document.getElementById('action').value='addAndAddAnother';document.forms[0].submit()"
                        value="<?php echo $dictionary['addAndAddAnother'] ?>"
                />
<?php

	}
?>
</form>
<?php
	if ($viewAction == 'modify')
	{
		echo '<form method="POST" action="index.php"> ';
		echo '<input type="hidden" name="plugin" value="news" />';
		echo moveButtonAndText ($dictionary, $renderObjects);
		echo '</form>';

		echo '<form method="POST" action="index.php" ';
		echo 'onsubmit="return confirmDelete()">';
		echo '<input type="hidden" name="plugin" value="news" />';
		echo deleteButtonAndText ( $dictionary, $renderObjects);
		echo '</form>';
	}

    echo '<form method="POST" action="index.php">';
	echo '<input type="hidden" name="plugin" value="news" />';
    echo cancelButtonAndText ($dictionary, $parentId);
    echo '</form>';

	if ($viewAction == 'add' || $viewAction == 'modify')
	{
		echo spellButtonAndText ($dictionary);
	}
	if ($viewAction == 'add' || 'viewAction' == 'modify')
	{
        echo focusOnField ('name');
    }
?>
