<?php
/**
 * The template file to show news, instantiates a proper
 * tree-delegate and tree renderer
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta
 * @package org.brim-project.plugins.news
 * @subpackage view
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */

	/*
	 * Show the ancestor path. Contributed by Michael
	 */
	if(isset($parameters['ancestors']) && $parentId != 0)
	{
		echo ('<!-- Ancestors -->');
		echo ('<table><tr>');

		// The root link
		echo ('<td><a href="index.php?plugin=news&parentId=0" class="ancestor">'.$dictionary['root'].'</a></td>');

		// all ancestors other than root
		foreach($parameters['ancestors'] as $ancestor)
		{
			echo ('<td>&nbsp;/&nbsp;');
			echo ('<a href="index.php?plugin=news&parentId='.$ancestor->itemId.'" class="ancestor">');
			echo ($ancestor->name);
			echo ('</a>');
			echo ('</td>');
		}
		echo ('</tr></table>');
	}

	include ('templates/'.$_SESSION['brimTemplate'].'/icons.inc');
	$configuration = array ();
	/*
	 * Build up a proper configuration for the tree display.
	 */
	$configuration['icons']=$icons;
	$configuration['dictionary']=$dictionary;
	$configuration['callback']='index.php?plugin=news';

	/*
	 * Check for conditional overlib
	 */
	if (isset ($_SESSION['newsOverlib']))
	{
		$configuration ['overlib'] =$_SESSION['newsOverlib'];
	}
	else
	{
		$configuration ['overlib'] = true;
	}

	/*
	 * Check where the link should be opened (same window or new window)
	 */
	if (isset ($_SESSION['newsNewWindowTarget']))
	{
		$configuration ['newsNewWindowTarget'] =$_SESSION['newsNewWindowTarget'];
	}
	/*
	 * Explorer like tree
	 */
	if (isset ($_SESSION['newsTree']) && $_SESSION['newsTree'] == 'Explorer')
	{

			include_once "framework/view/Tree.php";
			include_once "plugins/news/view/NewsExplorerTreeDelegate.php";
			$delegate = new NewsExplorerTreeDelegate ($configuration);
			$tree = new Tree ($delegate, $configuration);

			/*
			 * Do we show expanded items? (This is not a useful option in the yahoo tree)
			 */
			if (isset ($_SESSION['newsExpand']))
			{
				$tree -> setExpanded ($_SESSION['newsExpand']);
			}
	}
	/*
	 * Yahoo like tree
	 */
	else
	{
			/*
			 * Build up a proper configuration for the tree display, this makes only sense for
			 * the yahoo-like tree
			 */
			if (isset ($_SESSION['newsYahooTreeColumnCount']))
			{
				$configuration ['numberOfColumns'] =$_SESSION['newsYahooTreeColumnCount'];
			}
			else
			{
				$configuration ['numberOfColumns'] = 2;
			}

			include_once "framework/view/YahooTree.php";
			include_once "plugins/news/view/NewsYahooTreeDelegate.php";
			$delegate = new NewsYahooTreeDelegate ($configuration);
			$tree = new YahooTree ($delegate, $configuration);
	}

	/*
	 * Now actually show the layout
	 */
	echo ($tree -> toHtml ($parent, $renderObjects));
?>
