<?php

require_once 'framework/Installer.php';

/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta - July 2003
 * @package org.brim-project.plugins.notes
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
class NoteInstaller extends Installer
{
		function NoteInstaller ($engine, $db)
		{
			parent::Installer ($engine, $db);
			$this->tableName = 'brim_notes';
		}

		function install ()
		{
			if (!$this->findTable ())
			{
				$dbFile = 'plugins/notes/sql/create.';
				$dbFile .= $this->engine;
				$dbFile .= '.'.$this->tableName.'.sql';
				$this->createTable ($dbFile);
				$this->createStandardIndex ();
			}
			else
			{
				if (!$this->isTableUpToDate ())
				{
					die ('Table '.$this->tableName.' found but does not appear to be up-to-date and no upgrade procedure is found!');
				}
			}

		}


		function isTableUpToDate ()
		{
			if (!$this->findTable ())
			{
				return false;
			}
			$columnNames =
			$this->db->MetaColumnNames ($this->tableName, true);
			return (
				count ($columnNames) == 11 &&
				$columnNames[0] == 'item_id' &&
				$columnNames[1] == 'owner' &&
				$columnNames[2] == 'parent_id' &&
				$columnNames[3] == 'is_parent' &&
				$columnNames[4] == 'name' &&
				$columnNames[5] == 'description' &&
				$columnNames[6] == 'visibility' &&
				$columnNames[7] == 'category' &&
				$columnNames[8] == 'is_deleted' &&
				$columnNames[9] == 'when_created' &&
				$columnNames[10] == 'when_modified'
			);
		}
}
?>