<?php
require_once('framework/model/Item.php');

/**
 * An image link item
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Thomas Sterren
 * @package org.brim-project.plugins.recipes
 * @subpackage model
 * @filesource
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
class ImageLink
{
	var $itemId;
	var $type = 'ImageLink';
	var $itemName = 'ImageLink';

	var $isDeleted;
	var $when_created;
	var $when_modified;
	var $guid;
	var $parentId;
	var $recipeId;
	var $position;
	var $arrangement;
	var $mainImage;
	var $url;
	var $class;
	var $style;
	var $width;
	var $height;
	var $border;
	var $align;
	var $hSpace;
	var $vSpace;
	var $alt;
	var $title;
	var $mediaRef;

	/**
	 * Full blown constructor with all parameters
	 */
	function ImageLink($theItemId,
					   $deleted,
					   $theCreation,
					   $theModified,
					   $theGUID,
					   $theParentId,
					   $theRecipeId,
					   $thePosition,
					   $theArrangement,
					   $theMainImage,
					   $theURL,
					   $theClass,
					   $theStyle,
					   $theWidth,
					   $theHeight,
					   $theBorder,
					   $theAlign,
					   $theHSpace,
					   $theVSpace,
					   $theAlt,
					   $theTitle,
					   $theMediaRef)
	{
		$this->itemId		= $theItemId;
		$this->type			= 'ImageLink';
		$this->itemName		= 'ImageLink';

		$this->isDeleted	= $deleted;
		$this->when_created	= $theCreation;
		$this->when_modifed	= $theModified;
		$this->guid			= $theGUID;
		$this->parentId		= $theParentId;
		$this->recipeId		= $theRecipeId;
		$this->position		= $thePosition;
		$this->arrangement	= $theArrangement;
		$this->mainImage	= $theMainImage;
		$this->url			= $theURL;
		$this->class		= $theClass;
		$this->style		= $theStyle;
		$this->width		= $theWidth;
		$this->height		= $theHeight;
		$this->border		= $theBorder;
		$this->align		= $theAlign;
		$this->hSpace		= $theHSpace;
		$this->vSpace		= $theVSpace;
		$this->alt			= $theAlt;
		$this->title		= $theTitle;
		$this->mediaRef		= $theMediaRef;
	}

	/**
	 * Checks whether the constructed item is a valid item (has all the
	 * required fields)
	 *
	 * @return boolean <code>true</code> if the item is valid, <code>false</code> otherwise
	 */
	function isValid()
	{
		if (isset($this->url) && trim($this->url) != "")
		{
			return true;
		}
		return false;
	}

	/**
	 * Returns whether this item is a parent. This item is
	 * never a parent.
	 *
	 * @return boolean <code>true</code> if this item is a parent,
	 * <code>false</code> otherwise
	 */
	function isParent()
	{
		return false;
	}
}
?>