<?php
require_once('framework/model/Item.php');

/**
 * An Link item
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Thomas Sterren
 * @package org.brim-project.plugins.recipes
 * @subpackage model
 * @filesource
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
class Link
{
	var $itemId;
	var $type = 'Link';
	var $itemName = 'Link';

	var $isDeleted;
	var $when_created;
	var $when_modified;
	var $guid;
	var $recipeId;
	var $arrangement;
	var $childTableId;
	var $childItemId;

	/**
	 * Full blown constructor with all parameters
	 */
	function Link($theItemId,
				  $deleted,
				  $theCreation,
				  $theModified,
				  $theGUID,
				  $theRecipeId,
				  $theArrangement,
				  $theChildTableId,
				  $theChildItemId)
	{
		$this->itemId		= $theItemId;
		$this->type			= 'Link';
		$this->itemName		= 'Link';

		$this->isDeleted	= $deleted;
		$this->when_created	= $theCreation;
		$this->when_modifed	= $theModified;
		$this->guid			= $theGUID;
		$this->recipeId		= $theRecipeId;
		$this->arrangement	= $theArrangement;
		$this->childTableId	= $theChildTableId;
		$this->childItemId	= $theChildItemId;
	}

	/**
	 * Checks whether the constructed item is a valid item (has all the
	 * required fields)
	 *
	 * @return boolean <code>true</code> if the item is valid, <code>false</code> otherwise
	 */
	function isValid()
	{
		if (isset($this->recipeId) && $this->recipeId > 0 ||
			isset($this->arrangement) && $this->arrangement > 0 ||
			isset($this->childTableId) && $this->childTableId > 0 ||
			isset($this->childItemId) && $this->childItemId > 0)
		{
			return true;
		}
		return false;
	}
}
?>