<?php

require_once('framework/model/ItemFactory.php');
require_once('plugins/recipes/model/Link.php');

//require_class('LinkRequestCast', 'plugins/recipes/util/request/LinkRequestCast.php');
//require_class('ClassHelper', 'framework/util/ClassHelper.class.php');

/**
 * The LinkFactory
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Thomas Sterren
 * @package org.brim-project.plugins.recipes
 * @subpackage model
 * @filesource
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
class LinkFactory extends ItemFactory
{
	/**
	 * Default constructor
	 */
	function LinkFactory()
	{
		parent::ItemFactory();
		//$this->requestCast = new LinkRequestCast("Link");
	}

	/**
	 * Returns the type of this specific item
	 * @return string the type of this specific item:
	 * <code>Link</code>
	 */
	function getType()
	{
		return "Link";
	}

	/**
	 * Factory method: Returns a database result into an item
	 *
	 * @param object result the result retrieved from the database
	 * @return array the items constructed from the database resultset
	 */
	function resultsetToItems($result)
	{
		$items = array();

		while (!$result->EOF)
		{
			$item = new Link(
				$result->fields['item_id'],
				$result->fields['is_deleted'],
				$result->fields['when_created'],
				$result->fields['when_modified'],
				$result->fields['guid'],
				$result->fields['recipe_id'],
				$result->fields['arrangement'],
				$result->fields['child_table_id'],
				$result->fields['child_item_id']);

			$items[] = $item;

			$result->MoveNext();
		}
		return $items;
	}

	/**
	 * Returns an empty item
	 * @return object an empty item, all values
	 * set to -null-
	 */
	function getEmptyItem()
	{
		$item = new Link(null, null, null, null,
			 			 null, null, null, null,
			 			 null);
		return $item;
	}

	/**
	 * Generates a GUID (Global Unique Identifier). Used to identify a
	 * record in a table.
	 */
	function createGUID()
	{
		return md5(uniqid(rand()));
	}

	function requestToLinks()
	{

	}
}
?>