<?php
require_once('framework/model/Item.php');

/**
 * A Recipe item
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Thomas Sterren
 * @package org.brim-project.plugins.recipes
 * @subpackage model
 * @filesource
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
class Recipe extends Item
{
	var $type = 'Recipe';
	var $itemName = 'Recipe';
	var $guid;
	var $vegetarian;
	var $servings;
	var $complexity;
	var $duration;
	var $costs;
	var $country;
	var $author;
	var $url;
	var $nutrition;
	var $copyright;
	var $user_field1;
	var $user_field2;
	var $user_field3;
	var $user_field4;
	var $user_field5;

	var $ingredients;
	var $textSections;
	var $imageLinks;

	/**
	 * Full blown constructor with all parameters
	 */
	function Recipe($theItemId,
					$theOwner,
					$theParentId,
					$parent,
					$theName,
					$theDescription,
					$theVisibility,
					$theCategory,
					$deleted,
					$theCreation,
					$theModified,
					$theGUID,
					$vegetarian,
					$theServings,
					$theComplexity,
					$theDuration,
					$theCosts,
					$theCountry,
					$theAuthor,
					$theURL,
					$theNutrition,
					$theCopyright,
					$theUserField1,
					$theUserField2,
					$theUserField3,
					$theUserField4,
					$theUserField5)
	{
		parent::Item($theItemId,
					 $theOwner,
					 $theParentId,
					 $parent,
					 $theName,
					 $theDescription,
					 $theVisibility,
					 $theCategory,
					 $deleted,
					 $theCreation,
					 $theModified);

		$this->type = 'Recipe';
		$this->itemName = 'Recipe';

		$this->guid			= $theGUID;
		$this->vegetarian	= $vegetarian;
		$this->servings		= $theServings;
		$this->complexity	= $theComplexity;
		$this->duration		= $theDuration;
		$this->costs		= $theCosts;
		$this->country		= $theCountry;
		$this->author		= $theAuthor;
		$this->url			= $theURL;
		$this->nutrition	= $theNutrition;
		$this->copyright	= $theCopyright;
		$this->user_field1	= $theUserField1;
		$this->user_field2	= $theUserField2;
		$this->user_field3	= $theUserField3;
		$this->user_field4	= $theUserField4;
		$this->user_field5	= $theUserField5;

		$ingredients = array();
		$textSections = array();
		$imageLinks = array();
	}

	function getItemId()
	{
		return $this->itemId;
	}

	/**
	 * Checks whether the constructed item is a valid item (has all the
	 * required fields)
	 *
	 * @return boolean <code>true</code> if the item is valid, <code>false</code> otherwise
	 */
	function isValid()
	{
		if (isset($this->name) && trim($this->name) != "")
		{
			return true;
		}
		return false;
	}
}
?>