<?php
require_once('framework/model/Item.php');

/**
 * An text section item
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Thomas Sterren
 * @package org.brim-project.plugins.recipes
 * @subpackage model
 * @filesource
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
class TextSection
{
	var $itemId;
	var $type = 'TextSection';
	var $itemName = 'TextSection';

	var $isDeleted;
	var $when_created;
	var $when_modified;
	var $guid;
	var $name;
	var $description;

	/**
	 * Full blown constructor with all parameters
	 */
	function TextSection($theItemId,
						 $deleted,
						 $theCreation,
						 $theModified,
						 $theGUID,
						 $theName,
						 $theDescription)
	{
		$this->itemId		= $theItemId;
		$this->type			= 'TextSection';
		$this->itemName		= 'TextSection';

		$this->isDeleted	= $deleted;
		$this->when_created	= $theCreation;
		$this->when_modifed	= $theModified;
		$this->guid			= $theGUID;
		$this->name			= $theName;
		$this->description	= $theDescription;
	}

	/**
	 * Checks whether the constructed item is a valid item (has all the
	 * required fields)
	 *
	 * @return boolean <code>true</code> if the item is valid, <code>false</code> otherwise
	 */
	function isValid()
	{
		if (isset($this->name) && trim($this->name) != "" ||
			isset($this->description) && trim($this->description) != "")
		{
			return true;
		}
		return false;
	}

	/**
	 * Returns whether this item is a parent. This item is
	 * never a parent.
	 *
	 * @return boolean <code>true</code> if this item is a parent,
	 * <code>false</code> otherwise
	 */
	function isParent()
	{
		return false;
	}
}
?>