<?php
/**
 * link queries
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Thomas Sterren
 * @package org.brim-project.plugins.recipes
 * @subpackage sql
 * @filesource
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */

$tableName 			= "brim_recipes_links";
$tableRecipes 		= "brim_recipes";
$tableIngredients	= "brim_recipes_ingredients";
$tableTextSections	= "brim_recipes_textsections";

include ("framework/sql/itemQueries.php");

// Hook to use the table names in the services class
$queries['tableName'] = $tableName;
$queries['tableRecipes'] = $tableRecipes;
$queries['tableIngredients'] = $tableIngredients;
$queries['tableTextSections'] = $tableTextSections;

$queries['getNextFreeOrderNumber']=
		"SELECT \"%s\" FROM " . $tableName . " WHERE recipe_id=%d " .
		"ORDER BY \"%s\" %s";

$queries['addItem']=
		"INSERT INTO ".$tableName.
		" (when_created, guid, recipe_id, arrangement, child_table_id, child_item_id) ".
		" VALUES (".
		"'%s'," .	// when_created
		"'%s'," .	// guid
		"%d," .		// recipe_id
		"%d," .		// arrangement
		"%d," .		// child_table_id
		"%d)";		// child_item_id

$queries['modifyItem']=
		"UPDATE ".$tableName." SET ".
		"when_modified='%s', ".
		"is_deleted=%d,".
		"arrangement=%d, ".
		"WHERE item_id=%d";

$queries['getIds'] =
	"SELECT " . $tableName . ".item_id, " .
			$tableName . ".child_item_id, " .
			$tableName . ".arrangement " .
	"FROM " . $tableName . " " .
	"WHERE " . $tableName . ".child_table_id = %d AND " .
			$tableName . ".recipe_id = %d " .
	"ORDER BY arrangement %s";

$queries['getAllIngredientsOfUser'] =
	"SELECT " . $tableRecipes . ".owner, " .
			$tableName . ".recipe_id AS item_id, " .
			$tableName . ".arrangement, " .
			"%s " .
	"FROM " . $tableName . " " .
		"LEFT JOIN ".$tableIngredients." ON " .
			$tableName.".child_table_id = 1 AND " .
			$tableName.".child_item_id = ".$tableIngredients.".item_id " .
		"LEFT JOIN ".$tableRecipes." ON ".$tableRecipes.".item_id = ".$tableName.".recipe_id " .
	"WHERE ".$tableRecipes.".owner = '%s' " .
	"ORDER BY ".$tableRecipes.".item_id, ".$tableName.".arrangement %s";

$queries['getRecipesSearchInIngredientsOfUser'] =
	"SELECT " . $tableRecipes . ".* " .
	"FROM " . $tableName . " " .
		"LEFT JOIN ".$tableIngredients." ON " .
			$tableName.".child_table_id = 1 AND " .
			$tableName.".child_item_id = ".$tableIngredients.".item_id " .
		"LEFT JOIN ".$tableRecipes." ON ".$tableRecipes.".item_id = ".$tableName.".recipe_id " .
	"WHERE (%s) AND ".$tableRecipes.".owner = '%s' " .
	"GROUP BY ".$tableRecipes.".item_id, ".
				$tableRecipes.".owner, ".
				$tableRecipes.".parent_id, ".
				$tableRecipes.".is_parent, ".
				$tableRecipes.".name, ".
				$tableRecipes.".description, " .
				$tableRecipes.".visibility, " .
				$tableRecipes.".category, " .
				$tableRecipes.".is_deleted, " .
				$tableRecipes.".when_created, " .
				$tableRecipes.".when_modified, " .
				$tableRecipes.".guid, " .
				$tableRecipes.".is_vegetarian, " .
				$tableRecipes.".servings, " .
				$tableRecipes.".complexity, " .
				$tableRecipes.".duration, " .
				$tableRecipes.".costs, " .
				$tableRecipes.".country, " .
				$tableRecipes.".author, " .
				$tableRecipes.".url, " .
				$tableRecipes.".nutrition, " .
				$tableRecipes.".copyright, " .
				$tableRecipes.".user_field1, " .
				$tableRecipes.".user_field2, " .
				$tableRecipes.".user_field3, " .
				$tableRecipes.".user_field4, " .
				$tableRecipes.".user_field5 " .
	"ORDER BY ".$tableRecipes.".item_id";

$queries['getRecipesSearchInIngredientsOfUserOrPublic'] =
	"SELECT " . $tableRecipes . ".* " .
	"FROM " . $tableName . " " .
		"LEFT JOIN ".$tableIngredients." ON " .
			$tableName.".child_table_id = 1 AND " .
			$tableName.".child_item_id = ".$tableIngredients.".item_id " .
		"LEFT JOIN ".$tableRecipes." ON ".$tableRecipes.".item_id = ".$tableName.".recipe_id " .
	"WHERE (%s) AND (".$tableRecipes.".owner = '%s' OR ".$tableRecipes.".visibility = 'public') " .
	"GROUP BY ".$tableRecipes.".item_id, " .
				$tableRecipes.".owner, ".
				$tableRecipes.".parent_id, ".
				$tableRecipes.".is_parent, ".
				$tableRecipes.".name, ".
				$tableRecipes.".description, " .
				$tableRecipes.".visibility, " .
				$tableRecipes.".category, " .
				$tableRecipes.".is_deleted, " .
				$tableRecipes.".when_created, " .
				$tableRecipes.".when_modified, " .
				$tableRecipes.".guid, " .
				$tableRecipes.".is_vegetarian, " .
				$tableRecipes.".servings, " .
				$tableRecipes.".complexity, " .
				$tableRecipes.".duration, " .
				$tableRecipes.".costs, " .
				$tableRecipes.".country, " .
				$tableRecipes.".author, " .
				$tableRecipes.".url, " .
				$tableRecipes.".nutrition, " .
				$tableRecipes.".copyright, " .
				$tableRecipes.".user_field1, " .
				$tableRecipes.".user_field2, " .
				$tableRecipes.".user_field3, " .
				$tableRecipes.".user_field4, " .
				$tableRecipes.".user_field5 " .
	"ORDER BY ".$tableRecipes.".item_id";

$queries['getRecipesSearchInTextSectionsOfUser'] =
	"SELECT " . $tableRecipes . ".* " .
	"FROM " . $tableName . " " .
		"LEFT JOIN ".$tableTextSections." ON " .
			$tableName.".child_table_id = 2 AND " .
			$tableName.".child_item_id = ".$tableTextSections.".item_id " .
		"LEFT JOIN ".$tableRecipes." ON ".$tableRecipes.".item_id = ".$tableName.".recipe_id " .
	"WHERE (%s) AND ".$tableRecipes.".owner = '%s' " .
	"GROUP BY ".$tableRecipes.".item_id, " .
				$tableRecipes.".owner, ".
				$tableRecipes.".parent_id, ".
				$tableRecipes.".is_parent, ".
				$tableRecipes.".name, ".
				$tableRecipes.".description, " .
				$tableRecipes.".visibility, " .
				$tableRecipes.".category, " .
				$tableRecipes.".is_deleted, " .
				$tableRecipes.".when_created, " .
				$tableRecipes.".when_modified, " .
				$tableRecipes.".guid, " .
				$tableRecipes.".is_vegetarian, " .
				$tableRecipes.".servings, " .
				$tableRecipes.".complexity, " .
				$tableRecipes.".duration, " .
				$tableRecipes.".costs, " .
				$tableRecipes.".country, " .
				$tableRecipes.".author, " .
				$tableRecipes.".url, " .
				$tableRecipes.".nutrition, " .
				$tableRecipes.".copyright, " .
				$tableRecipes.".user_field1, " .
				$tableRecipes.".user_field2, " .
				$tableRecipes.".user_field3, " .
				$tableRecipes.".user_field4, " .
				$tableRecipes.".user_field5 " .
	"ORDER BY ".$tableRecipes.".item_id";

$queries['getRecipesSearchInTextSectionsOfUserOrPublic'] =
	"SELECT " . $tableRecipes . ".* " .
	"FROM " . $tableName . " " .
		"LEFT JOIN ".$tableTextSections." ON " .
			$tableName.".child_table_id = 2 AND " .
			$tableName.".child_item_id = ".$tableTextSections.".item_id " .
		"LEFT JOIN ".$tableRecipes." ON ".$tableRecipes.".item_id = ".$tableName.".recipe_id " .
	"WHERE (%s) AND (".$tableRecipes.".owner = '%s' OR ".$tableRecipes.".visibility = 'public') " .
	"GROUP BY ".$tableRecipes.".item_id, " .
				$tableRecipes.".owner, ".
				$tableRecipes.".parent_id, ".
				$tableRecipes.".is_parent, ".
				$tableRecipes.".name, ".
				$tableRecipes.".description, " .
				$tableRecipes.".visibility, " .
				$tableRecipes.".category, " .
				$tableRecipes.".is_deleted, " .
				$tableRecipes.".when_created, " .
				$tableRecipes.".when_modified, " .
				$tableRecipes.".guid, " .
				$tableRecipes.".is_vegetarian, " .
				$tableRecipes.".servings, " .
				$tableRecipes.".complexity, " .
				$tableRecipes.".duration, " .
				$tableRecipes.".costs, " .
				$tableRecipes.".country, " .
				$tableRecipes.".author, " .
				$tableRecipes.".url, " .
				$tableRecipes.".nutrition, " .
				$tableRecipes.".copyright, " .
				$tableRecipes.".user_field1, " .
				$tableRecipes.".user_field2, " .
				$tableRecipes.".user_field3, " .
				$tableRecipes.".user_field4, " .
				$tableRecipes.".user_field5 " .
	"ORDER BY ".$tableRecipes.".item_id";

///////////////////////////////////////////////////////////////////////////////
// Overload of itemQueries

$queries['getItems'] =
	"SELECT * " .
	"FROM " . $tableName . " " .
	"WHERE " . $tableName . ".recipe_id = %d " .
	"ORDER BY arrangement";

?>