<?php
/*
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Thomas Sterren
 * @package org.brim-project.plugins.recipes
 * @subpackage util.request
 * @filesource
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */

include_once ('framework/util/globalFunctions.php');
require_class('VariableValidator', 'framework/util/request/VariableValidator.class.php');
require_class('IngredientRequestCastConfiguration',
			  'plugins/recipes/util/request/IngredientRequestCastConfiguration.php');

/**
 * The IngredientRequestCast class is used in combination with a factory to instantiate an
 * object from a request.
 *
 */
class IngredientRequestCast extends RequestCast
{
	/**
	 * Default constructor
	 *
	 * @param string classname the classname for the request
	 * @param string method the methos (either <code>GET</code> or <code>POST</code>)
	 */
	function IngredientRequestCast($className, $method = "POST")
	{
		$this->className = $className;
		$this->method = "_".$method;
		$this->validator = new VariableValidator();
		$configurater = new IngredientRequestCastConfiguration();
		$this->configuration = $configurater->getFieldMapping($this->className);
		$this->stringUtils = new StringUtils();
	}
}
?>