<?php
/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Thomas Sterren
 * @package org.brim-project.plugins.recipes
 * @subpackage view
 * @filesource
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */

//require_once ('framework/util/DateUtils.php');
//require_once ('framework/util/StringUtils.php');

require_once ('framework/view/globalFunctions.php');

function setIngredientItemIds($ingredients = null)
{
	$result = '';

	if (isset($ingredients))
	{
		for ($i = 0; $i < count($ingredients); $i++)
		{
			$result .= '<input type="hidden" name="ingredientItemId'.$i.'" value="';
			$result .= (isset($ingredients[$i])) ? $ingredients[$i]->itemId : '';
			$result .= '" />';
		}
	}
	return $result;
}

function setTextSectionItemIds($textSections = null)
{
	$result = '';

	if (isset($textSections))
	{
		for ($i = 0; $i < count($textSections); $i++)
		{
			$result .= '<input type="hidden" name="textSectionItemId'.$i.'" value="';
			$result .= (isset($textSections[$i])) ? $textSections[$i]->itemId : '';
			$result .= '" />';
		}
	}
	return $result;
}


/**
 * Returns a table with three data fields.
 * The first field will contain the amount of an ingredient in an
 * imput field, the second field will contain the name of the field
 * in an input field and the third the description of the ingredient
 * in an input field as well.
 */
function ingeredientFields($name,
						   $dictionary,
						   $action,
						   $ingredients,
						   &$configuration,
						   $colspan=0)
{
	$stringUtils = new StringUtils();

	if (isset($ingredients) &&
		count($ingredients) > 0 &&
		!isset($_REQUEST['refresh']))
	{
		$nbrOfIngredients = count($ingredients);
	}
	else if (isset($_POST['nbrOfIngredients']))
	{
		// Refresh button was pressed
		$nbrOfIngredients = $_POST['nbrOfIngredients'];
	}
	else
	{
		// Take the default values from the preferences
		$nbrOfIngredients = (isset($configuration['nbrOfIngrDisp'])) ?
										$configuration['nbrOfIngrDisp'] :
										10;
	}

	$result = '<tr><td colspan="3">&nbsp;</td></tr>';
	$result .= '<br />';
	$result .= '<tr>';
		$result .= '<td>&nbsp;</td>';
		$result .= '<td ';
		if ($colspan != 0)
		{
			$result .= 'colspan="'.$colspan.'" ';
		}
		$result .= '>';
			$result .= '<table border="0" cellspacing="0" cellpadding="2">';
			$result .= '<tr>';
			$result .= '<td width="150" style="font-size:9pt; font-weight:normal; background:#EEEEEE;">'.$dictionary['amount'].'</td>';
			$result .= '<td width="300" style="font-size:9pt; font-weight:normal; background:#EEEEEE;">'.$dictionary['name'].'</td>';
			$result .= '<td width="300" style="font-size:9pt; font-weight:normal; background:#EEEEEE;">'.$dictionary['description'].'</td>';
			$result .= '</tr>';
			$result .= '</table>';
		$result .= '</td>';
	$result .= '</tr>';

	if ($action == 'add' || $action == 'modify')
	{
		for ($i = 0; $i < $nbrOfIngredients ; $i++)
		{

			if (isset($_REQUEST['refresh']))
			{
				$ingredientAmount = (isset($_POST['ingredientAmount'.$i])) ? $_POST['ingredientAmount'.$i] : '';
				$ingredientName = (isset($_POST['ingredientName'.$i])) ? $_POST['ingredientName'.$i] : '';
				$ingredientDescription = (isset($_POST['ingredientDescription'.$i])) ? $_POST['ingredientDescription'.$i] : '';
			}
			else
			{
				$ingredientAmount = '';
				$ingredientName = '';
				$ingredientDescription = '';
			}

			$result .= '<tr>';
				$result .= '<td>';
					$result .= $dictionary[$name].' '.($i+1).':';
				$result .= '</td>';

				$result .= '<td>';
					$result .= '<table border="0" cellspacing="0" cellpadding="2">';
					$result .= '<tr><td width="150">';
						// Display amount
						$result .= '<input type="text" size="20" ';
						$result .= 'name="ingredientAmount'.$i.'" ';
						if ($action == 'modify' || isset($ingredients[$i]->amount) || isset($ingredientAmount))
						{
							if (isset($ingredients[$i]->amount))
							{
								$result .= 'value="'.$stringUtils->urlEncodeQuotes ($ingredients[$i]->amount).'" ';
							}
							else
							{
								$result .= 'value="' . $ingredientAmount . '" ';
							}
						}
						$result .= ' />';
					$result .= '</td>';

					$result .= '<td width="300">';
						// Display ingredient
						$result .= '<input type="text" class="text" ';
						$result .= 'name="ingredientName'.$i.'" ';
						if ($action == 'modify' || isset($ingredients[$i]->name) || isset($ingredientName))
						{
							if (isset($ingredients[$i]->name))
							{
								$result .= 'value="'.$stringUtils->urlEncodeQuotes ($ingredients[$i]->name).'" ';
							}
							else
							{
								$result .= 'value="' . $ingredientName . '" ';
							}
						}
						$result .= ' />';
					$result .= '</td>';;

					$result .= '<td width="300">';
						// Display ingredient description
						$result .= '<input type="text" class="text" ';
						$result .= 'name="ingredientDescription'.$i.'" ';
						if ($action == 'modify' || isset($ingredients[$i]->description) || isset($ingredientDescription))
						{
							if (isset($ingredients[$i]->description))
							{
								$result .= 'value="'.$stringUtils->urlEncodeQuotes ($ingredients[$i]->description).'" ';
							}
							else
							{
								$result .= 'value="' . $ingredientDescription . '" ';
							}
						}
						$result .= ' />';
					$result .= '</td></tr>';
					$result .= '</table>';
				$result .= '</td>';
			$result .= '</tr>';
		}


	}
	else if ($action == 'show')
	{
		$result .= '<tr>';
			$result .= '<td algin="left" valign="top">'.$dictionary['ingredients'].':</td>';

		$result .= '<td ';
		if ($colspan != 0)
		{
			$result .= 'colspan="'.$colspan.'" ';
		}
		$result .= '>';

		$result .= '<table border="0" cellspacing="0" cellpadding="2">';

		for ($i = 0; $i < count($ingredients) ; $i++)
		{

					$result .= '<tr><td width="150">';
						if (isset($ingredients[$i]->amount) && !empty($ingredients[$i]->amount))
						{
							$result .= $ingredients[$i]->amount;
						}
						else
						{
							$result .= '&nbsp;';
						}
					$result .= '</td>';

					$result .= '<td width="300">';
						if (isset($ingredients[$i]->name) && !empty($ingredients[$i]->name))
						{
							$result .= $ingredients[$i]->name;
						}
						else
						{
							$result .= '&nbsp;';
						}
					$result .= '</td>';

					$result .= '<td width="300">';
						if (isset($ingredients[$i]->description) && !empty($ingredients[$i]->description))
						{
							$result .= $ingredients[$i]->description;
						}
						else
						{
							$result .= '&nbsp;';
						}
					$result .= '</td>';

					$result .= '</tr>';
		}
			$result .= '</table>';

			$result .= '</td>';
		$result .= '<tr>';
	}

	if ($action == 'add' || $action == 'modify')
	{
		$result .= '<tr><td>&nbsp;</td>';
		$result .= '<td>';
		$result .= '<table border="0" cellspacing="0" cellpadding="2">';
		$result .= '<tr>';
			$result .= '<td>';
				$result .= $dictionary['nbrOfIngrDisp'];
			$result .= '</td>';
			$result .= '<td>';
				$result .= '<input type="text" size="5" name="nbrOfIngredients" value="' . $nbrOfIngredients . '" />';
			$result .= '</td>';
			$result .= '<td>';
				$result .= '<input class="button" type="submit" name="refresh" value="Refresh" />';
			$result .= '</td>';
		$result .= '</tr>';
		$result .= '</table>';
		$result .= '</td></tr>';

	}

	return $result;
}

function textSectionFields($name,
						   $dictionary,
						   $action,
						   $textSections,
						   &$configuration,
						   $colspan=0)
{
	$stringUtils = new StringUtils();

	if (isset($textSections) &&
		count($textSections) > 0 &&
		!isset($_REQUEST['refresh']))
	{
		$nbrOfTextSections = count($textSections);
	}
	else if (isset($_POST['nbrOfTextSections']))
	{
		// Refresh button was pressed
		$nbrOfTextSections = $_POST['nbrOfTextSections'];
	}
	else
	{
		// Take the default values from the preferences
		$nbrOfTextSections = (isset($configuration['nbrOfTextSectionsDisp'])) ?
										$configuration['nbrOfTextSectionsDisp'] :
										3;
	}

	if ($action == 'add' || $action == 'modify')
	{
		$result = '<tr><td colspan="2">&nbsp;</td></tr>';

		for ($i = 0; $i < $nbrOfTextSections ; $i++)
		{

			if (isset($_REQUEST['refresh']))
			{
				$textSectionName = (isset($_POST['textSectionName'.$i])) ? $_POST['textSectionName'.$i] : '';
				$textSectionDescription = (isset($_POST['textSectionDescription'.$i])) ? $_POST['textSectionDescription'.$i] : '';
			}
			else
			{
				$textSectionName = '';
				$textSectionDescription = '';
			}

			// Show the caption of the text section
			$result .= TableRowInput($dictionary['caption'].' '.($i+1),
									 'textSectionName'.$i,
									 (isset($textSections[$i])) ? $textSections[$i]->name : $textSectionName,
									 $action);

			$result .= '<tr>';
			// Show the description of the text section
			//
			// First field contains the name
			//
			$result .= '<td class="inputParamName">'.$dictionary['paragraph'].' '.($i+1).':</td>';

			//
			// Second field contains the value
			//
			$result .= '<td>';
			if ($action == 'add' || $action == 'modify')
			{
				$result .= '<textarea ';
				$result .= 'name="textSectionDescription'.$i.'" ';
				$result .= '>';

				if (($action == 'modify') || isset($textSections[$i]) || isset ($textSectionDescription))
				{
					if (isset($textSections[$i]))
					{
						$result .= $textSections[$i]->description;
					}
					else
					{

						$result .= $textSectionDescription;
					}
				}
				$result .= '</textarea>';
			}

			$result .= '</td>';
			$result .= '</tr>';

			if ($i < ($nbrOfTextSections - 1))
			{
				$result .= '<tr><td colspan="2">&nbsp;</td></tr>';
			}
		}
	}
	else if ($action == 'show')
	{
		$result = '<tr><td colspan="3">&nbsp;</td></tr>';

		$result .= '<tr>';
			$result .= '<td>&nbsp;</td>';

		$result .= '<td ';
		if ($colspan != 0)
		{
			$result .= 'colspan="'.$colspan.'" ';
		}
		$result .= '>';
			$result .= '<table border="0" cellspacing="0" cellpadding="2">';

			$result .= '<tr>';
			$result .= '<td width="750">';

			for ($i = 0; $i < count($textSections) ; $i++)
			{
				if (isset($textSections[$i]->name) && !empty($textSections[$i]->name))
				{
					$result .= '<div style="font-size:12pt; font-weight:bold; background:#EEEEEE;">'.$textSections[$i]->name.'</div>';
				}

				if (isset($textSections[$i]->description) && !empty($textSections[$i]->description))
				{
					$result .= '<p>'.$textSections[$i]->description.'</p>';

				}
			}

			$result .= '</td>';
			$result .= '</tr>';
			$result .= '</table>';

			$result .= '</td>';
		$result .= '<tr>';
	}


	if ($action == 'add' || $action == 'modify')
	{
		$result .= '<tr><td>&nbsp;</td>';
		$result .= '<td>';
			$result .= '<table border="0" cellspacing="0" cellpadding="2">';
			$result .= '<tr>';
				$result .= '<td>';
					$result .= $dictionary['nbrOfTextSectionsDisp'];
				$result .= '</td>';
				$result .= '<td>';
					$result .= '<input type="text" size="5" name="nbrOfTextSections" value="' . $nbrOfTextSections . '" />';
				$result .= '</td>';
				$result .= '<td>';
					$result .= '<input class="button" type="submit" name="refresh" value="Refresh" />';
				$result .= '</td>';
			$result .= '</tr>';
			$result .= '</table>';
		$result .= '</td></tr>';
	}

	return $result;
}

function standardUserFieldInputExt($fieldname,
								   $userFieldId,
								   $dictionary,
								   $action,
								   $object,
								   $parameters,
								   $colspan=0,
								   $rowspan=0)
{
	$title = '';

	$attributeName = $fieldname.$userFieldId;

	if (isset($parameters['recipeUserFieldName'.$userFieldId]))
	{
		$title = $parameters['recipeUserFieldName'.$userFieldId];
	}
	//else
	//{
	//	$title = $dictionary[$fieldname]. ' ' .$userFieldId;
	//}

	if (!empty($title))
	{
		$value = (isset($object->$attributeName))? $object->$attributeName : NULL;

		return TableRowInputExt($title,
								$attributeName,
								$value,
								$action,
								"",
								"",
								"inputParamName",
								"inputParamValue",
								$colspan,
								$rowspan);
	}
}

function standardTableRowTextareaExt($name,
									 $dictionary,
									 $action,
									 $item,
									 $colspan=0)
{
	$stringUtils = new StringUtils ();
	$result = '<tr>';

	//
	// First field contains the name
	//
	$result .= '<td class="inputParamName">'.$dictionary[$name].':</td>';

	//
	// Second field contains the value
	//
	$result .= '<td ';

	if ($colspan != 0)
	{
		$result .= 'colspan="'.$colspan.'" ';
	}

	$result .= '>';
	if ($action == 'add' || $action == 'modify')
	{
		$result .= '<textarea ';
		$result .= 'name="'.$name.'" ';
		$result .= '>';
		//
		// Fill in the value if we are modifying the item. This has no
		// use for adding...
		//
		if (($action == 'modify') || isset ($item))
		{
			$result .= $item->$name;
		}
		$result .= '</textarea>';
	}
	else if ($action == 'show')
	{
		$result .= $stringUtils->newlinesToHtml ($item->$name);
	}
	$result .= '</td>';
	$result .= '</tr>';

	return $result;
}

function standardTableRowInputExt($name,
								$dictionary,
								$action,
								$object,
								$inputText="",
								$colspan=0,
								$rowspan=0)
{
    $value = (isset($object->$name))? $object->$name : NULL;

 	return TableRowInputExt($dictionary[$name],
 							$name,
 							$value,
 							$action,
 							"",
 							"",
 							"inputParamName",
 							"inputParamValue",
 							$colspan,
 							$rowspan);
}

function TableRowInputExt($title,
						  $fieldname,
						  $fieldvalue,
						  $action,
						  $textbefore="",
						  $textbehind="",
						  $classtdTitle="inputParamName",
						  $classtdValue="inputParamValue",
						  $colspan=0,
						  $rowspan=0)
{
	$stringUtils = new StringUtils ();
	$result = '<tr>';

	// First field contains the name
	//$result .= '<td class="'.$classtdTitle.'">'.$stringUtils->urlEncodeQuotes($title).':</td>';
	$result .= '<td class="'.$classtdTitle.'">'.$title.':</td>';
	// Second field contains the value
	$result .= '<td class="'.$classtdValue.'" ';

	if ($colspan != 0)
	{
		$result .= 'colspan="'.$colspan.'" ';
	}


	if ($rowspan != 0)
	{
		$result .= 'rowspan="'.$rowspan.'" ';
	}

	$result .= '>'.$textbefore;
	if ($action == 'add' || $action == 'modify')
	{
		$result .= '<input type="text" class="text" ';
		//$result .= 'name="'.$stringUtils->urlEncodeQuotes($fieldname).'" ';
		$result .= 'id="'.$fieldname.'" ';
		$result .= 'name="'.$fieldname.'" ';
		// Fill in the value if we are modifying the item.
		if ($action == 'modify' || isset($fieldvalue))
		{
			if (isset($fieldvalue) && "" != $fieldvalue)
			{
				//$result .= 'value="'.$stringUtils->urlEncodeQuotes($fieldvalue).'" ';
				$result .= 'value="'.$fieldvalue.'" ';
			}
		}
		$result .= ' />';
	}
	else
	{
	 	// Show-action: no input but plain text
		$result .= $stringUtils->urlEncodeQuotes($fieldvalue);
	}
	$result .= $textbehind.'</td>';
	$result .= '</tr>';

	return $result;
}

/**
 * Returns the html code to display a popup
 *
 */
function tableRowPopup($name,
					   $dictionary,
					   $action,
					   $values,
					   $highlighted,
					   $size=1,
					   $tabId=null,
					   $classtdTitle="inputParamName",
					   $classtdValue="inputParamValue",
					   $colspan=0)
{
	// Check if parameters are valid
	if(!isset($highlighted))
	{
		$highlighted = 0;
	}

	$tabindex = '';
	if(isset($tabId))
	{
		$tabindex = 'tabindex="' . $tabId . '"';
	}

	$resultString = '';
	$resultString .= '<tr><td class="'.$classtdTitle.'">'.$dictionary[$name].':</td>';
	$resultString .= '<td class="'.$classtdValue.'" ';
	$resultString .= ($colspan > 0) ? 'colspan="'.$colspan.'" ' : '';
	$resultString .='>';

	$resultString .= '<select name="'.$name.'" size="'.$size.'" ' . $tabindex . '">';
	for ($i = 0; $i < count($values); $i++)
	{
		if($values[$i] == $highlighted)
		{
			$resultString .= '<option value="'.$values[$i]. '" SELECTED>' .$values[$i].'</option>';
		}
		else
		{
			$resultString .= '<option value="'.$values[$i]. '">' .$values[$i].'</option>';
		}
	}
	$resultString .= '</select>';

	$resultString .= '</td></tr>';

	return $resultString;
}

function tableRowDimension($name,
						   $dictionary,
						   $action,
						   $fieldNameWidth,
						   $fieldValueWidth,
						   $fieldNameHeight,
						   $fieldValueHeight,
						   $classtdTitle="inputParamName",
						   $classtdValue="inputParamValue")
{
	$result = '<tr>';

	// First field contains the name
	$result .= '<td class="'.$classtdTitle.'">'.$dictionary[$name].':</td>';
	// Second field contains the value
	$result .= '<td class="'.$classtdValue.'">';
	if ($action == 'add' || $action == 'modify')
	{
		$result .= '<input type="text" size="5" ';
		$result .= 'id="'.$fieldNameWidth.'" ';
		$result .= 'name="'.$fieldNameWidth.'" ';
		// Fill in the value if we are modifying the item.
		// Show the value too if we are reloading the page from adding an item
		// (typically the case if a required field kept empty)
		if ($action == 'modify' || isset($fieldValueWidth))
		{
			if (isset($fieldValueWidth) && "" != $fieldValueWidth)
			{
				$result .= 'value="'.$fieldValueWidth.'" ';
			}
		}
		$result .= ' />';

		$result .= '&nbsp;x&nbsp;';

		$result .= '<input type="text" size="5" ';
		$result .= 'id="'.$fieldNameHeight.'" ';
		$result .= 'name="'.$fieldNameHeight.'" ';

		if ($action == 'modify' || isset($fieldValueHeight))
		{
			if (isset($fieldValueHeight) && "" != $fieldValueHeight)
			{
				$result .= 'value="'.$fieldValueHeight.'" ';
			}
		}
		$result .= ' />';
	}
	else
	{
	 	// Show-action: no input but plain text
		$result .= $stringUtils->urlEncodeQuotes($fieldvalue);
	}
	$result .= '</td>';
	$result .= '</tr>';

	return $result;
}

function tableRowNumber($title,
						$fieldname,
						$fieldvalue,
						$action,
						$size=5,
						$classtdTitle="inputParamName",
						$classtdValue="inputParamValue")
{
	$stringUtils = new StringUtils ();
	$result = '<tr>';

	// First field contains the name
	$result .= '<td class="'.$classtdTitle.'">'.$title.':</td>';
	// Second field contains the value
	$result .= '<td class="'.$classtdValue.'">';
	if ($action == 'add' || $action == 'modify')
	{
		$result .= '<input type="text" size="'.$size.'" ';
		$result .= 'id="'.$fieldname.'" ';
		$result .= 'name="'.$fieldname.'" ';
		// Fill in the value if we are modifying the item.
		// Show the value too if we are reloading the page from adding an item
		// (typically the case if a required field kept empty)
		if ($action == 'modify' || isset($fieldvalue))
		{
			if (isset($fieldvalue))
			{
				$result .= 'value="'.$fieldvalue.'" ';
			}
		}
		$result .= ' />';
	}
	else
	{
	 	// Show-action: no input but plain text
		$result .= $stringUtils->urlEncodeQuotes($fieldvalue);
	}
	$result .= '</td>';
	$result .= '</tr>';

	return $result;
}

function standardTableRowUrl($name,
							 $dictionary,
							 $action,
							 $object,
							 $openURLinNewWindow = false)
{
	$result = '<tr>';

	//
	// First field contains the name
	//
	$result .= '<td class="inputParamName">'.$dictionary[$name].':</td>';

	//
	// Second field contains the value
	//
	$result .= '<td class="inputParamValue">';

	if ($action == 'add' || $action == 'modify')
	{
		$result .= '<input type="text" class="text" ';
		$result .= 'id="'.$name.'" ';
		$result .= 'name="'.$name.'" ';
		// Fill in the value if we are modifying the item.
		// Show the value too if we are reloading the page from adding an item
		// (typically the case if a required field kept empty)
		if ($action == 'modify' || isset($object->$name))
		{
			if (isset($object->$name))
			{
				$result .= 'value="'.$object->$name.'" ';
			}
		}
		$result .= ' />';
	}
	else
	{
		if (isset($object))
		{
			$result .= '<a href="' . $object->$name . '" ';
			if ($openURLinNewWindow)
			{
				$result .= 'onClick="newWindow(\''.$object->$name.'\');return false"';
			}
			$result .= '>';
			$result .= $object->$name;
			$result .= '</a>';
		}
		else
		{
			$result .= '&nbsp;';
		}
	}

	$result .= '</td>';
	$result .= '</tr>';

	return $result;
}

?>