<?php
/**
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Thomas Sterren
 * @package org.brim-project.plugins.recipes
 * @subpackage view
 * @filesource
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */

	include 'framework/view/globalFunctions.php';
	include 'plugins/recipes/view/globalFunctions.php';
	include ('templates/'.$_SESSION['brimTemplate'].'/icons.inc');

	$configuration = array();

	/*
	 * Build up a proper configuration
	 */
	$configuration['pluginName']	= 'recipes';
	$configuration['icons']			= $icons;
	$configuration['dictionary']	= $dictionary;
	$configuration['callback']		= 'index.php';
	$configuration['actionDelete']	= 'deleteImagePost';
	$configuration['actionCancel']	= 'cancelImage';

	if ($viewAction == 'add')
	{
		$configuration['postAction'] = 'addImagePost';
	}
	else
	{
		$configuration['postAction'] = 'modifyImagePost';
	}


	echo '<h2>';
  	echo $pageTitle;
	echo '</h2>';

	echo '<form method="POST" action="'.$configuration['callback'].'">';
	echo '<input type="hidden" name="plugin" value="'.$configuration['pluginName'].'" />';
	echo '<input type="hidden" name="action" value="'.$configuration['postAction'].'" />';

	if (isset($renderObjects))
	{
		echo '<input type="hidden" name="recipeId" value="'.$renderObjects->recipeId.'" />';
		echo '<input type="hidden" name="arrangement" value="'.$renderObjects->arrangement.'" />';
	}

		echo '<table border="0" align="center" cellpadding="2" cellspacing="2" width="100%">';

		if(!empty($parameters['errors']))
		{
			echo standardTableRowErrorMessages
				($dictionary, $parameters['errors'], $icons);
		}

		echo standardTableRowInput('url',
								   $dictionary,
								   $viewAction,
								   $renderObjects);

		echo '<input type="hidden" name="align" value="right" />';
		//echo tableRowPopup('align',
		//				   $dictionary,
		//				   $viewAction,
		//				   array('top', 'bottom', 'right', 'left'),
		//				   'right');

		echo tableRowDimension('dimension',
							   $dictionary,
							   $viewAction,
							   'width',
							   (isset($renderObjects->width)) ? $renderObjects->width : '',
							   'height',
							   (isset($renderObjects->height)) ? $renderObjects->height : '');

		echo tableRowNumber($dictionary['border'],
							'border',
							(isset($renderObjects) ? $renderObjects->border : 0),
							$viewAction);
		//echo tableRowNumber($dictionary['vspace'],
		//					'vspace',
		//					(isset($renderObjects) ? $renderObjects->vSpace : ''),
		//					$viewAction);
		//echo tableRowNumber($dictionary['hspace'],
		//					'hspace',
		//					(isset($renderObjects) ? $renderObjects->hSpace : ''),
		//					$viewAction);

		echo standardTableRowTextarea('title',
									  $dictionary,
									  $viewAction,
									  $renderObjects);
		echo '</table>';

	echo '<br />';

	if ($viewAction == 'modify')
	{
		echo modifyButtonAndText($dictionary, $renderObjects, $configuration['postAction']);
	}
	else if ($viewAction == 'add')
	{
		echo addButtonAndText($dictionary, $parentId, $configuration['postAction']);
	}

	echo '</form>';

	if ($viewAction == 'modify')
	{
		echo '<form method="POST" action="'.$configuration['callback'].'" ';
		echo 'onsubmit="return confirmDelete()">';
		echo '<input type="hidden" name="plugin" value="'.$configuration['pluginName'].'" />';
		echo deleteButtonAndText($dictionary, $renderObjects, $configuration['actionDelete']);
		echo '</form>';
	}
	echo '<form method="POST" action="'.$configuration['callback'].'"><br />';
	echo '<input type="hidden" name="plugin" value="'.$configuration['pluginName'].'" />';
	if (isset($renderObjects))
	{
		echo '<input type="hidden" name="itemId" value="'.$renderObjects->recipeId.'" />';
	}
	echo cancelButtonAndText ($dictionary, $parentId, $configuration['actionCancel']);
    echo '</form>';

?>