<?php
/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Thomas Sterren
 * @package org.brim-project.plugins.recipes
 * @subpackage view
 * @filesource
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */

include 'framework/view/globalFunctions.php';
include 'plugins/recipes/view/globalFunctions.php';

$configuration = array();

$configuration['pluginName']			= 'recipes';
$configuration['callback']				= 'index.php';
$configuration['openURLinNewWindow']	= true /*$parameters['openURLinNewWindow']*/;
$configuration['actionAddImage']		= 'addImage';
$configuration['actionModifyImage']		= 'modifyImage';
$configuration['actionDeleteImagePost']	= 'deleteImagePost';
$configuration['actionNextImage']		= 'showNextImage';
$configuration['actionPrevImage']		= 'showPrevImage';
$configuration['nbrOfIngrDisp']			= (isset($parameters['nbrOfIngrDisp'])) ? $parameters['nbrOfIngrDisp'] : null;
$configuration['nbrOfTextSectionsDisp']	= (isset($parameters['nbrOfTextSectionsDisp'])) ? $parameters['nbrOfTextSectionsDisp'] : null;
$configuration['usedUserFieldsCount']	= getUsedUserFieldsCount($parameters);

function getUserName()
{
	return $_SESSION['brimUsername'];
}

if ($configuration['openURLinNewWindow'])
{
	echo '<script language="JavaScript" ';
	echo 'src="plugins/'.$configuration['pluginName'].'/view/javascript/'.$configuration['pluginName'].'.js">';
	echo '</script>';
}

function getUsedUserFieldsCount(&$parameters)
{
	$usedUserFields = 0;

	for ($userFieldId = 1; $userFieldId <= 5; $userFieldId++)
	{
		$usedUserFields += (isset($parameters['recipeUserFieldName'.$userFieldId]) && !empty($parameters['recipeUserFieldName'.$userFieldId])) ? 1 : 0;
	}

	return $usedUserFields;
}

function imageLinkToHtml($recipe, $imageIndex, &$configuration, &$dictionary)
{
	$imgHSpace = 5;
	$imgVSpace = 5;

	if (!isset($imageIndex))
	{
		$imageIndex = 0;
	}

	$resultString = '';

	$resultString .= '<table align="right" border="0">';
	$resultString .= '<tr>';
		$resultString .= '<td align="right">';

		// Show the image
		$resultString .= '<img ';
		$resultString .= 'src="'.$recipe->imageLinks[$imageIndex]->url.'" ';
		$resultString .= 'border="'.(($recipe->imageLinks[$imageIndex]->border != '') ? $recipe->imageLinks[$imageIndex]->border : 0).'" ';
		$resultString .= 'align="'.$recipe->imageLinks[$imageIndex]->align.'" ';
		$resultString .= ($recipe->imageLinks[$imageIndex]->width != '') ? 'width="'.$recipe->imageLinks[$imageIndex]->width.'" ' : '';
		$resultString .= ($recipe->imageLinks[$imageIndex]->height != '') ? 'height="'.$recipe->imageLinks[$imageIndex]->height.'" ' : '';
		$resultString .= ($recipe->imageLinks[$imageIndex]->title != '') ? 'title="'.$recipe->imageLinks[$imageIndex]->title.'" ' : 'title="'.$recipe->imageLinks[$imageIndex]->url.'" ';
		$resultString .= '>';
		$resultString .= '</td>';

		if ($recipe->owner == getUserName())
		{
			$resultString .= '<td align="center" valign="top" width="1" rowspan="2">';
			// Add reference to image
			$resultString .= '<a href="'.$configuration['callback'];
			$resultString .= '?plugin='.$configuration['pluginName'];
			$resultString .= '&action='.$configuration['actionAddImage'];
			$resultString .= '&itemId='.$recipe->itemId;
			$resultString .= '&arrangement='.($imageIndex + 2);
			$resultString .= '">';
				$resultString .= '<img border="0" vspace="'.$imgVSpace.'" hspace="'.$imgHSpace.'" src="plugins/recipes/view/pics/img-but-add.jpg" ';
				$resultString .= 'title="'.$dictionary['add_image'].'" alt="add"';
				$resultString .= '>';
			$resultString .= '</a>';
			// Edit reference to image
			$resultString .= '<a href="'.$configuration['callback'];
			$resultString .= '?plugin='.$configuration['pluginName'];
			$resultString .= '&action='.$configuration['actionModifyImage'];
			$resultString .= '&parentId='.$recipe->parentId;
			$resultString .= '&recipeId='.$recipe->itemId;
			$resultString .= '&imageId='.$recipe->imageLinks[$imageIndex]->itemId;
			$resultString .= '">';
				$resultString .= '<img border="0" vspace="'.$imgVSpace.'" hspace="'.$imgHSpace.'" src="plugins/recipes/view/pics/img-but-edit.jpg" ';
				$resultString .= 'title="'.$dictionary['modify_image'].'" alt="modify"';
				$resultString .= '>';
			$resultString .= '</a>';
			// Delete image reference
			$resultString .= '<a href="'.$configuration['callback'];
			$resultString .= '?plugin='.$configuration['pluginName'];
			$resultString .= '&action='.$configuration['actionDeleteImagePost'];
			$resultString .= '&parentId='.$recipe->parentId;
			$resultString .= '&itemId='.$recipe->itemId;
			$resultString .= '&imageId='.$recipe->imageLinks[$imageIndex]->itemId;
			$resultString .= '">';
				$resultString .= '<img border="0" vspace="'.$imgVSpace.'" hspace="'.$imgHSpace.'" src="plugins/recipes/view/pics/img-but-del.jpg" ';
				$resultString .= 'title="'.$dictionary['delete_image'].'" alt="del"';
				$resultString .= '>';
			$resultString .= '</a>';
			$resultString .= '</td>';
		}
	$resultString .= '<tr>';
		$resultString .= '<td align="right">';
		if (count($recipe->imageLinks) > 1)
		{
			if ($imageIndex > 0)
			{
				$resultString .= '<a href="'.$configuration['callback'];
					$resultString .= '?plugin='.$configuration['pluginName'];
					$resultString .= '&action='.$configuration['actionPrevImage'];
					$resultString .= '&itemId='.$recipe->itemId;
					$resultString .= '&imageIndex='.($imageIndex - 1);
				$resultString .= '">';
					$resultString .= '<img border="0" vspace="'.$imgVSpace.'" hspace="'.$imgHSpace.'" src="plugins/recipes/view/pics/img-but-bwd.jpg" ';
					$resultString .= 'title="'.$dictionary['show_prev_image'].'" alt="back"';
					$resultString .= '>';
				$resultString .= '</a>';
			}
			else
			{
				$resultString .= '<img border="0" vspace="'.$imgVSpace.'" hspace="'.$imgHSpace.'" src="plugins/recipes/view/pics/img-but-bwd-d.jpg" ';
				$resultString .= 'alt="back"';
				$resultString .= '>';
			}

			if ($imageIndex < count($recipe->imageLinks) - 1)
			{
				$resultString .= '<a href="'.$configuration['callback'];
					$resultString .= '?plugin='.$configuration['pluginName'];
					$resultString .= '&action='.$configuration['actionNextImage'];
					$resultString .= '&itemId='.$recipe->itemId;
					$resultString .= '&imageIndex='.($imageIndex + 1);
				$resultString .= '">';
					$resultString .= '<img border="0" vspace="'.$imgVSpace.'" hspace="'.$imgHSpace.'" src="plugins/recipes/view/pics/img-but-fwd.jpg" ';
					$resultString .= 'title="'.$dictionary['show_next_image'].'" alt="forward"';
					$resultString .= '>';
				$resultString .= '</a>';
			}
			else
			{
				$resultString .= '<img border="0" vspace="'.$imgVSpace.'" hspace="'.$imgHSpace.'" src="plugins/recipes/view/pics/img-but-fwd-d.jpg" ';
				$resultString .= 'alt="forward"';
				$resultString .= '>';
			}
		}
		else
		{
			$resultString .= '&nbsp;';
		}
		$resultString .= '</td>';
	$resultString .= '</tr></table>';

	return $resultString;
}
?>
<h2>
	<?php echo $pageTitle; ?>
</h2>

<form method="POST" action="<?php echo $configuration['callback']; ?>">
<input type="hidden" name="plugin" value="<?php echo $configuration['pluginName']; ?>" />

<?php
	if (isset($renderObjects))
	{
		echo setIngredientItemIds($renderObjects->ingredients);
		echo setTextSectionItemIds($renderObjects->textSections);
	}
	else
	{
		die('Error: No recipe object!');
	}

	$imageIndex = isset($imageIndex) ? $imageIndex : 0;
?>

<table border="0" cellspacing="0" cellpadding="2">

<?php

	$stringUtils = new StringUtils();

	if(!empty($parameters['errors']))
	{
		echo standardTableRowErrorMessages
			($dictionary, $parameters['errors'], $icons);
	}

	// Show the Name of the recipe
	$result = '<tr>';
	if ($viewAction == 'add' || $viewAction == 'modify')
	{
		$result .= '<td class="inputParamName">'.$dictionary['name'].':</td>';
		$result .= '<td class="inputParamValue" colspan="2">';
		$result .= '<input type="text" class="text" ';
		$result .= 'id="name" ';
		$result .= 'name="name" ';

		if ($action == 'modify' || isset($renderObjects->name))
		{
			if (isset($renderObjects->name) && "" != $renderObjects->name)
			{
				$result .= 'value="'.$renderObjects->name.'" ';
			}
		}
		$result .= ' />';
	}
	else
	{
	 	// Show-action: no input but plain text
	 	$result .= '<td class="inputParamName">&nbsp;</td>';
	 	$result .= '<td colspan="2" style="font-size:14	pt; font-weight:bold; background:#EEEEEE;">';
		$result .= $stringUtils->urlEncodeQuotes($renderObjects->name);
	}
	$result .= '</td>';
	$result .= '</tr>';
	echo $result;

	if ($viewAction == "show")
	{
		$basicColums = $configuration['usedUserFieldsCount'];
		$basicColums += 12 + (($basicColums > 0) ? 1 : 0);

		echo '<tr><td>&nbsp;</td><td>&nbsp;</td><td rowspan="'.$basicColums.'" valign="top"> ';

		if (isset($renderObjects->imageLinks) && count($renderObjects->imageLinks) > 0)
		{
			echo imageLinkToHtml($renderObjects,
								 $imageIndex,
								 $configuration,
								 $dictionary);
		}
		else
		{
			if ($renderObjects->owner == getUserName())
			{
				require_once ('framework/util/BrowserUtils.php');
				$browserUtils = new BrowserUtils ();
				$imgExtension = ".gif";
				if (!($browserUtils->browserIsExplorer ()))
				{
						// Explorer does not support transparent PNGs
						$imgExtension = ".png";
				}
				echo '<a href="index.php?plugin=recipes&action=addImage';
				echo '&itemId='.$renderObjects->itemId;
				echo '">';
				echo '<img src="plugins/recipes/view/pics/noImage'.$imgExtension.'" border="0" align="right">';
				echo '</a>';
			}
			else
			{
				echo '&nbsp;';
			}
		}

		echo '</td></tr>';
	}

	echo standardTableRowPublicPrivateRadios($dictionary,
											 $viewAction,
											 $renderObjects);

	echo standardTableRowInput('servings',
							   $dictionary,
							   $viewAction,
							   $renderObjects);

	echo standardTableRowInput('duration',
							   $dictionary,
							   $viewAction,
							   $renderObjects);

	echo TableRowRadios('vegetarian',
						$dictionary['yes'],
						"1",
						(isset($renderObjects)) ? $renderObjects->vegetarian : 0,
						$dictionary['no'],
						"0",
						$viewAction,
						$dictionary['vegetarian'],
						false);

	echo '<tr><td colspan="2">&nbsp;</td></tr>';

	echo standardTableRowInput('complexity',
							   $dictionary,
							   $viewAction,
							   $renderObjects);
	echo standardTableRowInput('costs',
							   $dictionary,
							   $viewAction,
							   $renderObjects);
	echo standardTableRowInput('country',
							   $dictionary,
							   $viewAction,
							   $renderObjects);
	echo standardTableRowInput('author',
							   $dictionary,
							   $viewAction,
							   $renderObjects);
	echo standardTableRowUrl('url',
							 $dictionary,
							 $viewAction,
							 $renderObjects,
							 $configuration['openURLinNewWindow']);
	echo standardTableRowInput('copyright',
							   $dictionary,
							   $viewAction,
							   $renderObjects);

	if ($configuration['usedUserFieldsCount'] > 0)
	{
		echo '<tr><td colspan="2">&nbsp;</td></tr>';
	}

	echo standardUserFieldInputExt('user_field',
								   1,
								   $dictionary,
								   $viewAction,
								   $renderObjects,
								   $parameters);

	echo standardUserFieldInputExt('user_field',
								   2,
								   $dictionary,
								   $viewAction,
								   $renderObjects,
								   $parameters);

	echo standardUserFieldInputExt('user_field',
								   3,
								   $dictionary,
								   $viewAction,
								   $renderObjects,
								   $parameters);

	echo standardUserFieldInputExt('user_field',
								   4,
								   $dictionary,
								   $viewAction,
								   $renderObjects,
								   $parameters);

	echo standardUserFieldInputExt('user_field',
								   5,
								   $dictionary,
								   $viewAction,
								   $renderObjects,
								   $parameters);

	echo '<tr><td colspan="3">&nbsp;</td></tr>';

	echo standardTableRowTextareaExt('nutrition',
									 $dictionary,
									 $viewAction,
									 $renderObjects,
									 2);

	echo '<tr><td colspan="3">&nbsp;</td></tr>';

	echo standardTableRowTextareaExt('description',
									 $dictionary,
									 $viewAction,
									 $renderObjects,
									 2);
?>

<?php
	echo ingeredientFields('ingredient',
							$dictionary,
							$viewAction,
							(isset($renderObjects)) ? $renderObjects->ingredients : null,
							$configuration,
							2);

	echo textSectionFields('textsection',
							$dictionary,
							$viewAction,
							(isset($renderObjects)) ? $renderObjects->textSections : null,
							$configuration,
							2);

	echo '<tr><td colspan="3">&nbsp;</td></tr>';
?>

</table>



<?php
	if ($viewAction == 'modify')
	{
		echo modifyButtonAndText($dictionary, $renderObjects);
	}
	else if ($viewAction == 'add')
	{
		echo addButtonAndText($dictionary, $parentId);
	}
?>
</form>
<?php
	if ($viewAction == 'modify')
	{
		echo '<form method="POST" action="'.$configuration['callback'].'"> ';
			echo '<input type="hidden" name="plugin" value="'.$configuration['pluginName'].'" />';
			echo moveButtonAndText($dictionary, $renderObjects);
		echo '</form>';

		echo '<form method="POST" action="'.$configuration['callback'].'" ';
			echo 'onsubmit="return confirmDelete()">';
			echo '<input type="hidden" name="plugin" value="'.$configuration['pluginName'].'" />';
			echo deleteButtonAndText($dictionary, $renderObjects);
		echo '</form>';
	}
    echo '<form method="POST" action="'.$configuration['callback'].'"><br />';
		echo '<input type="hidden" name="plugin" value="'.$configuration['pluginName'].'" />';
		echo cancelButtonAndText($dictionary, $parentId);
    echo '</form>';
?>