<?php
/**
 * The template file to show the basic information about a recipe,
 * instantiates a proper tree-delegate and tree renderer
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Thomas Sterren
 * @package org.brim-project.plugins.recipes
 * @subpackage view
 * @filesource
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */

	include ('templates/'.$_SESSION['brimTemplate'].'/icons.inc');

	$configuration = array();

	/*
	 * Build up a proper configuration for the tree display.
	 */
	$configuration['pluginName']	= 'recipes';
	$configuration['icons']			= $icons;
	$configuration['dictionary']	= $dictionary;
	$configuration['callback']		= 'index.php';
	$configuration['overlib']		= (isset($parameters['overlib'])) ? $parameters['overlib'] : true;

	for ($userFieldId = 1; $userFieldId <= 5; $userFieldId++)
	{
		$configuration['recipeUserFieldName'.$userFieldId] = $parameters['recipeUserFieldName'.$userFieldId];
	}

	/*
	 * Line based view
	 */
	include_once('framework/view/LineBasedTree.php');
	include_once('plugins/recipes/view/RecipeLineBasedTreeDelegate.php');

	$delegate = new RecipeLineBasedTreeDelegate($configuration);
	$tree 	  = new LineBasedTree($delegate, $configuration);

	/*
	 * Now actually show the layout
	 */
	echo ($tree->toHtml($parent, $renderObjects));
?>