<?php
/**
 * The template file to search for strings in all plugins
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta - August 2006
 * @package org.brim-project.plugins.search
 * @subpackage view
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */

//die (print_r ($searchResult));
if (count ($searchResult) == 0)
{
	echo '<h1>'.$dictionary['noSearchResult'].'</h1>';
}
$pluginNames = array_keys ($searchResult);
$oddEven = 0;
//
// SearchFields are defined in the confirguration/hookup.php file and are
// different for each plugin
//
$searchFields = array ();
foreach ($pluginNames as $pluginName)
{
	$searchFields = $plugins[$pluginName]['searchFields'];

	// Get the right dictionary
	$controllerName = $plugins[$pluginName]['controllerName'];
	require_once 'plugins/'.$pluginName.'/'.$plugins[$pluginName]['controller'];
	$controller = new $controllerName();
	$dictionary = $controller->getDictionary();

	echo '<h1>'.$dictionary[$pluginName].'</h1>';
	echo '<table width="100%">';
	if (count ($searchResult[$pluginName]) > 0)
	{
		foreach ($searchResult[$pluginName] as $item)
		{
			echo '<tr class="';
			if ($oddEven++%2==0) { echo "odd"; } else { echo "even"; }
			echo '">';
			//
			// Callback to the controller for item modification
			//
			echo '<td><a href="index.php?plugin='.$pluginName;
			echo '&action=modify';
			echo '&itemId='.$item->itemId.'">';
			//
			// Show the icon (folder or item)
			//
			if ($item->isParent)
			{
				echo $icons['folder_closed'];
			}
			else
			{
				echo $icons['node'];
			}
			foreach ($searchFields as $searchField)
			{
				//
				// Display all the fields that we were searching for (as defined in the
				// hookup-configuration file
				//
				echo '<td><a href="index.php?plugin='.$pluginName;
				echo '&action=showItem';
				if ($item->isParent)
				{
					echo '&parentId='.$item->itemId.'">';
				}
				else
				{
					echo '&itemId='.$item->itemId.'">';
				}
				if (isset ($dictionary[$searchField]))
				{
					echo '<b>'.$dictionary[$searchField].'</b>:&nbsp;';
				}
				else
				{
					//
					// Failsave. This shouldn't really be here...
					// On the other hand... how should we handle this properly?
					//
					echo '<b>'.$searchField.'</b>:&nbsp;';
				}
				echo $item->$searchField;
				echo '</a>';
				echo '</td>';
			}
			echo '</tr>';
		}
	}
	else
	{
		echo $dictionary['noSearchResult'];
	}
	echo '</table>';
}
?>