<?php

require_once 'framework/Installer.php';

/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta
 * @package org.brim-project.plugins.tasks
 * @subpackage install
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
class TaskInstaller extends Installer
{
		function TaskInstaller ($engine, $db)
		{
			parent::Installer ($engine, $db);
			$this->tableName = 'brim_tasks';
		}

		function install ()
		{
			if (!$this->findTable ())
			{
				$dbFile = 'plugins/tasks/sql/create.';
				$dbFile .= $this->engine;
				$dbFile .= '.brim_tasks.sql';
				$this->createTable ($dbFile);
				$this->createStandardIndex ();
			}
			else
			{
				if (!$this->isTableUpToDate ())
				{
					die ('Table '.$this->tableName.' found but does not appear to be up-to-date and no upgrade procedure is found!');
				}
			}
		}

		function isTableUpToDate ()
		{
			if (!$this->findTable ())
			{
				return false;
			}
			$columnNames =
				$this->db->MetaColumnNames ('brim_tasks', true);
			return (
				count ($columnNames) == 17 &&
				$columnNames[0] == 'item_id' &&
				$columnNames[1] == 'owner' &&
				$columnNames[2] == 'parent_id' &&
				$columnNames[3] == 'is_parent' &&
				$columnNames[4] == 'name' &&
				$columnNames[5] == 'description' &&
				$columnNames[6] == 'visibility' &&
				$columnNames[7] == 'category' &&
				$columnNames[8] == 'is_deleted' &&
				$columnNames[9] == 'when_created' &&
				$columnNames[10] == 'when_modified' &&
				$columnNames[11] == 'priority' &&
				$columnNames[12] == 'start_date' &&
				$columnNames[13] == 'end_date' &&
				$columnNames[14] == 'status' &&
				$columnNames[15] == 'percent_complete' &&
				$columnNames[16] == 'is_finished'
			);
		}
}
?>