<?php
/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta
 * @package org.brim-project.plugins.tasks
 * @subpackage view
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
?>
<script src="ext/javascript/datePicker.js" type="text/javascript"></script>
<link rel="stylesheet" type="text/css" href="ext/javascript/datePicker.css" />
<?php
	$other = 'templates/'.$_SESSION['brimTemplate'].'/datePicker.css';
	if (file_exists ($other))
	{
?>
	<link rel="stylesheet" type="text/css" href="<?php echo $other ?>" />
<?php
	}
?>

<?php
//
// First loop over all objects and remove the completed IF this is requested
//
function filterCompleted (&$anObject)
{
	// Hmm... isFinished seems the same as 100% complete?
	return ($anObject->percentComplete != 100);
       	// || $anObject->isFinished == 0);
}
if (isset ($_SESSION['taskHideCompleted']) && ($_SESSION['taskHideCompleted']==1))
{
	if (isset ($renderObjects))
	{
		$renderObjects =
			array_values (array_filter ($renderObjects, 'filterCompleted'));
	}
}
?>

<script src="ext/json.js" type="text/javascript"></script>
<script src="ext/dojo/dojo.js" type="text/javascript"></script>
<script language="JavaScript" src="ext/overlib/overlib.js"><!-- overLIB (c) Erik Bosrup --></script>
<script language="JavaScript" src="ext/overlib/overlib_fade.js"></script>
<script language="JavaScript" src="ext/overlib/overlib_bubble.js"></script>
<script type="text/javascript">
//
// fadedout for the overlib library
//
var ol_fadetime=5000;

/**
 * Javascript/Ajax callback function to increase the priority
 * for an item. The result will endup in the function 'priorityStatus'
 *
 * @param itemId integer the itemId
 * @see priorityStatus
 */
function increasePriorityFor (itemId)
{
		var theUrl = "index.php?plugin=tasks&ajax=true";
		theUrl += "&function=increasePriority";
		theUrl += "&itemId="+itemId;
		theUrl += "&PHPSESSID=<?php echo session_id (); ?>";
		//
		// Call the backend
		//
		dojo.io.bind ({
			url: theUrl,
			load: function (type, data, event) { priorityStatus (data); },
			mimetype: "text/plain"
		});
}

/**
 * Javascript/Ajax callback function to decrease the priority
 * for an item. The result will endup in the function 'priorityStatus'
 *
 * @param itemId integer the itemId
 * @see priorityStatus
 */
function decreasePriorityFor (itemId)
{
		var theUrl = "index.php?plugin=tasks&ajax=true";
		theUrl += "&function=decreasePriority";
		theUrl += "&itemId="+itemId;
		theUrl += "&PHPSESSID=<?php echo session_id (); ?>";
		//
		// Call the backend
		//
		dojo.io.bind ({
			url: theUrl,
			load: function (type, data, event) { priorityStatus (data); },
			mimetype: "text/plain"
		});
}

/**
 * The result of the ajax-call to in/decrease the percentage completed
 * ends up here. This function takes the result and draws a new status 
 * bar and replaces the old on.
 *
 * @param data string JSON-encoded data
 * @see increaseCompletedFor
 * @see decreaseCompletedFor
 */
function priorityStatus (data)
{
		var result = '';
		var status = data.parseJSON();
		var completedPercentage = status ['completed'];
		if (status == null || status.length == 0)
		{
			result = 'error';
		}
		else
		{
			if (status['priority'] == 1)
			{
					result += '<?php echo $dictionary['priority1'] ?>';
			}
			else if (status['priority'] == 2)
			{
					result += '<?php echo $dictionary['priority2'] ?>';
			}
			else if (status['priority'] == 3)
			{
					result += '<?php echo $dictionary['priority3'] ?>';
			}
			else if (status['priority'] == 4)
			{
					result += '<?php echo $dictionary['priority4'] ?>';
			}
			else if (status['priority'] == 5)
			{
					result += '<?php echo $dictionary['priority5'] ?>';
			}
			else
			{
					result += 'Error';
			}
			result += '&nbsp;';
			if (status['priority'] < 5)
			{
				result += '<a href="javascript:decreasePriorityFor (\''+status['itemId']+'\')">';
				result += '<img border="0" src="framework/view/pics/tree/shaded_minus_2.gif"></a>';
			}
			else
			{
				result += '<img border="0" src="framework/view/pics/tree/shaded_dot_2.gif">'			
			}
			result += '&nbsp;';
			if (status['priority'] > 1)
			{
				result += '<a href="javascript:increasePriorityFor (\''+status['itemId']+'\')">';
				result += '<img border="0" src="framework/view/pics/tree/shaded_plus_2.gif"></a>';
			}
			else
			{
				result += '<img border="0" src="framework/view/pics/tree/shaded_dot_2.gif">'			
			}
			result += '&nbsp;';
		}
		document.getElementById ("priorityFor"+status['itemId']).innerHTML = result;
}

/**
 * Javascript/Ajax callback function to increase the completed percentage
 * for an item. The result will endup in the function 'completedStatus'
 *
 * @param itemId integer the itemId
 * @see completedStatus 
 */
function increaseCompletedFor (itemId)
{
		var theUrl = "index.php?plugin=tasks&ajax=true";
		theUrl += "&function=increaseCompleted";
		theUrl += "&itemId="+itemId;
		theUrl += "&PHPSESSID=<?php echo session_id (); ?>";
		//
		// Call the backend
		//
		dojo.io.bind ({
			url: theUrl,
			load: function (type, data, event) { completedStatus (data); },
			mimetype: "text/plain"
		});
}

/**
 * Javascript/Ajax callback function to decrease the completed percentage
 * for an item. The result will endup in the function 'completedStatus'
 *
 * @param itemId integer the itemId
 * @see completedStatus 
 */
function decreaseCompletedFor (itemId)
{
		var theUrl = "index.php?plugin=tasks&ajax=true";
		theUrl += "&function=decreaseCompleted";
		theUrl += "&itemId="+itemId;
		theUrl += "&PHPSESSID=<?php echo session_id (); ?>";
		//
		// Call the backend
		//
		dojo.io.bind ({
			url: theUrl,
			load: function (type, data, event) { completedStatus (data); },
			mimetype: "text/plain"
		});
}

/**
 * The result of the ajax-call to in/decrease the percentage completed
 * ends up here. This function takes the result and draws a new status 
 * bar and replaces the old on.
 *
 * @param data string JSON-encoded data
 * @see increaseCompletedFor
 * @see decreaseCompletedFor
 */
function completedStatus (data)
{
		var result = '';
		var status = data.parseJSON();
		var completedPercentage = status ['completed'];
		if (status == null || status.length == 0)
		{
			result = 'error';
		}
		else
		{
			result  = '<img src="framework/view/pics/completed.gif" ';
			result += 'height="16" ';
			result += 'width="'+status['percentComplete']+'">';
			result += '<img src="framework/view/pics/uncompleted.gif" ';
			result += 'height="16" ';
			result += 'width="'+(100-status['percentComplete'])+'">&nbsp;';
			if (status['percentComplete'] == 0)
			{
				result += '&nbsp;';
			}
			result += status['percentComplete']+'%';
			result += '&nbsp;';
			if (status['percentComplete'] > 0)
			{
				result += '<a href="javascript:decreaseCompletedFor (\''+status['itemId']+'\')">';
				result += '<img border="0" src="framework/view/pics/tree/shaded_minus_2.gif"></a>';
			}
			else
			{
				result += '<img border="0" src="framework/view/pics/tree/shaded_dot_2.gif">'			
			}
			result += '&nbsp;';
			if (status['percentComplete'] < 100)
			{
				result += '<a href="javascript:increaseCompletedFor (\''+status['itemId']+'\')">';
				result += '<img border="0" src="framework/view/pics/tree/shaded_plus_2.gif"></a>';
			}
			else
			{
				result += '<img border="0" src="framework/view/pics/tree/shaded_dot_2.gif">'			
			}
		}
		document.getElementById ("percentCompletedFor"+status['itemId']).innerHTML = result;
		<?php if ($_SESSION['taskHideCompleted'] == 1) { ?>
			if (status['percentComplete'] == 100)
			{
				overlib('<?php echo $dictionary['completedWillDisappearAfterUpdate'] ?>', CAPTION, 'Message', FADEOUT,
			 		BUBBLE, BUBBLETYPE, 'roundcorners');
				nd ();
			}
		<?php } ?>
}

function changeDueDateFor (objectId, itemId)
{
	theObject = document.getElementById (objectId);
	displayDatePicker("dueDateFor"+itemId, theObject, 'ymd', '-');
}

function changeStartDateFor (objectId, itemId)
{
	theObject = document.getElementById (objectId);
	displayDatePicker("startDateFor"+itemId, theObject, 'ymd', '-');
}

function datePickerClosed(dateField)
{
	if (dateField.name.substring (0, 'dueDateFor'.length) == 'dueDateFor')
	{
		newDueDateFor (dateField.name.substring ('dueDateFor'.length), dateField.value);
	}
	else if (dateField.name.substring (0, 'startDateFor'.length) == 'startDateFor')
	{
		newStartDateFor (dateField.name.substring ('startDateFor'.length), dateField.value);
	}
}

function newDueDateFor (itemId, newDate)
{
	var theUrl = "index.php?plugin=tasks&ajax=true";
	theUrl += "&function=newDueDate";
	theUrl += "&itemId="+itemId;
	theUrl += "&dueDate="+newDate;
	theUrl += "&PHPSESSID=<?php echo session_id (); ?>";
	//
	// Call the backend
	//
	dojo.io.bind ({
		url: theUrl,
		load: function (type, data, event) { completedDueDate (data); },
		mimetype: "text/plain"
	});
	document.getElementById ('dueDateTextFor'+itemId).innerHTML = newDate;
}

function newStartDateFor (itemId, newDate)
{
	var theUrl = "index.php?plugin=tasks&ajax=true";
	theUrl += "&function=newStartDate";
	theUrl += "&itemId="+itemId;
	theUrl += "&startDate="+newDate;
	theUrl += "&PHPSESSID=<?php echo session_id (); ?>";
	//
	// Call the backend
	//
	dojo.io.bind ({
		url: theUrl,
		load: function (type, data, event) { completedStartDate (data); },
		mimetype: "text/plain"
	});
	document.getElementById ('startDateTextFor'+itemId).innerHTML = newDate;
}

function completedDueDate (data)
{
	// Nothing. New date is already set.
}

function completedStartDate (data)
{
	//alert (data);
	// Nothing. New date is already set.
}
</script>
<?php

	// Show the ancestor path. Contributed by Michael
	if(isset($parameters['ancestors']) && $parentId != 0)
	{
		echo ('<!-- Ancestors -->');
		echo ('<table><tr>');

		// The root link
		echo ('<td><a href="?plugin=tasks&parentId=0" class="ancestor">'.
			$dictionary['root'].'</a></td>');

		// all ancestors other than root
		foreach($parameters['ancestors'] as $ancestor)
		{
			echo ('<td>&nbsp;/&nbsp;');
			echo ('<a href="?plugin=tasks&parentId='.$ancestor->itemId.
				'" class="ancestor">');
			echo ($ancestor->name);
			echo ('</a>');
			echo ('</td>');
		}
		echo ('</tr></table>');
	}

	include ('templates/'.$_SESSION['brimTemplate'].'/icons.inc');
	$configuration = array ();

	// Build up a proper configuration for the tree display.
	$configuration['icons']=$icons;
	$configuration['dictionary']=$dictionary;
	$configuration['callback']='index.php?plugin=tasks';

	// Check for optional overlib
	if (isset ($_SESSION['taskOverlib']))
	{
		$configuration ['overlib'] =$_SESSION['taskOverlib'];
	}
	else
	{
		$configuration ['overlib'] = true;
	}

	// Yahoo like tree
	if (isset ($_SESSION['taskTree'])
		&& $_SESSION['taskTree'] == 'Yahoo')
	{
		// Build up a proper configuration for the tree display,
		// this makes only sense for the yahoo-like tree
		if (isset ($_SESSION['taskYahooTreeColumnCount']))
		{
			$configuration ['numberOfColumns'] =
				$_SESSION['taskYahooTreeColumnCount'];
		}
		else
		{
			$configuration ['numberOfColumns'] = 2;
		}
		include_once "framework/view/YahooTree.php";
		include_once "plugins/tasks/view/TaskYahooTreeDelegate.php";
		$delegate = new TaskYahooTreeDelegate ($configuration);
		$tree = new YahooTree ($delegate, $configuration);
	}
	// Explorer like tree
	else if (isset ($_SESSION['taskTree'])
		&& $_SESSION['taskTree'] == 'Explorer')
	{
		include_once "framework/view/Tree.php";
		include_once "plugins/tasks/view/TaskExplorerTreeDelegate.php";
		$delegate = new TaskExplorerTreeDelegate ($configuration);
		$tree = new Tree ($delegate, $configuration);

		// Do we show expanded items?
		// (This is not a useful option in the yahoo tree)
		if (isset ($_SESSION['taskExpand']))
		{
			$tree->setExpanded ($_SESSION['taskExpand']);
		}
	}
	// Overview tree
	else if (isset ($_SESSION['taskTree'])
		&& $_SESSION['taskTree'] == 'Overview')
	{
		include_once "framework/view/OverviewTree.php";
		include_once "plugins/tasks/view/TaskOverviewTreeDelegate.php";
		$delegate = new TaskOverviewTreeDelegate ($configuration);
		$tree = new OverviewTree ($delegate, $configuration);
		if (isset ($_SESSION['taskExpand']))
		{
			$tree->setExpanded ($_SESSION['taskExpand']);
		}
	}
	else
	{
		include_once "framework/view/LineBasedTree.php";
		include_once "plugins/tasks/view/TaskLineBasedTreeDelegate.php";

		$delegate = new TaskLineBasedTreeDelegate ($configuration);
		$tree = new LineBasedTree ($delegate, $configuration);
	}
	// Now actually show the layout
	echo ($tree -> toHtml ($parent, $renderObjects));
?>