<?php

require_once ('framework/model/PreferenceServices.php');

/**
 * The Weather preferences.
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta - April 2006
 * @package org.brim-project.plugins.weather
 * @subpackage model
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
class WeatherPreferences extends PreferenceServices
{
	var $OVERLIB = 'weatherOverlib';
	var $YAHOOTREECOLUMNCOUNT = 'weatherYahooTreeColumnCount';
	var $TEMPERATUREUNITS = 'brimWeatherTemperatureUnits';
	var $SPEEDUNITS = 'brimWeatherSpeedUnits';

	/**
	 * Default constructor for the weather preferences
	 *
	 * @return WeatherPreferences
	 */
	function WeatherPreferences ()
	{
		parent::PreferenceServices ();
	}


	/**
	 * Returns all preferences related to weather information
	 *
	 * @param string $loginName
	 * @return array
	 */
	function getAllPreferences ($loginName)
	{
		$result = array ();
		$result [$this->OVERLIB]
			=$this->getPreferenceValue ($loginName, $this->OVERLIB);
		$result [$this->YAHOOTREECOLUMNCOUNT]
			=$this->getPreferenceValue ($loginName, $this->YAHOOTREECOLUMNCOUNT);
		$result [$this->TEMPERATUREUNITS]
			=$this->getPreferenceValue ($loginName, $this->TEMPERATUREUNITS);
		$result [$this->SPEEDUNITS]
			=$this->getPreferenceValue ($loginName, $this->SPEEDUNITS);
		return $result;
	}
}
?>