<?php
require_once 'MetarTafParser.php';

// Examples from: http://homepage.ntlworld.com/booty.weather/metinfo/codes/METAR_decode.htm
// (Except for Brussels)
$weather = new MetarTafParser ();

// Brussels today
$metar1 = 'EBBR 071050Z 26008KT 230V300 9999 BKN022 09/03 Q1016 NOSIG';
$result1 = $weather->parse ($metar1, 'metar');

// Basic
$metar2 = 'EGKK 021950Z 24015KT 8000 FEW008 SCT012 BKN020 18/15 Q1007';
$result2 = $weather->parse ($metar2, 'metar');

// Minimal
$metar3 = 'EGKK 021350Z 17009KT 8000 NSC 23/12 Q1018';
$result3 = $weather->parse ($metar3, 'metar');

// With CAVOC
// This gives visibility CAVOK. No cloud reports...?
$metar4 = 'EGKK 132020Z 22013KT CAVOK 18/15 Q1016';
$result4 = $weather->parse ($metar4, 'metar');

// With additional wind information
$metar5 = 'EGKK 312355Z 24028G42KT 210V280 9999 SCT018 12/06 Q0984';
$result5 = $weather->parse ($metar5, 'metar');

// Wind shear report
// SHEAR INFO NOT YET IMPLEMENTED!!!
$metar6 = 'EDDS 120820Z 24028G45KT 210V280 9999 SCT018 12/06 Q0984 WS RWY28';
$result6 = $weather->parse ($metar6, 'metar');

// With additional visibility information
// FAILS!!!! 
$metar7 = 'EGZZ 231020Z 02006KT 4000 0900NE R27/0600U R32/0150D PRFG OVC007 12/11 Q1028';
$result7 = $weather->parse ($metar7, 'metar');

// Additional weather information
// (Overcast and Light Rain are implemented, RETS not yet)
$metar8 = 'EGKK 111150Z 24018KT 8000 -RA SCT012 OVC015 12/10 Q0984 RETS';
$result8 = $weather->parse ($metar8, 'metar');

// With additional cloud information
// SHEAR INFO NOT YET IMPLEMENTED!!!
$metar9 = 'ENBR 232350Z 32017G36KT 270V010 9999 FEW009 SCT018TCU 02/M03 Q0992 WS RWY28';
$result9 = $weather->parse ($metar9, 'metar');

// With TREND appended
// NOT YET IMPLEMENTED
$metar10 = 'EGKK 151550Z 24018KT 8000 -RA SCT012 OVC015 12/11 Q0984 RERA TEMPO 3000 RA BKN008';
$result10 = $weather->parse ($metar10, 'metar');

// Light rain, no significant cloud coverage
$metar11 = 'EBBR 240720Z 10004KT 3000 -RA BR NSC 10/08 Q1018 NOSIG';
$result11 = $weather->parse ($metar11, 'metar');

/*
echo '<pre>'.var_export ($result1, true).'</pre>';
echo '<pre>'.var_export ($result2, true).'</pre>';
echo '<pre>'.var_export ($result3, true).'</pre>';
echo '<pre>'.var_export ($result4, true).'</pre>';
echo '<pre>'.var_export ($result5, true).'</pre>';
echo '<pre>'.var_export ($result6, true).'</pre>';
echo '<pre>'.var_export ($result7, true).'</pre>';
echo '<pre>'.var_export ($result8, true).'</pre>';
echo '<pre>'.var_export ($result9, true).'</pre>';
echo '<pre>'.var_export ($result10, true).'</pre>';
echo '<pre>'.var_export ($result11, true).'</pre>';
*/

$taf01 = 'EBBR 271000Z 271812 35009KT CAVOK PROB30
      TEMPO 0407 5000';
$parsed01 = $weather->parse ($taf01, 'taf');

$taf02 = 'EBBR 271600Z 280018 36005KT 9999 SCT040 PROB30
      TEMPO 0307 5000
      BECMG 1215 34015G25KT';
$parsed02 = $weather->parse ($taf02, 'taf');

echo '<pre>'.var_export ($parsed01, true).'</pre>';
echo '<pre>'.var_export ($parsed02, true).'</pre>';
?>
