<?php

/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * The information found in the file is retrieved from the
 * following location:
 * {@link http://www.rap.ucar.edu/weather/surface/stations.txt http://www.rap.ucar.edu/weather/surface/stations.txt}
 * The country codes are based on the ISO 3166-1 standard
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta - April 2006
 * @package org.brim-project.plugins.weather
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */

if (!isset ($icao))
{
	$icao = array ();
}
$icao ['de']['EDAC'] = 'ALTENBURG-NOBITZ';
$icao ['de']['EDAH'] = 'Heringsdorf, Heringsdorf';
$icao ['de']['EDBM'] = 'Magdeburg, Magdeburg';
$icao ['de']['EDDB'] = 'Schonefeld, Berlin';
$icao ['de']['EDDC'] = 'Dresden, Dresden';
$icao ['de']['EDDE'] = 'Erfurt, Erfurt';
$icao ['de']['EDDF'] = 'Frankfurt Main, Frankfurt';
$icao ['de']['EDDG'] = 'Munster Osnabruck, Muenster Osnabrueck';
$icao ['de']['EDDH'] = 'Hamburg, Hamburg';
$icao ['de']['EDDI'] = 'Tempelhof, Berlin';
$icao ['de']['EDDK'] = 'Koln Bonn, Cologne';
$icao ['de']['EDDL'] = 'Dusseldorf, Duesseldorf';
$icao ['de']['EDDM'] = 'Munich, Munich';
$icao ['de']['EDDN'] = 'Nurnberg, Nuernberg';
$icao ['de']['EDDP'] = 'Leipzig Halle, Leipzig';
$icao ['de']['EDDR'] = 'Saarbrucken, Saarbruecken';
$icao ['de']['EDDS'] = 'Stuttgart, Stuttgart';
$icao ['de']['EDDT'] = 'Tegel, Berlin';
$icao ['de']['EDDV'] = 'Hannover, Hannover';
$icao ['de']['EDDW'] = 'Bremen, Bremen';
$icao ['de']['EDFH'] = 'Frankfurt Hahn, Hahn';
$icao ['de']['EDFM'] = 'Mannheim City, Mannheim';
$icao ['de']['EDGS'] = 'Siegerland, Siegerland';
$icao ['de']['EDHI'] = 'Hamburg Finkenwerder, Hamburg';
$icao ['de']['EDHK'] = 'Kiel Holtenau, Kiel';
$icao ['de']['EDHL'] = 'Lubeck Blankensee, Luebeck';
$icao ['de']['EDLN'] = 'Monchengladbach, Moenchengladbach';
$icao ['de']['EDLP'] = 'Paderborn Lippstadt, Paderborn';
$icao ['de']['EDLV'] = 'NIEDERRHEIN';
$icao ['de']['EDLW'] = 'Dortmund, Dortmund';
$icao ['de']['EDMA'] = 'Augsburg, Augsburg';
$icao ['de']['EDMO'] = 'Oberpfaffenhofen, Oberpfaffenhofen';
$icao ['de']['EDNY'] = 'Friedrichshafen, Friedrichshafen';
$icao ['de']['EDQD'] = 'Bayreuth, Bayreuth';
$icao ['de']['EDQM'] = 'Hof Plauen, Hof';
$icao ['de']['EDRZ'] = 'Zweibrucken, Zweibruecken';
$icao ['de']['EDSB'] = 'KARLSRUHE/BADEN';
$icao ['de']['EDTD'] = 'Donaueschingen Villingen, Donaueschingen';
$icao ['de']['EDTL'] = 'LAHR (CAN-AFB)';
$icao ['de']['EDVE'] = 'Braunschweig, Braunschweig';
$icao ['de']['EDVK'] = 'Kassel Calden, Kassel';
$icao ['de']['EDXW'] = 'Westerland Sylt, Westerland';
$icao ['de']['ETAD'] = 'Spangdahlem Ab, Spangdahlem';
$icao ['de']['ETAR'] = 'Ramstein Ab, Ramstein';
$icao ['de']['ETGG'] = 'MEIERWIK';
$icao ['de']['ETGY'] = 'KALKAR (MIL COMM';
$icao ['de']['ETGZ'] = 'MESSSTETTEN';
$icao ['de']['ETHA'] = 'ALTENSTADT/SCHON';
$icao ['de']['ETHB'] = 'Buckeburg, Brueckeburg';
$icao ['de']['ETHC'] = 'Celle, Celle';
$icao ['de']['ETHE'] = 'Rheine Bentlage, Rheine Brentlange';
$icao ['de']['ETHF'] = 'Fritzlar, Fritzlar';
$icao ['de']['ETHL'] = 'Laupheim, Laupheim';
$icao ['de']['ETHM'] = 'Mendig, Mendig';
$icao ['de']['ETHN'] = 'Niederstetten, Niederstetten';
$icao ['de']['ETHR'] = 'Roth, Roth';
$icao ['de']['ETHS'] = 'Fassberg, Fassberg';
$icao ['de']['ETMN'] = 'Nordholz, Nordholz';
$icao ['de']['ETND'] = 'Diepholz, Diepholz';
$icao ['de']['ETNH'] = 'Hohn, Hohn';
$icao ['de']['ETNJ'] = 'Jever, Jever';
$icao ['de']['ETNL'] = 'Laage, Laage';
$icao ['de']['ETNN'] = 'Norvenich, Noervenich';
$icao ['de']['ETNP'] = 'Hopsten, Hopsten';
$icao ['de']['ETNS'] = 'Schleswig, Schleswig';
$icao ['de']['ETNT'] = 'Wittmundhafen, Wittmundhafen';
$icao ['de']['ETNU'] = 'Neubrandenburg, Neubrandenburg';
$icao ['de']['ETNW'] = 'Wunstorf, Wunstorf';
$icao ['de']['ETOU'] = 'Wiesbaden Aaf, Wiesbaden';
$icao ['de']['ETSA'] = 'Landsberg Lech, Landsberg';
$icao ['de']['ETSB'] = 'Buchel, Buechel';
$icao ['de']['ETSE'] = 'Erding, Erding';
$icao ['de']['ETSH'] = 'Holzdorf, Holzdorf';
$icao ['de']['ETSI'] = 'Ingolstadt Manching, Ingolstadt';
$icao ['de']['ETSL'] = 'Lechfeld, Lechfeld';
$icao ['de']['ETSN'] = 'Neuburg, Neuburg';
$icao ['de']['ETUO'] = 'Gutersloh, Guetersloh';
$icao ['de']['KQAO'] = 'HANAU AAF';

?>