<?php

/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * The information found in the file is retrieved from the
 * following location:
 * {@link http://www.rap.ucar.edu/weather/surface/stations.txt http://www.rap.ucar.edu/weather/surface/stations.txt}
 * The country codes are based on the ISO 3166-1 standard
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta - April 2006
 * @package org.brim-project.plugins.weather
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */

if (!isset ($icao))
{
	$icao = array ();
}
$icao ['fr']['LFVP'] = 'ST PIERRE-FRANCE';
$icao ['fr']['LFBA'] = 'La Garenne, Agen';
$icao ['fr']['LFBC'] = 'Cazaux, Cazaux';
$icao ['fr']['LFBD'] = 'Merignac, Bordeaux';
$icao ['fr']['LFBE'] = 'Roumaniere, Bergerac';
$icao ['fr']['LFBG'] = 'Chateaubernard, Cognac';
$icao ['fr']['LFBH'] = 'LA ROCHELLE/LALE';
$icao ['fr']['LFBI'] = 'Biard, Poitiers';
$icao ['fr']['LFBL'] = 'Bellegarde, Limoges';
$icao ['fr']['LFBM'] = 'Mont De Marsan, Mont De Marsan';
$icao ['fr']['LFBO'] = 'Blagnac, Toulouse';
$icao ['fr']['LFBP'] = 'Pau Pyrenees, Pau';
$icao ['fr']['LFBT'] = 'Lourdes, Tarbes';
$icao ['fr']['LFBZ'] = 'Anglet, Biarritz Bayonne';
$icao ['fr']['LFCR'] = 'Marcillac, Rodez';
$icao ['fr']['LFGJ'] = 'Tavaux, Dole';
$icao ['fr']['LFJL'] = 'Metz Nancy Lorraine, Metz';
$icao ['fr']['LFKB'] = 'Poretta, Bastia';
$icao ['fr']['LFKC'] = 'Saint Catherine, Calvi';
$icao ['fr']['LFKF'] = 'Sud Corse, Figari';
$icao ['fr']['LFKJ'] = 'Campo Dell Oro, Ajaccio';
$icao ['fr']['LFLB'] = 'Aix Les Bains, Chambery';
$icao ['fr']['LFLC'] = 'Auvergne, Clermont Ferrand';
$icao ['fr']['LFLD'] = 'Bourges, Bourges';
$icao ['fr']['LFLL'] = 'Saint Exupery, Lyon';
$icao ['fr']['LFLS'] = 'Saint Geoirs, Grenoble';
$icao ['fr']['LFLV'] = 'Charmeil, Vichy';
$icao ['fr']['LFLX'] = 'Deols, Chateauroux';
$icao ['fr']['LFLY'] = 'Bron, Lyon';
$icao ['fr']['LFMD'] = 'Mandelieu, Cannes';
$icao ['fr']['LFMH'] = 'Boutheon, St. Etienne';
$icao ['fr']['LFMI'] = 'Le Tube, Istres';
$icao ['fr']['LFMK'] = 'Salvaza, Carcassonne';
$icao ['fr']['LFML'] = 'Provence, Marseille';
$icao ['fr']['LFMN'] = 'Cote D Azur, Nice';
$icao ['fr']['LFMO'] = 'Caritat, Orange';
$icao ['fr']['LFMP'] = 'Rivesaltes, Perpignan';
$icao ['fr']['LFMT'] = 'Mediterranee, Montpellier';
$icao ['fr']['LFMU'] = 'Vias, Beziers';
$icao ['fr']['LFMV'] = 'Caumont, Avignon';
$icao ['fr']['LFOA'] = 'Avord, Avord';
$icao ['fr']['LFOB'] = 'Tille, Beauvais';
$icao ['fr']['LFOE'] = 'Fauville, Evreux';
$icao ['fr']['LFOH'] = 'Octeville, Le Havre';
$icao ['fr']['LFOJ'] = 'Bricy, Orleans';
$icao ['fr']['LFOK'] = 'Vatry, Chalons';
$icao ['fr']['LFOP'] = 'Vallee De Seine, Rouen';
$icao ['fr']['LFOT'] = 'Val De Loire, Tours';
$icao ['fr']['LFPB'] = 'Le Bourget, Paris';
$icao ['fr']['LFPG'] = 'Charles De Gaulle, Paris';
$icao ['fr']['LFPN'] = 'Toussus Le Noble, Toussous Le Noble';
$icao ['fr']['LFPO'] = 'Orly, Paris';
$icao ['fr']['LFPV'] = 'Velizy, Villacoublay';
$icao ['fr']['LFQB'] = 'Barberey, Troyes';
$icao ['fr']['LFQI'] = 'Epinoy, Cambrai';
$icao ['fr']['LFQQ'] = 'Lesquin, Lille';
$icao ['fr']['LFRB'] = 'Guipavas, Brest';
$icao ['fr']['LFRC'] = 'Maupertus, Cherbourg';
$icao ['fr']['LFRD'] = 'Pleurtuit, Dinard';
$icao ['fr']['LFRG'] = 'St Gatien, Deauville';
$icao ['fr']['LFRH'] = 'Lann Bihoue, Lorient';
$icao ['fr']['LFRK'] = 'Carpiquet, Caen';
$icao ['fr']['LFRM'] = 'Arnage, Le Mans';
$icao ['fr']['LFRN'] = 'St Jacques, Rennes';
$icao ['fr']['LFRO'] = 'Lannion, Lannion';
$icao ['fr']['LFRQ'] = 'Pluguffan, Quimper';
$icao ['fr']['LFRS'] = 'Nantes Atlantique, Nantes';
$icao ['fr']['LFRT'] = 'Armor, St. Brieuc Armor';
$icao ['fr']['LFRZ'] = 'Montoir, St. Nazaire';
$icao ['fr']['LFSB'] = 'Bale Mulhouse, Mulhouse';
$icao ['fr']['LFSC'] = 'Meyenheim, Colmar';
$icao ['fr']['LFSD'] = 'Longvic, Dijon';
$icao ['fr']['LFSF'] = 'Frescaty, Metz';
$icao ['fr']['LFSI'] = 'Robinson, St. Dizier';
$icao ['fr']['LFSO'] = 'Ochey, Nancy';
$icao ['fr']['LFSR'] = 'Champagne, Reims';
$icao ['fr']['LFST'] = 'Entzheim, Strassbourg';
$icao ['fr']['LFSX'] = 'Saint Sauveur, Luxeuil';
$icao ['fr']['LFTH'] = 'Hyeres, Hyeres';
$icao ['fr']['LFTW'] = 'Garons, Nimes';

?>