<?php

/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * The information found in the file is retrieved from the
 * following location:
 * {@link http://www.rap.ucar.edu/weather/surface/stations.txt http://www.rap.ucar.edu/weather/surface/stations.txt}
 * The country codes are based on the ISO 3166-1 standard
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta - April 2006
 * @package org.brim-project.plugins.weather
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */

if (!isset ($icao))
{
	$icao = array ();
}
$icao ['gb']['EGAA'] = 'BELFAST/ALDERGRO';
$icao ['gb']['EGAC'] = 'BELFAST HARBOUR';
$icao ['gb']['EGAE'] = 'EGLINTON/LONDOND';
$icao ['gb']['EGBB'] = 'BIRMINGHAM AIRPO';
$icao ['gb']['EGBE'] = 'COVENTRY AIRPORT';
$icao ['gb']['EGBJ'] = 'STAVERTON (PRIVA';
$icao ['gb']['EGCC'] = 'MANCHESTER INTL';
$icao ['gb']['EGDG'] = 'SAINT MAWGAN RAF';
$icao ['gb']['EGDL'] = 'LYNEHAM RAF';
$icao ['gb']['EGDM'] = 'BOSCOMBE DOWN';
$icao ['gb']['EGDR'] = 'CULDROSE (NAVY)';
$icao ['gb']['EGDX'] = 'ST ATHAN RAF';
$icao ['gb']['EGDY'] = 'YEOVILTON (NAVY)';
$icao ['gb']['EGFF'] = 'CARDIFF-WALES AR';
$icao ['gb']['EGGD'] = 'BRISTOL/LULSGATE';
$icao ['gb']['EGGP'] = 'LIVERPOOL AIRPOR';
$icao ['gb']['EGGW'] = 'LUTON AIRPORT';
$icao ['gb']['EGHD'] = 'PLYMOUTH/ROBOROU';
$icao ['gb']['EGHE'] = 'SCILLY SAINT MAR';
$icao ['gb']['EGHH'] = 'BOURNEMOUTH AIRP';
$icao ['gb']['EGHI'] = 'SOUTHAMPTON WX C';
$icao ['gb']['EGJA'] = 'ALDERNEY/CHANNEL';
$icao ['gb']['EGJB'] = 'GUERNSEY AIRPORT';
$icao ['gb']['EGJJ'] = 'JERSEY AIRPORT';
$icao ['gb']['EGKA'] = 'SHOREHAM-BY-SEA';
$icao ['gb']['EGKB'] = 'BIGGIN HILL';
$icao ['gb']['EGKK'] = 'LONDON/GATWICK A';
$icao ['gb']['EGLC'] = 'LONDON CITY AIRP';
$icao ['gb']['EGLF'] = 'FARNBOROUGH';
$icao ['gb']['EGLL'] = 'LONDON/HEATHROW';
$icao ['gb']['EGMC'] = 'SOUTHEND-ON-SEA';
$icao ['gb']['EGMD'] = 'LYDD AIRPORT';
$icao ['gb']['EGMH'] = 'MANSTON SOUTHEAS';
$icao ['gb']['EGNC'] = 'CARLISLE';
$icao ['gb']['EGNH'] = 'BLACKPOOL AIRPOR';
$icao ['gb']['EGNJ'] = 'HUMBERSIDE';
$icao ['gb']['EGNM'] = 'LEEDS AND BRADFO';
$icao ['gb']['EGNR'] = 'HAWARDEN (AUT)';
$icao ['gb']['EGNS'] = 'ISLE OF MAN/RONA';
$icao ['gb']['EGNT'] = 'NEWCASTLE';
$icao ['gb']['EGNV'] = 'TEES-SIDE';
$icao ['gb']['EGNX'] = 'EAST MIDLANDS';
$icao ['gb']['EGOM'] = 'SPADEADAM';
$icao ['gb']['EGOP'] = 'PEMBRY SANDS';
$icao ['gb']['EGOS'] = 'SHAWBURY RAF';
$icao ['gb']['EGOV'] = 'VALLEY RAF';
$icao ['gb']['EGPA'] = 'KIRKWALL AIRPORT';
$icao ['gb']['EGPB'] = 'SUMBURGH (CAPE)';
$icao ['gb']['EGPC'] = 'WICK';
$icao ['gb']['EGPD'] = 'ABERDEEN/DYCE';
$icao ['gb']['EGPE'] = 'INVERNESS/DALCRO';
$icao ['gb']['EGPF'] = 'GLASGOW AIRPORT';
$icao ['gb']['EGPH'] = 'EDINBURGH AIRPOR';
$icao ['gb']['EGPI'] = 'ISLAY/PORT ELLEN';
$icao ['gb']['EGPK'] = 'PRESTWICK(CIV/NA';
$icao ['gb']['EGPL'] = 'BENBECULA ISLAND';
$icao ['gb']['EGPM'] = 'SCATSA/SHETLAND';
$icao ['gb']['EGPN'] = 'DUNDEE/RIVERSIDE';
$icao ['gb']['EGPO'] = 'STORNOWAY';
$icao ['gb']['EGPU'] = 'TIREE ISLAND';
$icao ['gb']['EGQA'] = 'TAIN RANGE (SAWS';
$icao ['gb']['EGQK'] = 'KINLOSS RAF';
$icao ['gb']['EGQL'] = 'LEUCHARS RAF';
$icao ['gb']['EGQS'] = 'LOSSIEMOUTH RAF';
$icao ['gb']['EGSC'] = 'CAMBRIDGE';
$icao ['gb']['EGSH'] = 'NORWICH WEA CNTR';
$icao ['gb']['EGSS'] = 'STANSTED AIRPORT';
$icao ['gb']['EGTC'] = 'CRANFIELD';
$icao ['gb']['EGTE'] = 'EXETER AIRPORT';
$icao ['gb']['EGTG'] = 'FILTON (PRIVATE)';
$icao ['gb']['EGUB'] = 'BENSON RAF';
$icao ['gb']['EGUL'] = 'LAKENHEATH RAF';
$icao ['gb']['EGUN'] = 'MILDENHALL RAF';
$icao ['gb']['EGUW'] = 'WATTISHAM RAF';
$icao ['gb']['EGUY'] = 'WYTON RAF';
$icao ['gb']['EGVA'] = 'FAIRFORD RAF';
$icao ['gb']['EGVN'] = 'BRIZE NORTON RAF';
$icao ['gb']['EGVO'] = 'ODIHAM RAF';
$icao ['gb']['EGVP'] = 'MIDDLE WALLOP';
$icao ['gb']['EGWC'] = 'COSFORD RAF';
$icao ['gb']['EGWU'] = 'NORTHOLT RAF';
$icao ['gb']['EGXC'] = 'CONINGSBY RAF';
$icao ['gb']['EGXD'] = 'DISHFORTH RAF';
$icao ['gb']['EGXE'] = 'LEEMING RAF';
$icao ['gb']['EGXG'] = 'CHURCH FENTON RA';
$icao ['gb']['EGXJ'] = 'COTTESMORE RAF';
$icao ['gb']['EGXT'] = 'WITTERING RAF';
$icao ['gb']['EGXU'] = 'LINTON-ON-OUSE R';
$icao ['gb']['EGXW'] = 'WADDINGTON RAF';
$icao ['gb']['EGXZ'] = 'TOPCLIFFE RAF';
$icao ['gb']['EGYC'] = 'COLTISHALL RAF';
$icao ['gb']['EGYD'] = 'CRANWELL RAF';
$icao ['gb']['EGYE'] = 'BARKSTON HEATH R';
$icao ['gb']['EGYH'] = 'HOLBEACH (AUT)';
$icao ['gb']['EGYM'] = 'MARHAM RAF';
$icao ['gb']['EGYW'] = 'WAINFLEET (AUT)';

?>