<?php

/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * The information found in the file is retrieved from the
 * following location:
 * {@link http://www.rap.ucar.edu/weather/surface/stations.txt http://www.rap.ucar.edu/weather/surface/stations.txt}
 * The country codes are based on the ISO 3166-1 standard
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta - April 2006
 * @package org.brim-project.plugins.weather
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */

if (!isset ($icao))
{
	$icao = array ();
}
$icao ['jp']['RJAA'] = 'New Tokyo International, Tokyo';
$icao ['jp']['RJAF'] = 'Matsumoto, Matsumoto';
$icao ['jp']['RJAH'] = 'Hyakuri, Hyakuri';
$icao ['jp']['RJAI'] = 'ICHIKAWA';
$icao ['jp']['RJAK'] = 'KASUMIGAURA (JAS';
$icao ['jp']['RJAO'] = 'CHICHIJIMA ISLAN';
$icao ['jp']['RJAT'] = 'FUJI (JASDF)';
$icao ['jp']['RJAW'] = 'Iwo Jima, Iwojima';
$icao ['jp']['RJBB'] = 'KANSAI INTL';
$icao ['jp']['RJBD'] = 'Nanki Shirahama, Nanki Shirahama';
$icao ['jp']['RJBH'] = 'HIROSHIMANISHI';
$icao ['jp']['RJBT'] = 'TAJIMA';
$icao ['jp']['RJCA'] = 'ASAHIKAWA (JASDF';
$icao ['jp']['RJCB'] = 'Obihiro, Obihiro';
$icao ['jp']['RJCC'] = 'Chitose International Airport, Sapporo';
$icao ['jp']['RJCH'] = 'Hakodate, Hakodate';
$icao ['jp']['RJCJ'] = 'Chitose, Chitose';
$icao ['jp']['RJCK'] = 'KUSHIRO AIRPORT';
$icao ['jp']['RJCM'] = 'Memanbetsu, Memanbetsu';
$icao ['jp']['RJCN'] = 'Nakashibetsu, Nakashibetsu';
$icao ['jp']['RJCO'] = 'Sapporo, Sapporo';
$icao ['jp']['RJCT'] = 'Tokachi, Tokachi';
$icao ['jp']['RJCW'] = 'Wakkanai, Wakkanai';
$icao ['jp']['RJDB'] = 'Iki, Iki';
$icao ['jp']['RJDC'] = 'Yamaguchi Ube, Yamaguchi';
$icao ['jp']['RJDM'] = 'METABARU (JASDF)';
$icao ['jp']['RJDT'] = 'Tsushima, Tsushima';
$icao ['jp']['RJEB'] = 'Monbetsu, Monbetsu';
$icao ['jp']['RJEC'] = 'Asahikawa, Asahikawa';
$icao ['jp']['RJFA'] = 'Ashiya, Ashiya';
$icao ['jp']['RJFC'] = 'Yakushima, Yakushima';
$icao ['jp']['RJFE'] = 'Fukue, Fukue';
$icao ['jp']['RJFF'] = 'Fukuoka, Fukuoka';
$icao ['jp']['RJFG'] = 'Tanegashima, Tanegashima';
$icao ['jp']['RJFK'] = 'Kagoshima, Kagoshima';
$icao ['jp']['RJFM'] = 'Miyazaki, Miyazaki';
$icao ['jp']['RJFN'] = 'Nyutabaru, Nyutabaru';
$icao ['jp']['RJFO'] = 'Oita, Oita';
$icao ['jp']['RJFR'] = 'Kitakyushu, Kitakyushu';
$icao ['jp']['RJFS'] = 'SAGA AIRPORT';
$icao ['jp']['RJFT'] = 'Kumamoto, Kumamoto';
$icao ['jp']['RJFU'] = 'Nagasaki, Nagasaki';
$icao ['jp']['RJFY'] = 'Kanoya, Kanoya';
$icao ['jp']['RJFZ'] = 'Tsuiki, Tsuiki';
$icao ['jp']['RJGG'] = 'NAGOYA/CHUBU';
$icao ['jp']['RJKA'] = 'Amami, Amami';
$icao ['jp']['RJKB'] = 'Okierabu, Okierabu';
$icao ['jp']['RJNF'] = 'Fukui, Fukui';
$icao ['jp']['RJNG'] = 'Gifu, Gifu';
$icao ['jp']['RJNH'] = 'Hamamatsu, Hamamatsu';
$icao ['jp']['RJNK'] = 'Komatsu, Kanazawa';
$icao ['jp']['RJNT'] = 'Toyama, Toyama';
$icao ['jp']['RJNW'] = 'NOTO';
$icao ['jp']['RJNY'] = 'Shizuhama, Yaizu';
$icao ['jp']['RJOA'] = 'Hiroshima, Hiroshima';
$icao ['jp']['RJOB'] = 'Okayama, Okayama';
$icao ['jp']['RJOC'] = 'Izumo, Izumo';
$icao ['jp']['RJOE'] = 'AKENO (JASDF)';
$icao ['jp']['RJOF'] = 'Hofu, Hofu';
$icao ['jp']['RJOH'] = 'Miho, Miho';
$icao ['jp']['RJOI'] = 'Iwakuni Mcas, Iwakuni';
$icao ['jp']['RJOK'] = 'Kochi, Kochi';
$icao ['jp']['RJOM'] = 'Matsuyama, Matsuyama';
$icao ['jp']['RJOO'] = 'Osaka International, Osaka';
$icao ['jp']['RJOP'] = 'KOMATSUJIMA (JAS';
$icao ['jp']['RJOR'] = 'Tottori, Tottori';
$icao ['jp']['RJOS'] = 'Tokushima, Tokushima';
$icao ['jp']['RJOT'] = 'Takamatsu, Takamatsu';
$icao ['jp']['RJOW'] = 'IWAMI';
$icao ['jp']['RJOY'] = 'Yao, Osaka';
$icao ['jp']['RJOZ'] = 'Ozuki, Ozuki';
$icao ['jp']['RJSA'] = 'Aomori, Aomori';
$icao ['jp']['RJSC'] = 'Yamagata, Yamagata';
$icao ['jp']['RJSF'] = 'FUKUSHIMA ARPT';
$icao ['jp']['RJSH'] = 'Hachinohe, Hachinoe';
$icao ['jp']['RJSI'] = 'Hanamaki, Hanamaki';
$icao ['jp']['RJSK'] = 'Akita, Akita';
$icao ['jp']['RJSM'] = 'Misawa Ab, Misawa';
$icao ['jp']['RJSN'] = 'NIIGATA (CIV/JAS';
$icao ['jp']['RJSO'] = 'OMINATO (JASDF)';
$icao ['jp']['RJSR'] = 'ODATE-NOSHIRO';
$icao ['jp']['RJSS'] = 'Sendai, Sendai';
$icao ['jp']['RJST'] = 'Matsushima, Matsushima';
$icao ['jp']['RJSU'] = 'KASUMINOME (JASD';
$icao ['jp']['RJSY'] = 'Shonai, Shonai';
$icao ['jp']['RJTA'] = 'Atsugi Naf, Atsugi';
$icao ['jp']['RJTC'] = 'TACHIKAWA (JASDF';
$icao ['jp']['RJTE'] = 'Tateyama, Tateyama';
$icao ['jp']['RJTF'] = 'Chofu, Tokyo';
$icao ['jp']['RJTH'] = 'Hachijojima, Hachijojima';
$icao ['jp']['RJTI'] = 'TOKYO HELIPORT';
$icao ['jp']['RJTJ'] = 'Iruma, Iruma';
$icao ['jp']['RJTK'] = 'Kisarazu, Kisarazu';
$icao ['jp']['RJTL'] = 'Shimofusa, Shimofusa';
$icao ['jp']['RJTO'] = 'Oshima, Oshima';
$icao ['jp']['RJTR'] = 'Kastner Aaf, Zama';
$icao ['jp']['RJTT'] = 'Tokyo International, Tokyo';
$icao ['jp']['RJTU'] = 'UTSUNOMIYA (JGSD';
$icao ['jp']['RJTX'] = 'YOKOSUKA FWF';
$icao ['jp']['RJTY'] = 'Yokota Ab, Yokota';
$icao ['jp']['ROAH'] = 'Naha, Naha';
$icao ['jp']['RODN'] = 'Kadena Ab, Kadena';
$icao ['jp']['ROIG'] = 'Ishigaki, Ishigaki';
$icao ['jp']['ROKJ'] = 'Kumejima, Kumejima';
$icao ['jp']['ROMY'] = 'Miyako, Miyako';
$icao ['jp']['RORS'] = 'Shimojishima, Shimojishima';
$icao ['jp']['ROTM'] = 'Futenma Mcas, Futema';
$icao ['jp']['ROYN'] = 'Yonaguni, Yonaguni Jima';

?>