<?php

/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * The information found in the file is retrieved from the
 * following location:
 * {@link http://www.rap.ucar.edu/weather/surface/stations.txt http://www.rap.ucar.edu/weather/surface/stations.txt}
 * The country codes are based on the ISO 3166-1 standard
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta - April 2006
 * @package org.brim-project.plugins.weather
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */

if (!isset ($icao))
{
	$icao = array ();
}
$icao ['us']['PADK'] = 'ADAK NAS';
$icao ['us']['PAFM'] = 'AMBLER';
$icao ['us']['PAKP'] = 'ANAKTUVUK PASS';
$icao ['us']['PANC'] = 'ANCHORAGE INTL';
$icao ['us']['PALH'] = 'ANCHORAGE/LAKE H';
$icao ['us']['PAMR'] = 'ANCHORAGE/MERRIL';
$icao ['us']['PANI'] = 'ANIAK';
$icao ['us']['PANT'] = 'ANNETTE ISLAND';
$icao ['us']['PANV'] = 'ANVIK';
$icao ['us']['PARC'] = 'ARCTIC VILLAGE';
$icao ['us']['PATQ'] = 'ATQASUK BURNELL';
$icao ['us']['PAAK'] = 'ATKA';
$icao ['us']['PABR'] = 'BARROW';
$icao ['us']['PABA'] = 'BARTER ISLAND';
$icao ['us']['PABE'] = 'BETHEL';
$icao ['us']['PABT'] = 'BETTLES';
$icao ['us']['PALV'] = 'BIG RIVER LAKES';
$icao ['us']['PABV'] = 'BIRCHWOOD';
$icao ['us']['PABL'] = 'BUCKLAND';
$icao ['us']['PATW'] = 'CANTWELL';
$icao ['us']['PALU'] = 'CAPE LISBURNE';
$icao ['us']['PAEH'] = 'CAPE NEWENHAM';
$icao ['us']['PACZ'] = 'CAPE ROMANZOF';
$icao ['us']['PARL'] = 'CENTRAL';
$icao ['us']['PALR'] = 'CHANDALAR LAKE';
$icao ['us']['PAJC'] = 'CHIGNIK BAY';
$icao ['us']['PACD'] = 'COLD BAY';
$icao ['us']['PACV'] = 'CORDOVA';
$icao ['us']['PASC'] = 'DEADHORSE';
$icao ['us']['PADE'] = 'DEERING';
$icao ['us']['PABI'] = 'DELTA JUNCTION';
$icao ['us']['PADL'] = 'DILLINGHAM';
$icao ['us']['PAEG'] = 'EAGLE';
$icao ['us']['PASY'] = 'EARECKSON/SHEMYA';
$icao ['us']['PAII'] = 'EGEGIK';
$icao ['us']['PAEI'] = 'EIELSON AFB';
$icao ['us']['PAEL'] = 'ELFIN COVE';
$icao ['us']['PAED'] = 'ELMENDORF AFB';
$icao ['us']['PAEM'] = 'EMMONAK';
$icao ['us']['PAZK'] = 'EUREKA';
$icao ['us']['PAFA'] = 'FAIRBANKS';
$icao ['us']['PAFK'] = 'FAREWELL LAKE';
$icao ['us']['PAFB'] = 'FORT WAINWRIGHT';
$icao ['us']['PFYU'] = 'FORT YUKON';
$icao ['us']['PAGB'] = 'GALBRAITH LAKE';
$icao ['us']['PAGA'] = 'GALENA';
$icao ['us']['PAGM'] = 'GAMBELL';
$icao ['us']['PAGL'] = 'GOLOVIN';
$icao ['us']['PAGK'] = 'GULKANA';
$icao ['us']['PAGS'] = 'GUSTAVUS';
$icao ['us']['PAHN'] = 'HAINES';
$icao ['us']['PAHZ'] = 'HAYES RIVER';
$icao ['us']['PAHV'] = 'HEALY';
$icao ['us']['PAHC'] = 'HOLY CROSS';
$icao ['us']['PAHO'] = 'HOMER';
$icao ['us']['PAOH'] = 'HOONAH';
$icao ['us']['PAHP'] = 'HOOPER BAY';
$icao ['us']['PAHL'] = 'HUSLIA';
$icao ['us']['PAHY'] = 'HYDABURG';
$icao ['us']['PAIG'] = 'IGIUGIG';
$icao ['us']['PAIL'] = 'ILIAMNA';
$icao ['us']['PAIM'] = 'INDIAN MOUNTAIN';
$icao ['us']['PAJN'] = 'JUNEAU';
$icao ['us']['PAFE'] = 'KAKE';
$icao ['us']['PALG'] = 'KALSKAG';
$icao ['us']['PAKV'] = 'KALTAG';
$icao ['us']['PAEN'] = 'KENAI';
$icao ['us']['PAKT'] = 'KETCHIKAN';
$icao ['us']['PAKN'] = 'KING SALMON';
$icao ['us']['PAVL'] = 'KIVALINA';
$icao ['us']['PAKW'] = 'KLAWOCK';
$icao ['us']['PADQ'] = 'KODIAK';
$icao ['us']['PAOT'] = 'KOTZEBUE';
$icao ['us']['PAKK'] = 'KOYUK';
$icao ['us']['PAKU'] = 'KUPARUK';
$icao ['us']['PAML'] = 'MANLEY HOT SPRIN';
$icao ['us']['PAMB'] = 'MANOKOTAK';
$icao ['us']['PAMX'] = 'MCCARTHY';
$icao ['us']['PAMC'] = 'MCGRATH';
$icao ['us']['PAIN'] = 'MCKINLEY PARK';
$icao ['us']['PAMY'] = 'MEKORYUK';
$icao ['us']['PAMM'] = 'METLAKATLA';
$icao ['us']['PAMD'] = 'MIDDLETON ISLAND';
$icao ['us']['PAMH'] = 'MINCHUMINA';
$icao ['us']['PAMO'] = 'MOUNTAIN VILLAGE';
$icao ['us']['PABN'] = 'NABESNA';
$icao ['us']['PANN'] = 'NENANA';
$icao ['us']['PAFS'] = 'NIKOLAI';
$icao ['us']['PAOM'] = 'NOME';
$icao ['us']['PAEC'] = 'CHULITNA';
$icao ['us']['PAOR'] = 'NORTHWAY';
$icao ['us']['PAWN'] = 'NOATAK';
$icao ['us']['PAQT'] = 'NUIQSUT';
$icao ['us']['PALP'] = 'NUIQSUT VILLAGE';
$icao ['us']['PAAQ'] = 'PALMER';
$icao ['us']['PAXK'] = 'PAXSON';
$icao ['us']['PAPG'] = 'PETERSBURG';
$icao ['us']['PAPM'] = 'PLATINUM';
$icao ['us']['PAPO'] = 'POINT HOPE';
$icao ['us']['PPIZ'] = 'POINT LAY';
$icao ['us']['PAAP'] = 'PORT ALEXANDER';
$icao ['us']['PALJ'] = 'PORT ALSWORTH';
$icao ['us']['PAPC'] = 'PORT CLARENCE';
$icao ['us']['PAPH'] = 'PORT HEIDEN';
$icao ['us']['PATO'] = 'PORTAGE GLACIER';
$icao ['us']['PAPR'] = 'PROSPECT CREEK';
$icao ['us']['PAPT'] = 'PUNTILLA LAKE';
$icao ['us']['PARD'] = 'REG DOG MINE';
$icao ['us']['PARY'] = 'RUBY';
$icao ['us']['PARS'] = 'RUSSIAN MISSION';
$icao ['us']['PASM'] = 'SAINT MARYS';
$icao ['us']['PASD'] = 'SAND POINT';
$icao ['us']['PASA'] = 'SAVOONGA';
$icao ['us']['PACM'] = 'SCAMMON BAY';
$icao ['us']['PASK'] = 'SELAWIK';
$icao ['us']['PASO'] = 'SELDOVIA';
$icao ['us']['PAWD'] = 'SEWARD';
$icao ['us']['PASH'] = 'SHISHMAREF';
$icao ['us']['PASI'] = 'SITKA';
$icao ['us']['PAGY'] = 'SKAGWAY';
$icao ['us']['PASW'] = 'SKWENTNA';
$icao ['us']['PADT'] = 'SLANA';
$icao ['us']['PASL'] = 'SLEETMUTE';
$icao ['us']['PALK'] = 'SNOWSHOE LAKE';
$icao ['us']['PASX'] = 'SOLDOTNA';
$icao ['us']['PASV'] = 'SPARREVOHN';
$icao ['us']['PAPB'] = 'ST GEORGE';
$icao ['us']['PASN'] = 'ST PAUL ISLAND';
$icao ['us']['PAER'] = 'STONY RIVER LAND';
$icao ['us']['PAJV'] = 'SUTTON';
$icao ['us']['PASP'] = 'TAHNETNA PASS LO';
$icao ['us']['PATK'] = 'TALKEETNA';
$icao ['us']['PATA'] = 'TANANA';
$icao ['us']['PATL'] = 'TATALINA AFS';
$icao ['us']['PATC'] = 'TIN CITY AFS';
$icao ['us']['PATG'] = 'TOGIAK';
$icao ['us']['PAOO'] = 'TOKSOOK BAY';
$icao ['us']['PAUN'] = 'UNALAKLEET';
$icao ['us']['PADU'] = 'DUTCH HARBOR';
$icao ['us']['PAVD'] = 'VALDEZ';
$icao ['us']['PAWI'] = 'WAINWRIGHT';
$icao ['us']['PAWS'] = 'WASILLA';
$icao ['us']['PAWR'] = 'WHITTIER';
$icao ['us']['PAUO'] = 'WILLOW';
$icao ['us']['PAWG'] = 'WRANGELL';
$icao ['us']['PAYA'] = 'YAKUTAT';
$icao ['us']['KEET'] = 'ALABASTER';
$icao ['us']['K8A0'] = 'ALBERTVILLE MUNI';
$icao ['us']['KALX'] = 'ALEXANDER/RUSSEL';
$icao ['us']['K79J'] = 'ANDALUSIA/OPP AR';
$icao ['us']['KANB'] = 'ANNISTON';
$icao ['us']['KAUO'] = 'AUBURN OPELIKA A';
$icao ['us']['KBHM'] = 'BIRMINGHAM';
$icao ['us']['KOZR'] = 'OZARK/CAIRNS AAF';
$icao ['us']['K3A1'] = 'CULLMAN/FOLSOM F';
$icao ['us']['KDCU'] = 'DECATUR';
$icao ['us']['KDHN'] = 'DOTHAN';
$icao ['us']['KGZH'] = 'EVERGREEN';
$icao ['us']['K4A9'] = 'FT PAYNE/ISBELL';
$icao ['us']['KGAD'] = 'GADSDEN MUNI';
$icao ['us']['KJKA'] = 'GULF SHORES';
$icao ['us']['KHSV'] = 'HUNTSVILLE';
$icao ['us']['KMDQ'] = 'HUNTSVILLE/MADIS';
$icao ['us']['KMXF'] = 'MAXWELL AFB/MGM';
$icao ['us']['KBFM'] = 'MOBILE/BROOKELY';
$icao ['us']['KMOB'] = 'MOBILE/BATES';
$icao ['us']['KMGM'] = 'MONTGOMERY';
$icao ['us']['KMSL'] = 'MUSCLE SHOAL';
$icao ['us']['KHUA'] = 'REDSTONE ARSENAL';
$icao ['us']['KTOI'] = 'TROY';
$icao ['us']['KTCL'] = 'TUSCALOOSA';
$icao ['us']['KBVX'] = 'BATESVILLE';
$icao ['us']['KVBT'] = 'BENTONVILLE';
$icao ['us']['KXNA'] = 'BENTONVILLE (NW)';
$icao ['us']['KHKA'] = 'BLYTHEVILLE';
$icao ['us']['KBYH'] = 'BLYTHEVILLE AFB';
$icao ['us']['KDEQ'] = 'DE QUEEN';
$icao ['us']['KELD'] = 'EL DORADO';
$icao ['us']['KFYV'] = 'FAYETTEVILLE';
$icao ['us']['KFLP'] = 'FLIPPIN (AWOS)';
$icao ['us']['KFSM'] = 'FORT SMITH';
$icao ['us']['KHRO'] = 'HARRISON';
$icao ['us']['KHOT'] = 'HOT SPRINGS';
$icao ['us']['KJBR'] = 'JONESBORO';
$icao ['us']['KLIT'] = 'LITTLE ROCK';
$icao ['us']['KLRF'] = 'LITTLE ROCK AFB';
$icao ['us']['KMEZ'] = 'MENA INTERMTN';
$icao ['us']['KLLQ'] = 'MONTICELLO';
$icao ['us']['KMWT'] = 'MOUNT IDA';
$icao ['us']['KBPK'] = 'MOUNTAIN HOME';
$icao ['us']['KM19'] = 'NEWPORT';
$icao ['us']['KPBF'] = 'PINE BLUFF/GRIDR';
$icao ['us']['KROG'] = 'ROGERS';
$icao ['us']['KRUE'] = 'RUSSELLVILLE';
$icao ['us']['KSRC'] = 'SEARCY';
$icao ['us']['KSLG'] = 'SILOAM SPRING';
$icao ['us']['KASG'] = 'SPRINGDALE MUNI';
$icao ['us']['KSGT'] = 'STUTTGART';
$icao ['us']['KTXK'] = 'TEXARKANA';
$icao ['us']['KARG'] = 'WALNUT RIDGE';
$icao ['us']['KPHX'] = 'PHOENIX/SKY HRBR';
$icao ['us']['KTUS'] = 'TUCSON';
$icao ['us']['KIFP'] = 'BULLHEAD CITY';
$icao ['us']['KCGZ'] = 'CASA GRANDA';
$icao ['us']['KIWA'] = 'CHANDLER/MESA';
$icao ['us']['KCHD'] = 'CHANDLER';
$icao ['us']['KDMA'] = 'DAVIS/TUCSON';
$icao ['us']['KDUG'] = 'DOUGLAS BISBEE';
$icao ['us']['KFLG'] = 'FLAGSTAFF';
$icao ['us']['KFHU'] = 'FORT HUACHUCA';
$icao ['us']['KGBN'] = 'GILA BEND (AAF)';
$icao ['us']['KGEU'] = 'GLENDALE';
$icao ['us']['KLUF'] = 'LUKE AFB/GLENDAL';
$icao ['us']['KGYR'] = 'GOODYEAR MUNICIP';
$icao ['us']['KGCN'] = 'GRAND CANYON';
$icao ['us']['KIGM'] = 'KINGMAN';
$icao ['us']['KFFZ'] = 'MESA/FALCON FLD';
$icao ['us']['KOLS'] = 'NOGALES';
$icao ['us']['KPGA'] = 'PAGE';
$icao ['us']['KDVT'] = 'PHOENIX/DEER VLY';
$icao ['us']['KPRC'] = 'PRESCOTT';
$icao ['us']['KSAD'] = 'SAFFORD';
$icao ['us']['KSDL'] = 'SCOTTSDALE';
$icao ['us']['KSOW'] = 'SHOW LOW MUNICIP';
$icao ['us']['KSJN'] = 'ST. JOHNS';
$icao ['us']['KRQE'] = 'WINDOW ROCK';
$icao ['us']['KINW'] = 'WINSLOW';
$icao ['us']['KYUM'] = 'YUMA INTL';
$icao ['us']['KNYL'] = 'YUMA MCAS';
$icao ['us']['KAAT'] = 'ALTURAS';
$icao ['us']['KACV'] = 'ARCATA/EUREKA';
$icao ['us']['KAUN'] = 'AUBURN MUNI';
$icao ['us']['KAVX'] = 'AVALON';
$icao ['us']['KBFL'] = 'BAKERSFIELD';
$icao ['us']['KBAB'] = 'BEALE AFB/MARYSV';
$icao ['us']['KBIH'] = 'BISHOP';
$icao ['us']['KBLH'] = 'BLYTHE';
$icao ['us']['KBUR'] = 'BURBANK';
$icao ['us']['KCMA'] = 'CAMARILLO';
$icao ['us']['KNFG'] = 'CAMP PENDLETON';
$icao ['us']['KCZZ'] = 'CAMPO';
$icao ['us']['KCRQ'] = 'CARLSBAD';
$icao ['us']['KCIC'] = 'CHICO MUNICIPAL';
$icao ['us']['KNID'] = 'CHINA LAKE (NAF)';
$icao ['us']['KCNO'] = 'CHINO';
$icao ['us']['KCCR'] = 'CONCORD';
$icao ['us']['KCEC'] = 'CRESCENT CITY';
$icao ['us']['KDAG'] = 'DAGGETT';
$icao ['us']['KEDW'] = 'EDWARDS AFB';
$icao ['us']['K9L2'] = 'EDWARDS N-AUX';
$icao ['us']['KNJK'] = 'EL CENTRO NAF';
$icao ['us']['KEMT'] = 'EL MONTE';
$icao ['us']['KBLU'] = 'EMIGRANT GAP';
$icao ['us']['KFAT'] = 'FRESNO';
$icao ['us']['KFUL'] = 'FULLERTON';
$icao ['us']['KHJO'] = 'HANFORD';
$icao ['us']['KHHR'] = 'HAWTHORNE';
$icao ['us']['KHWD'] = 'HAYWARD';
$icao ['us']['KIPL'] = 'IMPERIAL';
$icao ['us']['KNRS'] = 'IMPERIAL BEACH';
$icao ['us']['KIYK'] = 'INYOKERN';
$icao ['us']['KPOC'] = 'LA VERNE/BRACKET';
$icao ['us']['KWJF'] = 'LANCASTER/FOX';
$icao ['us']['KNLC'] = 'LEMOORE NAS/REEV';
$icao ['us']['KLVK'] = 'LIVERMORE';
$icao ['us']['KLPC'] = 'LOMPOC';
$icao ['us']['KLGB'] = 'LONG BEACH';
$icao ['us']['KSLI'] = 'LOS ALAMITOS AAF';
$icao ['us']['KLAX'] = 'LOS ANGELES';
$icao ['us']['KCQT'] = 'LOS ANGELES';
$icao ['us']['KWHP'] = 'LA / WHITEMAN';
$icao ['us']['KMAE'] = 'MADERA';
$icao ['us']['KMMH'] = 'MAMMOTH/JUNE LAK';
$icao ['us']['KMYV'] = 'MARYSVILLE';
$icao ['us']['KMHR'] = 'MATHER FIELD';
$icao ['us']['KMCE'] = 'MERCED';
$icao ['us']['KNKX'] = 'MIRAMAR NAS/SAN';
$icao ['us']['KMOD'] = 'MODESTO';
$icao ['us']['KNUQ'] = 'MOFFETT NAS/MTN';
$icao ['us']['KMHV'] = 'MOJAVE';
$icao ['us']['KSIY'] = 'MONTAGUE/SISKIYO';
$icao ['us']['KMRY'] = 'MONTEREY';
$icao ['us']['KMHS'] = 'MOUNT SHASTA';
$icao ['us']['KMWS'] = 'MOUNT WILSON';
$icao ['us']['KAPC'] = 'NAPA';
$icao ['us']['KEED'] = 'NEEDLES';
$icao ['us']['K3A6'] = 'NEWHALL';
$icao ['us']['KNZY'] = 'NORTH ISLAND NAS';
$icao ['us']['KOAK'] = 'OAKLAND';
$icao ['us']['KOKB'] = 'OCEANSIDE';
$icao ['us']['KONT'] = 'ONTARIO';
$icao ['us']['KOVE'] = 'OROVILLE';
$icao ['us']['KOXR'] = 'OXNARD';
$icao ['us']['KPSP'] = 'PALM SPRINGS';
$icao ['us']['KPMD'] = 'PALMDALE';
$icao ['us']['KPAO'] = 'PALO ALTO';
$icao ['us']['KPRB'] = 'PASO ROBLES';
$icao ['us']['KNTD'] = 'POINT MUGU NAS';
$icao ['us']['KPTV'] = 'PORTERVILLE';
$icao ['us']['KRBL'] = 'RED BLUFF';
$icao ['us']['KRDD'] = 'REDDING';
$icao ['us']['KRAL'] = 'RIVERSIDE';
$icao ['us']['KRIV'] = 'RIVERSIDE/MARCH';
$icao ['us']['KRNM'] = 'RAMONA';
$icao ['us']['KSAC'] = 'SACRAMENTO';
$icao ['us']['KSMF'] = 'SACRAMENTO/METRO';
$icao ['us']['KSNS'] = 'SALINAS';
$icao ['us']['KSQL'] = 'SAN CARLOS AIRPO';
$icao ['us']['KNUC'] = 'SAN CLEMENTE IS.';
$icao ['us']['KSAN'] = 'SAN DIEGO';
$icao ['us']['KMYF'] = 'SAN DIEGO/MNTGMY';
$icao ['us']['KSDM'] = 'SAN DIEGO/BROWN';
$icao ['us']['KSEE'] = 'SAN DIEGO/SANTEE';
$icao ['us']['KSFO'] = 'SAN FRANCISCO';
$icao ['us']['KSJC'] = 'SAN JOSE';
$icao ['us']['KRHV'] = 'SAN JOSE/REID';
$icao ['us']['KSBP'] = 'SAN LUIS OBISPO';
$icao ['us']['KNSI'] = 'SAN NICOLAS ISLA';
$icao ['us']['KSDB'] = 'SANDBERG';
$icao ['us']['KSNA'] = 'COSTA MESA';
$icao ['us']['KSBA'] = 'SANTA BARBARA';
$icao ['us']['KSMX'] = 'SANTA MARIA';
$icao ['us']['KSMO'] = 'SANTA MONICA';
$icao ['us']['KSTS'] = 'SANTA ROSA';
$icao ['us']['KIZA'] = 'SANTA YNEZ';
$icao ['us']['KO87'] = 'SHELTER COVE';
$icao ['us']['KTVL'] = 'SOUTH LAKE TAHOE';
$icao ['us']['KSCK'] = 'STOCKTON';
$icao ['us']['KTRM'] = 'THERMAL/PALM SPG';
$icao ['us']['KTOA'] = 'TORRANCE MUNICIP';
$icao ['us']['KSUU'] = 'TRAVIS AFB/FAIRF';
$icao ['us']['KTRK'] = 'TRUCKEE TAHOE';
$icao ['us']['KNXP'] = 'TWENTYNINE PALMS';
$icao ['us']['KUKI'] = 'UKIAH';
$icao ['us']['KVCB'] = 'VACAVILLE';
$icao ['us']['KVNY'] = 'VAN NUYS';
$icao ['us']['KVBG'] = 'VANDENBERG AFB';
$icao ['us']['KVCV'] = 'VICTORVILLE';
$icao ['us']['KVIS'] = 'VISALIA MUNI';
$icao ['us']['KWVI'] = 'WATSONVILLE';
$icao ['us']['KDEN'] = 'DENVER (DIA)';
$icao ['us']['KAKO'] = 'AKRON';
$icao ['us']['KALS'] = 'ALAMOSA';
$icao ['us']['KASE'] = 'ASPEN';
$icao ['us']['KBJC'] = 'BROOMFIELD/JEFFC';
$icao ['us']['KBKF'] = 'BUCKLEY ANGB/DEN';
$icao ['us']['KITR'] = 'BURLINGTON';
$icao ['us']['KCOS'] = 'COLORADO SPRINGS';
$icao ['us']['KCEZ'] = 'CORTEZ';
$icao ['us']['KCAG'] = 'CRAIG';
$icao ['us']['KAPA'] = 'DENVER/ARAPAHOE';
$icao ['us']['KDRO'] = 'DURANGO';
$icao ['us']['KEGE'] = 'EAGLE CO. REGION';
$icao ['us']['KFCS'] = 'FORT CARSON';
$icao ['us']['KFNL'] = 'FT COLLINS/LOVEL';
$icao ['us']['KGJT'] = 'GRAND JUNCTION';
$icao ['us']['KGXY'] = 'GREELEY/WELD';
$icao ['us']['KGUC'] = 'GUNNISON';
$icao ['us']['KHDN'] = 'HAYDEN/YAMPA';
$icao ['us']['KLHX'] = 'LA JUNTA';
$icao ['us']['KLAA'] = 'LAMAR';
$icao ['us']['KLXV'] = 'LEADVILLE';
$icao ['us']['KLIC'] = 'LIMON';
$icao ['us']['KEEO'] = 'MEEKER';
$icao ['us']['KMTJ'] = 'MONTROSE';
$icao ['us']['KPUB'] = 'PUEBLO';
$icao ['us']['KRIL'] = 'RIFLE';
$icao ['us']['K04V'] = 'SAGUACHE MUNI';
$icao ['us']['KSPD'] = 'SPRINGFIELD';
$icao ['us']['K3MW'] = 'MT WERNER SBS';
$icao ['us']['KTEX'] = 'TELLURIDE REGION';
$icao ['us']['KTAD'] = 'TRINIDAD/ANIMAS';
$icao ['us']['KAFF'] = 'USAF ACADEMY/COS';
$icao ['us']['KCCU'] = 'RED CLIFF PASS';
$icao ['us']['KCPW'] = 'WOLF CREEK PASS';
$icao ['us']['KMNH'] = 'MONUMENT/ELBERT';
$icao ['us']['KMYP'] = 'MONARCH PASS';
$icao ['us']['KVTP'] = 'LA VETA PASS';
$icao ['us']['K20V'] = 'KREMMLING AWOS';
$icao ['us']['K4BM'] = 'WILKERSON PASS';
$icao ['us']['K5SM'] = 'SUNLIGHT';
$icao ['us']['K7BM'] = 'COTTONWOOD PASS';
$icao ['us']['KBDR'] = 'BRIDGEPORT';
$icao ['us']['KDXR'] = 'DANBURY';
$icao ['us']['KGON'] = 'GROTON/NEW LONDO';
$icao ['us']['KHFD'] = 'HARTFORD/BRAINAR';
$icao ['us']['KMMK'] = 'MERIDEN';
$icao ['us']['KHVN'] = 'NEW HAVEN/TWEED';
$icao ['us']['KOXC'] = 'OXFORD/WATERBURY';
$icao ['us']['KIJD'] = 'WILLIMANTIC';
$icao ['us']['KBDL'] = 'WINDSOR LOCKS';
$icao ['us']['KDOV'] = 'DOVER AFB';
$icao ['us']['KGED'] = 'GEORGETOWN';
$icao ['us']['KILG'] = 'WILMINGTON';
$icao ['us']['KAAF'] = 'APALACHICOLA';
$icao ['us']['KBOW'] = 'BARTOW MUNICIPAL';
$icao ['us']['KBCT'] = 'BOCA RATON';
$icao ['us']['KBKV'] = 'BROOKSVILLE';
$icao ['us']['KCEW'] = 'CRESTVIEW';
$icao ['us']['KCTY'] = 'CROSS CITY';
$icao ['us']['KDAB'] = 'DAYTONA BEACH';
$icao ['us']['KDTS'] = 'DESTIN';
$icao ['us']['KEGI'] = 'DUKE FLD/EGLIN';
$icao ['us']['KVPS'] = 'EGLIN AFB/VALPAR';
$icao ['us']['KFLL'] = 'FT LAUDERD/HOLLY';
$icao ['us']['KFXE'] = 'FT LAUDERD/EXEC';
$icao ['us']['KRSW'] = 'FORT MYERS';
$icao ['us']['KFMY'] = 'FORT MYERS';
$icao ['us']['KFPR'] = 'FORT PIERCE';
$icao ['us']['KGNV'] = 'GAINESVILLE';
$icao ['us']['KHWO'] = 'HOLLYWOOD';
$icao ['us']['KHST'] = 'HOMESTEAD AFB';
$icao ['us']['KHRT'] = 'HURLBURT FIELD';
$icao ['us']['KCRG'] = 'JACKSONVIL/CRAIG';
$icao ['us']['KNIP'] = 'JACKSONVILLE NAS';
$icao ['us']['KJAX'] = 'JACKSONVILLE';
$icao ['us']['KVQQ'] = 'JACKSONVIL/CECIL';
$icao ['us']['KNQX'] = 'KEY WEST NAS';
$icao ['us']['KEYW'] = 'KEY WEST';
$icao ['us']['KISM'] = 'KISSIMMEE/ORLAND';
$icao ['us']['KLAL'] = 'LAKELAND REGIONA';
$icao ['us']['KLEE'] = 'LEESBURG';
$icao ['us']['KMCF'] = 'MACDILL AFB/TAMP';
$icao ['us']['KMTH'] = 'MARATHON';
$icao ['us']['KMAI'] = 'MARIANNA';
$icao ['us']['KNRB'] = 'MAYPORT NAS';
$icao ['us']['KMLB'] = 'MELBOURNE';
$icao ['us']['KTMB'] = 'MIAMI/TAMIAMI';
$icao ['us']['KMIA'] = 'MIAMI';
$icao ['us']['KOPF'] = 'MIAMI/OPA LIKA';
$icao ['us']['KAPF'] = 'NAPLES MUNICIPAL';
$icao ['us']['KTTS'] = 'NASA SHUTTLE FCL';
$icao ['us']['KEVB'] = 'NEW SMYRNA BEACH';
$icao ['us']['KOCF'] = 'OCALA MUNI';
$icao ['us']['KMCO'] = 'ORLANDO';
$icao ['us']['KORL'] = 'ORLANDO';
$icao ['us']['KOMN'] = 'ORMAND BEACH VOR';
$icao ['us']['KPFN'] = 'PANAMA CITY';
$icao ['us']['KCOF'] = 'PATRICK AFB/COCO';
$icao ['us']['KPNS'] = 'PENSACOLA';
$icao ['us']['KNPA'] = 'PENSACOLA NAS';
$icao ['us']['K40J'] = 'PERRY FOLEY';
$icao ['us']['KPCM'] = 'PLANT CITY MUNI';
$icao ['us']['KPMP'] = 'POMPANO BEACH';
$icao ['us']['KPGD'] = 'PUNTA GORDA';
$icao ['us']['KSFB'] = 'SANFORD/ORLANDO';
$icao ['us']['KSRQ'] = 'SARASOTA/BRADENT';
$icao ['us']['KSGJ'] = 'ST AUGUSTINE';
$icao ['us']['KPIE'] = 'ST PETERSBURG';
$icao ['us']['KSPG'] = 'ST PETERS/ALBERT';
$icao ['us']['KSUA'] = 'STUART/WITHAM';
$icao ['us']['KTLH'] = 'TALLAHASSEE';
$icao ['us']['KTPA'] = 'TAMPA';
$icao ['us']['KTPF'] = 'TAMPA/O KNIGHT';
$icao ['us']['KVDF'] = 'TAMPA/VANDENBURG';
$icao ['us']['KTIX'] = 'TITUSVILLE';
$icao ['us']['KPAM'] = 'TYNDALL AFB';
$icao ['us']['KVRB'] = 'VERO BEACH';
$icao ['us']['KVVG'] = 'THE VILLAGES';
$icao ['us']['KPBI'] = 'WEST PALM BEACH';
$icao ['us']['KNSE'] = 'WHITING FLD NAS';
$icao ['us']['KGIF'] = 'WINTER HAVEN';
$icao ['us']['KABY'] = 'ALBANY';
$icao ['us']['KAMG'] = 'ALMA';
$icao ['us']['KAHN'] = 'ATHENS';
$icao ['us']['KATL'] = 'ATLANTA';
$icao ['us']['KFTY'] = 'ATLANTA/FULTON';
$icao ['us']['KDNL'] = 'AUGUSTA/DANIEL';
$icao ['us']['KAGS'] = 'AUGUSTA/BUSH';
$icao ['us']['KBGE'] = 'BAINBRIDGE';
$icao ['us']['KBIJ'] = 'BLAKELY EARLY C';
$icao ['us']['KSSI'] = 'BRUNSWICK';
$icao ['us']['KBQK'] = 'BRUNSWICK/GLYNCO';
$icao ['us']['K47A'] = 'CANTON/CHEROKEE';
$icao ['us']['KVPC'] = 'CARTERSVILLE';
$icao ['us']['KCSG'] = 'COLUMBUS';
$icao ['us']['KDNN'] = 'DALTON';
$icao ['us']['KMGE'] = 'DOBBINS AFB/MARI';
$icao ['us']['KDQH'] = 'DOUGLAS MUNI';
$icao ['us']['KDBN'] = 'DUBLIN';
$icao ['us']['KLSF'] = 'FT BENNING/COLUM';
$icao ['us']['KLHW'] = 'FT STEWART/WRIGH';
$icao ['us']['KGVL'] = 'GAINESVILLE';
$icao ['us']['K3J7'] = 'GREENSBORO';
$icao ['us']['KLGC'] = 'LA GRANGE';
$icao ['us']['KLZU'] = 'LAWRENCEVILLE';
$icao ['us']['KMCN'] = 'MACON';
$icao ['us']['KRYY'] = 'MARIETTA MCCOLUM';
$icao ['us']['KHQU'] = 'MCDUFFIE/THOMSON';
$icao ['us']['KMLJ'] = 'MILLEDGEVILLE';
$icao ['us']['KVAD'] = 'MOODY AFB/VALDOS';
$icao ['us']['KMGR'] = 'MOULTRIE MUNI';
$icao ['us']['KCCO'] = 'NEWNAN';
$icao ['us']['KPDK'] = 'PEACHTREE/DEKALB';
$icao ['us']['KFFC'] = 'PEACHTREE CITY';
$icao ['us']['KRMG'] = 'ROME';
$icao ['us']['KSAV'] = 'SAVANNAH';
$icao ['us']['KSVN'] = 'SAVANNAH/HUNTER';
$icao ['us']['KTBR'] = 'STATESBORO';
$icao ['us']['KJYL'] = 'SYLVANIA';
$icao ['us']['KOPN'] = 'THOMASTON UPSON';
$icao ['us']['KVLD'] = 'VALDOSTA REGIONA';
$icao ['us']['KVDI'] = 'VIDALIA MUNI';
$icao ['us']['KWRB'] = 'WARNER ROBINS AF';
$icao ['us']['KAYS'] = 'WAYCROSS/WARE CO';
$icao ['us']['KWDR'] = 'WINDER/BARROW';
$icao ['us']['PHBK'] = 'BARKING SANDS/KA';
$icao ['us']['PHSF'] = 'BRADSHAW AAF/HAW';
$icao ['us']['PHHN'] = 'HANA';
$icao ['us']['PHTO'] = 'HILO';
$icao ['us']['PHNL'] = 'HONOLULU';
$icao ['us']['PHOG'] = 'KAHULUI';
$icao ['us']['PHKO'] = 'KAILUA/KONA';
$icao ['us']['PHNG'] = 'KANEOHE MCAS';
$icao ['us']['PHJR'] = 'KALAELOA';
$icao ['us']['PHJH'] = 'LAHAINA/WEST MAU';
$icao ['us']['PHNY'] = 'LANAI CITY AIRPO';
$icao ['us']['PHLI'] = 'LIHUE/KAUAI IS';
$icao ['us']['PHMK'] = 'MOLOKAI';
$icao ['us']['PHHI'] = 'WHEELER AFB/OAHU';
$icao ['us']['PMDY'] = 'MIDWAY ISLAND NA';
$icao ['us']['KAXA'] = 'ALGONA';
$icao ['us']['KAMW'] = 'AMES';
$icao ['us']['KIKV'] = 'ANKENY';
$icao ['us']['KAIO'] = 'ATLANTIC';
$icao ['us']['KADU'] = 'AUDUBON';
$icao ['us']['KBNW'] = 'BOONE MUNI';
$icao ['us']['KBRL'] = 'BURLINGTON';
$icao ['us']['KCIN'] = 'CARROLL';
$icao ['us']['KCID'] = 'CEDAR RAPIDS';
$icao ['us']['KCNC'] = 'CHARITON';
$icao ['us']['KCCY'] = 'CHARLES CITY';
$icao ['us']['KCKP'] = 'CHEROKEE';
$icao ['us']['KICL'] = 'CLARINDA';
$icao ['us']['KCAV'] = 'CLARION';
$icao ['us']['KCWI'] = 'CLINTON MUNI';
$icao ['us']['KCBF'] = 'COUNCIL BLUFFS';
$icao ['us']['KCSQ'] = 'CRESTON';
$icao ['us']['KDVN'] = 'DAVENPORT/QUAD C';
$icao ['us']['KDEH'] = 'DECORAH';
$icao ['us']['KDNS'] = 'DENISON';
$icao ['us']['KDSM'] = 'DES MOINES';
$icao ['us']['KDBQ'] = 'DUBUQUE';
$icao ['us']['KEST'] = 'ESTHERVILLE';
$icao ['us']['KFFL'] = 'FAIRFIELD';
$icao ['us']['KFOD'] = 'FORT DODGE';
$icao ['us']['KFSW'] = 'FORT MADISON';
$icao ['us']['KHNR'] = 'HARLAN MUNI';
$icao ['us']['KIIB'] = 'INDEPENDENCE';
$icao ['us']['KIOW'] = 'IOWA CITY';
$icao ['us']['KEOK'] = 'KEOKUK MUNI';
$icao ['us']['KOXV'] = 'KNOXVILLE';
$icao ['us']['KLWD'] = 'LAMONI';
$icao ['us']['KLRJ'] = 'LE MARS';
$icao ['us']['KMIW'] = 'MARSHALLTOWN';
$icao ['us']['KMCW'] = 'MASON CITY';
$icao ['us']['KMXO'] = 'MONTICELLO MUNI';
$icao ['us']['KMPZ'] = 'MT PLEASANT';
$icao ['us']['KMUT'] = 'MUSCATINE';
$icao ['us']['KTNU'] = 'NEWTON MUNI';
$icao ['us']['KOLZ'] = 'OELWEN';
$icao ['us']['KORC'] = 'ORANGE CITY';
$icao ['us']['KOOA'] = 'OSKALOOSA MUNI';
$icao ['us']['KOTM'] = 'OTTUMWA';
$icao ['us']['KPEA'] = 'PELLA';
$icao ['us']['KRDK'] = 'RED OAK';
$icao ['us']['KSHL'] = 'SHELDON';
$icao ['us']['KSDA'] = 'SHENANDOAH MUNI';
$icao ['us']['KSUX'] = 'SIOUX CITY';
$icao ['us']['KSPW'] = 'SPENCER';
$icao ['us']['KSLB'] = 'STORM LAKE';
$icao ['us']['KVTI'] = 'VINTON';
$icao ['us']['KAWG'] = 'WASHINGTON';
$icao ['us']['KALO'] = 'WATERLOO';
$icao ['us']['KEBS'] = 'WEBSTER CITY';
$icao ['us']['KBOI'] = 'BOISE';
$icao ['us']['KBYI'] = 'BURLEY';
$icao ['us']['KEUL'] = 'CALDWELL';
$icao ['us']['KLLJ'] = 'CHALLIS';
$icao ['us']['KCOE'] = 'COEUR D\'ALENE';
$icao ['us']['KDIJ'] = 'DRIGGS REED MEM';
$icao ['us']['KSUN'] = 'HAILEY/FRIEDMAN';
$icao ['us']['KIDA'] = 'IDAHO FALLS';
$icao ['us']['KJER'] = 'JEROME COUNTY';
$icao ['us']['KLWS'] = 'LEWISTON';
$icao ['us']['KP69'] = 'LOWELL/ELK CITY';
$icao ['us']['K77M'] = 'MALTA (AWRS)';
$icao ['us']['KMYL'] = 'MCCALL';
$icao ['us']['KMUO'] = 'MOUNTAIN HOME';
$icao ['us']['KMLP'] = 'MULLAN PASS';
$icao ['us']['KPIH'] = 'POCATELLO';
$icao ['us']['KRXE'] = 'REXBURG';
$icao ['us']['KSMN'] = 'SALMON/LEMHI';
$icao ['us']['KU78'] = 'SODA SPRINGS';
$icao ['us']['KSNT'] = 'STANLEY';
$icao ['us']['KTWF'] = 'TWIN FALLS';
$icao ['us']['KSZT'] = 'WALL/SANDPOINT';
$icao ['us']['KALN'] = 'ALTON/ST LOUIS R';
$icao ['us']['KBMI'] = 'BLOOMINGTON/NORM';
$icao ['us']['KCPS'] = 'CAHOKIA/ST LOUIS';
$icao ['us']['KCIR'] = 'CAIRO';
$icao ['us']['KMDH'] = 'CARBONDALE/MURPH';
$icao ['us']['KCUL'] = 'CARMI MUNI';
$icao ['us']['KENL'] = 'CENTRALIA';
$icao ['us']['KCMI'] = 'CHAMPAIGN/URBANA';
$icao ['us']['KMDW'] = 'CHICAGO';
$icao ['us']['KORD'] = 'CHICAGO O\'HARE';
$icao ['us']['KARR'] = 'CHICAGO/AURORA';
$icao ['us']['KDPA'] = 'CHICAGO/DUPAGE';
$icao ['us']['KIGQ'] = 'CHICAGO/LANSING';
$icao ['us']['KDNV'] = 'DANVILLE';
$icao ['us']['KDEC'] = 'DECATUR';
$icao ['us']['KDKB'] = 'DE KALB';
$icao ['us']['K1H2'] = 'EFFINGHAM';
$icao ['us']['KFWC'] = 'FAIRFIELD';
$icao ['us']['KFEP'] = 'FREEPORT';
$icao ['us']['KFOA'] = 'FLORA';
$icao ['us']['KGBG'] = 'GALESBURG';
$icao ['us']['KHSB'] = 'HARRISBURG';
$icao ['us']['KIJX'] = 'JACKSONVILLE';
$icao ['us']['KJOT'] = 'JOLIET';
$icao ['us']['KIKK'] = 'KANKAKEE';
$icao ['us']['KC75'] = 'LACON';
$icao ['us']['KLWV'] = 'LAWRENCEVILLE';
$icao ['us']['KAAA'] = 'LINCOLN';
$icao ['us']['K3LF'] = 'LITCHFIELD MUNI';
$icao ['us']['KMQB'] = 'MACOMB MUNI';
$icao ['us']['KMWA'] = 'MARION REGIONAL';
$icao ['us']['KMTO'] = 'MATTOON/CHARLEST';
$icao ['us']['KM30'] = 'METROPOLIS';
$icao ['us']['KMLI'] = 'MOLINE/QUAD CITY';
$icao ['us']['KC09'] = 'MORRIS-WASHBURN';
$icao ['us']['KAJG'] = 'MOUNT CARMEL';
$icao ['us']['KMVN'] = 'MOUNT VERNON';
$icao ['us']['KOLY'] = 'OLNEY-NOBLE';
$icao ['us']['KPWK'] = 'PALWAUKEE';
$icao ['us']['KPIA'] = 'PEORIA';
$icao ['us']['KPRG'] = 'PARIS';
$icao ['us']['KVYS'] = 'PERU';
$icao ['us']['KPPQ'] = 'PITTSFIELD';
$icao ['us']['KPNT'] = 'PONTIAC';
$icao ['us']['KUIN'] = 'QUINCY MUNI/BALD';
$icao ['us']['KTIP'] = 'RANTOUL';
$icao ['us']['KRSV'] = 'ROBINSON MUNI';
$icao ['us']['KRFD'] = 'ROCKFORD';
$icao ['us']['KRPJ'] = 'ROCHELLE/KORITZ';
$icao ['us']['KLOT'] = 'ROMEOVILLE/CHI';
$icao ['us']['KSLO'] = 'SALEM/LECKRONE';
$icao ['us']['KSFY'] = 'SAVANNA/TRITOWN';
$icao ['us']['KBLV'] = 'SCOTT AFB/BELLEV';
$icao ['us']['KSAR'] = 'SPARTA';
$icao ['us']['KSPI'] = 'SPRINGFIELD';
$icao ['us']['KSQI'] = 'STERLING ROCKFAL';
$icao ['us']['KTAZ'] = 'TAYLORVILLE';
$icao ['us']['KUGN'] = 'WAUKEGAN';
$icao ['us']['KAID'] = 'ANDERSON MUNICIP';
$icao ['us']['KBMG'] = 'BLOOMINGTON';
$icao ['us']['KBAK'] = 'COLUMBUS/BALKALA';
$icao ['us']['KEKM'] = 'ELKHART MUNICIPA';
$icao ['us']['KEVV'] = 'EVANSVILLE';
$icao ['us']['KFWA'] = 'FORT WAYNE';
$icao ['us']['KGYY'] = 'GARY REGIONAL';
$icao ['us']['KGSH'] = 'GOSHEN';
$icao ['us']['KGUS'] = 'GRISSOM AFB/PERU';
$icao ['us']['KHNB'] = 'HUNTINGBURG';
$icao ['us']['KEYE'] = 'INDIANAPOLIS';
$icao ['us']['KIND'] = 'INDIANAPOLIS';
$icao ['us']['KOKK'] = 'KOKOMO';
$icao ['us']['KLAF'] = 'LAFAYETTE';
$icao ['us']['KMIE'] = 'MUNCIE';
$icao ['us']['KGEZ'] = 'SHELBYVILLE';
$icao ['us']['KSBN'] = 'SOUTH BEND';
$icao ['us']['KHUF'] = 'TERRE HAUTE';
$icao ['us']['KVPZ'] = 'VALPARAISO';
$icao ['us']['KASW'] = 'WARSAW MUNI';
$icao ['us']['KCNU'] = 'CHANUTE';
$icao ['us']['KCFV'] = 'COFFEYVILLE';
$icao ['us']['KCNK'] = 'CONCORDIA';
$icao ['us']['KDDC'] = 'DODGE CITY';
$icao ['us']['KEHA'] = 'ELKHART';
$icao ['us']['KEMP'] = 'EMPORIA';
$icao ['us']['KGCK'] = 'GARDEN CITY';
$icao ['us']['KGLD'] = 'GOODLAND';
$icao ['us']['KGBD'] = 'GREAT BEND';
$icao ['us']['KHYS'] = 'HAYS MUNI';
$icao ['us']['KHLC'] = 'HILL CITY';
$icao ['us']['KHUT'] = 'HUTCHINSON';
$icao ['us']['KLWC'] = 'LAWRENCE';
$icao ['us']['KLBL'] = 'LIBERAL';
$icao ['us']['KMHK'] = 'MANHATTAN';
$icao ['us']['KIAB'] = 'MCCONNELL AFB';
$icao ['us']['KP28'] = 'MEDICINE LODGE';
$icao ['us']['KEWK'] = 'NEWTON';
$icao ['us']['KIXD'] = 'OLATHE/INDUSTRIA';
$icao ['us']['KOJC'] = 'OLATHE/EXECUTIVE';
$icao ['us']['KPPF'] = 'PARSONS';
$icao ['us']['KPTT'] = 'PRATT INDUST';
$icao ['us']['KRSL'] = 'RUSSELL';
$icao ['us']['KSLN'] = 'SALINA';
$icao ['us']['KFOE'] = 'TOPEKA/FORBES';
$icao ['us']['KTOP'] = 'TOPEKA';
$icao ['us']['KICT'] = 'WICHITA';
$icao ['us']['KAAO'] = 'WICHITA/JABARA';
$icao ['us']['KWLD'] = 'WINFIELD/ARKANSA';
$icao ['us']['KBWG'] = 'BOWLING GREE';
$icao ['us']['KCVG'] = 'COVINGTON';
$icao ['us']['KHOP'] = 'HOPKINSVILLE';
$icao ['us']['KFTK'] = 'FORT KNOX/GODMAN';
$icao ['us']['KFFT'] = 'FRANKFORT';
$icao ['us']['KGLW'] = 'GLASGOW';
$icao ['us']['KEHR'] = 'HENDERSON CITY';
$icao ['us']['KLEX'] = 'LEXINGTON';
$icao ['us']['KLOZ'] = 'LONDON';
$icao ['us']['KSDF'] = 'LOUISVILLE';
$icao ['us']['KLOU'] = 'LOUISVILLE/BOWMN';
$icao ['us']['K1A6'] = 'MIDDLESBORO-BELL';
$icao ['us']['KEKQ'] = 'MONTICELLO/WAYNE';
$icao ['us']['KJKL'] = 'NOCTOR/JACKSON';
$icao ['us']['KOWB'] = 'OWENSBORO/DAVIES';
$icao ['us']['KPAH'] = 'PADUCAH';
$icao ['us']['KSME'] = 'SOMERSET';
$icao ['us']['KAEX'] = 'ALEXANDRIA';
$icao ['us']['KESF'] = 'ALEXANDRIA';
$icao ['us']['K7R3'] = 'AMELIA/LAKE PALO';
$icao ['us']['KAUD'] = 'AUDUBON PARK';
$icao ['us']['KBAD'] = 'BARKSDALE AFB';
$icao ['us']['K2F8'] = 'BASTROP MOREHOUS';
$icao ['us']['KBTR'] = 'BATON ROUGE';
$icao ['us']['KBVE'] = 'BOOTHVILLE';
$icao ['us']['KCWF'] = 'CHENAULT/LK CHAS';
$icao ['us']['KDRI'] = 'DERIDDER/FSS';
$icao ['us']['KPOE'] = 'FORT POLK FR';
$icao ['us']['KAQV'] = 'PEASON RIDG/POLK';
$icao ['us']['KBKB'] = 'FULLERTON/POLK';
$icao ['us']['KDNK'] = 'SELF STRIP/POLK';
$icao ['us']['K9F2'] = 'FOURCHON (SAWRS)';
$icao ['us']['KGAO'] = 'GALLIANO';
$icao ['us']['K2GL'] = 'GALLIANO HELIPRT';
$icao ['us']['KXCN'] = 'GREEN CANYON 184';
$icao ['us']['KHDC'] = 'HAMMOND';
$icao ['us']['KH08'] = 'HIGH IS. 264C';
$icao ['us']['KHUM'] = 'HOUMA TERREBONNE';
$icao ['us']['K7R4'] = 'INTRACOASTAL CIT';
$icao ['us']['KLFT'] = 'LAFAYETTE';
$icao ['us']['KLCH'] = 'LAKE CHARLES';
$icao ['us']['KMLU'] = 'MONROE';
$icao ['us']['KIER'] = 'NATCHITOCHES';
$icao ['us']['KARA'] = 'NEW IBERIA';
$icao ['us']['KNBG'] = 'NEW ORLEANS NAS';
$icao ['us']['KMSY'] = 'NEW ORLEANS/INTL';
$icao ['us']['KACP'] = 'OAKDALE ALLEN P';
$icao ['us']['KRSN'] = 'RUSTON REGIONAL';
$icao ['us']['KPTN'] = 'PATTERSON MEMORI';
$icao ['us']['KP92'] = 'SALT POINT';
$icao ['us']['KDTN'] = 'SHREVEPORT/DWNTN';
$icao ['us']['KSHV'] = 'SHREVEPORT';
$icao ['us']['KASD'] = 'SLIDELL';
$icao ['us']['KS58'] = 'SOUTH TIMBALIER';
$icao ['us']['KTVR'] = 'TALLULAH/VICKSBU';
$icao ['us']['K1B7'] = 'VENICE HELIPORT';
$icao ['us']['KBED'] = 'BEDFORD';
$icao ['us']['KBVY'] = 'BEVERLY';
$icao ['us']['KBOS'] = 'BOSTON';
$icao ['us']['KCQX'] = 'CHATHAM';
$icao ['us']['KCEF'] = 'CHICOPEE/WESTOVE';
$icao ['us']['KMQE'] = 'EAST MILTON';
$icao ['us']['KFMH'] = 'FALMOUTH/OTIS AB';
$icao ['us']['KFIT'] = 'FITCHBURG';
$icao ['us']['KHYA'] = 'HYANNIS';
$icao ['us']['KLWM'] = 'LAWRENCE';
$icao ['us']['K3B2'] = 'MARSHFIELD';
$icao ['us']['KMVY'] = 'MARTHAS VINEYARD';
$icao ['us']['KACK'] = 'NANTUCKET';
$icao ['us']['KEWB'] = 'NEW BEDFORD';
$icao ['us']['KAQW'] = 'NORTH ADAMS';
$icao ['us']['KOWD'] = 'NORWOOD';
$icao ['us']['KORE'] = 'ORANGE';
$icao ['us']['KPSF'] = 'PITTSFIELD';
$icao ['us']['KPYM'] = 'PLYMOUTH';
$icao ['us']['KPVC'] = 'PROVINCETOWN';
$icao ['us']['KTAN'] = 'TAUNTON';
$icao ['us']['KBAF'] = 'WESTFIELD';
$icao ['us']['KORH'] = 'WORCESTER';
$icao ['us']['KAPG'] = 'ABERDEEN/PHILLIP';
$icao ['us']['KNAK'] = 'ANNAPOLIS/NAVAL';
$icao ['us']['KADW'] = 'ANDREWS AFB';
$icao ['us']['KBWI'] = 'BALTO/WASH INTL';
$icao ['us']['KMTN'] = 'BALTIMORE/MARTIN';
$icao ['us']['KDMH'] = 'BALTIMORE/DWNTWN';
$icao ['us']['KCBE'] = 'CUMBERLAND REG';
$icao ['us']['KESN'] = 'EASTON/NEWNAM';
$icao ['us']['KFME'] = 'FORT MEADE';
$icao ['us']['KFDK'] = 'FREDERICK';
$icao ['us']['KHGR'] = 'HAGERSTOWN';
$icao ['us']['KOXB'] = 'OCEAN CITY';
$icao ['us']['KNHK'] = 'PATUXENT RIVER';
$icao ['us']['KSBY'] = 'SALISBURY';
$icao ['us']['KLEW'] = 'AUBURN/LEWISTON';
$icao ['us']['KAUG'] = 'AUGUSTA';
$icao ['us']['KBGR'] = 'BANGOR';
$icao ['us']['KBHB'] = 'BAR HARBOR';
$icao ['us']['KNHZ'] = 'BRUNSWICK NAS';
$icao ['us']['KCAR'] = 'CARIBOU';
$icao ['us']['K40B'] = 'CLAYTON LAKE';
$icao ['us']['KFVE'] = 'FRENCHVILLE';
$icao ['us']['KIZG'] = 'FRYEBURG';
$icao ['us']['KGNR'] = 'GREENVILLE';
$icao ['us']['KHUL'] = 'HOULTON';
$icao ['us']['KMLT'] = 'MILLINOCKET';
$icao ['us']['KPWM'] = 'PORTLAND';
$icao ['us']['KPQI'] = 'PRESQUE ISLE';
$icao ['us']['KRKD'] = 'ROCKLAND/KNOX';
$icao ['us']['KSFM'] = 'SANFORD MUNI';
$icao ['us']['KWVL'] = 'WATERVILLE';
$icao ['us']['KIWI'] = 'WISCASSET';
$icao ['us']['KADG'] = 'ADRIAN';
$icao ['us']['KAMN'] = 'ALMA';
$icao ['us']['KAPN'] = 'ALPENA';
$icao ['us']['KARB'] = 'ANN ARBOR';
$icao ['us']['KBAX'] = 'BAD AXE';
$icao ['us']['KBTL'] = 'BATTLE CREEK';
$icao ['us']['KACB'] = 'BELLAIRE';
$icao ['us']['KSJX'] = 'BEAVER ISLAND';
$icao ['us']['KBEH'] = 'BENTON HARBOR';
$icao ['us']['KRQB'] = 'BIG RAPIDS';
$icao ['us']['KCAD'] = 'CADILLAC/WEXFORD';
$icao ['us']['KCFS'] = 'CARO/TUSCOLA';
$icao ['us']['KCVX'] = 'CHARLEVOIX';
$icao ['us']['KFPK'] = 'CHARLOTTE';
$icao ['us']['KSLH'] = 'CHEBOYGAN';
$icao ['us']['KCIU'] = 'CHIPPEWA INTL';
$icao ['us']['KOEB'] = 'COLDWATER';
$icao ['us']['KP59'] = 'COPPER HARBOR';
$icao ['us']['KDET'] = 'DETROIT/CITY AIR';
$icao ['us']['KYIP'] = 'DETROIT/WILLOW';
$icao ['us']['KDTW'] = 'DETROIT/WAYNE';
$icao ['us']['KONZ'] = 'DETROIT/GROSSE I';
$icao ['us']['KDRM'] = 'DRUMMOND IS';
$icao ['us']['KESC'] = 'ESCANABA';
$icao ['us']['KFNT'] = 'FLINT';
$icao ['us']['KFKS'] = 'FRANKFORT';
$icao ['us']['KGLR'] = 'GAYLORD';
$icao ['us']['KGRR'] = 'GRAND RAPIDS';
$icao ['us']['KGOV'] = 'GRAYLING AF';
$icao ['us']['KSAW'] = 'GWINN/SAWYER';
$icao ['us']['KCMX'] = 'HANCOCK';
$icao ['us']['KMGN'] = 'HARBOR SPRINGS';
$icao ['us']['KJYM'] = 'HILLSDALE';
$icao ['us']['KBIV'] = 'HOLLAND';
$icao ['us']['KHTL'] = 'HOUGHTON LAKE';
$icao ['us']['KOZW'] = 'HOWELL';
$icao ['us']['KIMT'] = 'IRON MOUNTAIN';
$icao ['us']['KIWD'] = 'IRONWOOD';
$icao ['us']['KJXN'] = 'JACKSON/REYNOLDS';
$icao ['us']['KAZO'] = 'KALAMAZOO';
$icao ['us']['KDUH'] = 'LAMBERTVILLE';
$icao ['us']['KLAN'] = 'LANSING';
$icao ['us']['KLDM'] = 'LUDINGTON/MASON';
$icao ['us']['KMCD'] = 'MACKINAC ISLAND';
$icao ['us']['KMBL'] = 'MANISTEE';
$icao ['us']['KISQ'] = 'MANISTIQUE';
$icao ['us']['KRMY'] = 'MARSHALL';
$icao ['us']['KTEW'] = 'MASON';
$icao ['us']['KMNM'] = 'MENOMINEE';
$icao ['us']['KTTF'] = 'MONROE';
$icao ['us']['KMOP'] = 'MOUNT PLEASANT';
$icao ['us']['KP53'] = 'MUNISING LAKESH';
$icao ['us']['KMKG'] = 'MUSKEGON';
$icao ['us']['KERY'] = 'NEWBERRY';
$icao ['us']['KOSC'] = 'OSCODA/WURTSMITH';
$icao ['us']['KRNP'] = 'OWOSSO';
$icao ['us']['KPLN'] = 'PELLSTON';
$icao ['us']['KPTK'] = 'PONTIAC';
$icao ['us']['KP58'] = 'PORT HOPE';
$icao ['us']['KPHN'] = 'PORT HURON';
$icao ['us']['KPZQ'] = 'ROGERS CITY';
$icao ['us']['KMBS'] = 'SAGINAW';
$icao ['us']['KHYX'] = 'SAGINAW/BROWNE';
$icao ['us']['KANJ'] = 'SAULT STE MARIE';
$icao ['us']['KMTC'] = 'SELFRIDGE ANGB';
$icao ['us']['KLWA'] = 'SOUTH HAVEN';
$icao ['us']['KIRS'] = 'STURGIS/KIRSCH';
$icao ['us']['KHAI'] = 'THREE RIVERS';
$icao ['us']['KTVC'] = 'TRAVERSE CIT';
$icao ['us']['KVLL'] = 'TROY/OAKLAND';
$icao ['us']['KAIT'] = 'AITKIN NDB';
$icao ['us']['KAEL'] = 'ALBERT LEA';
$icao ['us']['KAXN'] = 'ALEXANDRIA';
$icao ['us']['KAQP'] = 'APPLETON MUNICIP';
$icao ['us']['KAUM'] = 'AUSTIN MUNI';
$icao ['us']['KBDE'] = 'BAUDETTE';
$icao ['us']['KBJI'] = 'BEMIDJI';
$icao ['us']['KBBB'] = 'BENSON MUNI';
$icao ['us']['KFOZ'] = 'BIGFORK';
$icao ['us']['KBRD'] = 'BRAINERD';
$icao ['us']['KCFE'] = 'BUFFALO MUNI';
$icao ['us']['KCBG'] = 'CAMBRIDGE MUNI';
$icao ['us']['KCOQ'] = 'CLOQUET';
$icao ['us']['KCQM'] = 'COOK MUNI AIRPOR';
$icao ['us']['KCDD'] = 'CRANE LAKE';
$icao ['us']['KCKN'] = 'CROOKSTON MUNI';
$icao ['us']['KDTL'] = 'DETROIT LAKES';
$icao ['us']['KTOB'] = 'DODGE CENTER';
$icao ['us']['KDYT'] = 'DULUTH (SKY HARB';
$icao ['us']['KDLH'] = 'DULUTH';
$icao ['us']['KELO'] = 'ELY MUNI';
$icao ['us']['KEVM'] = 'EVELETH MUNI';
$icao ['us']['KFRM'] = 'FAIRMONT MUNI';
$icao ['us']['KFBL'] = 'FARIBAULT MUNI';
$icao ['us']['KFFM'] = 'FERGUS FALLS';
$icao ['us']['KFGN'] = 'FLAG ISLAND';
$icao ['us']['KFSE'] = 'FOSSTON';
$icao ['us']['KGYL'] = 'GLENCOE';
$icao ['us']['KGHW'] = 'GLENWOOD';
$icao ['us']['KGNA'] = 'GRAND MARAIS';
$icao ['us']['KCKC'] = 'GRAND MARAIS/COO';
$icao ['us']['KGPZ'] = 'GRAND RAPIDS';
$icao ['us']['KGDB'] = 'GRANITE FALLS';
$icao ['us']['KHCO'] = 'HALLOCK';
$icao ['us']['KHIB'] = 'HIBBING';
$icao ['us']['KHCD'] = 'HUTCHINSON';
$icao ['us']['KINL'] = 'INTERNTNL FALLS';
$icao ['us']['KMJQ'] = 'JACKSON MUNI';
$icao ['us']['KLJF'] = 'LITCHFIELD';
$icao ['us']['KLXL'] = 'LITTLE FALLS';
$icao ['us']['KXVG'] = 'LONGVILLE';
$icao ['us']['KLYV'] = 'LUVERNE';
$icao ['us']['KDXX'] = 'MADISON';
$icao ['us']['KMKT'] = 'MANKATO';
$icao ['us']['KMML'] = 'MARSHALL/RYAN';
$icao ['us']['KMGG'] = 'MAPLE LAKE';
$icao ['us']['KHZX'] = 'MCGREGOR/IVERSON';
$icao ['us']['KMSP'] = 'MINNEAPOLIS';
$icao ['us']['KANE'] = 'MINNEAPLS/BLAINE';
$icao ['us']['KFCM'] = 'MNPLS/FLYING CLD';
$icao ['us']['KMIC'] = 'MNPLS/CRYSTAL';
$icao ['us']['KLVN'] = 'MNPLS/AIRLAKE';
$icao ['us']['KMVE'] = 'MONTEVIDEO';
$icao ['us']['KJKJ'] = 'MOORHEAD MUNI';
$icao ['us']['KMZH'] = 'MOOSE LAKE';
$icao ['us']['KJMR'] = 'MORA';
$icao ['us']['KMOX'] = 'MORRIS MUNI';
$icao ['us']['K27D'] = 'CANBY/MYERS FLD';
$icao ['us']['KULM'] = 'NEW ULM MUNI';
$icao ['us']['KOVL'] = 'OLIVIA';
$icao ['us']['KORB'] = 'ORR';
$icao ['us']['KVVV'] = 'ORTONVILLE';
$icao ['us']['KOWA'] = 'OWATONNA';
$icao ['us']['KPKD'] = 'PARK RAPIDS';
$icao ['us']['KPEX'] = 'PAYNESVILLE';
$icao ['us']['KPWC'] = 'PINE RIVER REGIO';
$icao ['us']['KPQN'] = 'PIPESTONE';
$icao ['us']['KFKA'] = 'PRESTON';
$icao ['us']['KPNM'] = 'PRINCETON MUNI';
$icao ['us']['KRGK'] = 'RED WING';
$icao ['us']['KRWF'] = 'REDWOOD FALL';
$icao ['us']['KRST'] = 'ROCHESTER';
$icao ['us']['KROX'] = 'ROSEAU MUNI';
$icao ['us']['KROS'] = 'RUSH CITY';
$icao ['us']['KBFW'] = 'SILVER BAY';
$icao ['us']['KDVP'] = 'SLAYTON';
$icao ['us']['KSGS'] = 'SOUTH ST PAUL';
$icao ['us']['KSTC'] = 'ST. CLOUD';
$icao ['us']['KJYG'] = 'ST. JAMES';
$icao ['us']['KSTP'] = 'ST. PAUL';
$icao ['us']['KSYN'] = 'STANTON';
$icao ['us']['KSAZ'] = 'STAPLES';
$icao ['us']['KTVF'] = 'THIEF RIVER';
$icao ['us']['KTKC'] = 'TRACY';
$icao ['us']['KTWM'] = 'TWO HARBORS';
$icao ['us']['KADC'] = 'WADENA MUNI';
$icao ['us']['KRRT'] = 'WARROAD';
$icao ['us']['KACQ'] = 'WASECA';
$icao ['us']['KVWU'] = 'WASKISH MUNI';
$icao ['us']['KETH'] = 'WHEATON NDB';
$icao ['us']['KILL'] = 'WILLMAR/RICE';
$icao ['us']['KMWM'] = 'WINDOM MUNI AIRP';
$icao ['us']['KONA'] = 'WINONA MUNI';
$icao ['us']['KOTG'] = 'WORTHINGTON';
$icao ['us']['KCGI'] = 'CAPE GIRARDEAU';
$icao ['us']['KCDJ'] = 'CHILLICOTHE';
$icao ['us']['KCOU'] = 'COLUMBIA';
$icao ['us']['KFAM'] = 'FARMINGTON';
$icao ['us']['KTBN'] = 'FORT LEONARD WOO';
$icao ['us']['KJEF'] = 'JEFFERSON CITY';
$icao ['us']['KJLN'] = 'JOPLIN';
$icao ['us']['KAIZ'] = 'KAISER MEM';
$icao ['us']['KMCI'] = 'KANSAS CITY/INTL';
$icao ['us']['KMKC'] = 'KANSAS CITY/DNTN';
$icao ['us']['KIRK'] = 'KIRKSVILLE';
$icao ['us']['KLXT'] = 'LEES SUMMIT MUNI';
$icao ['us']['KPOF'] = 'POPULAR BLUFF';
$icao ['us']['KDMO'] = 'SEDALIA';
$icao ['us']['KSGF'] = 'SPRINGFIELD';
$icao ['us']['KSET'] = 'ST. CHARLES';
$icao ['us']['KSTJ'] = 'ST. JOSEPH';
$icao ['us']['KSUS'] = 'ST. LOUIS/SPIRIT';
$icao ['us']['KSTL'] = 'ST. LOUIS';
$icao ['us']['KVIH'] = 'VICHY/ROLLA';
$icao ['us']['KUNO'] = 'WEST PLAINS';
$icao ['us']['KSZL'] = 'WHITEMAN AFB';
$icao ['us']['KBIX'] = 'BILOXI/KEESLER';
$icao ['us']['KCBM'] = 'COLUMBUS AFB';
$icao ['us']['KGTR'] = 'GOLDEN/COLUMBUS';
$icao ['us']['KGLH'] = 'GREENVILLE';
$icao ['us']['KGWO'] = 'GREENWOOD';
$icao ['us']['KGPT'] = 'GULFPORT';
$icao ['us']['KHBG'] = 'HATTIESBURG';
$icao ['us']['KHKS'] = 'JACKSON/HAWKINS';
$icao ['us']['KJAN'] = 'JACKSON';
$icao ['us']['KMCB'] = 'MCCOMB';
$icao ['us']['KNMM'] = 'MERIDIAN NAS';
$icao ['us']['KMEI'] = 'MERIDIAN/KEY FLD';
$icao ['us']['KHEZ'] = 'NATCHEZ/HARDY';
$icao ['us']['KOLV'] = 'OLIVE BRANCH';
$icao ['us']['KPQL'] = 'PASCAGOULA';
$icao ['us']['KPIB'] = 'PINE BELT RGNL';
$icao ['us']['KUTA'] = 'TUNICA';
$icao ['us']['KTUP'] = 'TUPELO';
$icao ['us']['KBHK'] = 'BAKER';
$icao ['us']['KBIL'] = 'BILLINGS';
$icao ['us']['KBZN'] = 'BOZEMAN';
$icao ['us']['K8S0'] = 'BROWNING';
$icao ['us']['KBTM'] = 'BUTTE';
$icao ['us']['KCTB'] = 'CUT BANK';
$icao ['us']['KDLN'] = 'DILLON';
$icao ['us']['K3DU'] = 'DRUMMOND';
$icao ['us']['KGGW'] = 'GLASGOW';
$icao ['us']['KGDV'] = 'GLENDIVE';
$icao ['us']['KGTF'] = 'GREAT FALLS';
$icao ['us']['KHVR'] = 'HAVRE';
$icao ['us']['KHLN'] = 'HELENA';
$icao ['us']['KJDN'] = 'JORDAN';
$icao ['us']['KGPI'] = 'KALISPELL';
$icao ['us']['KLWT'] = 'LEWISTOWN';
$icao ['us']['KLVM'] = 'LIVINGSTON';
$icao ['us']['KGFA'] = 'MALMSTROM AFB';
$icao ['us']['KMLS'] = 'MILES CITY';
$icao ['us']['KMSO'] = 'MISSOULA';
$icao ['us']['KSDY'] = 'SIDNEY RICHLAND';
$icao ['us']['KWEY'] = 'WEST YELLOWSTONE';
$icao ['us']['KOLF'] = 'WOLF POINT';
$icao ['us']['KASJ'] = 'AHOSKIE/TRI COUN';
$icao ['us']['KVUJ'] = 'ALBEMARLE STANLY';
$icao ['us']['KRHP'] = 'ANDREWS';
$icao ['us']['KHBI'] = 'ASHEBORO MUNI';
$icao ['us']['KAVL'] = 'ASHEVILLE';
$icao ['us']['KMRH'] = 'BEAUFORT';
$icao ['us']['KTNB'] = 'BOONE WATAUGA CT';
$icao ['us']['KBUY'] = 'BURLINGTON';
$icao ['us']['KIGX'] = 'CHAPEL HILL';
$icao ['us']['KCLT'] = 'CHARLOTTE';
$icao ['us']['KNKT'] = 'CHERRY POINT';
$icao ['us']['KCTZ'] = 'CLINTON';
$icao ['us']['KJQF'] = 'CONCORD REG ARPT';
$icao ['us']['KONX'] = 'CURRITUCK';
$icao ['us']['KEXX'] = 'DAVIDSON CTY AP';
$icao ['us']['KEDE'] = 'EDENTON';
$icao ['us']['KECG'] = 'ELIZABETH CITY';
$icao ['us']['KEYF'] = 'ELIZABETHTOWN';
$icao ['us']['KHRJ'] = 'ERWIN/HARNETT CO';
$icao ['us']['KFAY'] = 'FAYETTEVILLE';
$icao ['us']['KFBG'] = 'FORT BRAGG/SIMMO';
$icao ['us']['KAKH'] = 'GASTONIA';
$icao ['us']['KGSB'] = 'GOLDSBORO/S. J.';
$icao ['us']['KGWW'] = 'GOLDSBORO/WAYNE';
$icao ['us']['KGSO'] = 'GREENSBORO';
$icao ['us']['KHSE'] = 'HATTERAS/MITCHEL';
$icao ['us']['KHNZ'] = 'HENDERSON/OXFORD';
$icao ['us']['KHKY'] = 'HICKORY';
$icao ['us']['KHFF'] = 'HOFFMAN/MACKALL';
$icao ['us']['KOAJ'] = 'JACKSONVILLE';
$icao ['us']['KGEV'] = 'JEFFERSON';
$icao ['us']['KDPL'] = 'KENANSVILLE/DUPL';
$icao ['us']['KFFA'] = 'KILL DEVIL HILLS';
$icao ['us']['KISO'] = 'KINSTON/STALLING';
$icao ['us']['KIPJ'] = 'LINCOLNTON';
$icao ['us']['KLHZ'] = 'LOUISBURG/FRANKL';
$icao ['us']['KLBT'] = 'LUMBERTON';
$icao ['us']['K1A5'] = 'MACON/FRANKLIN';
$icao ['us']['KMQI'] = 'MANTEO/DARE CO';
$icao ['us']['KMEB'] = 'MAXTON';
$icao ['us']['KEQY'] = 'MONROE';
$icao ['us']['KMRN'] = 'MORGANTON/LENOIR';
$icao ['us']['KMWK'] = 'MOUNT AIRY/SURRY';
$icao ['us']['KEWN'] = 'NEW BERN';
$icao ['us']['KNCA'] = 'NEW RIVER MCAS';
$icao ['us']['KPGV'] = 'PITT GREENVILLE';
$icao ['us']['KPOB'] = 'POPE AFB';
$icao ['us']['KRDU'] = 'RALEIGH/DURHAM';
$icao ['us']['KSIF'] = 'REIDSVILLE';
$icao ['us']['KRZZ'] = 'ROANOKE RAPIDS';
$icao ['us']['KRCZ'] = 'ROCKINGHAM';
$icao ['us']['KRWI'] = 'ROCKY MOUNT';
$icao ['us']['KTDF'] = 'ROXBORO PERSON';
$icao ['us']['KFQD'] = 'RUTHERFORDTON';
$icao ['us']['KRUQ'] = 'SALISBURY ROWAN';
$icao ['us']['KTTA'] = 'SANFORD';
$icao ['us']['KEHO'] = 'SHELBY MUNI';
$icao ['us']['KSOP'] = 'SOUTHERN PINES';
$icao ['us']['KJNX'] = 'SMITHFIELD JOHNS';
$icao ['us']['KSVH'] = 'STATESVILLE';
$icao ['us']['KSUT'] = 'SOUTHPORT';
$icao ['us']['KOCW'] = 'WASHINGTON';
$icao ['us']['KCPC'] = 'WHITEVILLE';
$icao ['us']['KUKF'] = 'WILKESBORO';
$icao ['us']['KILM'] = 'WILMINGTON';
$icao ['us']['KINT'] = 'WINSTON SALEM';
$icao ['us']['KBIS'] = 'BISMARCK';
$icao ['us']['KDVL'] = 'DEVILS LAKE';
$icao ['us']['KDIK'] = 'DICKINSON';
$icao ['us']['KFAR'] = 'FARGO';
$icao ['us']['KN60'] = 'GARRISON';
$icao ['us']['KRDR'] = 'GRAND FORKS AFB';
$icao ['us']['KGFK'] = 'GRAND FORKS';
$icao ['us']['KHEI'] = 'HETTINGER';
$icao ['us']['KJMS'] = 'JAMESTOWN';
$icao ['us']['KMIB'] = 'MINOT AFB';
$icao ['us']['KMOT'] = 'MINOT';
$icao ['us']['KISN'] = 'WILLISTON';
$icao ['us']['KBWP'] = 'WAHPETON';
$icao ['us']['KANW'] = 'AINSWORTH MUNICI';
$icao ['us']['KBVN'] = 'ALBION MUNI';
$icao ['us']['KAIA'] = 'ALLIANCE';
$icao ['us']['KAUH'] = 'AURORA';
$icao ['us']['KBIE'] = 'BEATRICE MUNICIP';
$icao ['us']['KBBW'] = 'BROKEN BOW MUNI';
$icao ['us']['KCDR'] = 'CHADRON';
$icao ['us']['KOLU'] = 'COLUMBUS MUNI';
$icao ['us']['KFNB'] = 'FALLS CITY/BRENN';
$icao ['us']['KFET'] = 'FREMONT MUNI ARP';
$icao ['us']['KGRI'] = 'GRAND ISLAND';
$icao ['us']['KHSI'] = 'HASTINGS';
$icao ['us']['KHJH'] = 'HEBRON MUNI';
$icao ['us']['KHDE'] = 'HOLDREGE/BREWSTR';
$icao ['us']['KIML'] = 'IMPERIAL MUNICIP';
$icao ['us']['KEAR'] = 'KEARNEY MUNI';
$icao ['us']['KIBM'] = 'KIMBALL MUNI';
$icao ['us']['KLXN'] = 'LEXINGTON';
$icao ['us']['KLNK'] = 'LINCOLN';
$icao ['us']['KMCK'] = 'MCCOOK';
$icao ['us']['KAFK'] = 'NEBRASKA CITY';
$icao ['us']['KOFK'] = 'NORFOLK';
$icao ['us']['KLBF'] = 'NORTH PLATTE';
$icao ['us']['KONL'] = 'O\'NEILL';
$icao ['us']['KOFF'] = 'OFFUTT AFB/BELLE';
$icao ['us']['KOGA'] = 'OGALLALA';
$icao ['us']['KOMA'] = 'OMAHA/EPPLEY';
$icao ['us']['KMLE'] = 'OMAHA/MILLARD';
$icao ['us']['KODX'] = 'ORD/SHARP FIELD';
$icao ['us']['KBFF'] = 'SCOTTSBLUFF';
$icao ['us']['KSNY'] = 'SIDNEY';
$icao ['us']['KTQE'] = 'TEKAMAH';
$icao ['us']['KTIF'] = 'THEDFORD/THOMAS';
$icao ['us']['KVTN'] = 'VALENTINE';
$icao ['us']['KLCG'] = 'WAYNE MUNI';
$icao ['us']['KJYR'] = 'YORK';
$icao ['us']['KBML'] = 'BERLIN';
$icao ['us']['KCON'] = 'CONCORD';
$icao ['us']['KAFN'] = 'JAFFREY';
$icao ['us']['KEEN'] = 'KEENE/DILLANT';
$icao ['us']['KLCI'] = 'LACONIA MUNI';
$icao ['us']['KLEB'] = 'LEBANON';
$icao ['us']['KMHT'] = 'MANCHESTER';
$icao ['us']['KMWN'] = 'MOUNT WASHINGTON';
$icao ['us']['KASH'] = 'NASHUA/BOIRE FLD';
$icao ['us']['K1P1'] = 'PLYMOUTH';
$icao ['us']['KPSM'] = 'PORTSMOUTH/PEASE';
$icao ['us']['KDAW'] = 'ROCHESTER';
$icao ['us']['KHIE'] = 'WHITEFIELD';
$icao ['us']['K12N'] = 'ANDOVER';
$icao ['us']['KACY'] = 'ATLANTIC CITY';
$icao ['us']['KBLM'] = 'BELMAR/FARMDALE';
$icao ['us']['KCDW'] = 'CALDWELL';
$icao ['us']['KNEL'] = 'LAKEHURST NAS';
$icao ['us']['KMIV'] = 'MILLVILLE';
$icao ['us']['KMMU'] = 'MORRISTOWN MUNI';
$icao ['us']['KVAY'] = 'MOUNT HOLLY';
$icao ['us']['KEWR'] = 'NEWARK';
$icao ['us']['KSMQ'] = 'SOMERVILLE';
$icao ['us']['KFWN'] = 'SUSSEX';
$icao ['us']['KTEB'] = 'TETERBORO';
$icao ['us']['KTTN'] = 'TRENTON';
$icao ['us']['KWWD'] = 'WILDWOOD';
$icao ['us']['KWRI'] = 'WRIGHTST/MCGUIRE';
$icao ['us']['KGUP'] = 'GALLUP';
$icao ['us']['KALM'] = 'ALAMOGORDO WHITE';
$icao ['us']['KABQ'] = 'ALBUQUERQUE';
$icao ['us']['KATS'] = 'ARTESIA';
$icao ['us']['KCVS'] = 'CANNON AFB/CLOVI';
$icao ['us']['KCNM'] = 'CARLSBAD';
$icao ['us']['KE33'] = 'CHAMA (AWRS)';
$icao ['us']['KCAO'] = 'CLAYTON';
$icao ['us']['KCQC'] = 'CLINES CORNER';
$icao ['us']['KCVN'] = 'CLOVIS MUNI';
$icao ['us']['K4CR'] = 'CORONA/LINCOLN';
$icao ['us']['KDMN'] = 'DEMING';
$icao ['us']['KAEG'] = 'DOUBLE EAGLE II';
$icao ['us']['KFMN'] = 'FARMINGTON';
$icao ['us']['KGNT'] = 'GRANTS';
$icao ['us']['KHOB'] = 'HOBBS/LEA CO.';
$icao ['us']['KHMN'] = 'HOLLOMAN AFB';
$icao ['us']['KLRU'] = 'LAS CRUCES INTL';
$icao ['us']['KLVS'] = 'LAS VEGAS';
$icao ['us']['KLAM'] = 'LOS ALAMOS';
$icao ['us']['K4MY'] = 'MORIARTY';
$icao ['us']['KRTN'] = 'RATON';
$icao ['us']['KROW'] = 'ROSWELL';
$icao ['us']['KSRR'] = 'SIERRA B/RUIDOSO';
$icao ['us']['KSAF'] = 'SANTA FE';
$icao ['us']['K5T6'] = 'SANTA TERESA';
$icao ['us']['KSVC'] = 'SILVER CITY';
$icao ['us']['KSKX'] = 'TAOS MUNI APT';
$icao ['us']['K4SL'] = 'TORREON/CUBA';
$icao ['us']['KTCS'] = 'TRUTH OR CONSEQ.';
$icao ['us']['KTCC'] = 'TUCUMCARI';
$icao ['us']['KB23'] = 'BATTLE MOUNTAIN';
$icao ['us']['KDRA'] = 'DESERT R/MERCURY';
$icao ['us']['KEKO'] = 'ELKO';
$icao ['us']['KELY'] = 'ELY';
$icao ['us']['KP68'] = 'EUREKA';
$icao ['us']['KNFL'] = 'FALLON NAS';
$icao ['us']['KINS'] = 'INDIAN SPRINGS';
$icao ['us']['KLAS'] = 'LAS VEGAS';
$icao ['us']['KLSV'] = 'LAS VEGAS/NELLIS';
$icao ['us']['KHND'] = 'VEGAS/HENDERSON';
$icao ['us']['KLOL'] = 'LOVELOCK';
$icao ['us']['KVGT'] = 'NORTH LAS VEGAS';
$icao ['us']['KRNO'] = 'RENO';
$icao ['us']['KTPH'] = 'TONOPAH';
$icao ['us']['KBJN'] = 'TONOPAH RANGE74';
$icao ['us']['K9BB'] = 'WELLS';
$icao ['us']['KAWH'] = 'WILDHORSE RES/EL';
$icao ['us']['KWMC'] = 'WINNEMUCCA';
$icao ['us']['KALB'] = 'ALBANY';
$icao ['us']['KBGM'] = 'BINGHAMTON';
$icao ['us']['KBUF'] = 'BUFFALO/CHEEKTOW';
$icao ['us']['KDSV'] = 'DANSVILLE';
$icao ['us']['KDKK'] = 'DUNKIRK';
$icao ['us']['KHTO'] = 'EAST HAMPTON';
$icao ['us']['KELM'] = 'ELMIRA';
$icao ['us']['KFRG'] = 'FARMINGDALE';
$icao ['us']['KGTB'] = 'FORT DRUM/WHEELE';
$icao ['us']['KFZY'] = 'FULTON';
$icao ['us']['KGFL'] = 'GLENS FALLS';
$icao ['us']['KISP'] = 'ISLIP';
$icao ['us']['KITH'] = 'ITHACA/TOMPKINS';
$icao ['us']['KJHW'] = 'JAMESTOWN';
$icao ['us']['KMSS'] = 'MASSENA';
$icao ['us']['KMTP'] = 'MONTAUK';
$icao ['us']['KMGJ'] = 'MONTGOMERY';
$icao ['us']['KMSV'] = 'MONTICELLO';
$icao ['us']['KSWF'] = 'NEWBURGH/STEWART';
$icao ['us']['KIAG'] = 'NIAGARA FALLS';
$icao ['us']['KJFK'] = 'NYC/JFK ARPT';
$icao ['us']['KLGA'] = 'NYC/LA GUARDIA';
$icao ['us']['KNYC'] = 'NYC/CENTRAL PARK';
$icao ['us']['KOGS'] = 'OGDENSBURG INTL';
$icao ['us']['KPEO'] = 'PENN YAN';
$icao ['us']['KPLB'] = 'PLATTSBURGH';
$icao ['us']['KPOU'] = 'POUGHKEEPSIE';
$icao ['us']['KROC'] = 'ROCHESTER';
$icao ['us']['KSLK'] = 'SARANAC LAKE';
$icao ['us']['KSCH'] = 'SCHENECTADY AIRP';
$icao ['us']['KHWV'] = 'SHIRLEY';
$icao ['us']['KSYR'] = 'SYRACUSE';
$icao ['us']['KUCA'] = 'UTICA';
$icao ['us']['KART'] = 'WATERTOWN';
$icao ['us']['KELZ'] = 'WELLSVILLE';
$icao ['us']['KFOK'] = 'WESTHAMPTON BEAC';
$icao ['us']['KHPN'] = 'WHITE PLAINS';
$icao ['us']['KAKR'] = 'AKRON (FULTON)';
$icao ['us']['KCAK'] = 'AKRON';
$icao ['us']['KHZY'] = 'ASHTABULA';
$icao ['us']['KTZR'] = 'BOLTON FIELD AIR';
$icao ['us']['KLUK'] = 'CINCINNAT/LUNKEN';
$icao ['us']['KBKL'] = 'CLEVELAND';
$icao ['us']['KCLE'] = 'CLEVELAND';
$icao ['us']['KCGF'] = 'CLEVLND/CUYAHOGA';
$icao ['us']['KCMH'] = 'COLUMBUS';
$icao ['us']['KOSU'] = 'COLUMBUS/ST UNIV';
$icao ['us']['KDAY'] = 'DAYTON';
$icao ['us']['KMGY'] = 'DAYTON';
$icao ['us']['KDFI'] = 'DEFIANCE';
$icao ['us']['KFDY'] = 'FINDLAY';
$icao ['us']['KHAO'] = 'HAMILTON';
$icao ['us']['KLHQ'] = 'LANCASTER';
$icao ['us']['KAOH'] = 'LIMA';
$icao ['us']['KLPR'] = 'LORAIN/ELYRIA';
$icao ['us']['KMFD'] = 'MANSFIELD';
$icao ['us']['KMNN'] = 'MARION';
$icao ['us']['KMWO'] = 'MIDDLETOWN/HOOK';
$icao ['us']['KPHD'] = 'NEW PHILADELPHIA';
$icao ['us']['KVTA'] = 'NEWARK';
$icao ['us']['KLCK'] = 'RICKENBACKER ANG';
$icao ['us']['KSGH'] = 'SPRINGFIELD MUNI';
$icao ['us']['KTDZ'] = 'TOLEDO';
$icao ['us']['KTOL'] = 'TOLEDO';
$icao ['us']['KILN'] = 'WILMINGTON';
$icao ['us']['KBJJ'] = 'WOOSTER';
$icao ['us']['KFFO'] = 'WRIGHT PATERSON';
$icao ['us']['KYNG'] = 'YOUNGSTOWN';
$icao ['us']['KZZV'] = 'ZANESVILLE';
$icao ['us']['KADH'] = 'ADA';
$icao ['us']['KADM'] = 'ARDMORE';
$icao ['us']['K1F0'] = 'ARDMORE/EXEC';
$icao ['us']['KLTS'] = 'ALTUS AFB';
$icao ['us']['KAXS'] = 'ALTUS/QUARTZ MTN';
$icao ['us']['KAVK'] = 'ALVA';
$icao ['us']['KAQR'] = 'ATOKA';
$icao ['us']['KBVO'] = 'BARTLESVILLE';
$icao ['us']['KGCM'] = 'CLAREMORE';
$icao ['us']['KCQB'] = 'CHANDLER';
$icao ['us']['KCHK'] = 'CHICKASHA';
$icao ['us']['KCSM'] = 'CLINTON';
$icao ['us']['KCLK'] = 'CLINTON';
$icao ['us']['KCUH'] = 'CUSHING';
$icao ['us']['KDUC'] = 'DUNCAN';
$icao ['us']['KDUA'] = 'DURANT';
$icao ['us']['KRQO'] = 'EL RENO MUNI';
$icao ['us']['KEND'] = 'ENID/VANCE AFB';
$icao ['us']['KWDG'] = 'ENID/WOODRING';
$icao ['us']['KFSI'] = 'FORT SILL';
$icao ['us']['KFDR'] = 'FREDERICK/ALTUS';
$icao ['us']['KGAG'] = 'GAGE';
$icao ['us']['KGMJ'] = 'GROVE';
$icao ['us']['KGOK'] = 'GUTHRIE';
$icao ['us']['KGUY'] = 'GUYMON';
$icao ['us']['KHBR'] = 'HOBART';
$icao ['us']['K4O4'] = 'IDABEL';
$icao ['us']['KLAW'] = 'LAWTON';
$icao ['us']['KMLC'] = 'MCALESTER';
$icao ['us']['KMKO'] = 'MUSKOGEE';
$icao ['us']['KOUN'] = 'NORMAN/WESTHEIME';
$icao ['us']['KOKC'] = 'OKLAHOMA CITY';
$icao ['us']['KPWA'] = 'OKLA CITY/WILEY';
$icao ['us']['KOKM'] = 'OKMULGEE';
$icao ['us']['KPVJ'] = 'PAULS VALLEY';
$icao ['us']['KPNC'] = 'PONCA CITY';
$icao ['us']['KRKR'] = 'POTEAU (R KERR)';
$icao ['us']['KJSV'] = 'SALLISAW';
$icao ['us']['KSRE'] = 'SEMINOLE';
$icao ['us']['KSNL'] = 'SHAWNEE';
$icao ['us']['KSWO'] = 'STILLWATER';
$icao ['us']['KTQH'] = 'TAHLEQUAH';
$icao ['us']['KTIK'] = 'TINKER AFB';
$icao ['us']['KTUL'] = 'TULSA';
$icao ['us']['KRVS'] = 'TULSA';
$icao ['us']['KJWG'] = 'WATONGA';
$icao ['us']['KWWR'] = 'WOODWARD';
$icao ['us']['KPDX'] = 'PORTLAND';
$icao ['us']['KHIO'] = 'HILLSBORO/PORTLD';
$icao ['us']['KAST'] = 'ASTORIA';
$icao ['us']['KUAO'] = 'AURORA';
$icao ['us']['KBKE'] = 'BAKER';
$icao ['us']['KBOK'] = 'BROOKINGS';
$icao ['us']['KBNO'] = 'BURNS';
$icao ['us']['KCZK'] = 'CASCADE LOCKS ST';
$icao ['us']['KCVO'] = 'CORVALLIS MUNI A';
$icao ['us']['KEUG'] = 'EUGENE';
$icao ['us']['KHRI'] = 'HERMISTON';
$icao ['us']['K5J0'] = 'JOHN DAY STATE';
$icao ['us']['KLMT'] = 'KLAMATH FALLS';
$icao ['us']['KLGD'] = 'LA GRANDE';
$icao ['us']['KLKV'] = 'LAKEVIEW';
$icao ['us']['KMMV'] = 'MCMINNVILLE';
$icao ['us']['KMEH'] = 'MEACHAM';
$icao ['us']['KMFR'] = 'MEDFORD';
$icao ['us']['KONP'] = 'NEWPORT';
$icao ['us']['KOTH'] = 'NORTH BEND';
$icao ['us']['KONO'] = 'ONTARIO';
$icao ['us']['KPDT'] = 'PENDLETON';
$icao ['us']['KRDM'] = 'REDMOND';
$icao ['us']['KREO'] = 'ROME';
$icao ['us']['KRBG'] = 'ROSEBURG';
$icao ['us']['KSLE'] = 'SALEM';
$icao ['us']['KSPB'] = 'SCAPPOOSE';
$icao ['us']['KSXT'] = 'SEXTON SUMMIT';
$icao ['us']['KDLS'] = 'THE DALLES';
$icao ['us']['KS47'] = 'TILLAMOOK';
$icao ['us']['KTTD'] = 'TROUTDALE';
$icao ['us']['KABE'] = 'ALLENTOWN';
$icao ['us']['KAOO'] = 'ALTOONA';
$icao ['us']['KAVP'] = 'AVOCA/WILKES B.';
$icao ['us']['KBVI'] = 'BEAVER FALLS ARP';
$icao ['us']['KBFD'] = 'BRADFORD';
$icao ['us']['KBTP'] = 'BUTLER CO.';
$icao ['us']['KFIG'] = 'CLEARFIELD';
$icao ['us']['KDYL'] = 'DOYLESTOWN';
$icao ['us']['KDUJ'] = 'DU BOIS';
$icao ['us']['KERI'] = 'ERIE';
$icao ['us']['KFKL'] = 'FRANKLIN';
$icao ['us']['KCXY'] = 'HARRISBURG';
$icao ['us']['KIDI'] = 'INDIANA/STEWART';
$icao ['us']['KJST'] = 'JOHNSTOWN';
$icao ['us']['KLNS'] = 'LANCASTER';
$icao ['us']['KLBE'] = 'LATROBE/WESTMORL';
$icao ['us']['KGKJ'] = 'MEADVILLE';
$icao ['us']['KMDT'] = 'MIDDLETOWN';
$icao ['us']['KMPO'] = 'MT. POCONO';
$icao ['us']['KMUI'] = 'MUIR AAF/INDIANT';
$icao ['us']['KPHL'] = 'PHILADELPHIA';
$icao ['us']['KPNE'] = 'PHILADELPHIA/NE';
$icao ['us']['KLOM'] = 'PHILLY WINGS F';
$icao ['us']['KAGC'] = 'PITTSBURGH/ALLEG';
$icao ['us']['KPIT'] = 'PITTSBURGH';
$icao ['us']['KPTW'] = 'POTTSTOWN';
$icao ['us']['KUKT'] = 'QUAKERTOWN ARP';
$icao ['us']['KRDG'] = 'READING';
$icao ['us']['KSEG'] = 'SELINSGROVE';
$icao ['us']['KUNV'] = 'STATE COLLEGE';
$icao ['us']['KAFJ'] = 'WASHINGTON';
$icao ['us']['KIPT'] = 'WILLIAMSPORT';
$icao ['us']['KNXX'] = 'WILLOW GROVE NAS';
$icao ['us']['KTHV'] = 'YORK';
$icao ['us']['KBID'] = 'BLOCK ISLAND';
$icao ['us']['KOQU'] = 'N. KINGSTON/QUON';
$icao ['us']['KUUU'] = 'NEWPORT';
$icao ['us']['KSFZ'] = 'PAWTUCKET';
$icao ['us']['KPVD'] = 'PROVIDENCE/GREEN';
$icao ['us']['KWST'] = 'WESTERLY';
$icao ['us']['KAND'] = 'ANDERSON';
$icao ['us']['KNBC'] = 'BEAUFORT MCAS';
$icao ['us']['KCHS'] = 'CHARLESTON';
$icao ['us']['KCEU'] = 'CLEMSON';
$icao ['us']['KCAE'] = 'COLUMBIA';
$icao ['us']['KCUB'] = 'COLUMBIA-OWENS';
$icao ['us']['KUDG'] = 'DARLINGTON CNTY';
$icao ['us']['KFLO'] = 'FLORENCE';
$icao ['us']['KGRD'] = 'GREENWOOD';
$icao ['us']['KGSP'] = 'GREER/SPARTANSBG';
$icao ['us']['KGMU'] = 'GREENVILLE';
$icao ['us']['KGYH'] = 'GREENVILLE';
$icao ['us']['KHXD'] = 'HILTON HEAD';
$icao ['us']['KMMT'] = 'MCENTIRE ANG BAS';
$icao ['us']['KMYR'] = 'MYRTLE BEACH';
$icao ['us']['KCRE'] = 'NORTH MYRTLE BEA';
$icao ['us']['KOGB'] = 'ORANGEBURG';
$icao ['us']['KUZA'] = 'ROCK HILL';
$icao ['us']['KSSC'] = 'SHAW AFB/SUMTER';
$icao ['us']['KABR'] = 'ABERDEEN';
$icao ['us']['KBKX'] = 'BROOKINGS';
$icao ['us']['K2WX'] = 'BUFFALO';
$icao ['us']['K9V9'] = 'CHAMBERLAIN';
$icao ['us']['KCUT'] = 'CUSTER';
$icao ['us']['KRCA'] = 'ELLSWORTH AFB';
$icao ['us']['KD07'] = 'FAITH';
$icao ['us']['KHON'] = 'HURON';
$icao ['us']['KMHE'] = 'MITCHELL';
$icao ['us']['KMBG'] = 'MOBRIDGE';
$icao ['us']['KPHP'] = 'PHILIP';
$icao ['us']['KPIR'] = 'PIERRE';
$icao ['us']['KIEN'] = 'PINE RIDGE';
$icao ['us']['KRAP'] = 'RAPID CITY';
$icao ['us']['KFSD'] = 'SIOUX FALLS';
$icao ['us']['K8D3'] = 'SISSETON';
$icao ['us']['KATY'] = 'WATERTOWN';
$icao ['us']['KSFD'] = 'WINNER';
$icao ['us']['KYKN'] = 'YANKTON';
$icao ['us']['KTRI'] = 'BRISTOL';
$icao ['us']['KCHA'] = 'CHATTANOOGA';
$icao ['us']['KCKV'] = 'CLARKSVILLE';
$icao ['us']['KCSV'] = 'CROSSVILLE';
$icao ['us']['KDYR'] = 'DYERSBURG';
$icao ['us']['KMKL'] = 'JACKSON';
$icao ['us']['KTYS'] = 'KNOXVILLE';
$icao ['us']['KMEM'] = 'MEMPHIS';
$icao ['us']['KAWM'] = 'W MEMPHIS MUNI';
$icao ['us']['KNQA'] = 'MILLINGTON/88D';
$icao ['us']['KBNA'] = 'NASHVILLE';
$icao ['us']['KOQT'] = 'OAK RIDGE';
$icao ['us']['KMQY'] = 'SMYRNA';
$icao ['us']['KDFW'] = 'DALLAS/FT WORTH';
$icao ['us']['KABI'] = 'ABILENE';
$icao ['us']['KALI'] = 'ALICE';
$icao ['us']['KE38'] = 'ALPINE-CASPARIS';
$icao ['us']['KAMA'] = 'AMARILLO';
$icao ['us']['KLBX'] = 'ANGLETON';
$icao ['us']['KGKY'] = 'ARLINGTON';
$icao ['us']['KAUS'] = 'AUSTIN';
$icao ['us']['KATT'] = 'AUSTIN';
$icao ['us']['KBYY'] = 'BAY CITY';
$icao ['us']['KBPT'] = 'BEAUMONT/PORT AR';
$icao ['us']['KBPG'] = 'BIG SPRING';
$icao ['us']['KBGD'] = 'BORGER';
$icao ['us']['KBBD'] = 'BRADY';
$icao ['us']['K11R'] = 'BRENHAM';
$icao ['us']['KXBP'] = 'BRIDGEPORT';
$icao ['us']['KBRO'] = 'BROWNSVILLE';
$icao ['us']['KBWD'] = 'BROWNWOOD';
$icao ['us']['KBMQ'] = 'BURNET';
$icao ['us']['KRWV'] = 'CALDWELL';
$icao ['us']['KHHF'] = 'CANADIAN';
$icao ['us']['KCDS'] = 'CHILDRESS';
$icao ['us']['KLBR'] = 'CLARKSVILLE';
$icao ['us']['KCPT'] = 'CLEBURNE';
$icao ['us']['KCLL'] = 'COLLEGE STATION';
$icao ['us']['KMKN'] = 'COMANCHE';
$icao ['us']['KCXO'] = 'CONROE';
$icao ['us']['KCRP'] = 'CORPUS CHRISTI';
$icao ['us']['KNGP'] = 'C. CHRISTI NAS';
$icao ['us']['KCRS'] = 'CORSICANA';
$icao ['us']['KCOT'] = 'COTULLA';
$icao ['us']['KDKR'] = 'CROCKETT';
$icao ['us']['KDHT'] = 'DALHART';
$icao ['us']['KDAL'] = 'DALLAS/LOVE FLD';
$icao ['us']['KRBD'] = 'DALLAS/REDBIRD';
$icao ['us']['KADS'] = 'DALLAS/ADDISON';
$icao ['us']['KLUD'] = 'DECATUR';
$icao ['us']['KDRT'] = 'DEL RIO';
$icao ['us']['KDTO'] = 'DENTON';
$icao ['us']['K6R6'] = 'DRYDEN';
$icao ['us']['KDUX'] = 'DUMAS/MOORE CTY';
$icao ['us']['KDYS'] = 'DYESS AFB/ABILEN';
$icao ['us']['KEBG'] = 'EDINBURG INTL';
$icao ['us']['KELP'] = 'EL PASO';
$icao ['us']['KBKS'] = 'FALFURRIAS';
$icao ['us']['KFST'] = 'FORT STOCKTON';
$icao ['us']['KFTW'] = 'FORT WORTH';
$icao ['us']['KFWS'] = 'FORT WORTH/88D';
$icao ['us']['KNFW'] = 'FORT WORTH NAS';
$icao ['us']['KT82'] = 'FREDERICKSBURG';
$icao ['us']['KAFW'] = 'FT WORTH/ALLIANC';
$icao ['us']['KHLR'] = 'FT HOOD/KILLEEN';
$icao ['us']['KGLS'] = 'GALVESTON';
$icao ['us']['KGLE'] = 'GAINESVILLE';
$icao ['us']['KUVA'] = 'UVALDE/GARNER F';
$icao ['us']['KGOP'] = 'GATESVILLE';
$icao ['us']['KGTU'] = 'GEORGETOWN';
$icao ['us']['KGYB'] = 'GIDDINGS-LEE';
$icao ['us']['KJXI'] = 'GILMER MUNI';
$icao ['us']['KRPH'] = 'GRAHAM MUNI';
$icao ['us']['KGDJ'] = 'GRANBURY MUNI';
$icao ['us']['KGPM'] = 'GRAND PRAIRIE';
$icao ['us']['KGVT'] = 'GREENVILLE/MAJOR';
$icao ['us']['KGDP'] = 'GUADALUPE PASS';
$icao ['us']['KHRL'] = 'HARLINGEN';
$icao ['us']['KLHB'] = 'HEARNE MUNI';
$icao ['us']['KHBV'] = 'HEBBRONVILLE';
$icao ['us']['KINJ'] = 'HILLSBORO';
$icao ['us']['KHDO'] = 'HONDO';
$icao ['us']['KDWH'] = 'HOUSTON/DW HOOKS';
$icao ['us']['KHOU'] = 'HOUSTON/HOBBY';
$icao ['us']['KLVJ'] = 'HOUSTON';
$icao ['us']['KIAH'] = 'HOUSTON/INTNL';
$icao ['us']['KEFD'] = 'HOUSTON/ELLINGTO';
$icao ['us']['KSGR'] = 'HOUSTON/SUGAR LA';
$icao ['us']['KUTS'] = 'HUNTSVILLE';
$icao ['us']['KJSO'] = 'JACKSONVILLE';
$icao ['us']['KJAS'] = 'JASPER';
$icao ['us']['KJCT'] = 'JUNCTION';
$icao ['us']['KSKF'] = 'KELLY AFB';
$icao ['us']['KGRK'] = 'GRAY/FT HOOD';
$icao ['us']['KERV'] = 'KERRVILLE';
$icao ['us']['KILE'] = 'KILLEEN MUNI';
$icao ['us']['KNQI'] = 'KINGSVILLE NAS';
$icao ['us']['K3T5'] = 'LA GRANGE';
$icao ['us']['KLNC'] = 'LANCASTER';
$icao ['us']['KLRD'] = 'LAREDO';
$icao ['us']['KDLF'] = 'LAUGHLIN AFB';
$icao ['us']['KAQO'] = 'LLANO';
$icao ['us']['KGGG'] = 'LONGVIEW';
$icao ['us']['KLBB'] = 'LUBBOCK';
$icao ['us']['KLFK'] = 'LUFKIN';
$icao ['us']['KMRF'] = 'MARFA';
$icao ['us']['KPWG'] = 'MC GREGOR';
$icao ['us']['KMFE'] = 'MCALLEN';
$icao ['us']['KTKI'] = 'MCKINNEY';
$icao ['us']['KHQZ'] = 'MESQUITE';
$icao ['us']['KMAF'] = 'MIDLAND';
$icao ['us']['KMDD'] = 'MIDLAND AIRPARK';
$icao ['us']['KJWY'] = 'MIDLOTHIAN/WAX';
$icao ['us']['KJDD'] = 'MINEOLA/QUITMAN';
$icao ['us']['KMWL'] = 'MINERAL WELLS';
$icao ['us']['KOSA'] = 'MOUNT PLEASANT';
$icao ['us']['KOCH'] = 'NACOGDOCHES';
$icao ['us']['KBAZ'] = 'NEW BRAUNFELS';
$icao ['us']['KODO'] = 'ODESSA';
$icao ['us']['KORG'] = 'ORANGE';
$icao ['us']['KPSX'] = 'PALACIOS';
$icao ['us']['KPSN'] = 'PALESTINE MUNI';
$icao ['us']['KPPA'] = 'PAMPA';
$icao ['us']['KPRX'] = 'PARIS/COX FIELD';
$icao ['us']['KPEQ'] = 'PECOS CITY';
$icao ['us']['KPYX'] = 'PERRYTON';
$icao ['us']['KPVW'] = 'PLAINVIEW';
$icao ['us']['KRAS'] = 'PORT ARANSAS';
$icao ['us']['KPIL'] = 'PORT ISABEL';
$icao ['us']['KPKV'] = 'PORT LAVACA';
$icao ['us']['KRND'] = 'RANDOLPH AFB';
$icao ['us']['KRBO'] = 'ROBSTOWN/NUECES';
$icao ['us']['KRKP'] = 'ROCKPORT';
$icao ['us']['KECU'] = 'ROCKSPRINGS';
$icao ['us']['KRPE'] = 'SABINE PASS';
$icao ['us']['KSJT'] = 'SAN ANGELO';
$icao ['us']['KSSF'] = 'S ANTONIO/STINSN';
$icao ['us']['KSAT'] = 'SAN ANTONIO';
$icao ['us']['KHYI'] = 'SAN MARCOS';
$icao ['us']['KGNC'] = 'SEMINOLE';
$icao ['us']['KGYI'] = 'SHERMAN/DENISON';
$icao ['us']['KSNK'] = 'SNYDER/WINSTON';
$icao ['us']['KSOA'] = 'SONORA';
$icao ['us']['KSEP'] = 'STEPHENVILLE';
$icao ['us']['KSLR'] = 'SULPHUR SPRINGS';
$icao ['us']['KSWW'] = 'SWEETWATER';
$icao ['us']['KTPL'] = 'TEMPLE/MILLER';
$icao ['us']['KTRL'] = 'TERRELL';
$icao ['us']['KTYR'] = 'TYLER';
$icao ['us']['KF05'] = 'VERNON WILBARGER';
$icao ['us']['KVCT'] = 'VICTORIA';
$icao ['us']['KACT'] = 'WACO';
$icao ['us']['KARM'] = 'WHARTON';
$icao ['us']['KSPS'] = 'WICHITA FALL';
$icao ['us']['KINK'] = 'WINK';
$icao ['us']['KT65'] = 'WESLACO MIDVALLY';
$icao ['us']['KSLC'] = 'SALT LAKE CITY';
$icao ['us']['K4BL'] = 'BLANDING';
$icao ['us']['KBCE'] = 'BRYCE CANYON';
$icao ['us']['KCDC'] = 'CEDAR CITY';
$icao ['us']['KU24'] = 'DELTA';
$icao ['us']['KDPG'] = 'DUGWAY PRVG GROU';
$icao ['us']['KU28'] = 'GREEN RIVER RANG';
$icao ['us']['K4HV'] = 'HANKSVILLE';
$icao ['us']['KHIF'] = 'HILL AFB/OGDEN';
$icao ['us']['KLGU'] = 'LOGAN';
$icao ['us']['KMLF'] = 'MILFORD';
$icao ['us']['KCNY'] = 'MOAB';
$icao ['us']['KOGD'] = 'OGDEN';
$icao ['us']['KPUC'] = 'PRICE';
$icao ['us']['KPVU'] = 'PROVO MUNI';
$icao ['us']['KSGU'] = 'SAINT GEORGE';
$icao ['us']['KVEL'] = 'VERNAL';
$icao ['us']['KENV'] = 'WENDOVER (AUT)';
$icao ['us']['KROA'] = 'ROANOKE';
$icao ['us']['KVJI'] = 'ABINGTON';
$icao ['us']['KBCB'] = 'BLACKSBURG/VA T.';
$icao ['us']['KCHO'] = 'CHARLOTTESVILLE';
$icao ['us']['KCPK'] = 'CHESAPEAKE';
$icao ['us']['KCJR'] = 'CULPEPER';
$icao ['us']['KDAN'] = 'DANVILLE';
$icao ['us']['KPSK'] = 'DUBLIN/NEW RIV';
$icao ['us']['KEMV'] = 'EMPORIA';
$icao ['us']['KFVX'] = 'FARMVILLE';
$icao ['us']['KDAA'] = 'FORT BELVOIR/DAV';
$icao ['us']['KFKN'] = 'FRANKLIN/J B ROS';
$icao ['us']['KEZF'] = 'FREDERICKSB/SHAN';
$icao ['us']['KFAF'] = 'FT EUSTIS/FELKER';
$icao ['us']['KHLX'] = 'HILLSVILLE/GALAX';
$icao ['us']['KHSP'] = 'HOT SPRINGS/INGA';
$icao ['us']['KLFI'] = 'LANGLEY AFB/HAMP';
$icao ['us']['KJYO'] = 'LEESBURG/GODFREY';
$icao ['us']['KLKU'] = 'LOUISA';
$icao ['us']['KLYH'] = 'LYNCHBURG';
$icao ['us']['KHEF'] = 'MANASSAS MUNI';
$icao ['us']['KMKJ'] = 'MARION / WYTHEVI';
$icao ['us']['KMTV'] = 'MARTINSVILLE';
$icao ['us']['KMFV'] = 'MELFA/ACCOMACK';
$icao ['us']['KPHF'] = 'NEWPORT NEWS';
$icao ['us']['KNGU'] = 'NORFOLK NAS/CHAM';
$icao ['us']['KORF'] = 'NORFOLK';
$icao ['us']['KAKQ'] = 'NORFOLK/WAKEFLD';
$icao ['us']['KNTU'] = 'OCEANA NAS/SOUCE';
$icao ['us']['KOMH'] = 'ORANGE';
$icao ['us']['KPTB'] = 'PETERSBURG';
$icao ['us']['KNYG'] = 'QUANTICO MCAF';
$icao ['us']['KOFP'] = 'RICHMOND/HANOVER';
$icao ['us']['KRIC'] = 'RICHMOND';
$icao ['us']['KAVC'] = 'SOUTH HILL/MECKL';
$icao ['us']['KRMN'] = 'STAFFORD REGNL';
$icao ['us']['KSHD'] = 'STAUNTON/SHENAND';
$icao ['us']['KSFQ'] = 'SUFFOLK';
$icao ['us']['K6V3'] = 'RICHLANDS';
$icao ['us']['KWAL'] = 'WALLOPS ISLAND';
$icao ['us']['KIAD'] = 'WASH DC/DULLES';
$icao ['us']['KFYJ'] = 'WEST POINT';
$icao ['us']['KJGG'] = 'WILLIAMSBURG';
$icao ['us']['KOKV'] = 'WINCHESTER RGNL';
$icao ['us']['KLNP'] = 'WISE/LONESOME PI';
$icao ['us']['KDDH'] = 'BENNINGTON';
$icao ['us']['KBTV'] = 'BURLINGTON';
$icao ['us']['KMVL'] = 'MORRISVILLE';
$icao ['us']['KMPV'] = 'MONTPELIER/BARRE';
$icao ['us']['KRUT'] = 'RUTLAND STATE';
$icao ['us']['KVSF'] = 'SPRINGFIELD';
$icao ['us']['K1V4'] = 'ST. JOHNSBURY';
$icao ['us']['KAWO'] = 'ARLINGTON MUNI';
$icao ['us']['KBLI'] = 'BELLINGHAM';
$icao ['us']['KPWT'] = 'BREMERTON NTNL';
$icao ['us']['KBVS'] = 'BURLINGTON/MT V';
$icao ['us']['KDEW'] = 'DEER PARK';
$icao ['us']['KORS'] = 'EASTSOUND/ORCAS';
$icao ['us']['KELN'] = 'ELLENSBURG';
$icao ['us']['KEPH'] = 'EPHRATA';
$icao ['us']['KPAE'] = 'EVERETT';
$icao ['us']['KSKA'] = 'FAIRCHILD AFB';
$icao ['us']['KGRF'] = 'FORT LEWIS/GRAY';
$icao ['us']['KFHR'] = 'FRIDAY HARBOR';
$icao ['us']['KHMS'] = 'HANFORD';
$icao ['us']['KHQM'] = 'HOQUIAM';
$icao ['us']['KKLS'] = 'KELSO LONGVEIW';
$icao ['us']['KMWH'] = 'MOSES LAKE';
$icao ['us']['KOLM'] = 'OLYMPIA';
$icao ['us']['KOMK'] = 'OMAK';
$icao ['us']['KPSC'] = 'PASCO';
$icao ['us']['KCLM'] = 'PORT ANGELES';
$icao ['us']['KPUW'] = 'PULLMAN/MOSCOW';
$icao ['us']['KUIL'] = 'QUILLAYUTE';
$icao ['us']['KRNT'] = 'RENTON';
$icao ['us']['KBFI'] = 'SEATTLE/BOEING';
$icao ['us']['KSEA'] = 'SEATTLE/METRO';
$icao ['us']['KSHN'] = 'SHELTON';
$icao ['us']['KSFF'] = 'SPOKANE/FELTS';
$icao ['us']['KGEG'] = 'SPOKANE/METRO';
$icao ['us']['KSMP'] = 'STAMPEDE PASS';
$icao ['us']['KTIW'] = 'TACOMA';
$icao ['us']['KTCM'] = 'TACOMA/MC CHORD';
$icao ['us']['KTDO'] = 'TOLEDO WINLOCK M';
$icao ['us']['KVUO'] = 'VANCOUVER';
$icao ['us']['KALW'] = 'WALLA WALLA';
$icao ['us']['KEAT'] = 'WENATCHEE';
$icao ['us']['KNUW'] = 'WHIDBEY IS. NAS';
$icao ['us']['KYKM'] = 'YAKIMA';
$icao ['us']['KAIG'] = 'ANTIGO';
$icao ['us']['KATW'] = 'APPLETON/OUTAGAM';
$icao ['us']['KGRB'] = 'ASHWAUBENON';
$icao ['us']['KASX'] = 'ASHLAND';
$icao ['us']['KOVS'] = 'BOSCOBEL';
$icao ['us']['KBUU'] = 'BURLINGTON';
$icao ['us']['KCLI'] = 'CLINTONVILLE';
$icao ['us']['KDLL'] = 'DELLS/BARABOO';
$icao ['us']['KEGV'] = 'EAGLE RIVER';
$icao ['us']['KEAU'] = 'EAU CLAIRE';
$icao ['us']['KFLD'] = 'FOND DU LAC';
$icao ['us']['KHYR'] = 'HAYWARD';
$icao ['us']['KJVL'] = 'JANESVILLE/ROCK';
$icao ['us']['KUNU'] = 'JUNEAU';
$icao ['us']['KENW'] = 'KENOSHA';
$icao ['us']['KLSE'] = 'LA CROSSE';
$icao ['us']['KRCX'] = 'LADYSMITH/RUSK';
$icao ['us']['KLNL'] = 'LAND O LAKES';
$icao ['us']['KLNR'] = 'LONE ROCK';
$icao ['us']['KMSN'] = 'MADISON';
$icao ['us']['KMTW'] = 'MANITOWAC MUNI';
$icao ['us']['KMFI'] = 'MARSHFIELD';
$icao ['us']['KMDZ'] = 'MEDFORD';
$icao ['us']['KLUM'] = 'MENOMONIE MUNI';
$icao ['us']['KRRL'] = 'MERRILL';
$icao ['us']['KMKE'] = 'MILWAUKEE';
$icao ['us']['KMWC'] = 'MILWAUKEE/LAWREN';
$icao ['us']['KMRJ'] = 'MINERAL POINT';
$icao ['us']['KARV'] = 'MINOCQUA/WOODRUF';
$icao ['us']['KEFT'] = 'MONROE';
$icao ['us']['KCWA'] = 'MOSINEE/CENTRAL';
$icao ['us']['KRNH'] = 'NEW RICHMOND MUN';
$icao ['us']['KOEO'] = 'OSCEOLA';
$icao ['us']['KOSH'] = 'OSHKOSH';
$icao ['us']['KPBH'] = 'PHILLIPS/PRICE';
$icao ['us']['KPDC'] = 'PRAIRIE DU CHIEN';
$icao ['us']['KRAC'] = 'RACINE';
$icao ['us']['KRHI'] = 'RHINELANDER';
$icao ['us']['KRPD'] = 'RICE LAKE';
$icao ['us']['KSBM'] = 'SHEBOYGAN';
$icao ['us']['KRZN'] = 'SIREN';
$icao ['us']['KCMY'] = 'SPARTA/MCCOY AAF';
$icao ['us']['KSTE'] = 'STEVENS POINT';
$icao ['us']['KSUE'] = 'STURGEON BAY';
$icao ['us']['KSUW'] = 'SUPERIOR';
$icao ['us']['KTKV'] = 'TOMAHAWK REGNL';
$icao ['us']['KVOK'] = 'VOLK/CAMP DOUGLA';
$icao ['us']['KRYV'] = 'WATERTOWN';
$icao ['us']['KUES'] = 'WAUKESHA CNTY';
$icao ['us']['KPCZ'] = 'WAUPACA';
$icao ['us']['KAUW'] = 'WAUSAU';
$icao ['us']['KETB'] = 'WEST BEND';
$icao ['us']['KISW'] = 'WISCONSIN RAPIDS';
$icao ['us']['KBKW'] = 'BECKLEY';
$icao ['us']['KBLF'] = 'BLUEFIELD';
$icao ['us']['KW22'] = 'BUCKHANNON';
$icao ['us']['KCRW'] = 'CHARLESTON';
$icao ['us']['KCKB'] = 'CLARKSBURG';
$icao ['us']['KEKN'] = 'ELKINS';
$icao ['us']['KHTS'] = 'HUNTINGTON';
$icao ['us']['KLWB'] = 'LEWISBURG/GREENB';
$icao ['us']['KMRB'] = 'MARTINSBURG';
$icao ['us']['KMGW'] = 'MORGANTOWN';
$icao ['us']['KPKB'] = 'PARKERSBURG';
$icao ['us']['K3I2'] = 'PT PLEASANT';
$icao ['us']['KW99'] = 'PETERSBURG';
$icao ['us']['KI16'] = 'PINEVILLE';
$icao ['us']['K48I'] = 'SUTTON/BRAXTON';
$icao ['us']['KHLG'] = 'WHEELING';
$icao ['us']['KBPI'] = 'BIG PINEY';
$icao ['us']['KBYG'] = 'BUFFALO';
$icao ['us']['KCPR'] = 'CASPER';
$icao ['us']['KCYS'] = 'CHEYENNE';
$icao ['us']['KCOD'] = 'CODY';
$icao ['us']['KDGW'] = 'DOUGLAS';
$icao ['us']['KEVW'] = 'EVANSTON';
$icao ['us']['KGCC'] = 'GILLETTE';
$icao ['us']['KGEY'] = 'GREYBULL';
$icao ['us']['KJAC'] = 'JACKSON';
$icao ['us']['KLND'] = 'LANDER';
$icao ['us']['KLAR'] = 'LARAMIE';
$icao ['us']['KPNA'] = 'PINEDALE R WENZ';
$icao ['us']['KRWL'] = 'RAWLINS MUNICIPA';
$icao ['us']['KRIW'] = 'RIVERTON';
$icao ['us']['KRKS'] = 'ROCK SPRINGS';
$icao ['us']['KSHR'] = 'SHERIDAN';
$icao ['us']['KTOR'] = 'TORRINGTON';
$icao ['us']['KWRL'] = 'WORLAND';
$icao ['us']['KP60'] = 'YELLOWSTONE LAKE';
$icao ['us']['KBRX'] = 'BORDEAUX';
$icao ['us']['KVDW'] = 'VEDAUWOO';
$icao ['us']['KPUM'] = 'PUMPKIN VINE';
$icao ['us']['KARL'] = 'ARLINGTON';
$icao ['us']['KCMS'] = 'CEMETERY SEPARA';
$icao ['us']['KSIB'] = 'SIBLEY PEAK';
$icao ['us']['KSKL'] = 'SKYLINE';
$icao ['us']['KRIM'] = 'RIM / PINEDALE';
$icao ['us']['KSGE'] = 'SAGE / JUNCTION';
$icao ['us']['KCHJ'] = 'CHIEF JOSEPH';
$icao ['us']['KSHC'] = 'SHUTE CREEK';
$icao ['us']['KDCA'] = 'WASHINGTON/NATL';
$icao ['us']['PGUM'] = 'AGANA';
$icao ['us']['PGUA'] = 'MARIANA/ANDERSEN';
$icao ['us']['PGWT'] = 'PEIPEINIMARU/TIN';
$icao ['us']['PWAK'] = 'WAKE ISLAND AIRF';
$icao ['us']['PLCH'] = 'CHRISTMAS/CASSID';
$icao ['us']['PKMJ'] = 'MAJURO WSO AIRPO';
$icao ['us']['PKMR'] = 'MAJURO ATOLL/NWS';
$icao ['us']['PKWA'] = 'KWAJALEIN/BUCHOL';
$icao ['us']['TJBQ'] = 'AGUADILLA/BORINQ';
$icao ['us']['TJMZ'] = 'MAYAGUEZ/EUGENIO';
$icao ['us']['TJNR'] = 'ROOSEVELT RD NAS';
$icao ['us']['TJPS'] = 'PONCE/MERCEDITA';
$icao ['us']['TJSJ'] = 'SAN JUAN/WFO';

?>