<?php

require_once 'framework/util/StringUtils.php';
include 'framework/view/globalFunctions.php';

/**
 * The template file that draws the layout to add weather information (METAR)
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta - April 2006
 * @package org.brim-project.plugins.weather
 * @subpackage view
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */

$stringUtils = new StringUtils ();

?>
<script src="ext/dojo/dojo.js" type="text/javascript"></script>
<script language="javascript">
<!--
        var itemFormParameters = Array ('itemParameters');
        /**
         * Function call when either item or folder is selected.
         * Based on the selection, a number of form items will be displayed
         * or hidden
         * @see array itemFormParameters
         */
        function itemSelected (isFolder)
        {
            var display = isFolder?'':'none';
            for (i=0; i<itemFormParameters.length; i++)
            {
                document.getElementById (itemFormParameters[i]).style.display=display;
            }
            return false;
        }
        
        function icaoLookup ()
        {
        	document.getElementById('icaoLookup').style.display='';
        }
        
        function countrySelected (countryCode)
        {
			//
			// Call the backend
			//
			dojo.io.bind ({
				url: "index.php?plugin=weather&ajax=true&function=getStationsForCountry&countryCode="+countryCode,
				load: function (type, data, event) { stationsForCountryCodeReceived (data); },
				mimetype: "text/plain"
			});
        }
        
        function stationsForCountryCodeReceived (result)
        {
        	stationSelect = document.getElementById ('stationList');
			//
			// Clear the list first
			//
			for (j=0; j<stationSelect.options.length; j++)
			{
				stationSelect.options[j] = null;
			}
			//
			// Now parse the incoming information and populate the list
			//
        	stations = result.split (':');
        	stationSelect.options[0]=new Option ('---','');
        	for (i=1; i<=stations.length; i++)
        	{
        		station = stations[i-1].split('#');
        		stationSelect.options[i] = new Option (station[1], station[0]);
        	}
        }
        
        function stationSelected (station, description)
        {
        	document.getElementById ('station').value = station;
        	if (document.getElementById ('name').value == '')
        	{
        		document.getElementById ('name').value = description;
        	}
        	document.getElementById ('icaoLookup').style.display='none';
        }
// -->
</script>

<h2>
	<?php echo $pageTitle ?>
</h2>

<?php
	//
	// Show the ancestor path. Contributed by Michael
	//
	if(isset($parameters['ancestors']))
	{
		echo ancestorPath ($parameters ['ancestors'], 'weather', $dictionary);
	}
?>

<form method="POST" action="index.php">
<input type="hidden" name="plugin" value="weather" />
<input type="hidden" name="metar" 
	value="<?php echo $renderObjects->metar; ?>" />
<input type="hidden" name="metarObserved" 
	value="<?php echo $renderObjects->metarObserved; ?>" />
<input type="hidden" name="taf" 
	value="<?php echo $renderObjects->taf; ?>" />
<input type="hidden" name="tafObserved" 
	value="<?php echo $renderObjects->tafObserved; ?>" />
<table>
<?php
	if(!empty($parameters['errors']))
	{
		echo standardTableRowErrorMessages
			($dictionary, $parameters['errors'], $icons);
	}
	echo standardTableRowInput ('name',
		$dictionary, $viewAction, $renderObjects);
		
    if ($viewAction == 'add')
    {
?>
    <tr>
        <td class="inputParamName">&nbsp;</td>
        <td class="inputParamValue">
            <?php echo $dictionary['folder']; ?>:&nbsp;<input
                type="radio" class="radio" name="isParent" value="1"
                onClick="javascript:itemSelected(false); "
                />
            <br />
            <?php echo $dictionary['station'] ?>:&nbsp;<input
                type="radio" class="radio" name="isParent" value="0"
                onClick="javascript:itemSelected(true); "
                checked="checked"  />
        </td>
    </tr>

<?php
    }
	echo standardTableRowPublicPrivateRadios
		($dictionary, $viewAction, $renderObjects);
?>
</table>
<div id="itemParameters">
<table>
	<tr>
		<td class="inputParamName">
			<?php echo $dictionary['stationIcao']; ?>:
		</td>
		<td class="inputParamValue">
			<nobr>
				<input type="text" class="text" id="station" name="station" 
					<?php 
						if (isset ($renderObjects) && isset ($renderObjects->station))
						{
							echo ' value="'.$renderObjects->station.'" ';
						}
					?>
				/>
				<input type="button"
					class="button"
					name="submit"
					onClick="javascript:icaoLookup ();"
					value="<?php echo $dictionary['lookup'] ?>" />
			</nobr>
			<div id="icaoLookup" style="display:none">
				<table>
					<tr>
						<td>
							<?php echo $dictionary ['country']; ?>:
						</td>
						<td>
							<select name="countryList"
								onchange="javascript:countrySelected (this.options[this.selectedIndex].value);"
							>
								<?php
									include 'plugins/weather/util/include/countries.php';
									asort ($countries);
									echo '<option value="">---</option>';
									foreach ($countries as $countryKey=>$countryDetail)
									{
										echo '<option value="'.$countryKey.'"';
										echo '>'.$countryDetail.'</option>';
									}
								?>
							</select>
						</td>
					</tr>
					<tr>
						<td>
							<?php echo $dictionary ['station']; ?>:
						</td>
						<td>
							<select id="stationList" name="stationList"
								onchange="javascript:stationSelected (this.options[this.selectedIndex].value, this.options[this.selectedIndex].text);"
							></select>
						</td>
					</tr>
				</table>
			</div>
		</td>		
	</tr>
<?php
		
    //
    // Only render the items parameters if we either
    // - have no item (add) or
    // - we have an item (modify), but the item is no parent
    //
    if (!isset ($renderObjects) || !$renderObjects->isParent())
    {
		echo rowTextArea ('description', $dictionary,
			(isset ($renderObjects) && isset ($renderObjects->description))
				?$renderObjects->description:null, $viewAction);
	}
?>
</table>
</div>

<?php
	if ($viewAction == 'modify')
	{
		echo modifyButtonAndText ($dictionary, $renderObjects);
	}
	else if ($viewAction == 'add')
	{
		//echo addButtonAndText ($dictionary, $parentId);
?>
                <input type="hidden"
                name="action"
                id="action"
                        value="addItemPost"
                />
                <input type="submit"
                        class="button"
                        name="submit"
                        value="<?php echo $dictionary['add'] ?>"
                />
                <input type="submit"
                        id="addAndAddAnother"
                        name="addAndAddAnother"
                        class="button"
                        onclick="javascript:document.getElementById('action').value='addAndAddAnother';document.forms[0].submit()"
                        value="<?php echo $dictionary['addAndAddAnother'] ?>"
                />
<?php

	}
?>
</form>

<?php
	if ($viewAction == 'modify')
	{
		echo '<form method="POST" action="index.php"> ';
		echo '<input type="hidden" name="plugin" value="weather" />';
		echo moveButtonAndText ($dictionary, $renderObjects);
		echo '</form>';

		echo '<form method="POST" action="index.php" ';
		echo 'onsubmit="return confirmDelete()">';
		echo '<input type="hidden" name="plugin" value="weather" />';
		echo deleteButtonAndText ( $dictionary, $renderObjects);
		echo '</form>';
	}

    echo '<form method="POST" action="index.php">';
	echo '<input type="hidden" name="plugin" value="weather" />';
    // cancel button
    echo cancelButtonAndText ($dictionary, $parentId);
    echo '</form>';

	if ($viewAction == 'add' || $viewAction == 'modify')
	{
		echo spellButtonAndText ($dictionary);
	}
	if ($viewAction == 'add' || 'viewAction' == 'modify')
	{
        echo focusOnField ('name');
	}
?>
