<?php
/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta - September 2006
 * @package org.brim-project.plugins.webtools
 * @subpackage view
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
?>
<script language="JavaScript">

function convert()
{
	var value = document.conversion.number.value;
	if (typeof value !== 'number' && !isFinite(value))
	{
		//
		// Only numbers, remove any number characters
		//
		value = value.substring (0, value.length-1);
		document.conversion.number.value = value;
	}
	else
	{
		//
		// Use the number of bytes as base measurement
		//
		var byteValue;
		var measurement = document.conversion.measurement.value;
		switch (measurement)
		{
			case "bits":
				byteValue = value / 8;
				breal;
			case "KB":
				byteValue = value * 1024;
				break;
			case "MB":
				byteValue = value * (Math.pow (1024,2));
				break;
			case "GB":
				byteValue = value * (Math.pow (1024,3));
				break;
		}
		document.conversion.resultBytes.value = byteValue;
		//
		// Translate to KB
		//
		document.conversion.resultKiloBytes.value =
			Math.round (byteValue/1024);
		//
		// 1 KB = 8Kb, so mulitply the KB result by 8
		//
		document.conversion.resultKilobit.value =
			Math.round (8*(byteValue/1024));
		//
		// Translate the base measurement (bytes) to MB
		//
		document.conversion.resultMegaBytes.value =
			Math.round (byteValue/[Math.pow(1024,2)]);
		//
		// 1 MB = 8Mb, so mulitply the MB result by 8
		//
		document.conversion.resultMegabit.value =
			Math.round (8*(byteValue/[Math.pow(1024,2)]));
		//
		// Translate the base measurement (bytes) to GB
		//
		document.conversion.resultGigaBytes.value =
			Math.round (byteValue/[Math.pow(1024,3)]);
		//
		// 1 GB = 8Gb, so mulitply the GB result by 8
		//
		document.conversion.resultGigabit.value =
			Math.round (8*(byteValue/[Math.pow(1024,3)]));
		//
		// Number of bits
		//
		document.conversion.resultBits.value = byteValue*8;
	}
}

</script>


<table>
<tr>
	<td>
		&nbsp;
	</td>
	<td colspan="2">
		Bandwidth Notations
	</td>
</tr>
<tr>
	<td>
		1 Byte = 8 Bit
	</td>
	<td>
		B  = Bytes
	</td>
	<td>
		b  = bits
	</td>
</tr>
<tr>
	<td>
		1 KiloByte = (2^10 bytes) 1024 Bytes
	</td>
	<td>
		KB = KiloBytes
	</td>
	<td>
		Kb = Kilobits
	</td>
</tr>
<tr>
	<td>
		1 MegaByte = (2^20 bytes) 1048576 Bytes
	</td>
	<td>
		MB = MegaBytes
	</td>
	<td>
		Mb = Megabits
	</td>
</tr>
<tr>
	<td>
		1 GigaByte = (2^30 bytes) 1073741824 Bytes
	</td>
	<td>
		GB = GigaBytes
	</td>
	<td>
		Gb = Gigabits
	</td>
</tr>


<form name="conversion">
<!--
	Input table
-->
<table>
	<tr>
		<td>
			Conversion:
		</td>
	</tr>

	<tr>
		<td>
			Enter Value:
			<input type="text" name="number"
				onkeyup="javascript:convert()" />
			<select name="measurement"
					onchange="javascript:convert()" />
				<option name="measurement"
					value="bits">bits</option>
				<option name="measurement"
					value="B">Bytes</option>
				<option name="measurement"
					value="KB">KiloBytes</option>
				<option name="measurement"
					value="MB" selected="selected">MegaBytes</option>
				<option name="measurement"
					value="GB">GigaBytes</option>
			</select>
		</td>
	</tr>
</table>

<!--
	Result table
-->
<table border="1">
	<tr>
		<td>
			<input name="resultBytes" type="text" size="20"
				readonly="readonly" />
		</td>
		<td>
			Bytes (B)
		</td>
		<td>
			<input name="resultBits" type="text" size="20"
				readonly="readonly" />
		</td>
		<td>
			bits (b)
		</td>
	</tr>
	<tr>
		<td>
			<input name="resultKiloBytes" type="text" size="20"
				readonly="readonly" />
		</td>
		<td>
			KiloBytes (KB)
		</td>
		<td>
			<input name="resultKilobit" type="text" size="20"
				readonly="readonly" />
		</td>
		<td>
			Kilobit (Kb)
		</td>
	</tr>
	<tr>
		<td>
			<input name="resultMegaBytes" type="text" size="20"
				readonly="readonly" />
		</td>
		<td>
			MegaBytes (MB)
		</td>
		<td>
			<input name="resultMegabit" type="text" size="20"
				readonly="readonly" />
		</td>
		<td>
			Megabit (Mb)
		</td>
	</tr>
	<tr>
		<td>
			<input name="resultGigaBytes" type="text" size="20"
				readonly="readonly" />
		</td>
		<td>
			GigaBytes (GB)
		</td>
		<td>
			<input name="resultGigabit" type="text" size="20"
				readonly="readonly" />
		</td>
		<td>
			Gigabit (Gb)
		</td>
	</tr>
</table>
</form>