<?php
/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta
 * @package org.brim-project.plugins.webtools
 * @subpackage view
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
?>
<h1><?php echo $dictionary['calculator'] ?></h1>
<style type="text/css">
	td.display
	{
			width:282px;
	}
	td.calculator
	{
			width:55px;
			text-align:center;
	}
	input.calculator
	{
			background-color:#ececec;
			width:50px;
	}
</style>

<!--
	Hmmm... nasty. Have two cells,e ach containing one table.
	The first cell can be given a specific width (while the
	table cannot!!????), the other empty cell will take up the
	rest of the space. This seems to be the only way to get
	a layout that looks more or less correct
-->
<table>
<tr>
<td width="300" bgcolor="#cdcdcd">
<form name="theCalculator" action="">


<table border="1">
<tr>
	<td colspan="5" align="left" class="display">
		<input name="display" type="text" value="0">
	</td>
</tr>
<tr>
	<td class="calculator">
		<input class="calculator"
			type="button" value="x^2" onclick="javascript:pow()" />
	</td>
	<td class="calculator">
		<input class="calculator"
			type="button" value="x^y" onclick="javascript:operator('x^y')" />
	</td>
	<td class="calculator">
		<input class="calculator"
			type="button" value="sqrt" onclick="javascript:sqrt()" />
	</td>
	<td class="calculator">
		<input class="calculator"
			type="button" value="pi" onclick="javascript:input(Math.PI)" />
	</td>
	<td class="calculator">
		<input class="calculator"
			type="button" value="x!" onclick="javascript:factorial()" />
	</td>
</tr>
<tr>
	<td class="calculator">
		<input class="calculator"
			type="button" value="7" onclick="javascript:input(7)" />
	</td>
	<td class="calculator">
		<input class="calculator"
			type="button" value="8" onclick="javascript:input(8)" />
	</td>
	<td class="calculator">
		<input class="calculator"
			type="button" value="9" onclick="javascript:input(9)" />
	</td>
	<td class="calculator">
		<input class="calculator"
			type="button" value="-" onclick="javascript:operator('-')" />
	</td>
	<td class="calculator">
		<input class="calculator"
			type="button" value="%" onclick="javascript:percent()" />
	</td>
</tr>
<tr>
	<td class="calculator">
		<input class="calculator"
			type="button" value="4" onclick="javascript:input(4)" />
	</td>
	<td class="calculator">
		<input class="calculator"
			type="button" value="5" onclick="javascript:input(5)" />
	</td>
	<td class="calculator">
		<input class="calculator"
			type="button" value="6" onclick="javascript:input(6)" />
	</td>
	<td class="calculator">
		<input class="calculator"
			type="button" value="+" onclick="javascript:operator('+')" />
	</td>
	<td class="calculator">
		<input class="calculator"
			type="button" value="+/-" onclick="javascript:toggleSign()" />
	</td>
</tr>
<tr>
	<td class="calculator">
		<input class="calculator"
			type="button" value="1" onclick="javascript:input(1)" />
	</td>
	<td class="calculator">
		<input class="calculator"
			type="button" value="2" onclick="javascript:input(2)" />
	</td>
	<td class="calculator">
		<input class="calculator"
			type="button" value="3" onclick="javascript:input(3)" />
	</td>
	<td class="calculator">
		<input class="calculator"
			type="button" value="*" onclick="javascript:operator('*')" />
	</td>
	<td class="calculator">
		<input class="calculator"
			type="button" value="C" onclick="javascript:clear()" />
	</td>
</tr>

<tr>
	<td class="calculator">
		<input class="calculator"
			type="button" value="0" onclick="javascript:input(0)" />
	</td>
	<td class="calculator">
		<input class="calculator"
			type="button" value="." onclick="javascript:decimal()" />
	</td>
	<td class="calculator">
		<input class="calculator"
			type="button" value="=" onclick="javascript:operator('=')" />
	</td>
	<td class="calculator">
		<input class="calculator"
			type="button" value="/" onclick="javascript:operator('/')" />
	</td>
	<td class="calculator">
		<input class="calculator"
			type="button" value="CE" onclick="javascript:clearEntry()">
	</td>
</tr>
</table>
</form>
</td>

<td width="*">&nbsp;</td>
</tr>
</table>



<script language="JavaScript">
<!--
	/**
	 * The actual calculator javascrip object
	 */
	var calculator = document.theCalculator;

	/**
	 * The current value/number with which we are working
	 */
	var memory = 0;

	/**
	 * New entry yes/no
	 */
	var newEntry = false;

	/**
	 * The current operation.
	 * If this parameter is set, we are expecting a second value
	 * to be entered
	 */
	var currentOperation = "";

	/**
	 * A number has been entered
	 */
	function input (num)
	{
		if (newEntry || calculator.display.value == "0")
		{
			//
			// We had a zero? New entry?
			// Then put in the new number
			//
			calculator.display.value = num;
			newEntry = false;
		}
		else
		{
			//
			// Add the number to the current display
			// (not the mathematical add, but string
			// concatenation
			//
			calculator.display.value += num;
		}
	}

	/**
	 * An operator (needing two values!!)
	 */
	function operator (requestedOperation)
	{
		var currentValue = calculator.display.value;
		newEntry = true;
		if (currentOperation == '+')
		{
			memory += parseFloat (currentValue);
		}
		else if (currentOperation == '-')
		{
			memory -= parseFloat (currentValue);
		}
		else if (currentOperation == '*')
		{
			memory *= parseFloat (currentValue);
		}
		else if (currentOperation == '/')
		{
			memory /= parseFloat (currentValue);
		}
		else if (currentOperation == 'x^y')
		{
			memory = Math.pow (memory, parseFloat (currentValue));
		}
		else
		{
			memory = parseFloat (currentValue);
		}
		calculator.display.value = memory;
		currentOperation = requestedOperation;
	}

	/**
	 * The decimal (point) for floating number calculation
	 * This function only adapts the display
	 */
	function decimal ()
	{
		if (newEntry)
		{
			calculator.display.value = "0.";
			newEntry = false;
		}
		else
		{
			if (calculator.display.value.indexOf(".") == -1)
			{
				calculator.display.value += ".";
			}
		}
	}

	/**
	 * Clear the last entry (not erasing the 'memory')
	 */
	function clearEntry ()
	{
		calculator.display.value = "0";
		newEntry = true;
	}

	/**
 	* Clear last entered number and 'memory'
 	*/
	function clear ()
	{
		memory = 0;
		currentOperation = "";
		clearEntry();
	}

	/**
	 * Toggle the sign of the current memory (displayed value)
	 */
	function toggleSign ()
	{
		calculator.display.value =
			-1 * parseFloat (calculator.display.value);
	}

	/**
	 * The power (x^2) function
	 */
	function pow ()
	{
		calculator.display.value =
			Math.pow (parseFloat(calculator.display.value),2);
	}

	/**
	 * The sqrt function
	 */
	function sqrt ()
	{
		calculator.display.value =
			Math.sqrt (parseFloat(calculator.display.value));
	}

	/**
	 * Factorial (x!) function
	 */
	function factorial ()
	{
		var start = Math.floor (parseFloat (calculator.display.value));
		var second = start - 1;
		while (second > 1)
		{
			start = start * second;
			second -= 1;
		}
		calculator.display.value = start;
	}


	/**
	 * Percent (%) functionality
	 */
	function percent ()
	{
		var current = calculator.display.value;
		calculator.display.value = (parseFloat (current) / 100)
			* parseFloat (memory);
}
//-->
</script>
