<?php
/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta
 * @package org.brim-project.plugins.webtools
 * @subpackage view
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
if (isset ($renderObjects))
{
 $color = str_replace("#","",$renderObjects);
 $col = strtolower($color);
 $red = hexdec(substr($col,0,2));
 $green = hexdec(substr($col,2,2));
 $blue = hexdec(substr($col,4,2));
}
else
{
	$red = 128;
	$green = 128;
	$blue = 128;
}
?>
<style type="text/css">
<?php
		include ('ext/javascript/sliderSwing.css');
?>
body{
	margin: 0;
	padding: 5px;
	font-family: Trebuchet MS, Verdana, Helvetica, Arial, Sans-serif;
	font-size: small;
}

.color-picker {
	background:	transparent;
	width:		568px;
	height:		auto;
}

.color-picker td {
	padding:	1px;
}

.dynamic-slider-control {
	width:		auto;
	height:		20px;
	margin:		0;
}

.color-picker input {
	text-align:	right;
	width:		30px;
}
.color-picker td,.color-picker input {
font-family: Trebuchet MS, Verdana, Helvetica, Arial, Sans-serif;
font-size: small;
}
.slider-caption {
	width: 40px;
	float: left;
}

.slider {
	position: absolute;
	width: 595px;
	float: left;
	top: 0px;
	left: 45px;
}
.sl-input {
		width: 30px;
		float: right;
	}

#color-result {
	width:				75px;
	height:				75px;
	border:				1px solid #000;
	background-color:	black;
}
.s
{
	border:1px solid #000;
	width: 75px;
	height: 75px;
	margin-right: 5px;
	float: left;
	font-weight: bold;
	color: #000000;
}
.t
{
	color:#555555;
	margin-right: 5px;
	border: 1px solid #000;
	border-top: none;
	width: 75px;
	float: left;
	text-align: center;
}
.row {
	position: relative;
	height: 25px;
}

#allsliders {
width: 760px;
}
#slideleft {
	width: 680px;
	float: left;
}
#slideright{
	width: 75px;
	float: right;
}

.spacer { clear: both; }
.footer {
	text-align: center;
}
#collist {
	padding-top: 10px;
}
form { padding-top: 10px; }
#sitewidth {
	width:760px;
	margin: auto;
	text-align: left;
}
#forms input, select, option {
margin: 3px 0px;
font-family: Trebuchet MS, Verdana, Helvetica, Arial, Sans-serif;
font-size: small;
}
#row2 {
position: relative;
width: 760px;
}
#forms {
	width: 325px;
	float: left;
}
#sample {
	border: 1px solid #000;
	background-color: #7f7f7f;
	margin-top: 30px;
	width: 400px;
	float: left;
}
#sampleh1 {
	border: 1px solid #7f7f7f;
	color: #CCCCCC;
	background-color: #808080;
	font-size: 16px;
	margin: 5px;
	padding: 5px;
	text-align: center;
}
#sampleh2 {
	border: 1px solid #7f7f7f;
	color: #cccccc;
	background-color: #808080;
	font-size: 14px;
	margin: 5px;
	padding: 5px;
	text-align: center;
}
#samplep {
	border: 1px solid #7f7f7f;
	color: #000000;
	background-color: #7f7f7f;
	font-size: 12px;
	margin: 5px;
	padding: 5px;
}
#samplelink {
	color: #a6a6a6;
}
#samplehover {
	color: #a6a6a6;
}
#samplea {
	color: #a6a6a6;
}
#samplea:hover {
	color: #a6a6a6;
}
</style>

<script type="text/javascript"
	src="ext/javascript/range.js"></script>
<script type="text/javascript"
	src="ext/javascript/timer.js"></script>
<script type="text/javascript"
	src="ext/javascript/slider.js"></script>
<script type="text/javascript"
	src="ext/javascript/colormatch.js"></script>


<h2>ColorMatch Remix</h2>
<div id="allsliders">
	<div id="slideleft">
		<div class="row">
			<label class="slider-caption" for="red-slider">Red:</label>
			<div class="slider" id="red-slider">
				<input class="slider-input" id="red-slider-input" />
			</div>
			<input class="sl-input" id="red-input" maxlength="3" tabindex="1" />
		</div>
		<div class="spacer"></div>
		<div class="row">
			<label class="slider-caption" for="green-slider">Green:</label>
			<div class="slider" id="green-slider">
				<input class="slider-input" id="green-slider-input" />
			</div>
			<input class="sl-input" id="green-input" maxlength="3" tabindex="2" />
		</div>
		<div class="spacer"></div>
		<div class="row">
			<label class="slider-caption" for="blue-slider">Blue:</label>
			<div class="slider" id="blue-slider">
				<input class="slider-input" id="blue-slider-input" />
			</div>
			<input class="sl-input" id="blue-input" maxlength="3" tabindex="3" />
		</div>
	</div>
	<div id="slideright">
		<div id="color-result"></div>
	</div>
	<div class="spacer"></div>
</div>
<div id="collist">
	<div class="spacer"></div>
	<div class="s" id="sw0" onclick="c2r('sw0')" title="Click to promote to primary color">1</div>
	<div class="s" id="sw1" onclick="c2r('sw1')" title="Click to promote to primary color">2</div>
	<div class="s" id="sw2" onclick="c2r('sw2')" title="Click to promote to primary color">3</div>
	<div class="s" id="sw3" onclick="c2r('sw3')" title="Click to promote to primary color">4</div>
	<div class="s" id="sw4" onclick="c2r('sw4')" title="Click to promote to primary color">5</div>
	<div class="s" id="sw5" onclick="c2r('sw5')" title="Click to promote to primary color">6</div>
	<div class="s" id="sw6" onclick="c2r('sw6')" title="Click to promote to primary color">7</div>
	<div class="s" id="sw7" onclick="c2r('sw7')" title="Click to promote to primary color">8</div>
	<div class="s" id="sw8" onclick="c2r('sw8')" title="Click to promote to primary color">9</div>
	<div class="spacer"></div>
</div>
<div id="hex">
	<div class="spacer"></div>
	<div class="t" id="hc0">000000<br />R: 0<br />G: 0<br />B: 0</div>
	<div class="t" id="hc1">000000<br />R: 0<br />G: 0<br />B: 0</div>
	<div class="t" id="hc2">000000<br />R: 0<br />G: 0<br />B: 0</div>
	<div class="t" id="hc3">000000<br />R: 0<br />G: 0<br />B: 0</div>
	<div class="t" id="hc4">000000<br />R: 0<br />G: 0<br />B: 0</div>
	<div class="t" id="hc5">000000<br />R: 0<br />G: 0<br />B: 0</div>
	<div class="t" id="hc6">000000<br />R: 0<br />G: 0<br />B: 0</div>
	<div class="t" id="hc7">000000<br />R: 0<br />G: 0<br />B: 0</div>
	<div class="t" id="hc8">000000<br />R: 0<br />G: 0<br />B: 0</div>
	<div class="spacer"></div>
</div>
<div id="row2">
<div class="spacer"></div>
<div id="forms">
	<form action="" method="post">
		<p>
			<input type="hidden" id="col0" name="col0" value="#000000" />
			<input type="hidden" id="col1" name="col1" value="#000000" />
			<input type="hidden" id="col2" name="col2" value="#000000" />
			<input type="hidden" id="col3" name="col3" value="#000000" />
			<input type="hidden" id="col4" name="col4" value="#000000" />
			<input type="hidden" id="col5" name="col5" value="#000000" />
			<input type="hidden" id="col6" name="col6" value="#000000" />
			<input type="hidden" id="col7" name="col7" value="#000000" />
			<input type="hidden" id="col8" name="col8" value="#000000" />
			<form method="POST" action="WebController.php">
			<label for="html">Hex:</label>
				<input type="hidden" name="action" value="colorMatch" />
				<input type="text" name="requestedColor" size="15"
					value="<?php if (isset ($color))
							{ echo '#'.$color; } ?>"
				/>
				<input type="submit" value="<?php echo $dictionary['submit']; ?>" />
			</form>
			<br /><br />
			</select>
	</form>
</div>
	<div id="sample">
	<h1 id="sampleh1">This is a sample layout</h1>
	<h2 id="sampleh2">For your designing pleasure</h2>
	<p id="samplep"><span id="samplelink">This is the link color</span>. <span id="samplehover">This is the hover color</span>. Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean pellentesque tortor eu magna. Ut consequat rutrum augue. Suspendisse egestas quam non felis. Ut suscipit, pede vel laoreet gravida, felis enim condimentum arcu, non tempor tortor dui eu orci. Phasellus consequat ligula ac tellus. Curabitur et orci et sapien interdum tristique. Morbi commodo malesuada turpis. Donec sit amet arcu in sem consectetuer pulvinar. Fusce rhoncus. In gravida. Suspendisse potenti. Ut varius, orci vitae pulvinar auctor, urna tortor tincidunt lectus, nec consectetuer enim quam et nisl.</p>
	</div>
	<div class="spacer"></div>
</div>
<p class="footer">
	Based on <a href="http://colormatch.dk">ColorMatch 5K</a> by Kim Jensen. | Modified by <a href="http://twysted.net">Twyst</a> (mail: twyst AT twysted dot net)<br />
</p>


<script type="text/javascript">


// init code
var r = new Slider(document.getElementById("red-slider"), document.getElementById("red-slider-input"));
r.setMaximum(255);
var g = new Slider(document.getElementById("green-slider"), document.getElementById("green-slider-input"));
g.setMaximum(255);
var b = new Slider(document.getElementById("blue-slider"), document.getElementById("blue-slider-input"));
b.setMaximum(255);

var ri = document.getElementById("red-input");
ri.onchange = function () {
	r.setValue(parseInt(this.value));
};

var gi = document.getElementById("green-input");
gi.onchange = function () {
	g.setValue(parseInt(this.value));
};

var bi = document.getElementById("blue-input");
bi.onchange = function () {
	b.setValue(parseInt(this.value));
};

r.onchange = g.onchange = b.onchange = function () {
	var cr = document.getElementById("color-result");
	cr.style.backgroundColor = "rgb(" + r.getValue() + "," + g.getValue() + "," + b.getValue() + ")";
	rg.r = ri.value = r.getValue();
	rg.g = gi.value = g.getValue();
	rg.b = bi.value = b.getValue();
	rg2hs(rg);
	ud("0",rg);
	dom();
	if (typeof window.onchange == "function")
		window.onchange();
};


r.setValue(<?php echo $red;?>);
g.setValue(<?php echo $green;?>);
b.setValue(<?php echo $blue;?>);

// end init

function setRgb(nRed, nGreen, nBlue) {
	r.setValue(nRed);
	g.setValue(nGreen);
	b.setValue(nBlue);
}

function getRgb() {
	return {
		r:	r.getValue(),
		g:	g.getValue(),
		b:	b.getValue()
	};
}

function fixSize() {
	r.recalculate();
	g.recalculate();
	b.recalculate();
}

window.onresize = fixSize;

fixSize();
</script>