<?php
/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta - September 2005
 * @package org.brim-project.plugins.webtools
 * @subpackage view
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
?>
<h2><?php echo $dictionary['hexdec'] ?></h2>
<script language="JavaScript">
function convert (input)
{
	var hex = "0123456789ABCDEF";
	var loAZ = "abcdefghijklmnopqrstuvwxyz";
	var symbols = " !\"#$%&'()*+'-./0123456789:;<=>?@";
	symbols+= loAZ.toUpperCase();
	symbols+= "[\\]^_`";
	symbols+= loAZ;
	symbols+= "{|}~";
	var loc;
	var value = document.conversion.eval (input).value;
	var result = "";
	switch(input) {
		case 'dec':
			if (typeof value !== 'number' && !isFinite(value))
			{
				//
				// Only numbers, remove any number characters
				//
				value = value.substring (0, value.length-1);
				document.conversion.dec.value = value;
			}
			else
			{
				tmpValue = parseInt (value);
		    	while (tmpValue != 0)
				{
					result = hex.charAt (tmpValue % 16) + result;
					tmpValue = tmpValue >> 4;
				}
				document.conversion.hex.value = result;
			}
			break;
		case 'hex':
			var lastChar = value.substring (value.length-1, value.length);
			var inHex = false;
			var i = 16;
			//
			// Check whether we are dealing with a char between 0 and F
			// This can probably be done in a more efficient way ;-)
			//
			while (i>=0 && !inHex)
			{
				if (hex[i] == lastChar.toUpperCase ())
				{
					inHex = true;
				}
				i--;
			}
			if (!inHex)
			{
				//
				// Only hex-numbers, remove any number characters
				//
				value = value.substring (0, value.length-1);
				document.conversion.hex.value = value;
				value = parseInt (value, 16);
			}
			else
			{
				result = parseInt (value, 16);
				document.conversion.dec.value = result;
				//
				// now continue with the dec result to calculate the binary
				//
				value = result;
			}
			break;
		case 'asc':
			loc = symbols.indexOf(document.conversion.asc.value);
			if (loc >-1) {
				document.conversion.dec.value = 32 + loc;
			}
			convert('dec');
			break;
		default:
			break;
	}
	if (input != 'asc') {
		document.conversion.asc.value = String.fromCharCode(parseInt(document.conversion.dec.value));
		for (var bin = ''; value != 0; (value >>>=1))
		{
			bin = ((value & 1)?'1':'0') + bin;
		}
		document.conversion.bin.value = bin;
	}
}

</script>

<form name="conversion">
<table border="0">
	<tr>
		<td>
			Hex:
		</td>
		<td>
			<input type="text" name="hex" onkeyup="javascript:convert('hex')" />
		</td>
		<td>
			<input type="button" value=">>" onClick="convert ('hex');">
		</td>
		<td>
			Dec:
		</td>
		<td>
			<input type="text" name="dec" onkeyup="javascript:convert('dec')" />
		</td>
		<td>
			<input type="button" value=">>" onClick="convert ('dec');">
		</td>
	</tr>
	<tr>
		<td>
			Ascii:
		</td>
		<td>
			<input type="text" name="asc" onkeyup="javascript:convert('asc')" />
		</td>
		<td>
			<input type="button" value=">>" onClick="convert ('asc');">
		</td>
		<td>
			Bin:
		</td>
		<td>
			<input type="text" readonly="readonly" name="bin" />
		</td>
		<td>
			&nbsp;
		</td>
	</tr>
</table>
</form>