<?php
/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta - November 2006
 * @package org.brim-project.plugins.webtools
 * @subpackage view
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
?>
<script language="JavaScript">

function message (fieldName, message)
{
	document.getElementById (fieldName).value = message;
}

function convert(field)
{
	var value = document.getElementById (field).value;
	if (typeof value !== 'number' && !isFinite(value) && value != '-')
	{
		//
		// Only numbers and minus sign, remove any number characters
		//
		value = value.substring (0, value.length-1);
		document.getElementById (field).value = value;
	}
	else
	{
		//
		// Do it
		//
		switch (field)
		{
			case "celsius":
			case "fahrenheit":
			case "kelvin":
				var celsius = null;
				var kelvin = null;
				var fahrenheit = null;
				if (field == 'celsius')
				{
					if (value < -273)
					{
						message ('celsiusMessage',
							'<?php echo $dictionary['noSubZeroCelsius'] ?>');
					}
					else
					{
						//
						// Reset the message
						//
						message ('celsiusMessage', '');
						//
						// Multiply to get value as number instead of string
						//
						if (value == '-')
						{
							celsius = value;
						}
						else
						{
							celsius = value*1
							fahrenheit = (celsius*1.8)+32;
							kelvin = celsius+273.15;
						}
					}
				}
				else if (field == 'fahrenheit')
				{
					if (value < -459)
					{
						message ('fahrenheitMessage',
							'<?php echo $dictionary['noSubZeroFahrenheit'] ?>');
					}
					else
					{
						//
						// Reset the message
						//
						message ('fahrenheitMessage', '');
						if (value == '-')
						{
							fahrenheit = value;
						}
						else
						{
							fahrenheit = (value *1);
							celsius = (fahrenheit-32)/1.8;
							kelvin = celsius+273.15;
						}
					}
				}
				else if (field == 'kelvin')
				{
					if (value < 0)
					{
						message ('kelvinMessage',
							'<?php echo $dictionary['noSubZeroKelvin'] ?>');
					}
					else
					{
						//
						// Reset the message
						//
						message ('kelvinMessage', '');
						kelvin = (value*1);
						celsius = kelvin-273.15;
						fahrenheit = (celsius*1.8)+32;
					}
				}
				if (isNaN (celsius && celsius != '-'))
				{
					celsius = '';
				}
				if (isNaN (kelvin))
				{
					kelvin = '';
				}
				if (isNaN (fahrenheit) && fahrenheit != '-')
				{
					fahrenheit = '';
				}
				document.getElementById ('celsius').value = celsius;
				document.getElementById ('kelvin').value = kelvin;
				document.getElementById ('fahrenheit').value = fahrenheit;
				break;
			case "kilogram":
			case "pound":
				var pound = null;
				var kilogram = null;
				if (field == 'kilogram')
				{
					if (value < 0 || value == '-')
					{
						message ('kilogramMessage',
							'<?php echo $dictionary['noSubZero'] ?>');
					}
					else
					{
						//
						// Reset the message
						//
						message ('kilogramMessage', '');
						kilogram = value;
						pound = kilogram*2.2;
					}
				}
				else if (field == 'pound')
				{
					if (value < 0 || value == '-')
					{
						message ('poundMessage',
							'<?php echo $dictionary['noSubZero'] ?>');
					}
					else
					{
						//
						// Reset the message
						//
						message ('poundMessage', '');
						pound = value;
						kilogram = pound/2.2;
					}
				}
				if (isNaN (pound))
				{
					pound = '';
				}
				if (isNaN (kilogram))
				{
					kilogram = '';
				}
				document.getElementById ('pound').value = pound;
				document.getElementById ('kilogram').value = kilogram;
				break;
			case "meter":
			case "foot":
				var foot = null;
				var meter = null;
				if (field == 'meter')
				{
					if (value < 0 || value == '-')
					{
						message ('meterMessage',
							'<?php echo $dictionary['noSubZero'] ?>');
					}
					else
					{
						//
						// Reset the message
						//
						message ('meterMessage', '');
						meter = value;
						foot = meter/0.3048;
					}
				}
				else if (field == 'foot')
				{
					if (value < 0 || value == '-')
					{
						message ('footMessage',
							'<?php echo $dictionary['noSubZero'] ?>');
					}
					else
					{
						//
						// Reset the message
						//
						message ('footMessage', '');
						foot = value;
						meter = foot*0.3048;
					}
				}
				if (isNaN (foot))
				{
					foot = '';
				}
				if (isNaN (meter))
				{
					meter = '';
				}
				document.getElementById ('foot').value = foot;
				document.getElementById ('meter').value = meter;
				break;
			case "liter":
			case "gallonuk":
			case "gallonus":
				var liter = null;
				var gallonuk = null;
				var gallonus = null;
				if (field == 'liter')
				{
					if (value < 0 || value == '-')
					{
						message ('literMessage',
							'<?php echo $dictionary['noSubZero'] ?>');
					}
					else
					{
						liter = value*1;
						gallonuk = liter*4.546;
						gallonus = liter*3.785;
						message ('literMessage', '');
					}
				}
				else if (field == 'gallonuk')
				{
					if (value < 0 || value == '-')
					{
						message ('gallonukMessage',
							'<?php echo $dictionary['noSubZero'] ?>');
					}
					else
					{
						liter = value*4.546;
						gallonuk = value;
						gallonus = liter/3.785;
						message ('gallonukMessage', '');
					}
				}
				else if (field == 'gallonus')
				{
					if (value < 0 || value == '-')
					{
						message ('gallonusMessage',
							'<?php echo $dictionary['noSubZero'] ?>');
					}
					else
					{
						liter = value*3.785;
						gallonuk = liter/4.546;
						gallonus = value;
						message ('gallonusMessage', '');
					}
				}
				if (isNaN (liter))
				{
					liter = '';
				}
				if (isNaN (gallonuk))
				{
					gallonuk = '';
				}
				if (isNaN (gallonus))
				{
					gallonus = '';
				}
				document.getElementById ('liter').value = liter;
				document.getElementById ('gallonuk').value = gallonuk;
				document.getElementById ('gallonus').value = gallonus;
				break;
			case "kmh":
			case "mph":
			case "knots":
				var kmh = null;
				var mph = null;
				var knots = null;
				if (field == 'kmh')
				{
					if (value < 0 || value == '-')
					{
						message ('kmhMessage',
							'<?php echo $dictionary['noSubZero'] ?>');
					}
					else
					{
						kmh = value*1;
						mph = kmh*0.621;
						knots = mph*0.869;
						message ('kmhMessage', '');
					}
				}
				else if (field == 'mph')
				{
					if (value < 0 || value == '-')
					{
						message ('mphMessage',
							'<?php echo $dictionary['noSubZero'] ?>');
					}
					else
					{
						mph = value;
						kmh = mph/0.621;
						knots = mph*0.869;
						message ('mphMessage', '');
					}
				}
				else if (field == 'knots')
				{
					if (value < 0 || value == '-')
					{
						message ('knotsMessage',
							'<?php echo $dictionary['noSubZero'] ?>');
					}
					else
					{
						knots = value;
						mph = knots/0.869;
						kmh = knots/0.54;
						message ('knotsMessage', '');
					}
				}
				if (isNaN (kmh))
				{
					kmh = '';
				}
				if (isNaN (mph))
				{
					mph = '';
				}
				if (isNaN (knots))
				{
					knots = '';
				}
				document.getElementById ('kmh').value = kmh;
				document.getElementById ('mph').value = mph;
				document.getElementById ('knots').value = knots;
				break;
		}
	}
}

</script>
<h1>Units</h1>
<p>
	<?php echo $dictionary['approximativeCalculations'] ?>
</p>
	<table>
		<tr>
			<td colspan="3">
				<h2><?php echo $dictionary['temperature']; ?></h2>
			</td>
		</tr>
		<tr>
			<td><?php echo $dictionary['celsius']; ?>:&nbsp;</td>
			<td><input type="text" id="celsius"
				onkeyup="javascript:convert(this.id)" ></td>
			<td>
				<input type="text" border="0" id="celsiusMessage" class="feedback"
					readonly="readonly" />
			</td>
		</tr>
		<tr>
			<td><?php echo $dictionary['fahrenheit']; ?>:&nbsp;</td>
			<td><input type="text" id="fahrenheit"
				onkeyup="javascript:convert(this.id)" ></td>
			<td>
				<input type="text" border="0" id="fahrenheitMessage" class="feedback"
					readonly="readonly" />
			</td>
		</tr>
		<tr>
			<td><?php echo $dictionary['kelvin']; ?>:&nbsp;</td>
			<td><input type="text" id="kelvin"
				onkeyup="javascript:convert(this.id)" ></td>
			<td>
				<input type="text" border="0" id="kelvinMessage" class="feedback"
					readonly="readonly" />
			</td>
		</tr>
		<tr>
			<td colspan="3">
				<h2><?php echo $dictionary['weight']; ?></h2>
			</td>
		</tr>
		<tr>
			<td><?php echo $dictionary['kilogram']; ?>:&nbsp;</td>
			<td><input type="text" id="kilogram"
				onkeyup="javascript:convert(this.id)" ></td>
			<td>
				<input type="text" border="0" id="kilogramMessage" class="feedback"
					readonly="readonly" />
			</td>
		</tr>
		<tr>
			<td><?php echo $dictionary['pound']; ?>:&nbsp;</td>
			<td><input type="text" id="pound"
				onkeyup="javascript:convert(this.id)" ></td>
			<td>
				<input type="text" border="0" id="poundMessage" class="feedback"
					readonly="readonly" />
			</td>
		</tr>
		<tr>
			<td colspan="3">
				<h2><?php echo $dictionary['length']; ?></h2>
			</td>
		</tr>
		<tr>
			<td><?php echo $dictionary['meter']; ?>:&nbsp;</td>
			<td><input type="text" id="meter"
				onkeyup="javascript:convert(this.id)" ></td>
			<td>
				<input type="text" border="0" id="meterMessage" class="feedback"
					readonly="readonly" />
			</td>
		</tr>
		<tr>
			<td><?php echo $dictionary['foot']; ?>:&nbsp;</td>
			<td><input type="text" id="foot"
				onkeyup="javascript:convert(this.id)" ></td>
			<td>
				<input type="text" border="0" id="footMessage" readonly="readonly" class="feedback" />
			</td>
		</tr>
		<tr>
			<td colspan="3">
				<h2><?php echo $dictionary['volume']; ?></h2>
			</td>
		</tr>
		<tr>
			<td><?php echo $dictionary['liter']; ?>:&nbsp;</td>
			<td><input type="text" id="liter"
				onkeyup="javascript:convert(this.id)" ></td>
			<td>
				<input type="text" border="0" id="literMessage" class="feedback"
					readonly="readonly" />
			</td>
		</tr>
		<tr>
			<td><?php echo $dictionary['gallonus']; ?>:&nbsp;</td>
			<td><input type="text" id="gallonus"
				onkeyup="javascript:convert(this.id)" ></td>
			<td>
				<input type="text" border="0" id="gallonusMessage" class="feedback"
					readonly="readonly" />
			</td>
		</tr>
		<tr>
			<td><?php echo $dictionary['gallonuk']; ?>:&nbsp;</td>
			<td><input type="text" id="gallonuk"
				onkeyup="javascript:convert(this.id)" ></td>
			<td>
				<input type="text" border="0" id="gallonukMessage" class="feedback"
					readonly="readonly" />
			</td>
		</tr>
		<tr>
			<td colspan="3">
				<h2><?php echo $dictionary['speed']; ?></h2>
			</td>
		</tr>
		<tr>
			<td><?php echo $dictionary['kmh']; ?>:&nbsp;</td>
			<td><input type="text" id="kmh"
				onkeyup="javascript:convert(this.id)" ></td>
			<td>
				<input type="text" border="0" id="kmhMessage" class="feedback"
					readonly="readonly" />
			</td>
		</tr>
		<tr>
		<tr>
			<td><?php echo $dictionary['mph']; ?>:&nbsp;</td>
			<td><input type="text" id="mph"
				onkeyup="javascript:convert(this.id)" ></td>
			<td>
				<input type="text" border="0" id="mphMessage" class="feedback"
					readonly="readonly" />
			</td>
		</tr>
		<tr>
			<td><?php echo $dictionary['knots']; ?>:&nbsp;</td>
			<td><input type="text" id="knots"
				onkeyup="javascript:convert(this.id)" ></td>
			<td>
				<input type="text" border="0" id="knotsMessage" class="feedback"
					readonly="readonly" />
			</td>
		</tr>
	</table>
