<?php

header("Content-Type: text/html; charset=utf-8");

/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta
 * @package org.brim-project.templates
 * @subpackage barry
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */

?>
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
	<title><?php echo $dictionary['item_title'] ?></title>
	<!--
		The template stylesheet
	-->
	<style type="text/css" media="screen"
		>@import "templates/barry/template.css";</style>
	<style type="text/css" media="print"
		>@import "templates/barry/print.css";</style>
<!--
	The plugins DEFAULT stylesheet (plugin specific styles end up here 
	so we can keep the main stylesheet generic
-->
<?php
	$style = 'plugins/'.$pluginName.'/view/template.css';
	if (file_exists ($style))
	{
		echo ('<style type="text/css" media="screen"
			>@import "'.$style.'";</style>');
	}
?>
<!--
	A plugin can also provide a specific stylesheet for a template.
	If this stylesheets exists, load it as well 
-->
<?php
	$style = 'templates/barry/plugins/'.$pluginName.'.css';
	if (file_exists ($style))
	{
		echo ('<style type="text/css" media="screen"
			>@import "'.$style.'";</style>');
	}
?>
<!--
		content="text/html; charset=<?php echo $dictionary['charset'] ?>">		
-->
<?php
		/*
		echo '<link rel="stylesheet" type="text/css" media="all" 
				href="ext/javascript/tree/tree.css" />';
		echo '<script type="text/javascript" 
				src="ext/javascript/tree/tree.js" />';
				*/
?>
</head>
<body>
<!--
	Overlib, JavaScript popups
-->
<div id="overDiv" 
	style="position:absolute; visibility:hidden; z-index:1000;"></div>

<script language="JavaScript" src="ext/overlib/overlib.js"><!-- overLIB (c) Erik Bosrup --></script>
<script language="JavaScript" src="ext/overlib/overlib_fade.js"></script>
<script language="JavaScript" src="ext/overlib/overlib_bubble.js"></script>

<!--
	Generic Javascript functions
-->
<?php include 'templates/barry/javascript.inc' ?>
<!--
	Icon definition
-->
<?php include 'templates/barry/icons.inc' ?>


<!--
	The plugin menu contains links to the activated plugins
	like bookmarks, contacts, etc...
-->
<div id="pluginMenu">
<?php
	foreach ($menuItems as $link)
	{
		echo ('<div id="menu'.$link['name'].'" class="pluginMenuLink">');
		echo ('<a href="'.$link['href'].'">'.$dictionary[$link['name']].'</a>');
		echo ('</div>');
	}
?>
</div>


<!--
	The application menu. Contains items like: preferences, logout,
	plugins (the menu to enable/disable them), about etc
-->
<div id="applicationMenu">
<?php
	$i=0;
	foreach ($menu as $link)
	{
		echo ('<span class="applicationMenuLink">');
		echo ('<a href="'.$link['href'].'">'.$dictionary[$link['name']].'</a>');
		echo ('</span>');
		
		//
		// I wonder... Can't this be done with a stylesheet param?
		//
		$i++;
		if ($i != count($menu))
		{
			echo ('&middot;');
		}
	}
?>
</div>

<!--
	The actual pane. The plugin provides information that
	will be displayed on this pane
-->
<div id="actionMenu">
<!--
	Show the logo
-->
<a href="index.php"><img src="templates/barry/pics/brim_logo.gif" 
	width="199" height="55" border="0"/></a>

<!--
	The title of the plugin we're currently using
-->
<p class="pluginTitle"><?php echo $dictionary['item_title']; ?></p>

<?php
	if (isset ($renderActions))
	{
		//
		// Render actions are labeled under a header 
		// like 'actions', 'view' etc
		//
		echo ('<div id="actions">');

		// 
		// Loop over each group
		//
		foreach ($renderActions as $actionGroup)
		{
			echo ('<p class="actionGroupTitle">');
			echo ($dictionary[$actionGroup['name']]);
			echo ('</p>');

			// 
			// Loop over each item in the group
			//
			foreach ($actionGroup['contents'] as $action)
			{
					echo ('<div class="action">');
					echo ('<a href="'.$action['href']);
					echo ('">'.$dictionary[$action['name']].'</a>');
					echo ('</div>');
			}
		}
		echo ('<p class="copyright">');
		echo ('<a href="http://opensource.org/licenses/gpl-license.php">GPL</a> - ');
		echo ('Copyright (c) 2003 - 2006 by<br />');
		echo ('<a href="mailto:barry@nauta.be">Barry Nauta</a>&nbsp;');
		echo ('<br /><a href="http://www.brim-project.org"
			>Brim Homepage</a>');
		echo ('</p>');
		echo ('</div>');
	}
?>
</div>

<!--
	Now display the content provided by the plugin
-->
<div id="content">
<?php
	if (isset ($message))
	{
		echo ($icons['message'].$dictionary[$message]);
	}
	include $renderer 
?>
</div>



</body>
</html>
