<?php
header("Content-Type: text/html; charset=utf-8");

require_once ('framework/util/BrowserUtils.php');

/**
 * vim: set tabstop=4 :
 *
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta
 * @package org.brim-project.templates
 * @subpackage mylook
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */

/**
 * Creates the pluginbar, the bar containing the icons and textual description
 * for the enabled plugins
 */
function createPluginBar ($dictionary)
{
	global $menuItems;
	//
	// Fetch the icon size from the session (placed by the global preferences)
	// and default to 48x48 if not found
	//
	$iconSize = $_SESSION['brimPreferedIconSize'];
	if ($iconSize == '') { $iconSize = '48x48'; }
	//
	// I.E does not know how to handle transparent PNGs so use gif for IE
	//
	$browserUtils = new BrowserUtils ();
	if ($browserUtils->browserIsExplorer())
	{
		$ext = '.gif';
	}
	else
	{
		$ext = '.png';
	}
	//
	// The bar is a table with one row per installed plugin
	//
	$result = '<table witdh="195" valign="top" border="0">';
	//
	// Display the icons for the different plugins
	//
	foreach ($menuItems as $menuItem)
	{
		$result .= ' <tr> <td valign="top" ';
		if ($iconSize != '16x16' && $iconSize != '24x24')
		{
			$result .= 'align="center" ';
		}
		else
		{
			$result .= 'align="left" ';
		}
		$result .= '>';
		$result .= '<div id="menu'.$menuItem['name'].'">';
		$result .= '<nobr>';
		$result .= '<a href="'.$menuItem['href'].'" ';
		$result .= 'name="'.$menuItem['name'].'" ';
		$result .= 'id="'.$menuItem['name'].'" ';
		$result .= '>';
		//
		// First check the template subdirectory for this specific plugin and
		// if it exists, fetch the icon from there, otehrwise take the
		// plugin default
		//
		if (isset ($menuItem['icon']))
		{
			$icon = 'templates/mylook/plugins/'.$menuItem['name'].'_'.$iconSize.$ext;
			if (!file_exists ($icon))
			{
				$icon = 'plugins/'.$menuItem['name'].'/view/pics/item_'.$iconSize.$ext;
				if (!file_exists ($icon))
				{
					$icon = 'plugins/'.$menuItem['name'].'/view/pics/item'.$ext;
				}
			}
			$result .= '<img src="'.$icon.'" border="0" /></a>&nbsp;';
			if ($iconSize != '16x16' && $iconSize != '24x24')
			{
				$result .= '<br />';
			}
		}
		//
		// Print the name of the plugin under or besides the icon
		//
		$result .= '<a href="'.$menuItem['href'].'" ';
		$result .= 'name="'.$menuItem['name'].'" ';
		$result .= 'id="'.$menuItem['name'].'" ';
		$result .= 'class="pluginLink" ';
		$result .= '>';
		$result .= $dictionary[$menuItem['name']];
		$result .= '</a>';
		$result .= '</nobr>';
		$result .= '</div>';
		$result .= '</td> </tr>';
	}
	//
	// Display the application image under all menuitems
	//
	$result .= '<tr> <td valign="bottom"> <a href="index.php"><img ';
	$result .= 'src="templates/mylook/pics/blue_booby.gif" border="0"/></a>';
	$result .= '</table>';
	return $result;
}
 ?>
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
	<title><?php echo $dictionary['item_title'] ?></title>
<!--
	The template stylesheet
-->
<link rel="stylesheet" type="text/css"
	href="templates/mylook/template.css" />
<!--
	The plugins DEFAULT stylesheet (plugin specific styles end up
	here so we can keep the main stylesheet generic
-->
<?php
	$style = 'plugins/'.$pluginName.'/view/template.css';
	if (file_exists ($style))
	{
		echo ('<style type="text/css" media="screen"
		>@import "'.$style.'";</style>');
	}
?>
<!--
	A plugin can also provide a specific stylesheet for a template.
	If this stylesheets exists, load it as well
-->
<?php
	$style = 'templates/mylook/plugins/'.$pluginName.'.css';
	if (file_exists ($style))
	{
		echo ('<style type="text/css" media="screen"
		>@import "'.$style.'";</style>');
	}
?>


<?php
	include 'templates/mylook/icons.inc';
	include ('templates/mylook/javascript.inc');
?>
</head>
<body>
<div id="overDiv" style="position:absolute; visibility:hidden; z-index:1000;"></div>

<script language="JavaScript" src="ext/overlib/overlib.js"><!-- overLIB (c) Erik Bosrup --></script>
<script language="JavaScript" src="ext/overlib/overlib_fade.js"></script>
<script language="JavaScript" src="ext/overlib/overlib_bubble.js"></script>
<!--
	The main table structure
-->
<table border="2" cellspacing="0" cellpadding="5" height="95%">
	<!--
		 Menu Bar. Contains links to preferences, about, logout etc
	-->
	<tr>
		<td colspan="2" class="menu2">
			<!--
				The menubar is a table itself, containing only one row (tr)
				and a datacell (td) for each item
			-->
			<table width="100%" cellpadding="0" cellspacing="0">
			<tr>
				<td>
					<font color="white" color="+1">
					<?php
						foreach ($menu as $crumb)
						{
					?>
						<a href="<?php echo $crumb['href'] ?>"
							class="menu"
							id="<?php echo $crumb['name'] ?>"
							>[<?php echo $dictionary[$crumb['name']] ?>]</a>
					<?php
						}
					?>
					</font>
				</td>
				<td align="right">
					<h2>Brim</h2>
				</td>
			</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td width="200" valign="top" class="menu">
			<?php echo createPluginBar ($dictionary); ?>
		</td>
		<!--
			Display the actual content pane. This content pane should be of no real
			concern for the template.
		-->
		<td width="100%" valign="top" bgcolor="#ffffff">
			<table width="100%">
				
				<tr>
					<td valign="top">
					<?php 
						if (isset ($message) && isset ($message))
						{
							echo ('<h2>');
							echo ($icons['message'].'&nbsp;');
							echo ($dictionary['message']);
							echo ('</h2>');
							echo ($dictionary[$message]);
						}
						include $renderer;
					?>
					</td>
					<td align="right" valign="top">
						<h1><?php echo
							$dictionary['item_title'] ?></h1>
						<!--
							Now display the actions
							that can be performed on
							this item
						-->
						<?php
							if (isset ($renderActions))
							{
								foreach ($renderActions as $renderAction)
								{
						?>
								<!--
									Render actions are labeled under a header
									like 'actions', 'view' etc
								-->
									<table width="200" border="0" cellpadding="0"
										cellspacing="0">
					               		<tr valign="top">
					                   		<td align="right">
												<?php
													if (isset ($dictionary[$renderAction['name']]))
													{
												?>
														<h2><?php echo $dictionary[
															$renderAction['name']] ?>
														</h2>
												<?php } else { ?>
														<h2><?php echo
															$renderAction['name']
															?>
														</h2>
												<?php } ?>
											</td>
										</tr>
										<tr>
											<td align="right">
											<?php
												foreach ($renderAction['contents']
													as $current)
												{
											?>
													<a href="<?php echo $current['href'] ?>"
														id="<?php echo $current['name'] ?>"
														>[<?php echo $dictionary[$current['name']] ?>]</a>

													<?php
														}
													?>
					                   			</td>
										</tr>
									</table>
						<?php
								}
							}
						?>
						<br />
						<?php
							if (isset ($dictionary['item_quick_help'])
								&& !$dictionary['item_quick_help']=='')
							{
								echo ('<h2>');
								echo ($dictionary['help']);
								echo ('</h2>');
								echo ($dictionary['item_quick_help']);
							}
						 ?>
					</td>
				</tr>
			</table>
		</td>
	</tr>
	<!--
		License disclaimer at the bottom
	-->
	<tr>
		<td colspan="2">
    		<p>
        		<font size="-2">
					<?php echo $dictionary['license_disclaimer'] ?>
        		</font>
    		</p>
		</td>
	</tr>
	</table>
</body>
</html>
