<?php
header("Content-Type: text/html; charset=utf-8");
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html;charset=UTF-8">

	<title><?php echo $dictionary['item_title'] ?></title>
	<link rel="stylesheet" type="text/css"
                href="templates/nifty/template.css" />
	<style type="text/css" media="print"
		>@import "templates/nifty/print.css";</style>
	<?php
		//
		// The plugins DEFAULT stylesheet (plugin specific styles end up
		// here so we can keep the main stylesheet generic
		//
    	$style = 'plugins/'.$pluginName.'/view/template.css';
    	if (file_exists ($style))
    	{
            	echo ('<style type="text/css" media="screen"
            	>@import "'.$style.'";</style>');
    	}
		//
		// A plugin can also provide a specific stylesheet for a template.
		// If this stylesheets exists, load it as well
		//
    	$style = 'templates/nifty/plugins/'.$pluginName.'.css';
    	if (file_exists ($style))
    	{
            	echo ('<style type="text/css" media="screen"
            	>@import "'.$style.'";</style>');
    	}
		//
		// Favicon support
		//
        $defaultFavIcon = 'plugins/'.$pluginName.'/templates/'.
                'default/pics/favicon.ico';
        $templateFavIcon = 'plugins/'.$pluginName.'/templates/'.
                $_SESSION['brimTemplate'].'/pics/favicon.ico';
        if (file_exists ($templateFavIcon))
        {
                echo ('<link rel="Shortcut Icon" type="image/x-ico" ');
                echo ('href="'.$templateFavIcon.'" />');
        }
        else if (file_exists ('$defaultFavIcon'))
        {
                echo ('<link rel="Shortcut Icon" type="image/x-ico" ');
                echo ('href="'.$defaultFavIcon.'" />');
        }
		//
		// Some generic javascript functions (delete confirmation etc)
		//
		include "templates/nifty/icons.inc";
	?>

	<script type="text/javascript" src="templates/nifty/nifty.js"></script>
	<script type="text/javascript">
		window.onload=function()
		{
			if(!NiftyCheck())
			{
    				return;
			}
			Rounded("div#menu","#fff","#E8F0FF");
			Rounded("div#content","#fff","#9DD4FF");
			Rounded("div#nav","#fff","#E5FFC4");
		}
	</script>
</head>
<body>

<style type="text/css">
	
	#dropDownMenu 
	{
		border:1px solid #999999;
		border-bottom-width: 1px;
		background-color: #eeeeee;
		z-index: 1;
		position: absolute;
		width: 170px
	}
	
	#dropDownMenu a
	{
		display: block;
		padding: 2px 0px 2px 0px;
		color: #000000;
		text-indent: 15px;
		text-align: left;
		text-decoration: none
	}
	
	#dropDownMenu a:hover
	{
		background-color: #dddddd
	}
</style>

<script type="text/javascript">


/**
 * http://www.quirksmode.org/js/findpos.html
 */
function findPosX(obj)
{
	var curleft = 0;
	if (obj.offsetParent)
	{
		while (obj.offsetParent)
		{
			curleft += obj.offsetLeft;
			obj = obj.offsetParent;
		}
	}
	else if (obj.x)
	{
		curleft += obj.x;
	}
	return curleft;
}

/**
 * http://www.quirksmode.org/js/findpos.html
 */
function findPosY(obj)
{
	var curtop = 0;
	if (obj.offsetParent)
	{
		while (obj.offsetParent)
		{
			curtop += obj.offsetTop;
			obj = obj.offsetParent;
		}
	}
	else if (obj.y)
	{
		curtop += obj.y;
	}
	return curtop;
}


function showMenu (obj, e, menucontents)
{
    noTimeout ();
    if (document.getElementById)
    {
        theDropDownMenu = document.getElementById("dropDownMenu");
    }
    else
    {
        // IE
        theDropDownMenu = dropDownMenu;
    }
    var xOffset = findPosX (obj);
    var yOffset = findPosY (obj) + 15;

    theDropDownMenu.innerHTML=menucontents;
    theDropDownMenu.style.visibility = "visible";

    theDropDownMenu.x = xOffset;
    theDropDownMenu.y = yOffset;
    theDropDownMenu.style.left = xOffset.toString() + "px";
    theDropDownMenu.style.top = yOffset.toString() + "px";
}


function hide ()
{
	dropDownMenu.style.visibility="hidden";
}

function hideMenu ()
{
	timeout = setTimeout ("hide ()", 350);
}

function noTimeout ()
{
	if (typeof timeout != "undefined")
	{
		clearTimeout (timeout);
	}
}


</script>
<!--
        Overlib, JavaScript popups
-->
<div id="overDiv"
        style="position:absolute; visibility:hidden; z-index:1000;"></div>

<script language="JavaScript" src="ext/overlib/overlib.js"><!-- overLIB (c) Erik Bosrup --></script>
<script language="JavaScript">
    var ol_textcolor="#000000";
    var ol_capcolor="#000000";
    var ol_bgcolor="#ffbe4f";
    var ol_fgcolor="#fff4d8";
</script>


<div id="container">

	<div id="nav">
		<h2><a href="index.php">[brim-project]</a></h2>
		<ul>
		<?php
			foreach ($menuItems as $menuItem)
			{
				echo '<li><a href="'.$menuItem['href'].'" ';
				echo 'name="'.$menuItem['name'].'" ';
				echo 'id="'.$menuItem['name'].'" ';
				echo '>';
				echo $dictionary[$menuItem['name']];
				echo '</a></li>';
			}
		?>
		</ul>
	</div>
	
	<div id="dropDownMenu" style="visibility:hidden;" 
			onMouseover="noTimeout ();" 
			onMouseout="hideMenu ();"></div>
	<div id="menu">
		<?php 
			if (isset ($renderActions))
			{
				//
				// Loop over each group
				//
				foreach ($renderActions as $actionGroup)
				{
					echo '&nbsp;&nbsp;';
					$menuAction = '';
					foreach ($actionGroup['contents'] as $action)
					{
						$menuAction .= '<a href='.$action['href'].'>';
						$menuAction .= $dictionary[$action['name']].'</a>';
					}
						echo '
						<a onMouseOver="javascript:showMenu (this, event, \''.$menuAction.'\')" 
							onMouseOut="hideMenu ()">'.$dictionary[$actionGroup['name']].'</a>
					';
				}
			}
			$brimMenu = '';
			foreach ($menu as $crumbs)
			{
				$brimMenu .= '<a href='.$crumbs['href'];
				$brimMenu .= '>'.$dictionary[$crumbs['name']].'</a>';
			}
			echo '&nbsp;&nbsp;';
			echo '
			<a href="" onMouseOver="javascript:showMenu (this, event, \''.$brimMenu.'\')" 
				onMouseOut="hideMenu ()">[Brim]</a>';
		?>
	</div>


	<div id="content">
		<h1><?php echo $dictionary['item_title'] ?></h1>
		<?php if (isset ($message)) 
			{
				echo '<h2>'.$dictionary[$message].'</h2>';
			}
		?>
		
		<?php include $renderer; ?>
	</div>
</div>
</body>
</html>