<?php

header("Content-Type: text/html; charset=utf-8");

/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Kai Schaper
 * @package org.brim-project.templates
 * @subpackage oerdec
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */
?>
<html>
 <head>
	<meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
	<title><?php echo $title ?></title>
	<!--
		The template stylesheet
	-->
<!--
		content="text/html; charset=<?php echo $dictionary['charset'] ?>">
-->
<!--
	The plugins DEFAULT stylesheet (plugin specific styles end up
	here so we can keep the main stylesheet generic
-->
<?php
	$style = 'plugins/'.$pluginName.'/view/template.css';
	if (file_exists ($style))
	{
		echo ('<style type="text/css" media="screen"
		>@import "'.$style.'";</style>');
	}
?>
<!--
	A plugin can also provide a specific stylesheet for a template.
	If this stylesheets exists, load it as well
-->
<?php
	$style = 'templates/oerdec/plugins/'.$pluginName.'.css';
	if (file_exists ($style))
	{
		echo ('<style type="text/css" media="screen"
		>@import "'.$style.'";</style>');
	}

	/*
	echo '<link rel="stylesheet" type="text/css" media="all"
			href="ext/javascript/tree/tree.css" />';
	echo '<script type="text/javascript"
			src="ext/javascript/tree/tree.js" />';
			*/
?>

	<link rel="stylesheet" type="text/css" href="templates/oerdec/basic.css">
	<style type="text/css" media="screen">@import "templates/oerdec/template.css";</style>
	<style type="text/css" media="print"
		>@import "templates/oerdec/print.css";</style>
 </head>
<body>
<!--
    Overlib, JavaScript popups
-->
<div id="overDiv"
    style="position:absolute; visibility:hidden; z-index:1000;"></div>

<script language="JavaScript" src="ext/overlib/overlib.js"><!-- overLIB (c) Erik Bosrup --></script>
<script language="JavaScript" src="ext/overlib/overlib_fade.js"></script>
<script language="JavaScript" src="ext/overlib/overlib_bubble.js"></script>
<?php include 'templates/oerdec/javascript.inc' ?>


<!--
    Icon definition
-->
<?php include 'templates/oerdec/icons.inc' ?>


<!-- first menue -->
<div id="first-menue">
<div class="first-menue-item"><a href="index.php">Dashboard&nbsp;</a></div>
<?php
foreach ($menuItems as $menuItem)
{
?>
<div id="menu<?php echo $menuItem['name']; ?>" class="first-menue-item"><a href="<?php echo $menuItem['href'] ?>"><?php echo $dictionary[$menuItem['name']] ?>&nbsp;</a></div>
<?php
}
?>
</div>
<!-- first menue end -->

<!-- second menue -->
<div id="second-menue">
<div id="headline">
<span id="headline-brim"><?php echo $title ?></span>
</div>

<div id="second-menue-items">
<?php
foreach ($menu as $crumb)
{
?>
<span class="second-menue-item"><a href="<?php echo $crumb['href'] ?>"><?php echo $dictionary[$crumb['name']] ?></a> &middot; </span>
<?php
}
?>
</div>
</div>
<!-- second menue end -->


<div id="main">

<!-- options -->
<div id="options">

		<?php
		if (isset ($renderActions)) {
						foreach ($renderActions as $renderAction) {
		?>
		<p class="options-hl"><?php echo $dictionary[$renderAction['name']] ?></p>
			<div class="options-item">
		<?php
										foreach ($renderAction['contents'] as $current)
										{
										?>

										<a href="<?php echo $current['href'] ?>">[<?php echo $dictionary[$current['name']] ?>]</a>

										<?php
										}
										?>
		</div>

		<?php
						} // foreach end
		} // if end
		?>

<!-- help -->
								<?php
								if (isset ($dictionary['item_quick_help'])
									&& $dictionary['item_quick_help']!='') {
												echo ("<p class=\"options-hl\">");
												echo ($dictionary['help']);
												echo ('</p>');
												echo ("<div class=\"options-item\">");
												echo ($dictionary['item_quick_help']);
												echo ('</div>');
								}
								?>
<!-- help end -->

</div>
<!-- options end -->

<!-- content -->
<div id="content">
<?php 
	if (isset ($message))
	{
		echo '<h2>'.$dictionary[$message].'</h2>';
	}
	include $renderer 
?>
</div>
<!-- content end -->

<!-- footer -->
<div id="footer"><?php echo $dictionary['license_disclaimer'] ?></div>
<!-- footer end -->

</div>

</body>
</html>
