<?php

header("Content-Type: text/html; charset=utf-8");

/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta
 * @package org.brim-project.templates
 * @subpackage penguin
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */

/**
 * Creates the pluginbar, the bar containing the icons and textual description
 * for the enabled plugins
 */
function createPluginBar ($dictionary)
{
	global $menuItems;
	//
	// Fetch the icon size from the session (placed by the global preferences)
	// and default to 48x48 if not found
	//
	$iconSize = $_SESSION['brimPreferedIconSize'];
	if ($iconSize == '') { $iconSize = '48x48'; }
	//
	// I.E does not know how to handle transparent PNGs so use gif for IE
	//
	$browserUtils = new BrowserUtils ();
	if ($browserUtils->browserIsExplorer())
	{
		$ext = '.gif';
	}
	else
	{
		$ext = '.png';
	}
	//
	// The bar is a table with one row per installed plugin
	//
	$result = '<table witdh="195" valign="top" border="0">';
	//
	// Display the icons for the different plugins
	//
	foreach ($menuItems as $menuItem)
	{
		$result .= ' <tr> <td valign="top" ';
		if ($iconSize != '16x16' && $iconSize != '24x24')
		{
			$result .= 'align="center" ';
		}
		else
		{
			$result .= 'align="left" ';
		}
		$result .= '>';
		$result .= '<div id="menu'.$menuItem['name'].'">';
		$result .= '<nobr>';
		$result .= '<a href="'.$menuItem['href'].'" ';
		$result .= 'name="'.$menuItem['name'].'" ';
		$result .= 'id="'.$menuItem['name'].'" ';
		$result .= '>';
		//
		// First check the template subdirectory for this specific
		// plugin and if it exists, fetch the icon from there,
		// otherwise take the plugin default
		//
		if (isset ($menuItem['icon']))
		{
			$icon = 'templates/penguin/plugins/'.
				$menuItem['name'].'_'.$iconSize.$ext;
			if (!file_exists ($icon))
			{
				$icon = 'plugins/'.$menuItem['name'].
					'/view/pics/item_'.$iconSize.$ext;
				if (!file_exists ($icon))
				{
					$icon = 'plugins/'.$menuItem['name'].
						'/view/pics/item'.$ext;
				}
			}
			$result .= '<img src="'.$icon.'" border="0" />';
			if ($iconSize != '16x16' && $iconSize != '24x24')
			{
				$result .= '<br />';
			}
		}
		//
		// Print the name of the plugin under the icon. Don't let the
		// space be part of the anchor since this leads to ugly lines
		// (IMHO); print the link again
		//
		$result .= '</a>&nbsp;';
		$result .= '<a href="'.$menuItem['href'].'" ';
		$result .= 'name="'.$menuItem['name'].'" ';
		$result .= 'id="'.$menuItem['name'].'" ';
		$result .= 'class="pluginLink" ';
		$result .= '>';
		$result .= $dictionary[$menuItem['name']];
		$result .= '</nobr>';
		$result .= '</div>';
		$result .= '</td> </tr>';
	}
	//
	// Display the application image under all menuitems
	//
	$result .= '<tr> <td valign="bottom"> <a href="index.php"><img ';
	$result .= 'src="templates/penguin/pics/linux.jpg" border="0"/></a>';
	$result .= '</table>';
	return $result;
}
 ?>
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
	<title><?php echo $dictionary['item_title'] ?></title>
	<!--
		The template stylesheet
	-->
	<link rel="stylesheet" type="text/css"
		href="templates/penguin/template.css" />
	<!--
		The plugins DEFAULT stylesheet (plugin specific styles end up
		here so we can keep the main stylesheet generic
	-->
<?php
	$style = 'plugins/'.$pluginName.'/view/template.css';
	if (file_exists ($style))
	{
		echo ('<style type="text/css" media="screen"
		>@import "'.$style.'";</style>');
	}
?>
	<!--
		A plugin can also provide a specific stylesheet for a template.
		If this stylesheets exists, load it as well
	-->
<?php
	$style = 'templates/penguin/plugins/'.$pluginName.'.css';
	if (file_exists ($style))
	{
		echo ('<style type="text/css" media="screen"
		>@import "'.$style.'";</style>');
	}
?>

<!--
		content="text/html; charset=<?php echo $dictionary['charset'] ?>">
-->

	<?php
		$defaultFavIcon = 'plugins/'.$pluginName.'/templates/'.
		 	'default/pics/favicon.ico';
		$templateFavIcon = 'plugins/'.$pluginName.'/templates/'.
			$_SESSION['brimTemplate'].'/pics/favicon.ico';

		if (file_exists ($templateFavIcon))
		{
			echo ('<link rel="Shortcut Icon" type="image/x-ico" ');
			echo ('href="'.$templateFavIcon.'" />');
		}
		else if (file_exists ('$defaultFavIcon'))
		{
			echo ('<link rel="Shortcut Icon" type="image/x-ico" ');
			echo ('href="'.$defaultFavIcon.'" />');
		}
	?>

	<?php include "templates/penguin/icons.inc" ?>
	<?php include ('templates/penguin/javascript.inc') ?>
	<?php
			/*
		echo '<link rel="stylesheet" type="text/css" media="all"
				href="ext/javascript/tree/tree.css" />';
		echo '<script type="text/javascript"
				src="ext/javascript/tree/tree.js" />';
				*/
	?>
</head>
<body bgcolor="#ffffff">
<div id="overDiv" style="position:absolute; visibility:hidden; z-index:1000;"></div>
<script language="JavaScript" src="ext/overlib/overlib.js"><!-- overLIB (c) Erik Bosrup --></script>
<script language="JavaScript" src="ext/overlib/overlib_fade.js"></script>
<script language="JavaScript" src="ext/overlib/overlib_bubble.js"></script>
<table border="0" cellspacing="5" cellpadding="0"
	height="95%">
	<tr>
		<!--
			 Menu Bar. Contains links to preferences, about, logout etc.
		-->
		<td colspan="2" class="menu2">
			<!--
				The menubar is a table itself, containing only one row
				(tr) and a datacell (td) for each item
			-->
			<table width="100%" cellpadding="0" cellspacing="0">
			<tr>
				<td>
					<font color="white" color="+1">
					<table>
					<tr>

						<?php
							foreach ($menu as $crumbs)
							{
						?>
							<td align="center">
								<a href="<?php echo ($crumbs['href']) ?>"
										class="menu"
										>[<?php echo ($dictionary[$crumbs['name']]) ?>]</a>
							</td>
						<?php
							}
						?>
					</tr>
					</table>
				</td>
			</tr>
			</table>
			</font>
		</td>
	</tr>
	<tr>
		<!--
			Display the actual content pane.
			This content pane should be of no real concern for the
			template.
		-->
		<td width="100%" valign="top">
			<table cellpadding="5" cellspacing="5" bgcolor="#f3f3f3"
				width="100%" height="100%" border="0">
			<tr>
				<td valign="top" width="100%">
						<?php 
							if (isset ($message))
							{
								echo $icons['warning'].'<br />'.$dictionary[$message];
							}
							include $renderer; 
						?>
				</td>
				<td align="right" valign="top">
					<h1><?php echo $dictionary['item_title'] ?></h1>
					<!--
						Now display the actions that can be performed
						on this item
					-->
					<?php
						if (isset ($renderActions))
						{
					?>
                        <select name="action" onChange="location = this.options[this.selectedIndex].value;">
                            <option value="">Options</option>
                            <option value=""></option>
					<?php
							foreach ($renderActions as $renderAction)
							{
								if (isset ($dictionary[$renderAction['name']]))
								{
									echo '<option value="">['.$dictionary[$renderAction['name']].']</option>';
								}
								else
								{
									echo '<option value="">['.$renderAction['name'].']</option>';
								}
								foreach ($renderAction['contents'] as $current)
								{
									echo '<option value="'.$current['href'].'">';
									echo '&nbsp;&nbsp;&nbsp;';
									echo $dictionary[$current['name']];
									echo '</option>';
								}
							}
						}
					?>
						</select>
						<br />
						<?php
							if (isset ($dictionary['item_quick_help'])
								&& $dictionary['item_quick_help']!='')
							{
								echo ($dictionary['item_quick_help']);
							}
							if (isset ($message) && isset ($message))
							{
								if (get_class ($message) == 'string')
								{
									echo ('<h2>');
									echo ($icons['message'].'&nbsp;');
									echo ($dictionary['message']);
									echo ('</h2>');
									echo ($dictionary[$message]);
								}
							}
						 ?>
					</td>
				</tr>
			</table>
		</td>
		<td>
			<?php echo createPluginBar ($dictionary); ?>
		</td>
	</tr>
	<!--
		Display the license disclaimer
	-->
	<tr>
		<td colspan="2">
    		<p>
        		<font size="-2">
					<?php echo $dictionary['license_disclaimer'] ?>
        		</font>
    		</p>
		</td>
	</tr>
	</table>
</body>
</html>
