<?php

header("Content-Type: text/html; charset=utf-8");

/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta
 * @package org.brim-project.templates
 * @subpackage slashdot
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */

function createPluginBar ($dictionary)
{
	global $menuItems, $result;
	//
	// I.E does not know how to handle transparent PNGs so use gif for IE
	//
	$browserUtils = new BrowserUtils ();
	if ($browserUtils->browserIsExplorer())
	{
		$ext = '.gif';
	}
	else
	{
		$ext = '.png';
		$ext = '.gif';
	}
	//
	// Display the icons for the different plugins
	//
	foreach ($menuItems as $menuItem)
	{
		$result .= '<td valign="top" ';
		$result .= 'align="center" ';
		$result .= '>';
		$result .= '<div id="menu'.$menuItem['name'].'">';
		$result .= '<a href="'.$menuItem['href'].'" ';
		$result .= 'name="'.$menuItem['name'].'" ';
		$result .= 'id="'.$menuItem['name'].'" ';
		$result .= '>';
		//
		// First check the template subdirectory for this specific plugin and
		// if it exists, fetch the icon from there, otehrwise take the
		// plugin default
		//
		if (isset ($menuItem['icon']))
		{
			$icon = 'templates/slashdot/plugins/'.$menuItem['name'].$ext;
			if (!file_exists ($icon))
			{
				$icon = 'plugins/'.$menuItem['name'].'/view/pics/item'.$ext;
			}
			$result .= '<img src="'.$icon.'" border="0" />';
			$result .= '<br />';
		}
		//
		// Print the name of the plugin under the icon
		//
		$result .= '</a>';
		$result .= $dictionary[$menuItem['name']];
		$result .= '</div>';
		$result .= '</td>';
	}
	return $result;
}
 ?>
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
	<title><?php echo $dictionary['item_title'] ?></title>
	<!--
		The template stylesheet
	-->
	<link rel="stylesheet" type="text/css"
		href="templates/slashdot/template.css" />
	<!--
		The plugins DEFAULT stylesheet (plugin specific styles end up
		here so we can keep the main stylesheet generic
	-->
<?php
	$style = 'plugins/'.$pluginName.'/view/template.css';
	if (file_exists ($style))
	{
		echo ('<style type="text/css" media="screen"
		>@import "'.$style.'";</style>');
	}
?>
	<!--
		A plugin can also provide a specific stylesheet for a template.
		If this stylesheets exists, load it as well
	-->
<?php
	$style = 'templates/slashdot/plugins/'.$pluginName.'.css';
	if (file_exists ($style))
	{
		echo ('<style type="text/css" media="screen"
		>@import "'.$style.'";</style>');
	}
?>

<!--
		content="text/html; charset=<?php echo $dictionary['charset'] ?>">
-->
<?php
	include 'templates/slashdot/icons.inc';
	include 'templates/slashdot/javascript.inc';
?>
</head>
<body bgcolor="#000000" text="#000000" link="#006666" vlink="#000000"
		topmargin="0" leftmargin="0" marginwidth="0" marginheight="0">

<div id="overDiv" style="position:absolute; visibility:hidden; z-index:1000;"></div>
<script language="JavaScript" src="ext/overlib/overlib.js"><!-- overLIB (c) Erik Bosrup --></script>
<script language="JavaScript" src="ext/overlib/overlib_fade.js"></script>
<script language="JavaScript" src="ext/overlib/overlib_bubble.js"></script>
<table cellpadding="5" width="100%" valign="top">
	<tr>
		<td>
			<table cellpadding="0" cellspacing="0" border="0" width="99%"
					align="center" bgcolor="#ffffff">
				<tr valign="middle">
					<td valign="top" align="left"><a href="index.php"
						><img src="templates/slashdot/pics/booby_logo.gif"
							title="Brim"></a></td>
					<!--
						Display the icons for the different plugins
					-->
					<?php
						echo createPluginBar ($dictionary);
					?>
				</tr>
			</table>

			<table width="99%" align="center" cellpadding="5" cellspacing="5"
					border="0" bgcolor="#ffffff" height="100%">
				<tr>
					<td valign="top">
						<nobr><font size="2"><b>
						<?php
							foreach ($menu as $crumb)
							{
						?>
							<a href="<?php echo $crumb['href'] ?>"
								><?php echo $dictionary[$crumb['name']] ?></a>
							<br />
						<?php
							}
						?>
						</b></font></nobr>
		       		</td>
		        	<td align="left" valign="top" width="100%" height="1">
						<table width="100%" border="0" cellpadding="0"
								cellspacing="0">
							<?php
								if (isset ($message))
								{
							?>
								<tr>
									<td valign="top" bgcolor="#006666"><img
									src="templates/slashdot/pics/slc.gif"
									width="13" height="16" alt=""
										align="top"><font
										face="arial,helvetica" size="4"
										color="#ffffff"><b>
										<?php echo $dictionary['message'] ?>
										</b></font>
									</td>
								</tr>
								<tr>
									<td>
										<?php echo $dictionary[$message]; ?>
									</td>
								</tr>
							<?php
								}
							?>
							<tr>
								<td valign="top" bgcolor="#006666"><img
				        			src="templates/slashdot/pics/slc.gif"
        							width="13" height="16" alt=""
									align="top"><font
									face="arial,helvetica" size="4"
									color="#ffffff"><b>
									<?php echo $dictionary['item_title'] ?>
									</b></font>
								</td>
							</tr>
						</table>

						<?php
							include $renderer;
						?>
					</td>
					<td>
					</td>
					<td align="center" valign="top" width="210" height="1">

					<?php
						if (isset ($renderActions))
						{
							foreach ($renderActions as $renderAction)
							{
					?>
							<table width="200" border="0" cellpadding="0"
									cellspacing="0">
               					<tr valign="top" bgcolor="#006666">
			                   		<td><font face="arial,helvetica"
										size="4" color="#ffffff">
										<b><?php echo $dictionary[$renderAction['name']] ?></b>
										</font>
									</td>
			               		</tr>
            			   		<tr>
									<td bgcolor="#cccccc">
									<?php
										foreach ($renderAction['contents'] as $contents)
										{
									?>
										<a href="<?php echo $contents['href'] ?>"
											>[<?php echo $dictionary[$contents['name']] ?>]</a>
									<?php
										}
									?>
			                   		</td>
								</tr>
							</table>
							<br />
					<?php
							}
							if (isset ($message) && isset ($message))
							{
								if (get_class ($message) == 'string')
								{
									echo ('<table width="200" border="0" cellpadding="0" cellspacing="0">');
               						echo ('<tr valign="top" bgcolor="#006666">');
			                   		echo ('<td><font face="arial,helvetica" size="4" color="#ffffff">');
									echo ($icons['message'].'&nbsp;<b>'.$dictionary['message'].'</b>');
									echo ('</font></td></tr>');
									echo ('<td bgcolor="#cccccc">');
									echo ($dictionary[$message]);
									echo ('</td></tr></table>');
								}
							}
						}
					?>
					</td>
				</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td>
			<table cellpadding="2" cellspacing="2" border="0" width="99%"
					align="center" bgcolor="#ffffff">
				<tr valign="middle">
					<td>
			    		<p>
        					<font size="-2">
								<?php echo $dictionary['license_disclaimer'] ?>
        					</font>
			    		</p>
			    	</td>
			    </tr>
			</table>
		</td>

	</tr>
</table>
</body>
</html>
