<?php
if (!function_exists('gzopen'))
{
	die ('the function \'gzopen\' is not availble, 
		you need to do a manual installation.
		Extract the files manially to unpack the 
		application and refer to the installation manual 
		or install the gz extension.');
}

if (!isset($_SERVER) && isset($HTTP_SERVER_VARS))
	define('_SERVER', 'HTTP_SERVER_VARS');

$destinationDirectory = 'brim';
?>

<html>
<head>
	<title>Brim - Unpack utility</title>
	<style type="text/css">
		body
		{
			font: 14px arial,helvetica,sans-serif
		}
	</style>
</head>

<body>
<p>
	This unpack functionality provides a way of uploading only
	the tar file and unpacking it at the server side. If this
	procedure fails, brim can be installed by unpacking locally
	and uploading each file individually.
</p>
<?php

if (isset ($_POST['action']) && $_POST['action'] == 'selectTar')
{
	require("Tar.php");
	if (file_exists ($_POST['packedFile']))
	{
		$tar_object = new Archive_Tar($_POST['packedFile'], "gz");
		$tar_object->extract(".");

		echo '
			If no errors have appeared, then all files are properly
			extracted. Click <a href="brim/install.php">here</a> to
			go to the installation script
		';
	}
	else
	{
		echo '
			This file does not exist! <a href="'.$_SERVER['PHP_SELF'].'">Try again</a>
		';
	}
}
else if (file_exists ($destinationDirectory) &&
	is_writable ($destinationDirectory))
{
	$files = array();
	$handle = opendir ('.');
	//
	// Search the current directory for files with brim in their name
	// as well as .tar.gz and reverse sort (so latest is on top)
	// them by their modification time
	//
	while (false !== ($filename = readdir($handle)))
	{
		if (strstr ($filename, 'brim') && strstr ($filename,'.tar.gz'))
		{
			$files[filemtime($filename)] = $filename;
		}
	}
	krsort ($files);
	closedir ($handle);
//echo (var_dump ($files));
/*
*/
	echo '
		<h2>Brim directory found and it is writeable</h2>
		<p>
			Beware that if this directory contains a (older) version
			of brim, that these files will be overwritten.
			Continue  at your own risk.
		</p>
		<p>
			Please select the file to extract
		</p>
		<form action="'.$_SERVER['PHP_SELF'].'" method="POST">
		<select name="packedFile">
		';
		foreach ($files as $key=>$value)
		{
			echo '<option value="'.$value.'">'.$value.'</option>';
		}
	echo '
		</select>
		<input type="hidden" name="action" value="selectTar" />
		<input type="submit" value="Submit" />
		</form>
		<h2>Not listed in the list above?</h2>
		<p>
			Please provide the <em>exact</em> filename of the file that needs to be unpacked
			(something like brimfull-xxx.tar.gz):
		</p>
		<form action="'.$_SERVER['PHP_SELF'].'" method="POST">
		<input type="text" name="packedFile" />
		<input type="hidden" name="action" value="selectTar" />
		<input type="submit" value="Submit" />
		</form>
	';
}
else if (file_exists ($destinationDirectory))
{
	echo '
		<h2>Brim directory found but it is not writeable!</h2>
		<p>
			Set the appropriate permissions on the directory.
			On *nix systems, a chmod 777 of the directory will do.
			If you are upgrading, all subfolders need to be writeable
			as well, do a <code>chmod 777 brim</code> instead!
		</p>
		<p>
			Reload this page when the directory permissions are properly set.
		</p>
	';
}
else
{
	echo '
		<h2>Destination directory (brim) not found!</h2>
		<p>
			Make sure that there is a directory within the current
			directory that is called "brim" and that is is writeable
			(on *nix systems: <code>mkdir brim; chmod 777 brim</code>).
		</p>
		<p>
			Reload this page when the directory is created
			and the permissions are properly set.
		</p>
	';
}
?>
</body>
</html>
